#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2260
#define LARGE_STATE_COUNT 95
#define SYMBOL_COUNT 244
#define ALIAS_COUNT 3
#define TOKEN_COUNT 106
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 115

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_print = 3,
  anon_sym_COMMA = 4,
  anon_sym_GT_GT = 5,
  anon_sym_assert = 6,
  anon_sym_DOT = 7,
  anon_sym_eq = 8,
  anon_sym_ne = 9,
  anon_sym_contains = 10,
  anon_sym_fails = 11,
  anon_sym_assert_ = 12,
  anon_sym_assert_eq = 13,
  anon_sym_assert_ne = 14,
  anon_sym_assert_contains = 15,
  anon_sym_assert_fails = 16,
  anon_sym_COLON_EQ = 17,
  anon_sym_return = 18,
  anon_sym_del = 19,
  anon_sym_pass = 20,
  anon_sym_break = 21,
  anon_sym_continue = 22,
  anon_sym_if = 23,
  anon_sym_COLON = 24,
  anon_sym_elif = 25,
  anon_sym_else = 26,
  anon_sym_match = 27,
  anon_sym_case = 28,
  anon_sym_async = 29,
  anon_sym_for = 30,
  anon_sym_in = 31,
  anon_sym_while = 32,
  anon_sym_with = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  anon_sym_def = 36,
  anon_sym_DASH_GT = 37,
  anon_sym_STAR = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_exec = 40,
  anon_sym_LBRACK = 41,
  anon_sym_RBRACK = 42,
  anon_sym_AT = 43,
  anon_sym_DASH = 44,
  anon_sym__ = 45,
  anon_sym_as = 46,
  anon_sym_PIPE = 47,
  anon_sym_LBRACE = 48,
  anon_sym_RBRACE = 49,
  anon_sym_EQ = 50,
  anon_sym_PLUS = 51,
  anon_sym_not = 52,
  anon_sym_and = 53,
  anon_sym_or = 54,
  anon_sym_SLASH = 55,
  anon_sym_PERCENT = 56,
  anon_sym_SLASH_SLASH = 57,
  anon_sym_AMP = 58,
  anon_sym_CARET = 59,
  anon_sym_LT_LT = 60,
  anon_sym_TILDE = 61,
  anon_sym_LT = 62,
  anon_sym_LT_EQ = 63,
  anon_sym_EQ_EQ = 64,
  anon_sym_BANG_EQ = 65,
  anon_sym_GT_EQ = 66,
  anon_sym_GT = 67,
  anon_sym_LT_GT = 68,
  anon_sym_lambda = 69,
  anon_sym_PLUS_EQ = 70,
  anon_sym_DASH_EQ = 71,
  anon_sym_STAR_EQ = 72,
  anon_sym_SLASH_EQ = 73,
  anon_sym_AT_EQ = 74,
  anon_sym_SLASH_SLASH_EQ = 75,
  anon_sym_PERCENT_EQ = 76,
  anon_sym_STAR_STAR_EQ = 77,
  anon_sym_GT_GT_EQ = 78,
  anon_sym_LT_LT_EQ = 79,
  anon_sym_AMP_EQ = 80,
  anon_sym_CARET_EQ = 81,
  anon_sym_PIPE_EQ = 82,
  sym_ellipsis = 83,
  sym_escape_sequence = 84,
  anon_sym_BSLASH = 85,
  aux_sym_format_specifier_token1 = 86,
  sym_type_conversion = 87,
  sym_integer = 88,
  sym_float = 89,
  anon_sym_await = 90,
  anon_sym_struct = 91,
  anon_sym_type = 92,
  sym_true = 93,
  sym_false = 94,
  sym_none = 95,
  sym_comment = 96,
  sym_line_continuation = 97,
  anon_sym_except = 98,
  sym__newline = 99,
  sym__indent = 100,
  sym__dedent = 101,
  sym_string_start = 102,
  sym__string_content = 103,
  sym_escape_interpolation = 104,
  sym_string_end = 105,
  sym_module = 106,
  sym__statement = 107,
  sym__simple_statements = 108,
  sym_print_statement = 109,
  sym_chevron = 110,
  sym_assert_statement = 111,
  sym_expression_statement = 112,
  sym_named_expression = 113,
  sym__named_expression_lhs = 114,
  sym_return_statement = 115,
  sym_delete_statement = 116,
  sym_pass_statement = 117,
  sym_break_statement = 118,
  sym_continue_statement = 119,
  sym_if_statement = 120,
  sym_elif_clause = 121,
  sym_else_clause = 122,
  sym_match_statement = 123,
  sym__match_block = 124,
  sym_case_clause = 125,
  sym_for_statement = 126,
  sym_while_statement = 127,
  sym_with_statement = 128,
  sym_with_clause = 129,
  sym_with_item = 130,
  sym_function_definition = 131,
  sym_parameters = 132,
  sym_lambda_parameters = 133,
  sym_list_splat = 134,
  sym_dictionary_splat = 135,
  sym_exec_statement = 136,
  sym_type_parameter = 137,
  sym_parenthesized_list_splat = 138,
  sym_argument_list = 139,
  sym_decorated_definition = 140,
  sym_decorator = 141,
  sym_block = 142,
  sym_expression_list = 143,
  sym_dotted_name = 144,
  sym_case_pattern = 145,
  sym__simple_pattern = 146,
  sym__as_pattern = 147,
  sym_union_pattern = 148,
  sym__list_pattern = 149,
  sym__tuple_pattern = 150,
  sym_dict_pattern = 151,
  sym__key_value_pattern = 152,
  sym_keyword_pattern = 153,
  sym_splat_pattern = 154,
  sym_class_pattern = 155,
  sym_complex_pattern = 156,
  sym__parameters = 157,
  sym__patterns = 158,
  sym_parameter = 159,
  sym_pattern = 160,
  sym_tuple_pattern = 161,
  sym_list_pattern = 162,
  sym_default_parameter = 163,
  sym_typed_default_parameter = 164,
  sym_list_splat_pattern = 165,
  sym_dictionary_splat_pattern = 166,
  sym_as_pattern = 167,
  sym__expression_within_for_in_clause = 168,
  sym_expression = 169,
  sym_primary_expression = 170,
  sym_not_operator = 171,
  sym_boolean_operator = 172,
  sym_binary_operator = 173,
  sym_unary_operator = 174,
  sym_comparison_operator = 175,
  sym_lambda = 176,
  sym_lambda_within_for_in_clause = 177,
  sym_assignment = 178,
  sym_augmented_assignment = 179,
  sym_pattern_list = 180,
  sym__right_hand_side = 181,
  sym_attribute = 182,
  sym_subscript = 183,
  sym_slice = 184,
  sym_call = 185,
  sym_typed_parameter = 186,
  sym_type = 187,
  sym_splat_type = 188,
  sym_generic_type = 189,
  sym_union_type = 190,
  sym_constrained_type = 191,
  sym_member_type = 192,
  sym_keyword_argument = 193,
  sym_list = 194,
  sym_set = 195,
  sym_tuple = 196,
  sym_dictionary = 197,
  sym_pair = 198,
  sym_list_comprehension = 199,
  sym_dictionary_comprehension = 200,
  sym_set_comprehension = 201,
  sym__comprehension_clauses = 202,
  sym_parenthesized_expression = 203,
  sym__collection_elements = 204,
  sym_for_in_clause = 205,
  sym_if_clause = 206,
  sym_conditional_expression = 207,
  sym_concatenated_string = 208,
  sym_string = 209,
  sym_string_content = 210,
  sym_interpolation = 211,
  sym__f_expression = 212,
  sym__not_escape_sequence = 213,
  sym_format_specifier = 214,
  sym_positional_separator = 215,
  sym_keyword_separator = 216,
  aux_sym_module_repeat1 = 217,
  aux_sym__simple_statements_repeat1 = 218,
  aux_sym_print_statement_repeat1 = 219,
  aux_sym_assert_statement_repeat1 = 220,
  aux_sym_if_statement_repeat1 = 221,
  aux_sym_match_statement_repeat1 = 222,
  aux_sym__match_block_repeat1 = 223,
  aux_sym_case_clause_repeat1 = 224,
  aux_sym_with_clause_repeat1 = 225,
  aux_sym_type_parameter_repeat1 = 226,
  aux_sym_argument_list_repeat1 = 227,
  aux_sym_decorated_definition_repeat1 = 228,
  aux_sym_dotted_name_repeat1 = 229,
  aux_sym_union_pattern_repeat1 = 230,
  aux_sym_dict_pattern_repeat1 = 231,
  aux_sym__parameters_repeat1 = 232,
  aux_sym__patterns_repeat1 = 233,
  aux_sym_comparison_operator_repeat1 = 234,
  aux_sym_subscript_repeat1 = 235,
  aux_sym_dictionary_repeat1 = 236,
  aux_sym__comprehension_clauses_repeat1 = 237,
  aux_sym__collection_elements_repeat1 = 238,
  aux_sym_for_in_clause_repeat1 = 239,
  aux_sym_concatenated_string_repeat1 = 240,
  aux_sym_string_repeat1 = 241,
  aux_sym_string_content_repeat1 = 242,
  aux_sym_format_specifier_repeat1 = 243,
  alias_sym_as_pattern_target = 244,
  alias_sym_format_expression = 245,
  anon_alias_sym_notin = 246,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_print] = "print",
  [anon_sym_COMMA] = ",",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert_keyword",
  [anon_sym_DOT] = ".",
  [anon_sym_eq] = "assert_builtin",
  [anon_sym_ne] = "assert_builtin",
  [anon_sym_contains] = "assert_builtin",
  [anon_sym_fails] = "assert_builtin",
  [anon_sym_assert_] = "assert_keyword",
  [anon_sym_assert_eq] = "assert_keyword",
  [anon_sym_assert_ne] = "assert_keyword",
  [anon_sym_assert_contains] = "assert_keyword",
  [anon_sym_assert_fails] = "assert_keyword",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_with] = "with",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_exec] = "exec",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_as] = "as",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "identifier",
  [anon_sym_struct] = "identifier",
  [anon_sym_type] = "identifier",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [anon_sym_except] = "except",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_exec_statement] = "exec_statement",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_eq] = anon_sym_eq,
  [anon_sym_ne] = anon_sym_eq,
  [anon_sym_contains] = anon_sym_eq,
  [anon_sym_fails] = anon_sym_eq,
  [anon_sym_assert_] = anon_sym_assert,
  [anon_sym_assert_eq] = anon_sym_assert,
  [anon_sym_assert_ne] = anon_sym_assert,
  [anon_sym_assert_contains] = anon_sym_assert,
  [anon_sym_assert_fails] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = sym_identifier,
  [anon_sym_struct] = sym_identifier,
  [anon_sym_type] = sym_identifier,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [anon_sym_except] = anon_sym_except,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eq] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ne] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_contains] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_fails] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_assert_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_assert_eq] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_assert_ne] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_assert_contains] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_assert_fails] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_code = 7,
  field_condition = 8,
  field_consequence = 9,
  field_definition = 10,
  field_expression = 11,
  field_format_specifier = 12,
  field_function = 13,
  field_guard = 14,
  field_key = 15,
  field_left = 16,
  field_name = 17,
  field_object = 18,
  field_operator = 19,
  field_operators = 20,
  field_parameters = 21,
  field_return_type = 22,
  field_right = 23,
  field_subject = 24,
  field_subscript = 25,
  field_type = 26,
  field_type_conversion = 27,
  field_type_parameters = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 2},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 1},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 2},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 3},
  [18] = {.index = 22, .length = 1},
  [19] = {.index = 23, .length = 2},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 2},
  [25] = {.index = 33, .length = 1},
  [26] = {.index = 34, .length = 3},
  [27] = {.index = 37, .length = 2},
  [28] = {.index = 39, .length = 2},
  [29] = {.index = 41, .length = 1},
  [31] = {.index = 42, .length = 1},
  [32] = {.index = 43, .length = 2},
  [33] = {.index = 45, .length = 1},
  [34] = {.index = 46, .length = 2},
  [35] = {.index = 48, .length = 2},
  [36] = {.index = 50, .length = 2},
  [38] = {.index = 52, .length = 2},
  [39] = {.index = 54, .length = 2},
  [40] = {.index = 56, .length = 1},
  [41] = {.index = 57, .length = 3},
  [42] = {.index = 60, .length = 3},
  [43] = {.index = 63, .length = 3},
  [44] = {.index = 66, .length = 3},
  [45] = {.index = 69, .length = 4},
  [46] = {.index = 73, .length = 1},
  [47] = {.index = 74, .length = 3},
  [48] = {.index = 77, .length = 3},
  [49] = {.index = 80, .length = 2},
  [50] = {.index = 82, .length = 3},
  [51] = {.index = 85, .length = 3},
  [52] = {.index = 13, .length = 2},
  [53] = {.index = 88, .length = 1},
  [54] = {.index = 89, .length = 3},
  [55] = {.index = 92, .length = 2},
  [56] = {.index = 94, .length = 2},
  [57] = {.index = 96, .length = 2},
  [58] = {.index = 98, .length = 3},
  [59] = {.index = 101, .length = 4},
  [60] = {.index = 105, .length = 2},
  [61] = {.index = 107, .length = 4},
  [62] = {.index = 111, .length = 4},
  [63] = {.index = 115, .length = 1},
  [64] = {.index = 116, .length = 4},
  [65] = {.index = 120, .length = 2},
  [66] = {.index = 122, .length = 3},
  [67] = {.index = 125, .length = 3},
  [68] = {.index = 128, .length = 4},
  [69] = {.index = 132, .length = 4},
  [70] = {.index = 136, .length = 4},
  [71] = {.index = 140, .length = 2},
  [72] = {.index = 142, .length = 3},
  [73] = {.index = 145, .length = 3},
  [74] = {.index = 12, .length = 1},
  [75] = {.index = 148, .length = 5},
  [76] = {.index = 153, .length = 3},
  [77] = {.index = 156, .length = 4},
  [78] = {.index = 160, .length = 4},
  [79] = {.index = 164, .length = 4},
  [80] = {.index = 168, .length = 4},
  [81] = {.index = 172, .length = 4},
  [82] = {.index = 176, .length = 5},
  [83] = {.index = 181, .length = 2},
  [84] = {.index = 183, .length = 3},
  [85] = {.index = 186, .length = 2},
  [86] = {.index = 188, .length = 2},
  [87] = {.index = 190, .length = 1},
  [88] = {.index = 191, .length = 4},
  [89] = {.index = 195, .length = 4},
  [90] = {.index = 199, .length = 4},
  [91] = {.index = 203, .length = 5},
  [92] = {.index = 208, .length = 5},
  [93] = {.index = 213, .length = 5},
  [94] = {.index = 218, .length = 5},
  [95] = {.index = 223, .length = 3},
  [96] = {.index = 226, .length = 4},
  [97] = {.index = 230, .length = 4},
  [98] = {.index = 234, .length = 2},
  [99] = {.index = 236, .length = 1},
  [100] = {.index = 237, .length = 2},
  [101] = {.index = 239, .length = 2},
  [102] = {.index = 241, .length = 5},
  [103] = {.index = 246, .length = 5},
  [104] = {.index = 251, .length = 5},
  [105] = {.index = 256, .length = 6},
  [106] = {.index = 262, .length = 2},
  [107] = {.index = 264, .length = 2},
  [108] = {.index = 266, .length = 3},
  [109] = {.index = 269, .length = 1},
  [110] = {.index = 270, .length = 6},
  [111] = {.index = 276, .length = 3},
  [112] = {.index = 279, .length = 2},
  [113] = {.index = 281, .length = 2},
  [114] = {.index = 283, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_argument, 1},
  [1] =
    {field_value, 0},
  [2] =
    {field_code, 1},
  [3] =
    {field_argument, 1},
    {field_operator, 0},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_operators, 1, .inherited = true},
  [8] =
    {field_definition, 1},
  [9] =
    {field_argument, 2, .inherited = true},
  [10] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [12] =
    {field_body, 2},
  [13] =
    {field_name, 0},
    {field_value, 2},
  [15] =
    {field_left, 0},
    {field_type, 2},
  [17] =
    {field_left, 0},
    {field_right, 2},
  [19] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [22] =
    {field_alias, 2},
  [23] =
    {field_attribute, 2},
    {field_object, 0},
  [25] =
    {field_operators, 0},
  [26] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [28] =
    {field_expression, 1},
  [29] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [31] =
    {field_condition, 1},
    {field_consequence, 3},
  [33] =
    {field_subject, 1},
  [34] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [37] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [39] =
    {field_body, 3},
    {field_condition, 1},
  [41] =
    {field_body, 3},
  [42] =
    {field_body, 1},
  [43] =
    {field_key, 0},
    {field_value, 2},
  [45] =
    {field_type, 2},
  [46] =
    {field_body, 3},
    {field_parameters, 1},
  [48] =
    {field_subscript, 2},
    {field_value, 0},
  [50] =
    {field_operators, 0},
    {field_operators, 1},
  [52] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [54] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [56] =
    {field_alternative, 0},
  [57] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [60] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [63] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [66] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [69] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [73] =
    {field_body, 4},
  [74] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [77] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [80] =
    {field_body, 3},
    {field_body, 4},
  [82] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [85] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [88] =
    {field_subscript, 1},
  [89] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [92] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [94] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [96] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [98] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [101] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [105] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [107] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [111] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [115] =
    {field_alternative, 1, .inherited = true},
  [116] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [120] =
    {field_body, 4},
    {field_body, 5},
  [122] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [125] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [128] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [132] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [136] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [140] =
    {field_left, 1},
    {field_right, 3},
  [142] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [145] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [148] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [153] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [156] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [160] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [164] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [168] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [172] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [176] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [181] =
    {field_left, 2},
    {field_right, 4},
  [183] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [186] =
    {field_body, 2},
    {field_body, 3},
  [188] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [190] =
    {field_consequence, 3},
  [191] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [195] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [199] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [203] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [208] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [213] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [218] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [223] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [226] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [230] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [234] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [236] =
    {field_consequence, 4},
  [237] =
    {field_consequence, 3},
    {field_consequence, 4},
  [239] =
    {field_consequence, 4},
    {field_guard, 2},
  [241] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [246] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [251] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [256] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [262] =
    {field_consequence, 4},
    {field_consequence, 5},
  [264] =
    {field_consequence, 5},
    {field_guard, 3},
  [266] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [269] =
    {field_consequence, 5},
  [270] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [276] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [279] =
    {field_consequence, 5},
    {field_consequence, 6},
  [281] =
    {field_consequence, 6},
    {field_guard, 4},
  [283] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [18] = {
    [2] = alias_sym_as_pattern_target,
  },
  [24] = {
    [3] = sym_block,
  },
  [28] = {
    [3] = sym_block,
  },
  [29] = {
    [3] = sym_block,
  },
  [30] = {
    [1] = sym_parenthesized_expression,
  },
  [36] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [37] = {
    [0] = alias_sym_format_expression,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [3] = sym_block,
  },
  [46] = {
    [4] = sym_block,
  },
  [47] = {
    [3] = sym_block,
  },
  [50] = {
    [4] = sym_block,
  },
  [52] = {
    [0] = sym_identifier,
  },
  [59] = {
    [3] = sym_block,
  },
  [66] = {
    [5] = sym_block,
  },
  [67] = {
    [5] = sym_block,
  },
  [70] = {
    [5] = sym_block,
  },
  [74] = {
    [2] = sym_block,
  },
  [76] = {
    [6] = sym_block,
  },
  [78] = {
    [6] = sym_block,
  },
  [79] = {
    [5] = sym_block,
  },
  [81] = {
    [6] = sym_block,
  },
  [87] = {
    [3] = sym_block,
  },
  [88] = {
    [6] = sym_block,
  },
  [90] = {
    [7] = sym_block,
  },
  [94] = {
    [7] = sym_block,
  },
  [99] = {
    [4] = sym_block,
  },
  [101] = {
    [4] = sym_block,
  },
  [104] = {
    [8] = sym_block,
  },
  [107] = {
    [5] = sym_block,
  },
  [109] = {
    [5] = sym_block,
  },
  [113] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 2,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 4,
  [24] = 5,
  [25] = 6,
  [26] = 7,
  [27] = 8,
  [28] = 9,
  [29] = 10,
  [30] = 11,
  [31] = 12,
  [32] = 13,
  [33] = 15,
  [34] = 34,
  [35] = 19,
  [36] = 34,
  [37] = 18,
  [38] = 3,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 40,
  [43] = 43,
  [44] = 41,
  [45] = 41,
  [46] = 46,
  [47] = 46,
  [48] = 48,
  [49] = 48,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 50,
  [54] = 51,
  [55] = 52,
  [56] = 56,
  [57] = 56,
  [58] = 58,
  [59] = 59,
  [60] = 58,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 59,
  [67] = 67,
  [68] = 68,
  [69] = 67,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 61,
  [74] = 74,
  [75] = 72,
  [76] = 68,
  [77] = 77,
  [78] = 65,
  [79] = 74,
  [80] = 80,
  [81] = 81,
  [82] = 80,
  [83] = 70,
  [84] = 81,
  [85] = 77,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 88,
  [90] = 90,
  [91] = 90,
  [92] = 88,
  [93] = 90,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 98,
  [103] = 99,
  [104] = 101,
  [105] = 105,
  [106] = 105,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 97,
  [111] = 98,
  [112] = 99,
  [113] = 97,
  [114] = 105,
  [115] = 108,
  [116] = 97,
  [117] = 98,
  [118] = 99,
  [119] = 105,
  [120] = 108,
  [121] = 97,
  [122] = 98,
  [123] = 99,
  [124] = 97,
  [125] = 98,
  [126] = 99,
  [127] = 97,
  [128] = 98,
  [129] = 99,
  [130] = 97,
  [131] = 98,
  [132] = 97,
  [133] = 98,
  [134] = 98,
  [135] = 98,
  [136] = 108,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 140,
  [142] = 96,
  [143] = 143,
  [144] = 137,
  [145] = 145,
  [146] = 146,
  [147] = 95,
  [148] = 148,
  [149] = 149,
  [150] = 137,
  [151] = 151,
  [152] = 137,
  [153] = 139,
  [154] = 140,
  [155] = 151,
  [156] = 156,
  [157] = 139,
  [158] = 140,
  [159] = 137,
  [160] = 137,
  [161] = 137,
  [162] = 139,
  [163] = 138,
  [164] = 138,
  [165] = 138,
  [166] = 156,
  [167] = 143,
  [168] = 149,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 170,
  [175] = 171,
  [176] = 170,
  [177] = 171,
  [178] = 172,
  [179] = 173,
  [180] = 170,
  [181] = 171,
  [182] = 172,
  [183] = 172,
  [184] = 173,
  [185] = 170,
  [186] = 171,
  [187] = 173,
  [188] = 172,
  [189] = 173,
  [190] = 170,
  [191] = 171,
  [192] = 171,
  [193] = 172,
  [194] = 194,
  [195] = 194,
  [196] = 173,
  [197] = 172,
  [198] = 173,
  [199] = 170,
  [200] = 200,
  [201] = 201,
  [202] = 200,
  [203] = 203,
  [204] = 204,
  [205] = 203,
  [206] = 206,
  [207] = 201,
  [208] = 204,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 210,
  [215] = 210,
  [216] = 211,
  [217] = 213,
  [218] = 218,
  [219] = 219,
  [220] = 212,
  [221] = 210,
  [222] = 211,
  [223] = 213,
  [224] = 219,
  [225] = 210,
  [226] = 211,
  [227] = 212,
  [228] = 219,
  [229] = 212,
  [230] = 219,
  [231] = 211,
  [232] = 232,
  [233] = 210,
  [234] = 211,
  [235] = 219,
  [236] = 212,
  [237] = 210,
  [238] = 211,
  [239] = 213,
  [240] = 219,
  [241] = 212,
  [242] = 212,
  [243] = 219,
  [244] = 213,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 248,
  [250] = 245,
  [251] = 248,
  [252] = 247,
  [253] = 253,
  [254] = 245,
  [255] = 255,
  [256] = 247,
  [257] = 245,
  [258] = 248,
  [259] = 248,
  [260] = 247,
  [261] = 245,
  [262] = 262,
  [263] = 247,
  [264] = 248,
  [265] = 245,
  [266] = 266,
  [267] = 266,
  [268] = 247,
  [269] = 248,
  [270] = 245,
  [271] = 255,
  [272] = 248,
  [273] = 245,
  [274] = 245,
  [275] = 266,
  [276] = 247,
  [277] = 247,
  [278] = 278,
  [279] = 247,
  [280] = 248,
  [281] = 255,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 282,
  [296] = 291,
  [297] = 297,
  [298] = 287,
  [299] = 218,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 300,
  [304] = 304,
  [305] = 283,
  [306] = 285,
  [307] = 307,
  [308] = 294,
  [309] = 297,
  [310] = 282,
  [311] = 311,
  [312] = 282,
  [313] = 302,
  [314] = 282,
  [315] = 315,
  [316] = 282,
  [317] = 282,
  [318] = 282,
  [319] = 282,
  [320] = 320,
  [321] = 321,
  [322] = 315,
  [323] = 286,
  [324] = 324,
  [325] = 232,
  [326] = 302,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 328,
  [331] = 331,
  [332] = 232,
  [333] = 333,
  [334] = 334,
  [335] = 334,
  [336] = 331,
  [337] = 337,
  [338] = 338,
  [339] = 338,
  [340] = 337,
  [341] = 218,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 351,
  [355] = 353,
  [356] = 343,
  [357] = 344,
  [358] = 345,
  [359] = 346,
  [360] = 347,
  [361] = 348,
  [362] = 351,
  [363] = 353,
  [364] = 343,
  [365] = 344,
  [366] = 345,
  [367] = 347,
  [368] = 348,
  [369] = 348,
  [370] = 351,
  [371] = 353,
  [372] = 343,
  [373] = 344,
  [374] = 345,
  [375] = 347,
  [376] = 348,
  [377] = 351,
  [378] = 353,
  [379] = 343,
  [380] = 344,
  [381] = 345,
  [382] = 347,
  [383] = 348,
  [384] = 351,
  [385] = 353,
  [386] = 343,
  [387] = 344,
  [388] = 345,
  [389] = 347,
  [390] = 353,
  [391] = 391,
  [392] = 392,
  [393] = 349,
  [394] = 394,
  [395] = 395,
  [396] = 343,
  [397] = 350,
  [398] = 344,
  [399] = 345,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 352,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 407,
  [409] = 409,
  [410] = 349,
  [411] = 346,
  [412] = 395,
  [413] = 352,
  [414] = 414,
  [415] = 342,
  [416] = 349,
  [417] = 395,
  [418] = 418,
  [419] = 419,
  [420] = 349,
  [421] = 395,
  [422] = 422,
  [423] = 423,
  [424] = 402,
  [425] = 403,
  [426] = 347,
  [427] = 349,
  [428] = 395,
  [429] = 349,
  [430] = 394,
  [431] = 394,
  [432] = 394,
  [433] = 394,
  [434] = 394,
  [435] = 394,
  [436] = 406,
  [437] = 401,
  [438] = 351,
  [439] = 348,
  [440] = 440,
  [441] = 441,
  [442] = 440,
  [443] = 443,
  [444] = 441,
  [445] = 445,
  [446] = 446,
  [447] = 446,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 451,
  [454] = 454,
  [455] = 448,
  [456] = 454,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 463,
  [465] = 465,
  [466] = 459,
  [467] = 467,
  [468] = 468,
  [469] = 457,
  [470] = 445,
  [471] = 471,
  [472] = 472,
  [473] = 472,
  [474] = 96,
  [475] = 95,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 476,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 481,
  [485] = 485,
  [486] = 486,
  [487] = 483,
  [488] = 485,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 486,
  [493] = 493,
  [494] = 477,
  [495] = 490,
  [496] = 478,
  [497] = 489,
  [498] = 498,
  [499] = 480,
  [500] = 491,
  [501] = 482,
  [502] = 498,
  [503] = 493,
  [504] = 504,
  [505] = 504,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 506,
  [516] = 516,
  [517] = 517,
  [518] = 95,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 507,
  [529] = 529,
  [530] = 530,
  [531] = 96,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 509,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 512,
  [543] = 513,
  [544] = 514,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 522,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 545,
  [558] = 511,
  [559] = 559,
  [560] = 553,
  [561] = 529,
  [562] = 530,
  [563] = 517,
  [564] = 532,
  [565] = 533,
  [566] = 519,
  [567] = 567,
  [568] = 568,
  [569] = 536,
  [570] = 550,
  [571] = 568,
  [572] = 508,
  [573] = 523,
  [574] = 510,
  [575] = 537,
  [576] = 516,
  [577] = 520,
  [578] = 538,
  [579] = 541,
  [580] = 524,
  [581] = 540,
  [582] = 548,
  [583] = 559,
  [584] = 567,
  [585] = 585,
  [586] = 546,
  [587] = 585,
  [588] = 527,
  [589] = 547,
  [590] = 526,
  [591] = 551,
  [592] = 554,
  [593] = 552,
  [594] = 521,
  [595] = 555,
  [596] = 556,
  [597] = 534,
  [598] = 539,
  [599] = 525,
  [600] = 600,
  [601] = 600,
  [602] = 600,
  [603] = 600,
  [604] = 600,
  [605] = 600,
  [606] = 606,
  [607] = 606,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 616,
  [619] = 615,
  [620] = 609,
  [621] = 610,
  [622] = 611,
  [623] = 612,
  [624] = 613,
  [625] = 614,
  [626] = 626,
  [627] = 617,
  [628] = 616,
  [629] = 615,
  [630] = 609,
  [631] = 610,
  [632] = 611,
  [633] = 612,
  [634] = 613,
  [635] = 614,
  [636] = 609,
  [637] = 610,
  [638] = 617,
  [639] = 616,
  [640] = 615,
  [641] = 609,
  [642] = 610,
  [643] = 611,
  [644] = 612,
  [645] = 613,
  [646] = 614,
  [647] = 611,
  [648] = 612,
  [649] = 649,
  [650] = 650,
  [651] = 608,
  [652] = 613,
  [653] = 626,
  [654] = 649,
  [655] = 617,
  [656] = 616,
  [657] = 615,
  [658] = 609,
  [659] = 610,
  [660] = 611,
  [661] = 612,
  [662] = 613,
  [663] = 650,
  [664] = 650,
  [665] = 617,
  [666] = 608,
  [667] = 616,
  [668] = 615,
  [669] = 609,
  [670] = 610,
  [671] = 611,
  [672] = 612,
  [673] = 613,
  [674] = 649,
  [675] = 650,
  [676] = 608,
  [677] = 649,
  [678] = 608,
  [679] = 650,
  [680] = 614,
  [681] = 614,
  [682] = 650,
  [683] = 608,
  [684] = 649,
  [685] = 650,
  [686] = 608,
  [687] = 650,
  [688] = 650,
  [689] = 614,
  [690] = 617,
  [691] = 616,
  [692] = 650,
  [693] = 650,
  [694] = 617,
  [695] = 615,
  [696] = 461,
  [697] = 452,
  [698] = 467,
  [699] = 468,
  [700] = 458,
  [701] = 449,
  [702] = 450,
  [703] = 703,
  [704] = 703,
  [705] = 703,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 709,
  [711] = 711,
  [712] = 706,
  [713] = 713,
  [714] = 711,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 719,
  [722] = 720,
  [723] = 723,
  [724] = 715,
  [725] = 725,
  [726] = 726,
  [727] = 723,
  [728] = 728,
  [729] = 729,
  [730] = 728,
  [731] = 725,
  [732] = 708,
  [733] = 706,
  [734] = 443,
  [735] = 441,
  [736] = 440,
  [737] = 726,
  [738] = 723,
  [739] = 703,
  [740] = 703,
  [741] = 726,
  [742] = 728,
  [743] = 729,
  [744] = 707,
  [745] = 729,
  [746] = 708,
  [747] = 713,
  [748] = 709,
  [749] = 711,
  [750] = 703,
  [751] = 703,
  [752] = 715,
  [753] = 713,
  [754] = 719,
  [755] = 720,
  [756] = 707,
  [757] = 719,
  [758] = 452,
  [759] = 449,
  [760] = 450,
  [761] = 713,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 713,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 463,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 459,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 715,
  [787] = 787,
  [788] = 720,
  [789] = 771,
  [790] = 457,
  [791] = 460,
  [792] = 465,
  [793] = 445,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 461,
  [799] = 452,
  [800] = 467,
  [801] = 468,
  [802] = 458,
  [803] = 449,
  [804] = 450,
  [805] = 462,
  [806] = 460,
  [807] = 465,
  [808] = 463,
  [809] = 459,
  [810] = 457,
  [811] = 445,
  [812] = 812,
  [813] = 772,
  [814] = 462,
  [815] = 725,
  [816] = 776,
  [817] = 794,
  [818] = 726,
  [819] = 777,
  [820] = 461,
  [821] = 773,
  [822] = 723,
  [823] = 443,
  [824] = 441,
  [825] = 440,
  [826] = 762,
  [827] = 787,
  [828] = 763,
  [829] = 706,
  [830] = 467,
  [831] = 764,
  [832] = 762,
  [833] = 783,
  [834] = 468,
  [835] = 779,
  [836] = 763,
  [837] = 458,
  [838] = 780,
  [839] = 796,
  [840] = 781,
  [841] = 797,
  [842] = 765,
  [843] = 766,
  [844] = 728,
  [845] = 718,
  [846] = 768,
  [847] = 716,
  [848] = 726,
  [849] = 770,
  [850] = 723,
  [851] = 728,
  [852] = 796,
  [853] = 797,
  [854] = 729,
  [855] = 774,
  [856] = 729,
  [857] = 707,
  [858] = 708,
  [859] = 775,
  [860] = 772,
  [861] = 773,
  [862] = 787,
  [863] = 774,
  [864] = 775,
  [865] = 707,
  [866] = 725,
  [867] = 708,
  [868] = 784,
  [869] = 785,
  [870] = 726,
  [871] = 723,
  [872] = 728,
  [873] = 764,
  [874] = 729,
  [875] = 765,
  [876] = 707,
  [877] = 717,
  [878] = 776,
  [879] = 708,
  [880] = 777,
  [881] = 709,
  [882] = 711,
  [883] = 709,
  [884] = 766,
  [885] = 767,
  [886] = 711,
  [887] = 795,
  [888] = 768,
  [889] = 709,
  [890] = 713,
  [891] = 779,
  [892] = 780,
  [893] = 781,
  [894] = 784,
  [895] = 785,
  [896] = 771,
  [897] = 770,
  [898] = 711,
  [899] = 715,
  [900] = 783,
  [901] = 719,
  [902] = 720,
  [903] = 903,
  [904] = 904,
  [905] = 703,
  [906] = 462,
  [907] = 706,
  [908] = 715,
  [909] = 719,
  [910] = 720,
  [911] = 460,
  [912] = 462,
  [913] = 794,
  [914] = 465,
  [915] = 812,
  [916] = 795,
  [917] = 706,
  [918] = 812,
  [919] = 767,
  [920] = 781,
  [921] = 796,
  [922] = 779,
  [923] = 764,
  [924] = 780,
  [925] = 771,
  [926] = 706,
  [927] = 776,
  [928] = 766,
  [929] = 783,
  [930] = 767,
  [931] = 768,
  [932] = 797,
  [933] = 762,
  [934] = 764,
  [935] = 765,
  [936] = 460,
  [937] = 462,
  [938] = 465,
  [939] = 777,
  [940] = 796,
  [941] = 797,
  [942] = 794,
  [943] = 795,
  [944] = 766,
  [945] = 812,
  [946] = 471,
  [947] = 787,
  [948] = 452,
  [949] = 777,
  [950] = 462,
  [951] = 779,
  [952] = 796,
  [953] = 785,
  [954] = 776,
  [955] = 772,
  [956] = 780,
  [957] = 770,
  [958] = 767,
  [959] = 784,
  [960] = 461,
  [961] = 726,
  [962] = 781,
  [963] = 461,
  [964] = 723,
  [965] = 770,
  [966] = 762,
  [967] = 763,
  [968] = 728,
  [969] = 729,
  [970] = 707,
  [971] = 708,
  [972] = 709,
  [973] = 711,
  [974] = 764,
  [975] = 765,
  [976] = 766,
  [977] = 768,
  [978] = 767,
  [979] = 768,
  [980] = 467,
  [981] = 713,
  [982] = 763,
  [983] = 461,
  [984] = 770,
  [985] = 797,
  [986] = 468,
  [987] = 458,
  [988] = 784,
  [989] = 460,
  [990] = 785,
  [991] = 465,
  [992] = 452,
  [993] = 772,
  [994] = 773,
  [995] = 774,
  [996] = 775,
  [997] = 471,
  [998] = 776,
  [999] = 777,
  [1000] = 449,
  [1001] = 452,
  [1002] = 462,
  [1003] = 779,
  [1004] = 780,
  [1005] = 781,
  [1006] = 467,
  [1007] = 468,
  [1008] = 458,
  [1009] = 784,
  [1010] = 785,
  [1011] = 449,
  [1012] = 467,
  [1013] = 450,
  [1014] = 468,
  [1015] = 771,
  [1016] = 458,
  [1017] = 449,
  [1018] = 463,
  [1019] = 450,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 459,
  [1024] = 783,
  [1025] = 703,
  [1026] = 772,
  [1027] = 773,
  [1028] = 774,
  [1029] = 787,
  [1030] = 457,
  [1031] = 460,
  [1032] = 703,
  [1033] = 773,
  [1034] = 445,
  [1035] = 794,
  [1036] = 771,
  [1037] = 795,
  [1038] = 715,
  [1039] = 812,
  [1040] = 465,
  [1041] = 783,
  [1042] = 462,
  [1043] = 762,
  [1044] = 774,
  [1045] = 719,
  [1046] = 787,
  [1047] = 720,
  [1048] = 794,
  [1049] = 775,
  [1050] = 450,
  [1051] = 795,
  [1052] = 812,
  [1053] = 775,
  [1054] = 763,
  [1055] = 765,
  [1056] = 449,
  [1057] = 766,
  [1058] = 767,
  [1059] = 768,
  [1060] = 461,
  [1061] = 452,
  [1062] = 903,
  [1063] = 467,
  [1064] = 716,
  [1065] = 468,
  [1066] = 717,
  [1067] = 718,
  [1068] = 471,
  [1069] = 458,
  [1070] = 904,
  [1071] = 449,
  [1072] = 450,
  [1073] = 465,
  [1074] = 770,
  [1075] = 716,
  [1076] = 461,
  [1077] = 445,
  [1078] = 794,
  [1079] = 452,
  [1080] = 717,
  [1081] = 795,
  [1082] = 467,
  [1083] = 772,
  [1084] = 762,
  [1085] = 773,
  [1086] = 774,
  [1087] = 468,
  [1088] = 458,
  [1089] = 763,
  [1090] = 718,
  [1091] = 471,
  [1092] = 771,
  [1093] = 463,
  [1094] = 775,
  [1095] = 460,
  [1096] = 460,
  [1097] = 462,
  [1098] = 812,
  [1099] = 787,
  [1100] = 465,
  [1101] = 776,
  [1102] = 459,
  [1103] = 777,
  [1104] = 783,
  [1105] = 716,
  [1106] = 764,
  [1107] = 717,
  [1108] = 779,
  [1109] = 443,
  [1110] = 718,
  [1111] = 441,
  [1112] = 797,
  [1113] = 440,
  [1114] = 780,
  [1115] = 781,
  [1116] = 796,
  [1117] = 765,
  [1118] = 784,
  [1119] = 462,
  [1120] = 785,
  [1121] = 457,
  [1122] = 450,
  [1123] = 462,
  [1124] = 445,
  [1125] = 457,
  [1126] = 459,
  [1127] = 462,
  [1128] = 462,
  [1129] = 1129,
  [1130] = 463,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1132,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1134,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1134,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1135,
  [1144] = 1144,
  [1145] = 1137,
  [1146] = 1135,
  [1147] = 1140,
  [1148] = 1141,
  [1149] = 1142,
  [1150] = 1140,
  [1151] = 1141,
  [1152] = 1141,
  [1153] = 1142,
  [1154] = 1132,
  [1155] = 1144,
  [1156] = 1138,
  [1157] = 1132,
  [1158] = 1140,
  [1159] = 1144,
  [1160] = 1134,
  [1161] = 1138,
  [1162] = 1142,
  [1163] = 1138,
  [1164] = 1135,
  [1165] = 1137,
  [1166] = 1144,
  [1167] = 1137,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1169,
  [1171] = 1169,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1173,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1177,
  [1180] = 1173,
  [1181] = 1178,
  [1182] = 1175,
  [1183] = 1176,
  [1184] = 1178,
  [1185] = 1177,
  [1186] = 1173,
  [1187] = 1175,
  [1188] = 1176,
  [1189] = 1177,
  [1190] = 1178,
  [1191] = 1176,
  [1192] = 1175,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1194,
  [1197] = 1195,
  [1198] = 1194,
  [1199] = 1195,
  [1200] = 1194,
  [1201] = 1195,
  [1202] = 904,
  [1203] = 463,
  [1204] = 459,
  [1205] = 457,
  [1206] = 445,
  [1207] = 903,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1208,
  [1211] = 1209,
  [1212] = 1209,
  [1213] = 1208,
  [1214] = 1214,
  [1215] = 1209,
  [1216] = 1208,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1208,
  [1221] = 1209,
  [1222] = 1208,
  [1223] = 1209,
  [1224] = 1224,
  [1225] = 462,
  [1226] = 460,
  [1227] = 465,
  [1228] = 903,
  [1229] = 445,
  [1230] = 1230,
  [1231] = 457,
  [1232] = 462,
  [1233] = 463,
  [1234] = 459,
  [1235] = 457,
  [1236] = 445,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1208,
  [1240] = 1217,
  [1241] = 1218,
  [1242] = 1219,
  [1243] = 904,
  [1244] = 903,
  [1245] = 1209,
  [1246] = 904,
  [1247] = 460,
  [1248] = 465,
  [1249] = 1249,
  [1250] = 463,
  [1251] = 459,
  [1252] = 463,
  [1253] = 459,
  [1254] = 457,
  [1255] = 903,
  [1256] = 445,
  [1257] = 904,
  [1258] = 1258,
  [1259] = 1258,
  [1260] = 1249,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1214,
  [1264] = 1264,
  [1265] = 1238,
  [1266] = 1261,
  [1267] = 1261,
  [1268] = 1258,
  [1269] = 1269,
  [1270] = 1230,
  [1271] = 1261,
  [1272] = 1224,
  [1273] = 1261,
  [1274] = 1261,
  [1275] = 1261,
  [1276] = 1258,
  [1277] = 1264,
  [1278] = 1258,
  [1279] = 1258,
  [1280] = 1258,
  [1281] = 1269,
  [1282] = 1258,
  [1283] = 1258,
  [1284] = 1237,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1287,
  [1290] = 1288,
  [1291] = 1291,
  [1292] = 1291,
  [1293] = 1293,
  [1294] = 1293,
  [1295] = 1293,
  [1296] = 1293,
  [1297] = 1293,
  [1298] = 1293,
  [1299] = 1293,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1304,
  [1308] = 1308,
  [1309] = 1305,
  [1310] = 1304,
  [1311] = 1305,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1304,
  [1316] = 1305,
  [1317] = 1304,
  [1318] = 1305,
  [1319] = 1304,
  [1320] = 1305,
  [1321] = 1304,
  [1322] = 1305,
  [1323] = 1304,
  [1324] = 1305,
  [1325] = 1312,
  [1326] = 1326,
  [1327] = 1304,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1312,
  [1331] = 1305,
  [1332] = 1312,
  [1333] = 1304,
  [1334] = 1312,
  [1335] = 1304,
  [1336] = 1312,
  [1337] = 1305,
  [1338] = 1312,
  [1339] = 1305,
  [1340] = 1303,
  [1341] = 1341,
  [1342] = 1341,
  [1343] = 1301,
  [1344] = 1302,
  [1345] = 1329,
  [1346] = 1301,
  [1347] = 1302,
  [1348] = 1303,
  [1349] = 1328,
  [1350] = 1306,
  [1351] = 1314,
  [1352] = 1308,
  [1353] = 1314,
  [1354] = 1306,
  [1355] = 1308,
  [1356] = 1356,
  [1357] = 1329,
  [1358] = 1328,
  [1359] = 1326,
  [1360] = 1326,
  [1361] = 1303,
  [1362] = 1362,
  [1363] = 1326,
  [1364] = 1329,
  [1365] = 1326,
  [1366] = 1328,
  [1367] = 1302,
  [1368] = 1328,
  [1369] = 1314,
  [1370] = 1314,
  [1371] = 1302,
  [1372] = 1301,
  [1373] = 1341,
  [1374] = 1306,
  [1375] = 1308,
  [1376] = 1306,
  [1377] = 1306,
  [1378] = 1314,
  [1379] = 1302,
  [1380] = 1329,
  [1381] = 1308,
  [1382] = 1329,
  [1383] = 1301,
  [1384] = 1303,
  [1385] = 1301,
  [1386] = 1386,
  [1387] = 1308,
  [1388] = 1341,
  [1389] = 1326,
  [1390] = 1303,
  [1391] = 1328,
  [1392] = 1328,
  [1393] = 1393,
  [1394] = 1386,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1329,
  [1400] = 1400,
  [1401] = 1326,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1395,
  [1406] = 1406,
  [1407] = 1301,
  [1408] = 1302,
  [1409] = 1303,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1306,
  [1413] = 1397,
  [1414] = 1414,
  [1415] = 1314,
  [1416] = 1416,
  [1417] = 1404,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1308,
  [1422] = 1386,
  [1423] = 1404,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1410,
  [1427] = 1404,
  [1428] = 1428,
  [1429] = 1404,
  [1430] = 1430,
  [1431] = 1404,
  [1432] = 1404,
  [1433] = 1386,
  [1434] = 1404,
  [1435] = 1404,
  [1436] = 1406,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1418,
  [1440] = 1419,
  [1441] = 1424,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1444,
  [1447] = 1447,
  [1448] = 1402,
  [1449] = 1396,
  [1450] = 1450,
  [1451] = 1443,
  [1452] = 1443,
  [1453] = 1445,
  [1454] = 1447,
  [1455] = 1362,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1443,
  [1459] = 1445,
  [1460] = 1460,
  [1461] = 1447,
  [1462] = 1462,
  [1463] = 1443,
  [1464] = 1464,
  [1465] = 1445,
  [1466] = 1447,
  [1467] = 1447,
  [1468] = 1468,
  [1469] = 1443,
  [1470] = 1445,
  [1471] = 1447,
  [1472] = 1472,
  [1473] = 1418,
  [1474] = 1419,
  [1475] = 1443,
  [1476] = 1445,
  [1477] = 1447,
  [1478] = 1478,
  [1479] = 1462,
  [1480] = 1480,
  [1481] = 1406,
  [1482] = 1468,
  [1483] = 1424,
  [1484] = 1438,
  [1485] = 1480,
  [1486] = 1418,
  [1487] = 1402,
  [1488] = 1419,
  [1489] = 1396,
  [1490] = 1424,
  [1491] = 1491,
  [1492] = 1445,
  [1493] = 1457,
  [1494] = 1494,
  [1495] = 1402,
  [1496] = 1494,
  [1497] = 1396,
  [1498] = 1406,
  [1499] = 1499,
  [1500] = 1224,
  [1501] = 783,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1450,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1506,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1502,
  [1520] = 1520,
  [1521] = 1507,
  [1522] = 1522,
  [1523] = 763,
  [1524] = 1503,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1510,
  [1528] = 1518,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1510,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1450,
  [1539] = 1362,
  [1540] = 1460,
  [1541] = 1541,
  [1542] = 1508,
  [1543] = 1543,
  [1544] = 1505,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1541,
  [1550] = 1550,
  [1551] = 1537,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1508,
  [1555] = 1460,
  [1556] = 1556,
  [1557] = 1552,
  [1558] = 1558,
  [1559] = 1553,
  [1560] = 1560,
  [1561] = 1529,
  [1562] = 1491,
  [1563] = 1511,
  [1564] = 1537,
  [1565] = 1518,
  [1566] = 1510,
  [1567] = 1450,
  [1568] = 1513,
  [1569] = 1400,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1214,
  [1573] = 1541,
  [1574] = 1491,
  [1575] = 1460,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1525,
  [1581] = 1533,
  [1582] = 1579,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1546,
  [1586] = 1525,
  [1587] = 1491,
  [1588] = 1534,
  [1589] = 1571,
  [1590] = 1520,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1602,
  [1604] = 763,
  [1605] = 1605,
  [1606] = 1605,
  [1607] = 763,
  [1608] = 1596,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1576,
  [1612] = 1605,
  [1613] = 1502,
  [1614] = 763,
  [1615] = 1503,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1578,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1249,
  [1624] = 1624,
  [1625] = 1525,
  [1626] = 1605,
  [1627] = 1547,
  [1628] = 1628,
  [1629] = 1494,
  [1630] = 1529,
  [1631] = 1533,
  [1632] = 1534,
  [1633] = 1621,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1621,
  [1638] = 1533,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1583,
  [1642] = 1576,
  [1643] = 1643,
  [1644] = 1605,
  [1645] = 783,
  [1646] = 1584,
  [1647] = 1508,
  [1648] = 1238,
  [1649] = 1649,
  [1650] = 1543,
  [1651] = 1529,
  [1652] = 1505,
  [1653] = 1592,
  [1654] = 783,
  [1655] = 1655,
  [1656] = 1597,
  [1657] = 1657,
  [1658] = 1505,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1570,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1591,
  [1665] = 1547,
  [1666] = 1502,
  [1667] = 1503,
  [1668] = 1576,
  [1669] = 1657,
  [1670] = 1583,
  [1671] = 1543,
  [1672] = 1584,
  [1673] = 1578,
  [1674] = 1674,
  [1675] = 1643,
  [1676] = 1541,
  [1677] = 1543,
  [1678] = 1534,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1605,
  [1683] = 1683,
  [1684] = 1662,
  [1685] = 1237,
  [1686] = 1230,
  [1687] = 1547,
  [1688] = 783,
  [1689] = 1605,
  [1690] = 1621,
  [1691] = 1583,
  [1692] = 1584,
  [1693] = 1693,
  [1694] = 1578,
  [1695] = 1695,
  [1696] = 1636,
  [1697] = 1649,
  [1698] = 1681,
  [1699] = 1593,
  [1700] = 1700,
  [1701] = 1619,
  [1702] = 1702,
  [1703] = 1622,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1659,
  [1708] = 1660,
  [1709] = 1609,
  [1710] = 1624,
  [1711] = 1635,
  [1712] = 1628,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1601,
  [1716] = 1639,
  [1717] = 1717,
  [1718] = 1683,
  [1719] = 1705,
  [1720] = 1595,
  [1721] = 1600,
  [1722] = 1674,
  [1723] = 1680,
  [1724] = 1683,
  [1725] = 1620,
  [1726] = 1726,
  [1727] = 1695,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1713,
  [1731] = 1714,
  [1732] = 1594,
  [1733] = 1695,
  [1734] = 1548,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1598,
  [1738] = 1713,
  [1739] = 1617,
  [1740] = 1714,
  [1741] = 1741,
  [1742] = 1713,
  [1743] = 1714,
  [1744] = 1636,
  [1745] = 1695,
  [1746] = 1649,
  [1747] = 1681,
  [1748] = 1593,
  [1749] = 1749,
  [1750] = 1619,
  [1751] = 1680,
  [1752] = 1622,
  [1753] = 1753,
  [1754] = 1620,
  [1755] = 1702,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1659,
  [1760] = 1515,
  [1761] = 1660,
  [1762] = 1609,
  [1763] = 1624,
  [1764] = 1635,
  [1765] = 1765,
  [1766] = 1700,
  [1767] = 1628,
  [1768] = 1601,
  [1769] = 1639,
  [1770] = 1595,
  [1771] = 1600,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1594,
  [1775] = 1596,
  [1776] = 1598,
  [1777] = 1674,
  [1778] = 1617,
  [1779] = 1680,
  [1780] = 1780,
  [1781] = 1683,
  [1782] = 1620,
  [1783] = 1594,
  [1784] = 1596,
  [1785] = 1598,
  [1786] = 1617,
  [1787] = 1636,
  [1788] = 1649,
  [1789] = 1681,
  [1790] = 1593,
  [1791] = 1619,
  [1792] = 1622,
  [1793] = 1756,
  [1794] = 1772,
  [1795] = 1659,
  [1796] = 1660,
  [1797] = 1609,
  [1798] = 1624,
  [1799] = 1635,
  [1800] = 1628,
  [1801] = 1601,
  [1802] = 1639,
  [1803] = 1595,
  [1804] = 1600,
  [1805] = 1674,
  [1806] = 1663,
  [1807] = 1726,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1706,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1812,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1826,
  [1834] = 1834,
  [1835] = 1830,
  [1836] = 1836,
  [1837] = 1827,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1828,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1809,
  [1845] = 1820,
  [1846] = 1846,
  [1847] = 1530,
  [1848] = 1848,
  [1849] = 1536,
  [1850] = 1550,
  [1851] = 1811,
  [1852] = 1852,
  [1853] = 1818,
  [1854] = 1831,
  [1855] = 1809,
  [1856] = 1856,
  [1857] = 1843,
  [1858] = 1815,
  [1859] = 1859,
  [1860] = 1818,
  [1861] = 1819,
  [1862] = 1848,
  [1863] = 1821,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1812,
  [1868] = 1838,
  [1869] = 1826,
  [1870] = 1515,
  [1871] = 1827,
  [1872] = 1828,
  [1873] = 1831,
  [1874] = 1874,
  [1875] = 1816,
  [1876] = 1831,
  [1877] = 1838,
  [1878] = 1839,
  [1879] = 1841,
  [1880] = 1842,
  [1881] = 1843,
  [1882] = 1818,
  [1883] = 1820,
  [1884] = 1884,
  [1885] = 1848,
  [1886] = 1813,
  [1887] = 1887,
  [1888] = 1824,
  [1889] = 1889,
  [1890] = 1814,
  [1891] = 1214,
  [1892] = 1892,
  [1893] = 1832,
  [1894] = 1809,
  [1895] = 1526,
  [1896] = 1535,
  [1897] = 1548,
  [1898] = 1815,
  [1899] = 1499,
  [1900] = 1818,
  [1901] = 1819,
  [1902] = 1902,
  [1903] = 1821,
  [1904] = 1819,
  [1905] = 1819,
  [1906] = 1812,
  [1907] = 1826,
  [1908] = 1827,
  [1909] = 1828,
  [1910] = 1558,
  [1911] = 1911,
  [1912] = 1821,
  [1913] = 1913,
  [1914] = 1214,
  [1915] = 1706,
  [1916] = 1809,
  [1917] = 1917,
  [1918] = 1821,
  [1919] = 1919,
  [1920] = 1815,
  [1921] = 1818,
  [1922] = 1819,
  [1923] = 1923,
  [1924] = 1749,
  [1925] = 1821,
  [1926] = 1926,
  [1927] = 1812,
  [1928] = 1826,
  [1929] = 1827,
  [1930] = 1828,
  [1931] = 1812,
  [1932] = 1815,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1859,
  [1936] = 1936,
  [1937] = 1838,
  [1938] = 1826,
  [1939] = 1919,
  [1940] = 1809,
  [1941] = 1815,
  [1942] = 1214,
  [1943] = 1818,
  [1944] = 1819,
  [1945] = 1821,
  [1946] = 1522,
  [1947] = 1926,
  [1948] = 1812,
  [1949] = 1816,
  [1950] = 1826,
  [1951] = 1827,
  [1952] = 1828,
  [1953] = 1953,
  [1954] = 1237,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1841,
  [1958] = 1834,
  [1959] = 1821,
  [1960] = 1827,
  [1961] = 1828,
  [1962] = 1827,
  [1963] = 1841,
  [1964] = 1964,
  [1965] = 1828,
  [1966] = 1842,
  [1967] = 1706,
  [1968] = 1821,
  [1969] = 1827,
  [1970] = 1828,
  [1971] = 1971,
  [1972] = 1843,
  [1973] = 1973,
  [1974] = 1953,
  [1975] = 1842,
  [1976] = 1820,
  [1977] = 1964,
  [1978] = 1808,
  [1979] = 1979,
  [1980] = 1913,
  [1981] = 1865,
  [1982] = 1874,
  [1983] = 1983,
  [1984] = 1829,
  [1985] = 1846,
  [1986] = 1911,
  [1987] = 1809,
  [1988] = 1830,
  [1989] = 1887,
  [1990] = 1811,
  [1991] = 1224,
  [1992] = 1864,
  [1993] = 1993,
  [1994] = 1933,
  [1995] = 1936,
  [1996] = 1993,
  [1997] = 1813,
  [1998] = 1814,
  [1999] = 1848,
  [2000] = 1735,
  [2001] = 1726,
  [2002] = 1729,
  [2003] = 1973,
  [2004] = 1815,
  [2005] = 1735,
  [2006] = 1979,
  [2007] = 1726,
  [2008] = 1729,
  [2009] = 1983,
  [2010] = 2010,
  [2011] = 1964,
  [2012] = 1810,
  [2013] = 1808,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2021,
  [2026] = 2018,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 485,
  [2033] = 2019,
  [2034] = 2021,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 481,
  [2039] = 2036,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2036,
  [2043] = 1249,
  [2044] = 2019,
  [2045] = 1237,
  [2046] = 2021,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 490,
  [2051] = 2036,
  [2052] = 476,
  [2053] = 1238,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2056,
  [2058] = 2056,
  [2059] = 2023,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2056,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2024,
  [2070] = 2070,
  [2071] = 2055,
  [2072] = 2064,
  [2073] = 2073,
  [2074] = 2035,
  [2075] = 489,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 1230,
  [2079] = 2079,
  [2080] = 1230,
  [2081] = 2070,
  [2082] = 2082,
  [2083] = 2079,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2065,
  [2088] = 1892,
  [2089] = 2089,
  [2090] = 2077,
  [2091] = 2019,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2085,
  [2095] = 2023,
  [2096] = 2029,
  [2097] = 2076,
  [2098] = 2024,
  [2099] = 2018,
  [2100] = 2100,
  [2101] = 1249,
  [2102] = 1238,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2105,
  [2114] = 2110,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2106,
  [2118] = 2118,
  [2119] = 2106,
  [2120] = 2120,
  [2121] = 2112,
  [2122] = 2122,
  [2123] = 2122,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2107,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2125,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2125,
  [2137] = 2137,
  [2138] = 2107,
  [2139] = 2110,
  [2140] = 2106,
  [2141] = 2134,
  [2142] = 2122,
  [2143] = 2107,
  [2144] = 2134,
  [2145] = 2110,
  [2146] = 2134,
  [2147] = 2134,
  [2148] = 2111,
  [2149] = 2104,
  [2150] = 2103,
  [2151] = 2105,
  [2152] = 2104,
  [2153] = 2153,
  [2154] = 2105,
  [2155] = 2108,
  [2156] = 2103,
  [2157] = 2109,
  [2158] = 2133,
  [2159] = 2122,
  [2160] = 2134,
  [2161] = 2112,
  [2162] = 2111,
  [2163] = 2163,
  [2164] = 2112,
  [2165] = 2165,
  [2166] = 2109,
  [2167] = 2129,
  [2168] = 2124,
  [2169] = 2108,
  [2170] = 2109,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2115,
  [2174] = 2174,
  [2175] = 2174,
  [2176] = 2176,
  [2177] = 2116,
  [2178] = 2178,
  [2179] = 2125,
  [2180] = 2127,
  [2181] = 2135,
  [2182] = 2120,
  [2183] = 2131,
  [2184] = 2184,
  [2185] = 2111,
  [2186] = 2134,
  [2187] = 2108,
  [2188] = 2128,
  [2189] = 2124,
  [2190] = 2124,
  [2191] = 2111,
  [2192] = 2133,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2125,
  [2196] = 2103,
  [2197] = 2133,
  [2198] = 2137,
  [2199] = 2109,
  [2200] = 2174,
  [2201] = 2174,
  [2202] = 2193,
  [2203] = 2107,
  [2204] = 2163,
  [2205] = 2137,
  [2206] = 2110,
  [2207] = 2137,
  [2208] = 2163,
  [2209] = 2112,
  [2210] = 2104,
  [2211] = 2134,
  [2212] = 2212,
  [2213] = 2133,
  [2214] = 2108,
  [2215] = 2104,
  [2216] = 2216,
  [2217] = 2194,
  [2218] = 2105,
  [2219] = 2111,
  [2220] = 2104,
  [2221] = 2124,
  [2222] = 2112,
  [2223] = 2216,
  [2224] = 2125,
  [2225] = 2103,
  [2226] = 2105,
  [2227] = 2133,
  [2228] = 2137,
  [2229] = 2184,
  [2230] = 2109,
  [2231] = 2231,
  [2232] = 2107,
  [2233] = 2233,
  [2234] = 2110,
  [2235] = 2134,
  [2236] = 2236,
  [2237] = 2125,
  [2238] = 2137,
  [2239] = 2133,
  [2240] = 2104,
  [2241] = 2163,
  [2242] = 2105,
  [2243] = 2137,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2108,
  [2247] = 2111,
  [2248] = 2112,
  [2249] = 2118,
  [2250] = 2176,
  [2251] = 2108,
  [2252] = 2233,
  [2253] = 2253,
  [2254] = 2109,
  [2255] = 2245,
  [2256] = 2236,
  [2257] = 2107,
  [2258] = 2110,
  [2259] = 2253,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(49);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == '&') ADVANCE(90);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(74);
      if (lookahead == '.') ADVANCE(55);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(104);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(124);
      if (lookahead == ']') ADVANCE(69);
      if (lookahead == '^') ADVANCE(92);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(143);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(121);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '#') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '}') ADVANCE(78);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(126);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(15);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == '&') ADVANCE(90);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(55);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(104);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(92);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(85);
      if (lookahead == '&') ADVANCE(89);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(81);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(72);
      if (lookahead == '.') ADVANCE(55);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(105);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(69);
      if (lookahead == '^') ADVANCE(91);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(75);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(17);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(11);
      if (lookahead == '/') ADVANCE(13);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(14);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(27);
      if (lookahead == '@') ADVANCE(19);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(20);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(21);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(15);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == '&') ADVANCE(90);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(104);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(92);
      if (lookahead == '|') ADVANCE(76);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(85);
      if (lookahead == '&') ADVANCE(89);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(81);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(72);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(97);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(105);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(69);
      if (lookahead == '^') ADVANCE(91);
      if (lookahead == '|') ADVANCE(75);
      if (lookahead == '}') ADVANCE(78);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(10);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(143);
      END_STATE();
    case 11:
      if (lookahead == '.') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(120);
      END_STATE();
    case 13:
      if (lookahead == '/') ADVANCE(23);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 14:
      if (lookahead == '<') ADVANCE(24);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 16:
      if (lookahead == '=') ADVANCE(101);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 26:
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(25);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(133);
      END_STATE();
    case 29:
      if (lookahead == '_') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 30:
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 31:
      if (lookahead == '{') ADVANCE(46);
      END_STATE();
    case 32:
      if (lookahead == '}') ADVANCE(121);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 34:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(133);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(32);
      END_STATE();
    case 47:
      if (eof) ADVANCE(49);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '%') ADVANCE(86);
      if (lookahead == '&') ADVANCE(90);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(82);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(74);
      if (lookahead == '.') ADVANCE(55);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(58);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(96);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(104);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(69);
      if (lookahead == '^') ADVANCE(92);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 48:
      if (eof) ADVANCE(49);
      if (lookahead == '\r') SKIP(48);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '#') ADVANCE(142);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(81);
      if (lookahead == ',') ADVANCE(51);
      if (lookahead == '-') ADVANCE(72);
      if (lookahead == '.') ADVANCE(55);
      if (lookahead == '0') ADVANCE(130);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(50);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(103);
      if (lookahead == '@') ADVANCE(70);
      if (lookahead == '[') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(69);
      if (lookahead == '{') ADVANCE(77);
      if (lookahead == '|') ADVANCE(75);
      if (lookahead == '}') ADVANCE(78);
      if (lookahead == '~') ADVANCE(95);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(141);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(56);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(66);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(87);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(94);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '>') ADVANCE(53);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '>') ADVANCE(52);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        0, 143,
        '\n', 121,
        '\r', 2,
        'N', 31,
        'U', 45,
        'u', 41,
        'x', 39,
        '"', 121,
        '\'', 121,
        '\\', 121,
        'a', 121,
        'b', 121,
        'f', 121,
        'n', 121,
        'r', 121,
        't', 121,
        'v', 121,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(127);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 126,
        '#', 127,
        '\\', 125,
        '\t', 126,
        0x0b, 126,
        '\f', 126,
        ' ', 126,
        0x200b, 126,
        0x2060, 126,
        0xfeff, 126,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 139,
        '_', 132,
        'B', 28,
        'b', 28,
        'E', 33,
        'e', 33,
        'O', 29,
        'o', 29,
        'X', 30,
        'x', 30,
        'J', 129,
        'L', 129,
        'j', 129,
        'l', 129,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 139,
        '_', 132,
        'E', 33,
        'e', 33,
        'J', 129,
        'L', 129,
        'j', 129,
        'l', 129,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(139);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(33);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(129);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(139);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(33);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(140);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(33);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(23);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'q') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 15:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(43);
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 19:
      if (lookahead == 'y') ADVANCE(47);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 21:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'd') ADVANCE(53);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(60);
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_eq);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(64);
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 35:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 38:
      if (lookahead == 'm') ADVANCE(68);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_ne);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 62:
      if (lookahead == 'f') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 68:
      if (lookahead == 'b') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 71:
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(99);
      END_STATE();
    case 77:
      if (lookahead == 'h') ADVANCE(100);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 84:
      if (lookahead == 'k') ADVANCE(105);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(106);
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(108);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 91:
      if (lookahead == 's') ADVANCE(109);
      END_STATE();
    case 92:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 93:
      if (lookahead == 'h') ADVANCE(111);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(114);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 106:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 107:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_fails);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == '_') ADVANCE(123);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_assert_);
      if (lookahead == 'c') ADVANCE(126);
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'f') ADVANCE(128);
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 124:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 126:
      if (lookahead == 'o') ADVANCE(132);
      END_STATE();
    case 127:
      if (lookahead == 'q') ADVANCE(133);
      END_STATE();
    case 128:
      if (lookahead == 'a') ADVANCE(134);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_contains);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 132:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_assert_eq);
      END_STATE();
    case 134:
      if (lookahead == 'i') ADVANCE(137);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert_ne);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 138:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 140:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_assert_fails);
      END_STATE();
    case 142:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 143:
      if (lookahead == 's') ADVANCE(144);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_assert_contains);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 48, .external_lex_state = 2},
  [2] = {.lex_state = 48, .external_lex_state = 3},
  [3] = {.lex_state = 48, .external_lex_state = 3},
  [4] = {.lex_state = 48, .external_lex_state = 3},
  [5] = {.lex_state = 48, .external_lex_state = 3},
  [6] = {.lex_state = 48, .external_lex_state = 3},
  [7] = {.lex_state = 48, .external_lex_state = 3},
  [8] = {.lex_state = 48, .external_lex_state = 3},
  [9] = {.lex_state = 48, .external_lex_state = 3},
  [10] = {.lex_state = 48, .external_lex_state = 3},
  [11] = {.lex_state = 48, .external_lex_state = 3},
  [12] = {.lex_state = 48, .external_lex_state = 3},
  [13] = {.lex_state = 48, .external_lex_state = 3},
  [14] = {.lex_state = 48, .external_lex_state = 3},
  [15] = {.lex_state = 48, .external_lex_state = 3},
  [16] = {.lex_state = 48, .external_lex_state = 3},
  [17] = {.lex_state = 48, .external_lex_state = 3},
  [18] = {.lex_state = 48, .external_lex_state = 3},
  [19] = {.lex_state = 48, .external_lex_state = 3},
  [20] = {.lex_state = 48, .external_lex_state = 3},
  [21] = {.lex_state = 48, .external_lex_state = 3},
  [22] = {.lex_state = 48, .external_lex_state = 3},
  [23] = {.lex_state = 48, .external_lex_state = 3},
  [24] = {.lex_state = 48, .external_lex_state = 3},
  [25] = {.lex_state = 48, .external_lex_state = 3},
  [26] = {.lex_state = 48, .external_lex_state = 3},
  [27] = {.lex_state = 48, .external_lex_state = 3},
  [28] = {.lex_state = 48, .external_lex_state = 3},
  [29] = {.lex_state = 48, .external_lex_state = 3},
  [30] = {.lex_state = 48, .external_lex_state = 3},
  [31] = {.lex_state = 48, .external_lex_state = 3},
  [32] = {.lex_state = 48, .external_lex_state = 3},
  [33] = {.lex_state = 48, .external_lex_state = 3},
  [34] = {.lex_state = 48, .external_lex_state = 3},
  [35] = {.lex_state = 48, .external_lex_state = 3},
  [36] = {.lex_state = 48, .external_lex_state = 3},
  [37] = {.lex_state = 48, .external_lex_state = 3},
  [38] = {.lex_state = 48, .external_lex_state = 3},
  [39] = {.lex_state = 48, .external_lex_state = 3},
  [40] = {.lex_state = 48, .external_lex_state = 2},
  [41] = {.lex_state = 48, .external_lex_state = 3},
  [42] = {.lex_state = 48, .external_lex_state = 3},
  [43] = {.lex_state = 48, .external_lex_state = 2},
  [44] = {.lex_state = 48, .external_lex_state = 3},
  [45] = {.lex_state = 48, .external_lex_state = 3},
  [46] = {.lex_state = 4, .external_lex_state = 4},
  [47] = {.lex_state = 4, .external_lex_state = 4},
  [48] = {.lex_state = 4, .external_lex_state = 4},
  [49] = {.lex_state = 4, .external_lex_state = 4},
  [50] = {.lex_state = 5, .external_lex_state = 5},
  [51] = {.lex_state = 5, .external_lex_state = 5},
  [52] = {.lex_state = 5, .external_lex_state = 5},
  [53] = {.lex_state = 5, .external_lex_state = 5},
  [54] = {.lex_state = 5, .external_lex_state = 5},
  [55] = {.lex_state = 5, .external_lex_state = 5},
  [56] = {.lex_state = 5, .external_lex_state = 5},
  [57] = {.lex_state = 5, .external_lex_state = 5},
  [58] = {.lex_state = 48, .external_lex_state = 5},
  [59] = {.lex_state = 48, .external_lex_state = 5},
  [60] = {.lex_state = 48, .external_lex_state = 5},
  [61] = {.lex_state = 48, .external_lex_state = 5},
  [62] = {.lex_state = 48, .external_lex_state = 5},
  [63] = {.lex_state = 48, .external_lex_state = 5},
  [64] = {.lex_state = 48, .external_lex_state = 5},
  [65] = {.lex_state = 48, .external_lex_state = 5},
  [66] = {.lex_state = 48, .external_lex_state = 5},
  [67] = {.lex_state = 48, .external_lex_state = 5},
  [68] = {.lex_state = 48, .external_lex_state = 5},
  [69] = {.lex_state = 48, .external_lex_state = 5},
  [70] = {.lex_state = 48, .external_lex_state = 5},
  [71] = {.lex_state = 48, .external_lex_state = 5},
  [72] = {.lex_state = 48, .external_lex_state = 5},
  [73] = {.lex_state = 48, .external_lex_state = 5},
  [74] = {.lex_state = 48, .external_lex_state = 5},
  [75] = {.lex_state = 48, .external_lex_state = 5},
  [76] = {.lex_state = 48, .external_lex_state = 5},
  [77] = {.lex_state = 48, .external_lex_state = 5},
  [78] = {.lex_state = 48, .external_lex_state = 5},
  [79] = {.lex_state = 48, .external_lex_state = 5},
  [80] = {.lex_state = 48, .external_lex_state = 5},
  [81] = {.lex_state = 48, .external_lex_state = 5},
  [82] = {.lex_state = 48, .external_lex_state = 5},
  [83] = {.lex_state = 48, .external_lex_state = 5},
  [84] = {.lex_state = 48, .external_lex_state = 5},
  [85] = {.lex_state = 48, .external_lex_state = 5},
  [86] = {.lex_state = 48, .external_lex_state = 5},
  [87] = {.lex_state = 48, .external_lex_state = 5},
  [88] = {.lex_state = 48, .external_lex_state = 4},
  [89] = {.lex_state = 48, .external_lex_state = 4},
  [90] = {.lex_state = 48, .external_lex_state = 4},
  [91] = {.lex_state = 48, .external_lex_state = 4},
  [92] = {.lex_state = 48, .external_lex_state = 4},
  [93] = {.lex_state = 48, .external_lex_state = 4},
  [94] = {.lex_state = 48, .external_lex_state = 2},
  [95] = {.lex_state = 6, .external_lex_state = 4},
  [96] = {.lex_state = 6, .external_lex_state = 4},
  [97] = {.lex_state = 48, .external_lex_state = 6},
  [98] = {.lex_state = 48, .external_lex_state = 7},
  [99] = {.lex_state = 5, .external_lex_state = 8},
  [100] = {.lex_state = 48, .external_lex_state = 2},
  [101] = {.lex_state = 48, .external_lex_state = 6},
  [102] = {.lex_state = 48, .external_lex_state = 7},
  [103] = {.lex_state = 5, .external_lex_state = 8},
  [104] = {.lex_state = 48, .external_lex_state = 6},
  [105] = {.lex_state = 5, .external_lex_state = 7},
  [106] = {.lex_state = 5, .external_lex_state = 7},
  [107] = {.lex_state = 48, .external_lex_state = 2},
  [108] = {.lex_state = 5, .external_lex_state = 7},
  [109] = {.lex_state = 48, .external_lex_state = 2},
  [110] = {.lex_state = 48, .external_lex_state = 6},
  [111] = {.lex_state = 48, .external_lex_state = 7},
  [112] = {.lex_state = 5, .external_lex_state = 8},
  [113] = {.lex_state = 48, .external_lex_state = 6},
  [114] = {.lex_state = 5, .external_lex_state = 7},
  [115] = {.lex_state = 5, .external_lex_state = 7},
  [116] = {.lex_state = 48, .external_lex_state = 6},
  [117] = {.lex_state = 48, .external_lex_state = 7},
  [118] = {.lex_state = 5, .external_lex_state = 8},
  [119] = {.lex_state = 5, .external_lex_state = 7},
  [120] = {.lex_state = 5, .external_lex_state = 7},
  [121] = {.lex_state = 48, .external_lex_state = 6},
  [122] = {.lex_state = 48, .external_lex_state = 7},
  [123] = {.lex_state = 5, .external_lex_state = 8},
  [124] = {.lex_state = 48, .external_lex_state = 6},
  [125] = {.lex_state = 48, .external_lex_state = 7},
  [126] = {.lex_state = 5, .external_lex_state = 8},
  [127] = {.lex_state = 48, .external_lex_state = 6},
  [128] = {.lex_state = 48, .external_lex_state = 7},
  [129] = {.lex_state = 5, .external_lex_state = 8},
  [130] = {.lex_state = 48, .external_lex_state = 6},
  [131] = {.lex_state = 48, .external_lex_state = 7},
  [132] = {.lex_state = 48, .external_lex_state = 6},
  [133] = {.lex_state = 48, .external_lex_state = 7},
  [134] = {.lex_state = 48, .external_lex_state = 7},
  [135] = {.lex_state = 48, .external_lex_state = 7},
  [136] = {.lex_state = 5, .external_lex_state = 7},
  [137] = {.lex_state = 5, .external_lex_state = 6},
  [138] = {.lex_state = 5, .external_lex_state = 2},
  [139] = {.lex_state = 5, .external_lex_state = 2},
  [140] = {.lex_state = 5, .external_lex_state = 2},
  [141] = {.lex_state = 5, .external_lex_state = 2},
  [142] = {.lex_state = 6, .external_lex_state = 2},
  [143] = {.lex_state = 5, .external_lex_state = 2},
  [144] = {.lex_state = 5, .external_lex_state = 6},
  [145] = {.lex_state = 5, .external_lex_state = 2},
  [146] = {.lex_state = 5, .external_lex_state = 2},
  [147] = {.lex_state = 6, .external_lex_state = 2},
  [148] = {.lex_state = 5, .external_lex_state = 2},
  [149] = {.lex_state = 5, .external_lex_state = 2},
  [150] = {.lex_state = 5, .external_lex_state = 6},
  [151] = {.lex_state = 5, .external_lex_state = 2},
  [152] = {.lex_state = 5, .external_lex_state = 6},
  [153] = {.lex_state = 5, .external_lex_state = 2},
  [154] = {.lex_state = 5, .external_lex_state = 2},
  [155] = {.lex_state = 5, .external_lex_state = 2},
  [156] = {.lex_state = 5, .external_lex_state = 2},
  [157] = {.lex_state = 5, .external_lex_state = 2},
  [158] = {.lex_state = 5, .external_lex_state = 2},
  [159] = {.lex_state = 5, .external_lex_state = 6},
  [160] = {.lex_state = 5, .external_lex_state = 6},
  [161] = {.lex_state = 5, .external_lex_state = 6},
  [162] = {.lex_state = 5, .external_lex_state = 2},
  [163] = {.lex_state = 5, .external_lex_state = 2},
  [164] = {.lex_state = 5, .external_lex_state = 2},
  [165] = {.lex_state = 5, .external_lex_state = 2},
  [166] = {.lex_state = 5, .external_lex_state = 2},
  [167] = {.lex_state = 5, .external_lex_state = 2},
  [168] = {.lex_state = 5, .external_lex_state = 2},
  [169] = {.lex_state = 5, .external_lex_state = 2},
  [170] = {.lex_state = 5, .external_lex_state = 6},
  [171] = {.lex_state = 5, .external_lex_state = 6},
  [172] = {.lex_state = 5, .external_lex_state = 6},
  [173] = {.lex_state = 5, .external_lex_state = 6},
  [174] = {.lex_state = 5, .external_lex_state = 6},
  [175] = {.lex_state = 5, .external_lex_state = 6},
  [176] = {.lex_state = 5, .external_lex_state = 6},
  [177] = {.lex_state = 5, .external_lex_state = 6},
  [178] = {.lex_state = 5, .external_lex_state = 6},
  [179] = {.lex_state = 5, .external_lex_state = 6},
  [180] = {.lex_state = 5, .external_lex_state = 6},
  [181] = {.lex_state = 5, .external_lex_state = 6},
  [182] = {.lex_state = 5, .external_lex_state = 6},
  [183] = {.lex_state = 5, .external_lex_state = 6},
  [184] = {.lex_state = 5, .external_lex_state = 6},
  [185] = {.lex_state = 5, .external_lex_state = 6},
  [186] = {.lex_state = 5, .external_lex_state = 6},
  [187] = {.lex_state = 5, .external_lex_state = 6},
  [188] = {.lex_state = 5, .external_lex_state = 6},
  [189] = {.lex_state = 5, .external_lex_state = 6},
  [190] = {.lex_state = 5, .external_lex_state = 6},
  [191] = {.lex_state = 5, .external_lex_state = 6},
  [192] = {.lex_state = 5, .external_lex_state = 6},
  [193] = {.lex_state = 5, .external_lex_state = 6},
  [194] = {.lex_state = 48, .external_lex_state = 2},
  [195] = {.lex_state = 48, .external_lex_state = 2},
  [196] = {.lex_state = 5, .external_lex_state = 6},
  [197] = {.lex_state = 5, .external_lex_state = 6},
  [198] = {.lex_state = 5, .external_lex_state = 6},
  [199] = {.lex_state = 5, .external_lex_state = 6},
  [200] = {.lex_state = 48, .external_lex_state = 8},
  [201] = {.lex_state = 48, .external_lex_state = 7},
  [202] = {.lex_state = 48, .external_lex_state = 7},
  [203] = {.lex_state = 48, .external_lex_state = 8},
  [204] = {.lex_state = 48, .external_lex_state = 7},
  [205] = {.lex_state = 48, .external_lex_state = 7},
  [206] = {.lex_state = 5, .external_lex_state = 2},
  [207] = {.lex_state = 48, .external_lex_state = 8},
  [208] = {.lex_state = 48, .external_lex_state = 8},
  [209] = {.lex_state = 48, .external_lex_state = 6},
  [210] = {.lex_state = 48, .external_lex_state = 6},
  [211] = {.lex_state = 48, .external_lex_state = 7},
  [212] = {.lex_state = 5, .external_lex_state = 8},
  [213] = {.lex_state = 48, .external_lex_state = 6},
  [214] = {.lex_state = 48, .external_lex_state = 6},
  [215] = {.lex_state = 48, .external_lex_state = 6},
  [216] = {.lex_state = 48, .external_lex_state = 7},
  [217] = {.lex_state = 48, .external_lex_state = 6},
  [218] = {.lex_state = 48, .external_lex_state = 8},
  [219] = {.lex_state = 5, .external_lex_state = 8},
  [220] = {.lex_state = 5, .external_lex_state = 8},
  [221] = {.lex_state = 48, .external_lex_state = 6},
  [222] = {.lex_state = 48, .external_lex_state = 7},
  [223] = {.lex_state = 48, .external_lex_state = 6},
  [224] = {.lex_state = 5, .external_lex_state = 8},
  [225] = {.lex_state = 48, .external_lex_state = 6},
  [226] = {.lex_state = 48, .external_lex_state = 7},
  [227] = {.lex_state = 5, .external_lex_state = 8},
  [228] = {.lex_state = 5, .external_lex_state = 8},
  [229] = {.lex_state = 5, .external_lex_state = 8},
  [230] = {.lex_state = 5, .external_lex_state = 8},
  [231] = {.lex_state = 48, .external_lex_state = 7},
  [232] = {.lex_state = 48, .external_lex_state = 8},
  [233] = {.lex_state = 48, .external_lex_state = 6},
  [234] = {.lex_state = 48, .external_lex_state = 7},
  [235] = {.lex_state = 5, .external_lex_state = 8},
  [236] = {.lex_state = 5, .external_lex_state = 8},
  [237] = {.lex_state = 48, .external_lex_state = 6},
  [238] = {.lex_state = 48, .external_lex_state = 7},
  [239] = {.lex_state = 48, .external_lex_state = 6},
  [240] = {.lex_state = 5, .external_lex_state = 8},
  [241] = {.lex_state = 5, .external_lex_state = 8},
  [242] = {.lex_state = 5, .external_lex_state = 8},
  [243] = {.lex_state = 5, .external_lex_state = 8},
  [244] = {.lex_state = 48, .external_lex_state = 6},
  [245] = {.lex_state = 48, .external_lex_state = 7},
  [246] = {.lex_state = 48, .external_lex_state = 4},
  [247] = {.lex_state = 48, .external_lex_state = 7},
  [248] = {.lex_state = 48, .external_lex_state = 7},
  [249] = {.lex_state = 48, .external_lex_state = 7},
  [250] = {.lex_state = 48, .external_lex_state = 7},
  [251] = {.lex_state = 48, .external_lex_state = 7},
  [252] = {.lex_state = 48, .external_lex_state = 7},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 48, .external_lex_state = 7},
  [255] = {.lex_state = 48, .external_lex_state = 7},
  [256] = {.lex_state = 48, .external_lex_state = 7},
  [257] = {.lex_state = 48, .external_lex_state = 7},
  [258] = {.lex_state = 48, .external_lex_state = 7},
  [259] = {.lex_state = 48, .external_lex_state = 7},
  [260] = {.lex_state = 48, .external_lex_state = 7},
  [261] = {.lex_state = 48, .external_lex_state = 7},
  [262] = {.lex_state = 48, .external_lex_state = 7},
  [263] = {.lex_state = 48, .external_lex_state = 7},
  [264] = {.lex_state = 48, .external_lex_state = 7},
  [265] = {.lex_state = 48, .external_lex_state = 7},
  [266] = {.lex_state = 48, .external_lex_state = 7},
  [267] = {.lex_state = 48, .external_lex_state = 8},
  [268] = {.lex_state = 48, .external_lex_state = 7},
  [269] = {.lex_state = 48, .external_lex_state = 7},
  [270] = {.lex_state = 48, .external_lex_state = 7},
  [271] = {.lex_state = 48, .external_lex_state = 8},
  [272] = {.lex_state = 48, .external_lex_state = 7},
  [273] = {.lex_state = 48, .external_lex_state = 7},
  [274] = {.lex_state = 48, .external_lex_state = 7},
  [275] = {.lex_state = 48, .external_lex_state = 6},
  [276] = {.lex_state = 48, .external_lex_state = 7},
  [277] = {.lex_state = 48, .external_lex_state = 7},
  [278] = {.lex_state = 48, .external_lex_state = 7},
  [279] = {.lex_state = 48, .external_lex_state = 7},
  [280] = {.lex_state = 48, .external_lex_state = 7},
  [281] = {.lex_state = 48, .external_lex_state = 6},
  [282] = {.lex_state = 48, .external_lex_state = 2},
  [283] = {.lex_state = 4, .external_lex_state = 9},
  [284] = {.lex_state = 48, .external_lex_state = 7},
  [285] = {.lex_state = 48, .external_lex_state = 2},
  [286] = {.lex_state = 48, .external_lex_state = 2},
  [287] = {.lex_state = 48, .external_lex_state = 2},
  [288] = {.lex_state = 48, .external_lex_state = 4},
  [289] = {.lex_state = 48, .external_lex_state = 7},
  [290] = {.lex_state = 48, .external_lex_state = 6},
  [291] = {.lex_state = 48, .external_lex_state = 2},
  [292] = {.lex_state = 48, .external_lex_state = 4},
  [293] = {.lex_state = 48, .external_lex_state = 6},
  [294] = {.lex_state = 48, .external_lex_state = 2},
  [295] = {.lex_state = 48, .external_lex_state = 2},
  [296] = {.lex_state = 48, .external_lex_state = 2},
  [297] = {.lex_state = 48, .external_lex_state = 2},
  [298] = {.lex_state = 48, .external_lex_state = 2},
  [299] = {.lex_state = 48, .external_lex_state = 4},
  [300] = {.lex_state = 4, .external_lex_state = 4},
  [301] = {.lex_state = 48, .external_lex_state = 2},
  [302] = {.lex_state = 48, .external_lex_state = 2},
  [303] = {.lex_state = 4, .external_lex_state = 4},
  [304] = {.lex_state = 48, .external_lex_state = 4},
  [305] = {.lex_state = 4, .external_lex_state = 9},
  [306] = {.lex_state = 48, .external_lex_state = 2},
  [307] = {.lex_state = 48, .external_lex_state = 2},
  [308] = {.lex_state = 48, .external_lex_state = 2},
  [309] = {.lex_state = 48, .external_lex_state = 2},
  [310] = {.lex_state = 48, .external_lex_state = 2},
  [311] = {.lex_state = 48, .external_lex_state = 4},
  [312] = {.lex_state = 48, .external_lex_state = 2},
  [313] = {.lex_state = 48, .external_lex_state = 2},
  [314] = {.lex_state = 48, .external_lex_state = 2},
  [315] = {.lex_state = 48, .external_lex_state = 2},
  [316] = {.lex_state = 48, .external_lex_state = 2},
  [317] = {.lex_state = 48, .external_lex_state = 2},
  [318] = {.lex_state = 48, .external_lex_state = 2},
  [319] = {.lex_state = 48, .external_lex_state = 2},
  [320] = {.lex_state = 48, .external_lex_state = 4},
  [321] = {.lex_state = 48, .external_lex_state = 7},
  [322] = {.lex_state = 48, .external_lex_state = 2},
  [323] = {.lex_state = 48, .external_lex_state = 2},
  [324] = {.lex_state = 48, .external_lex_state = 4},
  [325] = {.lex_state = 48, .external_lex_state = 4},
  [326] = {.lex_state = 48, .external_lex_state = 2},
  [327] = {.lex_state = 48, .external_lex_state = 2},
  [328] = {.lex_state = 48, .external_lex_state = 2},
  [329] = {.lex_state = 48, .external_lex_state = 2},
  [330] = {.lex_state = 48, .external_lex_state = 2},
  [331] = {.lex_state = 48, .external_lex_state = 2},
  [332] = {.lex_state = 48, .external_lex_state = 2},
  [333] = {.lex_state = 48, .external_lex_state = 2},
  [334] = {.lex_state = 48, .external_lex_state = 2},
  [335] = {.lex_state = 48, .external_lex_state = 2},
  [336] = {.lex_state = 48, .external_lex_state = 2},
  [337] = {.lex_state = 48, .external_lex_state = 2},
  [338] = {.lex_state = 48, .external_lex_state = 2},
  [339] = {.lex_state = 48, .external_lex_state = 2},
  [340] = {.lex_state = 48, .external_lex_state = 2},
  [341] = {.lex_state = 48, .external_lex_state = 2},
  [342] = {.lex_state = 48, .external_lex_state = 2},
  [343] = {.lex_state = 48, .external_lex_state = 2},
  [344] = {.lex_state = 48, .external_lex_state = 2},
  [345] = {.lex_state = 48, .external_lex_state = 2},
  [346] = {.lex_state = 48, .external_lex_state = 2},
  [347] = {.lex_state = 48, .external_lex_state = 2},
  [348] = {.lex_state = 48, .external_lex_state = 2},
  [349] = {.lex_state = 48, .external_lex_state = 2},
  [350] = {.lex_state = 48, .external_lex_state = 2},
  [351] = {.lex_state = 48, .external_lex_state = 2},
  [352] = {.lex_state = 48, .external_lex_state = 2},
  [353] = {.lex_state = 48, .external_lex_state = 2},
  [354] = {.lex_state = 48, .external_lex_state = 2},
  [355] = {.lex_state = 48, .external_lex_state = 2},
  [356] = {.lex_state = 48, .external_lex_state = 2},
  [357] = {.lex_state = 48, .external_lex_state = 2},
  [358] = {.lex_state = 48, .external_lex_state = 2},
  [359] = {.lex_state = 48, .external_lex_state = 2},
  [360] = {.lex_state = 48, .external_lex_state = 2},
  [361] = {.lex_state = 48, .external_lex_state = 2},
  [362] = {.lex_state = 48, .external_lex_state = 2},
  [363] = {.lex_state = 48, .external_lex_state = 2},
  [364] = {.lex_state = 48, .external_lex_state = 2},
  [365] = {.lex_state = 48, .external_lex_state = 2},
  [366] = {.lex_state = 48, .external_lex_state = 2},
  [367] = {.lex_state = 48, .external_lex_state = 2},
  [368] = {.lex_state = 48, .external_lex_state = 2},
  [369] = {.lex_state = 48, .external_lex_state = 2},
  [370] = {.lex_state = 48, .external_lex_state = 2},
  [371] = {.lex_state = 48, .external_lex_state = 2},
  [372] = {.lex_state = 48, .external_lex_state = 2},
  [373] = {.lex_state = 48, .external_lex_state = 2},
  [374] = {.lex_state = 48, .external_lex_state = 2},
  [375] = {.lex_state = 48, .external_lex_state = 2},
  [376] = {.lex_state = 48, .external_lex_state = 2},
  [377] = {.lex_state = 48, .external_lex_state = 2},
  [378] = {.lex_state = 48, .external_lex_state = 2},
  [379] = {.lex_state = 48, .external_lex_state = 2},
  [380] = {.lex_state = 48, .external_lex_state = 2},
  [381] = {.lex_state = 48, .external_lex_state = 2},
  [382] = {.lex_state = 48, .external_lex_state = 2},
  [383] = {.lex_state = 48, .external_lex_state = 2},
  [384] = {.lex_state = 48, .external_lex_state = 2},
  [385] = {.lex_state = 48, .external_lex_state = 2},
  [386] = {.lex_state = 48, .external_lex_state = 2},
  [387] = {.lex_state = 48, .external_lex_state = 2},
  [388] = {.lex_state = 48, .external_lex_state = 2},
  [389] = {.lex_state = 48, .external_lex_state = 2},
  [390] = {.lex_state = 48, .external_lex_state = 2},
  [391] = {.lex_state = 48, .external_lex_state = 2},
  [392] = {.lex_state = 48, .external_lex_state = 2},
  [393] = {.lex_state = 48, .external_lex_state = 2},
  [394] = {.lex_state = 48, .external_lex_state = 2},
  [395] = {.lex_state = 48, .external_lex_state = 2},
  [396] = {.lex_state = 48, .external_lex_state = 2},
  [397] = {.lex_state = 48, .external_lex_state = 2},
  [398] = {.lex_state = 48, .external_lex_state = 2},
  [399] = {.lex_state = 48, .external_lex_state = 2},
  [400] = {.lex_state = 48, .external_lex_state = 2},
  [401] = {.lex_state = 48, .external_lex_state = 2},
  [402] = {.lex_state = 48, .external_lex_state = 2},
  [403] = {.lex_state = 48, .external_lex_state = 2},
  [404] = {.lex_state = 48, .external_lex_state = 2},
  [405] = {.lex_state = 48, .external_lex_state = 2},
  [406] = {.lex_state = 48, .external_lex_state = 2},
  [407] = {.lex_state = 48, .external_lex_state = 2},
  [408] = {.lex_state = 48, .external_lex_state = 2},
  [409] = {.lex_state = 48, .external_lex_state = 2},
  [410] = {.lex_state = 48, .external_lex_state = 2},
  [411] = {.lex_state = 48, .external_lex_state = 2},
  [412] = {.lex_state = 48, .external_lex_state = 2},
  [413] = {.lex_state = 48, .external_lex_state = 2},
  [414] = {.lex_state = 48, .external_lex_state = 2},
  [415] = {.lex_state = 48, .external_lex_state = 2},
  [416] = {.lex_state = 48, .external_lex_state = 2},
  [417] = {.lex_state = 48, .external_lex_state = 2},
  [418] = {.lex_state = 48, .external_lex_state = 2},
  [419] = {.lex_state = 48, .external_lex_state = 2},
  [420] = {.lex_state = 48, .external_lex_state = 2},
  [421] = {.lex_state = 48, .external_lex_state = 2},
  [422] = {.lex_state = 48, .external_lex_state = 2},
  [423] = {.lex_state = 4, .external_lex_state = 9},
  [424] = {.lex_state = 48, .external_lex_state = 2},
  [425] = {.lex_state = 48, .external_lex_state = 2},
  [426] = {.lex_state = 48, .external_lex_state = 2},
  [427] = {.lex_state = 48, .external_lex_state = 2},
  [428] = {.lex_state = 48, .external_lex_state = 2},
  [429] = {.lex_state = 48, .external_lex_state = 2},
  [430] = {.lex_state = 48, .external_lex_state = 2},
  [431] = {.lex_state = 48, .external_lex_state = 2},
  [432] = {.lex_state = 48, .external_lex_state = 2},
  [433] = {.lex_state = 48, .external_lex_state = 2},
  [434] = {.lex_state = 48, .external_lex_state = 2},
  [435] = {.lex_state = 48, .external_lex_state = 2},
  [436] = {.lex_state = 48, .external_lex_state = 2},
  [437] = {.lex_state = 48, .external_lex_state = 2},
  [438] = {.lex_state = 48, .external_lex_state = 2},
  [439] = {.lex_state = 48, .external_lex_state = 2},
  [440] = {.lex_state = 4, .external_lex_state = 9},
  [441] = {.lex_state = 4, .external_lex_state = 9},
  [442] = {.lex_state = 4, .external_lex_state = 9},
  [443] = {.lex_state = 4, .external_lex_state = 9},
  [444] = {.lex_state = 4, .external_lex_state = 9},
  [445] = {.lex_state = 7, .external_lex_state = 9},
  [446] = {.lex_state = 48, .external_lex_state = 2},
  [447] = {.lex_state = 48, .external_lex_state = 3},
  [448] = {.lex_state = 48, .external_lex_state = 3},
  [449] = {.lex_state = 7, .external_lex_state = 9},
  [450] = {.lex_state = 7, .external_lex_state = 9},
  [451] = {.lex_state = 48, .external_lex_state = 2},
  [452] = {.lex_state = 7, .external_lex_state = 9},
  [453] = {.lex_state = 48, .external_lex_state = 3},
  [454] = {.lex_state = 48, .external_lex_state = 2},
  [455] = {.lex_state = 48, .external_lex_state = 2},
  [456] = {.lex_state = 48, .external_lex_state = 3},
  [457] = {.lex_state = 7, .external_lex_state = 9},
  [458] = {.lex_state = 7, .external_lex_state = 9},
  [459] = {.lex_state = 7, .external_lex_state = 9},
  [460] = {.lex_state = 7, .external_lex_state = 9},
  [461] = {.lex_state = 7, .external_lex_state = 9},
  [462] = {.lex_state = 7, .external_lex_state = 9},
  [463] = {.lex_state = 7, .external_lex_state = 9},
  [464] = {.lex_state = 7, .external_lex_state = 9},
  [465] = {.lex_state = 7, .external_lex_state = 9},
  [466] = {.lex_state = 7, .external_lex_state = 9},
  [467] = {.lex_state = 7, .external_lex_state = 9},
  [468] = {.lex_state = 7, .external_lex_state = 9},
  [469] = {.lex_state = 7, .external_lex_state = 9},
  [470] = {.lex_state = 7, .external_lex_state = 9},
  [471] = {.lex_state = 7, .external_lex_state = 9},
  [472] = {.lex_state = 48, .external_lex_state = 3},
  [473] = {.lex_state = 48, .external_lex_state = 2},
  [474] = {.lex_state = 48, .external_lex_state = 8},
  [475] = {.lex_state = 48, .external_lex_state = 8},
  [476] = {.lex_state = 48, .external_lex_state = 3},
  [477] = {.lex_state = 48, .external_lex_state = 3},
  [478] = {.lex_state = 48, .external_lex_state = 3},
  [479] = {.lex_state = 48, .external_lex_state = 2},
  [480] = {.lex_state = 48, .external_lex_state = 3},
  [481] = {.lex_state = 48, .external_lex_state = 3},
  [482] = {.lex_state = 48, .external_lex_state = 3},
  [483] = {.lex_state = 48, .external_lex_state = 2},
  [484] = {.lex_state = 48, .external_lex_state = 2},
  [485] = {.lex_state = 48, .external_lex_state = 3},
  [486] = {.lex_state = 48, .external_lex_state = 2},
  [487] = {.lex_state = 48, .external_lex_state = 3},
  [488] = {.lex_state = 48, .external_lex_state = 2},
  [489] = {.lex_state = 48, .external_lex_state = 3},
  [490] = {.lex_state = 48, .external_lex_state = 2},
  [491] = {.lex_state = 48, .external_lex_state = 2},
  [492] = {.lex_state = 48, .external_lex_state = 3},
  [493] = {.lex_state = 48, .external_lex_state = 2},
  [494] = {.lex_state = 48, .external_lex_state = 2},
  [495] = {.lex_state = 48, .external_lex_state = 3},
  [496] = {.lex_state = 48, .external_lex_state = 2},
  [497] = {.lex_state = 48, .external_lex_state = 2},
  [498] = {.lex_state = 48, .external_lex_state = 2},
  [499] = {.lex_state = 48, .external_lex_state = 2},
  [500] = {.lex_state = 48, .external_lex_state = 3},
  [501] = {.lex_state = 48, .external_lex_state = 2},
  [502] = {.lex_state = 48, .external_lex_state = 3},
  [503] = {.lex_state = 48, .external_lex_state = 3},
  [504] = {.lex_state = 48, .external_lex_state = 6},
  [505] = {.lex_state = 48, .external_lex_state = 6},
  [506] = {.lex_state = 48, .external_lex_state = 6},
  [507] = {.lex_state = 48, .external_lex_state = 2},
  [508] = {.lex_state = 48, .external_lex_state = 3},
  [509] = {.lex_state = 48, .external_lex_state = 2},
  [510] = {.lex_state = 48, .external_lex_state = 3},
  [511] = {.lex_state = 48, .external_lex_state = 2},
  [512] = {.lex_state = 48, .external_lex_state = 2},
  [513] = {.lex_state = 48, .external_lex_state = 2},
  [514] = {.lex_state = 48, .external_lex_state = 2},
  [515] = {.lex_state = 48, .external_lex_state = 7},
  [516] = {.lex_state = 48, .external_lex_state = 3},
  [517] = {.lex_state = 48, .external_lex_state = 3},
  [518] = {.lex_state = 48, .external_lex_state = 2},
  [519] = {.lex_state = 48, .external_lex_state = 3},
  [520] = {.lex_state = 48, .external_lex_state = 3},
  [521] = {.lex_state = 48, .external_lex_state = 2},
  [522] = {.lex_state = 48, .external_lex_state = 2},
  [523] = {.lex_state = 48, .external_lex_state = 3},
  [524] = {.lex_state = 48, .external_lex_state = 3},
  [525] = {.lex_state = 48, .external_lex_state = 2},
  [526] = {.lex_state = 48, .external_lex_state = 3},
  [527] = {.lex_state = 48, .external_lex_state = 3},
  [528] = {.lex_state = 48, .external_lex_state = 3},
  [529] = {.lex_state = 48, .external_lex_state = 2},
  [530] = {.lex_state = 48, .external_lex_state = 2},
  [531] = {.lex_state = 48, .external_lex_state = 2},
  [532] = {.lex_state = 48, .external_lex_state = 2},
  [533] = {.lex_state = 48, .external_lex_state = 2},
  [534] = {.lex_state = 48, .external_lex_state = 2},
  [535] = {.lex_state = 48, .external_lex_state = 3},
  [536] = {.lex_state = 48, .external_lex_state = 3},
  [537] = {.lex_state = 48, .external_lex_state = 2},
  [538] = {.lex_state = 48, .external_lex_state = 2},
  [539] = {.lex_state = 48, .external_lex_state = 2},
  [540] = {.lex_state = 48, .external_lex_state = 3},
  [541] = {.lex_state = 48, .external_lex_state = 2},
  [542] = {.lex_state = 48, .external_lex_state = 3},
  [543] = {.lex_state = 48, .external_lex_state = 3},
  [544] = {.lex_state = 48, .external_lex_state = 3},
  [545] = {.lex_state = 48, .external_lex_state = 3},
  [546] = {.lex_state = 48, .external_lex_state = 2},
  [547] = {.lex_state = 48, .external_lex_state = 2},
  [548] = {.lex_state = 48, .external_lex_state = 3},
  [549] = {.lex_state = 48, .external_lex_state = 3},
  [550] = {.lex_state = 48, .external_lex_state = 3},
  [551] = {.lex_state = 48, .external_lex_state = 2},
  [552] = {.lex_state = 48, .external_lex_state = 2},
  [553] = {.lex_state = 48, .external_lex_state = 3},
  [554] = {.lex_state = 48, .external_lex_state = 2},
  [555] = {.lex_state = 48, .external_lex_state = 2},
  [556] = {.lex_state = 48, .external_lex_state = 6},
  [557] = {.lex_state = 48, .external_lex_state = 2},
  [558] = {.lex_state = 48, .external_lex_state = 3},
  [559] = {.lex_state = 48, .external_lex_state = 3},
  [560] = {.lex_state = 48, .external_lex_state = 2},
  [561] = {.lex_state = 48, .external_lex_state = 3},
  [562] = {.lex_state = 48, .external_lex_state = 3},
  [563] = {.lex_state = 48, .external_lex_state = 2},
  [564] = {.lex_state = 48, .external_lex_state = 3},
  [565] = {.lex_state = 48, .external_lex_state = 3},
  [566] = {.lex_state = 48, .external_lex_state = 2},
  [567] = {.lex_state = 48, .external_lex_state = 3},
  [568] = {.lex_state = 48, .external_lex_state = 3},
  [569] = {.lex_state = 48, .external_lex_state = 2},
  [570] = {.lex_state = 48, .external_lex_state = 2},
  [571] = {.lex_state = 48, .external_lex_state = 2},
  [572] = {.lex_state = 48, .external_lex_state = 2},
  [573] = {.lex_state = 48, .external_lex_state = 2},
  [574] = {.lex_state = 48, .external_lex_state = 2},
  [575] = {.lex_state = 48, .external_lex_state = 3},
  [576] = {.lex_state = 48, .external_lex_state = 2},
  [577] = {.lex_state = 48, .external_lex_state = 2},
  [578] = {.lex_state = 48, .external_lex_state = 3},
  [579] = {.lex_state = 48, .external_lex_state = 3},
  [580] = {.lex_state = 48, .external_lex_state = 2},
  [581] = {.lex_state = 48, .external_lex_state = 2},
  [582] = {.lex_state = 48, .external_lex_state = 2},
  [583] = {.lex_state = 48, .external_lex_state = 2},
  [584] = {.lex_state = 48, .external_lex_state = 2},
  [585] = {.lex_state = 48, .external_lex_state = 3},
  [586] = {.lex_state = 48, .external_lex_state = 3},
  [587] = {.lex_state = 48, .external_lex_state = 2},
  [588] = {.lex_state = 48, .external_lex_state = 2},
  [589] = {.lex_state = 48, .external_lex_state = 3},
  [590] = {.lex_state = 48, .external_lex_state = 2},
  [591] = {.lex_state = 48, .external_lex_state = 3},
  [592] = {.lex_state = 48, .external_lex_state = 3},
  [593] = {.lex_state = 48, .external_lex_state = 2},
  [594] = {.lex_state = 48, .external_lex_state = 2},
  [595] = {.lex_state = 48, .external_lex_state = 3},
  [596] = {.lex_state = 48, .external_lex_state = 7},
  [597] = {.lex_state = 48, .external_lex_state = 2},
  [598] = {.lex_state = 48, .external_lex_state = 2},
  [599] = {.lex_state = 48, .external_lex_state = 3},
  [600] = {.lex_state = 48, .external_lex_state = 2},
  [601] = {.lex_state = 48, .external_lex_state = 2},
  [602] = {.lex_state = 48, .external_lex_state = 2},
  [603] = {.lex_state = 48, .external_lex_state = 2},
  [604] = {.lex_state = 48, .external_lex_state = 2},
  [605] = {.lex_state = 48, .external_lex_state = 2},
  [606] = {.lex_state = 48, .external_lex_state = 2},
  [607] = {.lex_state = 48, .external_lex_state = 6},
  [608] = {.lex_state = 48, .external_lex_state = 2},
  [609] = {.lex_state = 48, .external_lex_state = 2},
  [610] = {.lex_state = 48, .external_lex_state = 2},
  [611] = {.lex_state = 48, .external_lex_state = 2},
  [612] = {.lex_state = 48, .external_lex_state = 2},
  [613] = {.lex_state = 48, .external_lex_state = 2},
  [614] = {.lex_state = 48, .external_lex_state = 2},
  [615] = {.lex_state = 48, .external_lex_state = 2},
  [616] = {.lex_state = 48, .external_lex_state = 2},
  [617] = {.lex_state = 48, .external_lex_state = 2},
  [618] = {.lex_state = 48, .external_lex_state = 2},
  [619] = {.lex_state = 48, .external_lex_state = 2},
  [620] = {.lex_state = 48, .external_lex_state = 2},
  [621] = {.lex_state = 48, .external_lex_state = 2},
  [622] = {.lex_state = 48, .external_lex_state = 2},
  [623] = {.lex_state = 48, .external_lex_state = 2},
  [624] = {.lex_state = 48, .external_lex_state = 2},
  [625] = {.lex_state = 48, .external_lex_state = 2},
  [626] = {.lex_state = 48, .external_lex_state = 2},
  [627] = {.lex_state = 48, .external_lex_state = 2},
  [628] = {.lex_state = 48, .external_lex_state = 2},
  [629] = {.lex_state = 48, .external_lex_state = 2},
  [630] = {.lex_state = 48, .external_lex_state = 2},
  [631] = {.lex_state = 48, .external_lex_state = 2},
  [632] = {.lex_state = 48, .external_lex_state = 2},
  [633] = {.lex_state = 48, .external_lex_state = 2},
  [634] = {.lex_state = 48, .external_lex_state = 2},
  [635] = {.lex_state = 48, .external_lex_state = 2},
  [636] = {.lex_state = 48, .external_lex_state = 2},
  [637] = {.lex_state = 48, .external_lex_state = 2},
  [638] = {.lex_state = 48, .external_lex_state = 2},
  [639] = {.lex_state = 48, .external_lex_state = 2},
  [640] = {.lex_state = 48, .external_lex_state = 2},
  [641] = {.lex_state = 48, .external_lex_state = 2},
  [642] = {.lex_state = 48, .external_lex_state = 2},
  [643] = {.lex_state = 48, .external_lex_state = 2},
  [644] = {.lex_state = 48, .external_lex_state = 2},
  [645] = {.lex_state = 48, .external_lex_state = 2},
  [646] = {.lex_state = 48, .external_lex_state = 2},
  [647] = {.lex_state = 48, .external_lex_state = 2},
  [648] = {.lex_state = 48, .external_lex_state = 2},
  [649] = {.lex_state = 48, .external_lex_state = 2},
  [650] = {.lex_state = 48, .external_lex_state = 2},
  [651] = {.lex_state = 48, .external_lex_state = 2},
  [652] = {.lex_state = 48, .external_lex_state = 2},
  [653] = {.lex_state = 48, .external_lex_state = 2},
  [654] = {.lex_state = 48, .external_lex_state = 2},
  [655] = {.lex_state = 48, .external_lex_state = 2},
  [656] = {.lex_state = 48, .external_lex_state = 2},
  [657] = {.lex_state = 48, .external_lex_state = 2},
  [658] = {.lex_state = 48, .external_lex_state = 2},
  [659] = {.lex_state = 48, .external_lex_state = 2},
  [660] = {.lex_state = 48, .external_lex_state = 2},
  [661] = {.lex_state = 48, .external_lex_state = 2},
  [662] = {.lex_state = 48, .external_lex_state = 2},
  [663] = {.lex_state = 48, .external_lex_state = 2},
  [664] = {.lex_state = 48, .external_lex_state = 2},
  [665] = {.lex_state = 48, .external_lex_state = 2},
  [666] = {.lex_state = 48, .external_lex_state = 2},
  [667] = {.lex_state = 48, .external_lex_state = 2},
  [668] = {.lex_state = 48, .external_lex_state = 2},
  [669] = {.lex_state = 48, .external_lex_state = 2},
  [670] = {.lex_state = 48, .external_lex_state = 2},
  [671] = {.lex_state = 48, .external_lex_state = 2},
  [672] = {.lex_state = 48, .external_lex_state = 2},
  [673] = {.lex_state = 48, .external_lex_state = 2},
  [674] = {.lex_state = 48, .external_lex_state = 2},
  [675] = {.lex_state = 48, .external_lex_state = 2},
  [676] = {.lex_state = 48, .external_lex_state = 2},
  [677] = {.lex_state = 48, .external_lex_state = 2},
  [678] = {.lex_state = 48, .external_lex_state = 2},
  [679] = {.lex_state = 48, .external_lex_state = 2},
  [680] = {.lex_state = 48, .external_lex_state = 2},
  [681] = {.lex_state = 48, .external_lex_state = 2},
  [682] = {.lex_state = 48, .external_lex_state = 2},
  [683] = {.lex_state = 48, .external_lex_state = 2},
  [684] = {.lex_state = 48, .external_lex_state = 2},
  [685] = {.lex_state = 48, .external_lex_state = 2},
  [686] = {.lex_state = 48, .external_lex_state = 2},
  [687] = {.lex_state = 48, .external_lex_state = 2},
  [688] = {.lex_state = 48, .external_lex_state = 2},
  [689] = {.lex_state = 48, .external_lex_state = 2},
  [690] = {.lex_state = 48, .external_lex_state = 2},
  [691] = {.lex_state = 48, .external_lex_state = 2},
  [692] = {.lex_state = 48, .external_lex_state = 2},
  [693] = {.lex_state = 48, .external_lex_state = 2},
  [694] = {.lex_state = 48, .external_lex_state = 2},
  [695] = {.lex_state = 48, .external_lex_state = 2},
  [696] = {.lex_state = 5, .external_lex_state = 10},
  [697] = {.lex_state = 5, .external_lex_state = 10},
  [698] = {.lex_state = 5, .external_lex_state = 10},
  [699] = {.lex_state = 5, .external_lex_state = 10},
  [700] = {.lex_state = 5, .external_lex_state = 10},
  [701] = {.lex_state = 5, .external_lex_state = 10},
  [702] = {.lex_state = 5, .external_lex_state = 10},
  [703] = {.lex_state = 5, .external_lex_state = 10},
  [704] = {.lex_state = 5, .external_lex_state = 10},
  [705] = {.lex_state = 5, .external_lex_state = 9},
  [706] = {.lex_state = 5, .external_lex_state = 10},
  [707] = {.lex_state = 5, .external_lex_state = 10},
  [708] = {.lex_state = 5, .external_lex_state = 10},
  [709] = {.lex_state = 5, .external_lex_state = 10},
  [710] = {.lex_state = 5, .external_lex_state = 10},
  [711] = {.lex_state = 5, .external_lex_state = 10},
  [712] = {.lex_state = 5, .external_lex_state = 9},
  [713] = {.lex_state = 5, .external_lex_state = 10},
  [714] = {.lex_state = 5, .external_lex_state = 10},
  [715] = {.lex_state = 8, .external_lex_state = 10},
  [716] = {.lex_state = 8, .external_lex_state = 10},
  [717] = {.lex_state = 8, .external_lex_state = 10},
  [718] = {.lex_state = 8, .external_lex_state = 10},
  [719] = {.lex_state = 8, .external_lex_state = 9},
  [720] = {.lex_state = 8, .external_lex_state = 9},
  [721] = {.lex_state = 8, .external_lex_state = 10},
  [722] = {.lex_state = 8, .external_lex_state = 10},
  [723] = {.lex_state = 5, .external_lex_state = 10},
  [724] = {.lex_state = 8, .external_lex_state = 9},
  [725] = {.lex_state = 8, .external_lex_state = 11},
  [726] = {.lex_state = 5, .external_lex_state = 10},
  [727] = {.lex_state = 5, .external_lex_state = 10},
  [728] = {.lex_state = 5, .external_lex_state = 10},
  [729] = {.lex_state = 5, .external_lex_state = 10},
  [730] = {.lex_state = 5, .external_lex_state = 10},
  [731] = {.lex_state = 8, .external_lex_state = 9},
  [732] = {.lex_state = 5, .external_lex_state = 10},
  [733] = {.lex_state = 5, .external_lex_state = 10},
  [734] = {.lex_state = 8, .external_lex_state = 10},
  [735] = {.lex_state = 8, .external_lex_state = 10},
  [736] = {.lex_state = 8, .external_lex_state = 10},
  [737] = {.lex_state = 5, .external_lex_state = 9},
  [738] = {.lex_state = 5, .external_lex_state = 9},
  [739] = {.lex_state = 5, .external_lex_state = 12},
  [740] = {.lex_state = 5, .external_lex_state = 9},
  [741] = {.lex_state = 5, .external_lex_state = 10},
  [742] = {.lex_state = 5, .external_lex_state = 9},
  [743] = {.lex_state = 5, .external_lex_state = 9},
  [744] = {.lex_state = 5, .external_lex_state = 9},
  [745] = {.lex_state = 5, .external_lex_state = 10},
  [746] = {.lex_state = 5, .external_lex_state = 9},
  [747] = {.lex_state = 5, .external_lex_state = 9},
  [748] = {.lex_state = 5, .external_lex_state = 9},
  [749] = {.lex_state = 5, .external_lex_state = 9},
  [750] = {.lex_state = 5, .external_lex_state = 13},
  [751] = {.lex_state = 5, .external_lex_state = 11},
  [752] = {.lex_state = 8, .external_lex_state = 10},
  [753] = {.lex_state = 5, .external_lex_state = 10},
  [754] = {.lex_state = 8, .external_lex_state = 10},
  [755] = {.lex_state = 8, .external_lex_state = 10},
  [756] = {.lex_state = 5, .external_lex_state = 10},
  [757] = {.lex_state = 8, .external_lex_state = 12},
  [758] = {.lex_state = 5, .external_lex_state = 9},
  [759] = {.lex_state = 5, .external_lex_state = 9},
  [760] = {.lex_state = 5, .external_lex_state = 9},
  [761] = {.lex_state = 5, .external_lex_state = 12},
  [762] = {.lex_state = 5, .external_lex_state = 10},
  [763] = {.lex_state = 5, .external_lex_state = 10},
  [764] = {.lex_state = 5, .external_lex_state = 10},
  [765] = {.lex_state = 5, .external_lex_state = 10},
  [766] = {.lex_state = 5, .external_lex_state = 10},
  [767] = {.lex_state = 5, .external_lex_state = 10},
  [768] = {.lex_state = 5, .external_lex_state = 10},
  [769] = {.lex_state = 5, .external_lex_state = 13},
  [770] = {.lex_state = 5, .external_lex_state = 10},
  [771] = {.lex_state = 5, .external_lex_state = 10},
  [772] = {.lex_state = 5, .external_lex_state = 10},
  [773] = {.lex_state = 5, .external_lex_state = 10},
  [774] = {.lex_state = 5, .external_lex_state = 10},
  [775] = {.lex_state = 5, .external_lex_state = 10},
  [776] = {.lex_state = 5, .external_lex_state = 10},
  [777] = {.lex_state = 5, .external_lex_state = 10},
  [778] = {.lex_state = 5, .external_lex_state = 10},
  [779] = {.lex_state = 5, .external_lex_state = 10},
  [780] = {.lex_state = 5, .external_lex_state = 10},
  [781] = {.lex_state = 5, .external_lex_state = 10},
  [782] = {.lex_state = 5, .external_lex_state = 10},
  [783] = {.lex_state = 5, .external_lex_state = 10},
  [784] = {.lex_state = 5, .external_lex_state = 10},
  [785] = {.lex_state = 5, .external_lex_state = 10},
  [786] = {.lex_state = 8, .external_lex_state = 12},
  [787] = {.lex_state = 5, .external_lex_state = 10},
  [788] = {.lex_state = 8, .external_lex_state = 12},
  [789] = {.lex_state = 5, .external_lex_state = 9},
  [790] = {.lex_state = 5, .external_lex_state = 10},
  [791] = {.lex_state = 5, .external_lex_state = 10},
  [792] = {.lex_state = 5, .external_lex_state = 10},
  [793] = {.lex_state = 5, .external_lex_state = 10},
  [794] = {.lex_state = 5, .external_lex_state = 10},
  [795] = {.lex_state = 5, .external_lex_state = 10},
  [796] = {.lex_state = 5, .external_lex_state = 10},
  [797] = {.lex_state = 5, .external_lex_state = 10},
  [798] = {.lex_state = 5, .external_lex_state = 10},
  [799] = {.lex_state = 5, .external_lex_state = 10},
  [800] = {.lex_state = 5, .external_lex_state = 10},
  [801] = {.lex_state = 5, .external_lex_state = 10},
  [802] = {.lex_state = 5, .external_lex_state = 10},
  [803] = {.lex_state = 5, .external_lex_state = 10},
  [804] = {.lex_state = 5, .external_lex_state = 10},
  [805] = {.lex_state = 5, .external_lex_state = 10},
  [806] = {.lex_state = 5, .external_lex_state = 10},
  [807] = {.lex_state = 5, .external_lex_state = 10},
  [808] = {.lex_state = 7, .external_lex_state = 9},
  [809] = {.lex_state = 7, .external_lex_state = 9},
  [810] = {.lex_state = 7, .external_lex_state = 9},
  [811] = {.lex_state = 7, .external_lex_state = 9},
  [812] = {.lex_state = 5, .external_lex_state = 10},
  [813] = {.lex_state = 5, .external_lex_state = 9},
  [814] = {.lex_state = 5, .external_lex_state = 10},
  [815] = {.lex_state = 8, .external_lex_state = 12},
  [816] = {.lex_state = 5, .external_lex_state = 9},
  [817] = {.lex_state = 5, .external_lex_state = 9},
  [818] = {.lex_state = 5, .external_lex_state = 13},
  [819] = {.lex_state = 5, .external_lex_state = 9},
  [820] = {.lex_state = 5, .external_lex_state = 9},
  [821] = {.lex_state = 5, .external_lex_state = 9},
  [822] = {.lex_state = 5, .external_lex_state = 13},
  [823] = {.lex_state = 8, .external_lex_state = 12},
  [824] = {.lex_state = 8, .external_lex_state = 12},
  [825] = {.lex_state = 8, .external_lex_state = 12},
  [826] = {.lex_state = 5, .external_lex_state = 10},
  [827] = {.lex_state = 5, .external_lex_state = 10},
  [828] = {.lex_state = 5, .external_lex_state = 10},
  [829] = {.lex_state = 5, .external_lex_state = 11},
  [830] = {.lex_state = 5, .external_lex_state = 9},
  [831] = {.lex_state = 5, .external_lex_state = 10},
  [832] = {.lex_state = 5, .external_lex_state = 9},
  [833] = {.lex_state = 5, .external_lex_state = 9},
  [834] = {.lex_state = 5, .external_lex_state = 9},
  [835] = {.lex_state = 5, .external_lex_state = 9},
  [836] = {.lex_state = 5, .external_lex_state = 9},
  [837] = {.lex_state = 5, .external_lex_state = 9},
  [838] = {.lex_state = 5, .external_lex_state = 9},
  [839] = {.lex_state = 5, .external_lex_state = 9},
  [840] = {.lex_state = 5, .external_lex_state = 9},
  [841] = {.lex_state = 5, .external_lex_state = 9},
  [842] = {.lex_state = 5, .external_lex_state = 10},
  [843] = {.lex_state = 5, .external_lex_state = 10},
  [844] = {.lex_state = 5, .external_lex_state = 13},
  [845] = {.lex_state = 8, .external_lex_state = 12},
  [846] = {.lex_state = 5, .external_lex_state = 10},
  [847] = {.lex_state = 8, .external_lex_state = 12},
  [848] = {.lex_state = 5, .external_lex_state = 12},
  [849] = {.lex_state = 5, .external_lex_state = 10},
  [850] = {.lex_state = 5, .external_lex_state = 12},
  [851] = {.lex_state = 5, .external_lex_state = 12},
  [852] = {.lex_state = 5, .external_lex_state = 10},
  [853] = {.lex_state = 5, .external_lex_state = 10},
  [854] = {.lex_state = 5, .external_lex_state = 13},
  [855] = {.lex_state = 5, .external_lex_state = 9},
  [856] = {.lex_state = 5, .external_lex_state = 12},
  [857] = {.lex_state = 5, .external_lex_state = 12},
  [858] = {.lex_state = 5, .external_lex_state = 12},
  [859] = {.lex_state = 5, .external_lex_state = 9},
  [860] = {.lex_state = 5, .external_lex_state = 10},
  [861] = {.lex_state = 5, .external_lex_state = 10},
  [862] = {.lex_state = 5, .external_lex_state = 9},
  [863] = {.lex_state = 5, .external_lex_state = 10},
  [864] = {.lex_state = 5, .external_lex_state = 10},
  [865] = {.lex_state = 5, .external_lex_state = 13},
  [866] = {.lex_state = 8, .external_lex_state = 13},
  [867] = {.lex_state = 5, .external_lex_state = 13},
  [868] = {.lex_state = 5, .external_lex_state = 9},
  [869] = {.lex_state = 5, .external_lex_state = 9},
  [870] = {.lex_state = 5, .external_lex_state = 11},
  [871] = {.lex_state = 5, .external_lex_state = 11},
  [872] = {.lex_state = 5, .external_lex_state = 11},
  [873] = {.lex_state = 5, .external_lex_state = 9},
  [874] = {.lex_state = 5, .external_lex_state = 11},
  [875] = {.lex_state = 5, .external_lex_state = 9},
  [876] = {.lex_state = 5, .external_lex_state = 11},
  [877] = {.lex_state = 8, .external_lex_state = 12},
  [878] = {.lex_state = 5, .external_lex_state = 10},
  [879] = {.lex_state = 5, .external_lex_state = 11},
  [880] = {.lex_state = 5, .external_lex_state = 10},
  [881] = {.lex_state = 5, .external_lex_state = 11},
  [882] = {.lex_state = 5, .external_lex_state = 11},
  [883] = {.lex_state = 5, .external_lex_state = 13},
  [884] = {.lex_state = 5, .external_lex_state = 9},
  [885] = {.lex_state = 5, .external_lex_state = 9},
  [886] = {.lex_state = 5, .external_lex_state = 13},
  [887] = {.lex_state = 5, .external_lex_state = 9},
  [888] = {.lex_state = 5, .external_lex_state = 9},
  [889] = {.lex_state = 5, .external_lex_state = 12},
  [890] = {.lex_state = 5, .external_lex_state = 11},
  [891] = {.lex_state = 5, .external_lex_state = 10},
  [892] = {.lex_state = 5, .external_lex_state = 10},
  [893] = {.lex_state = 5, .external_lex_state = 10},
  [894] = {.lex_state = 5, .external_lex_state = 10},
  [895] = {.lex_state = 5, .external_lex_state = 10},
  [896] = {.lex_state = 5, .external_lex_state = 10},
  [897] = {.lex_state = 5, .external_lex_state = 9},
  [898] = {.lex_state = 5, .external_lex_state = 12},
  [899] = {.lex_state = 8, .external_lex_state = 11},
  [900] = {.lex_state = 5, .external_lex_state = 10},
  [901] = {.lex_state = 8, .external_lex_state = 11},
  [902] = {.lex_state = 8, .external_lex_state = 11},
  [903] = {.lex_state = 7, .external_lex_state = 9},
  [904] = {.lex_state = 7, .external_lex_state = 9},
  [905] = {.lex_state = 5, .external_lex_state = 12},
  [906] = {.lex_state = 5, .external_lex_state = 10},
  [907] = {.lex_state = 5, .external_lex_state = 12},
  [908] = {.lex_state = 8, .external_lex_state = 13},
  [909] = {.lex_state = 8, .external_lex_state = 13},
  [910] = {.lex_state = 8, .external_lex_state = 13},
  [911] = {.lex_state = 5, .external_lex_state = 9},
  [912] = {.lex_state = 5, .external_lex_state = 9},
  [913] = {.lex_state = 5, .external_lex_state = 10},
  [914] = {.lex_state = 5, .external_lex_state = 9},
  [915] = {.lex_state = 5, .external_lex_state = 9},
  [916] = {.lex_state = 5, .external_lex_state = 10},
  [917] = {.lex_state = 5, .external_lex_state = 13},
  [918] = {.lex_state = 5, .external_lex_state = 10},
  [919] = {.lex_state = 5, .external_lex_state = 10},
  [920] = {.lex_state = 5, .external_lex_state = 13},
  [921] = {.lex_state = 5, .external_lex_state = 13},
  [922] = {.lex_state = 5, .external_lex_state = 13},
  [923] = {.lex_state = 5, .external_lex_state = 12},
  [924] = {.lex_state = 5, .external_lex_state = 13},
  [925] = {.lex_state = 5, .external_lex_state = 11},
  [926] = {.lex_state = 5, .external_lex_state = 12},
  [927] = {.lex_state = 5, .external_lex_state = 13},
  [928] = {.lex_state = 5, .external_lex_state = 12},
  [929] = {.lex_state = 5, .external_lex_state = 11},
  [930] = {.lex_state = 5, .external_lex_state = 12},
  [931] = {.lex_state = 5, .external_lex_state = 12},
  [932] = {.lex_state = 5, .external_lex_state = 13},
  [933] = {.lex_state = 5, .external_lex_state = 12},
  [934] = {.lex_state = 5, .external_lex_state = 13},
  [935] = {.lex_state = 5, .external_lex_state = 13},
  [936] = {.lex_state = 5, .external_lex_state = 13},
  [937] = {.lex_state = 5, .external_lex_state = 13},
  [938] = {.lex_state = 5, .external_lex_state = 13},
  [939] = {.lex_state = 5, .external_lex_state = 12},
  [940] = {.lex_state = 5, .external_lex_state = 12},
  [941] = {.lex_state = 5, .external_lex_state = 12},
  [942] = {.lex_state = 5, .external_lex_state = 11},
  [943] = {.lex_state = 5, .external_lex_state = 11},
  [944] = {.lex_state = 5, .external_lex_state = 13},
  [945] = {.lex_state = 5, .external_lex_state = 11},
  [946] = {.lex_state = 5, .external_lex_state = 11},
  [947] = {.lex_state = 5, .external_lex_state = 12},
  [948] = {.lex_state = 5, .external_lex_state = 11},
  [949] = {.lex_state = 5, .external_lex_state = 13},
  [950] = {.lex_state = 5, .external_lex_state = 12},
  [951] = {.lex_state = 5, .external_lex_state = 12},
  [952] = {.lex_state = 5, .external_lex_state = 11},
  [953] = {.lex_state = 5, .external_lex_state = 13},
  [954] = {.lex_state = 5, .external_lex_state = 12},
  [955] = {.lex_state = 5, .external_lex_state = 13},
  [956] = {.lex_state = 5, .external_lex_state = 12},
  [957] = {.lex_state = 5, .external_lex_state = 13},
  [958] = {.lex_state = 5, .external_lex_state = 13},
  [959] = {.lex_state = 5, .external_lex_state = 13},
  [960] = {.lex_state = 5, .external_lex_state = 12},
  [961] = {.lex_state = 5, .external_lex_state = 12},
  [962] = {.lex_state = 5, .external_lex_state = 12},
  [963] = {.lex_state = 5, .external_lex_state = 11},
  [964] = {.lex_state = 5, .external_lex_state = 12},
  [965] = {.lex_state = 5, .external_lex_state = 12},
  [966] = {.lex_state = 5, .external_lex_state = 11},
  [967] = {.lex_state = 5, .external_lex_state = 11},
  [968] = {.lex_state = 5, .external_lex_state = 12},
  [969] = {.lex_state = 5, .external_lex_state = 12},
  [970] = {.lex_state = 5, .external_lex_state = 12},
  [971] = {.lex_state = 5, .external_lex_state = 12},
  [972] = {.lex_state = 5, .external_lex_state = 12},
  [973] = {.lex_state = 5, .external_lex_state = 12},
  [974] = {.lex_state = 5, .external_lex_state = 11},
  [975] = {.lex_state = 5, .external_lex_state = 11},
  [976] = {.lex_state = 5, .external_lex_state = 11},
  [977] = {.lex_state = 5, .external_lex_state = 13},
  [978] = {.lex_state = 5, .external_lex_state = 11},
  [979] = {.lex_state = 5, .external_lex_state = 11},
  [980] = {.lex_state = 5, .external_lex_state = 11},
  [981] = {.lex_state = 5, .external_lex_state = 12},
  [982] = {.lex_state = 5, .external_lex_state = 12},
  [983] = {.lex_state = 5, .external_lex_state = 13},
  [984] = {.lex_state = 5, .external_lex_state = 11},
  [985] = {.lex_state = 5, .external_lex_state = 11},
  [986] = {.lex_state = 5, .external_lex_state = 11},
  [987] = {.lex_state = 5, .external_lex_state = 11},
  [988] = {.lex_state = 5, .external_lex_state = 12},
  [989] = {.lex_state = 5, .external_lex_state = 12},
  [990] = {.lex_state = 5, .external_lex_state = 12},
  [991] = {.lex_state = 5, .external_lex_state = 12},
  [992] = {.lex_state = 5, .external_lex_state = 12},
  [993] = {.lex_state = 5, .external_lex_state = 11},
  [994] = {.lex_state = 5, .external_lex_state = 11},
  [995] = {.lex_state = 5, .external_lex_state = 11},
  [996] = {.lex_state = 5, .external_lex_state = 11},
  [997] = {.lex_state = 5, .external_lex_state = 9},
  [998] = {.lex_state = 5, .external_lex_state = 11},
  [999] = {.lex_state = 5, .external_lex_state = 11},
  [1000] = {.lex_state = 5, .external_lex_state = 11},
  [1001] = {.lex_state = 5, .external_lex_state = 13},
  [1002] = {.lex_state = 5, .external_lex_state = 11},
  [1003] = {.lex_state = 5, .external_lex_state = 11},
  [1004] = {.lex_state = 5, .external_lex_state = 11},
  [1005] = {.lex_state = 5, .external_lex_state = 11},
  [1006] = {.lex_state = 5, .external_lex_state = 13},
  [1007] = {.lex_state = 5, .external_lex_state = 13},
  [1008] = {.lex_state = 5, .external_lex_state = 13},
  [1009] = {.lex_state = 5, .external_lex_state = 11},
  [1010] = {.lex_state = 5, .external_lex_state = 11},
  [1011] = {.lex_state = 5, .external_lex_state = 13},
  [1012] = {.lex_state = 5, .external_lex_state = 12},
  [1013] = {.lex_state = 5, .external_lex_state = 13},
  [1014] = {.lex_state = 5, .external_lex_state = 12},
  [1015] = {.lex_state = 5, .external_lex_state = 12},
  [1016] = {.lex_state = 5, .external_lex_state = 12},
  [1017] = {.lex_state = 5, .external_lex_state = 12},
  [1018] = {.lex_state = 5, .external_lex_state = 12},
  [1019] = {.lex_state = 5, .external_lex_state = 12},
  [1020] = {.lex_state = 8, .external_lex_state = 11},
  [1021] = {.lex_state = 8, .external_lex_state = 11},
  [1022] = {.lex_state = 8, .external_lex_state = 11},
  [1023] = {.lex_state = 5, .external_lex_state = 12},
  [1024] = {.lex_state = 5, .external_lex_state = 12},
  [1025] = {.lex_state = 5, .external_lex_state = 12},
  [1026] = {.lex_state = 5, .external_lex_state = 12},
  [1027] = {.lex_state = 5, .external_lex_state = 12},
  [1028] = {.lex_state = 5, .external_lex_state = 12},
  [1029] = {.lex_state = 5, .external_lex_state = 11},
  [1030] = {.lex_state = 5, .external_lex_state = 12},
  [1031] = {.lex_state = 5, .external_lex_state = 11},
  [1032] = {.lex_state = 5, .external_lex_state = 10},
  [1033] = {.lex_state = 5, .external_lex_state = 13},
  [1034] = {.lex_state = 5, .external_lex_state = 12},
  [1035] = {.lex_state = 5, .external_lex_state = 12},
  [1036] = {.lex_state = 5, .external_lex_state = 13},
  [1037] = {.lex_state = 5, .external_lex_state = 12},
  [1038] = {.lex_state = 8, .external_lex_state = 12},
  [1039] = {.lex_state = 5, .external_lex_state = 12},
  [1040] = {.lex_state = 5, .external_lex_state = 11},
  [1041] = {.lex_state = 5, .external_lex_state = 13},
  [1042] = {.lex_state = 5, .external_lex_state = 12},
  [1043] = {.lex_state = 5, .external_lex_state = 13},
  [1044] = {.lex_state = 5, .external_lex_state = 13},
  [1045] = {.lex_state = 8, .external_lex_state = 12},
  [1046] = {.lex_state = 5, .external_lex_state = 13},
  [1047] = {.lex_state = 8, .external_lex_state = 12},
  [1048] = {.lex_state = 5, .external_lex_state = 13},
  [1049] = {.lex_state = 5, .external_lex_state = 13},
  [1050] = {.lex_state = 5, .external_lex_state = 11},
  [1051] = {.lex_state = 5, .external_lex_state = 13},
  [1052] = {.lex_state = 5, .external_lex_state = 13},
  [1053] = {.lex_state = 5, .external_lex_state = 12},
  [1054] = {.lex_state = 5, .external_lex_state = 13},
  [1055] = {.lex_state = 5, .external_lex_state = 12},
  [1056] = {.lex_state = 5, .external_lex_state = 12},
  [1057] = {.lex_state = 5, .external_lex_state = 12},
  [1058] = {.lex_state = 5, .external_lex_state = 12},
  [1059] = {.lex_state = 5, .external_lex_state = 12},
  [1060] = {.lex_state = 7, .external_lex_state = 13},
  [1061] = {.lex_state = 7, .external_lex_state = 13},
  [1062] = {.lex_state = 7, .external_lex_state = 13},
  [1063] = {.lex_state = 7, .external_lex_state = 13},
  [1064] = {.lex_state = 8, .external_lex_state = 10},
  [1065] = {.lex_state = 7, .external_lex_state = 13},
  [1066] = {.lex_state = 8, .external_lex_state = 10},
  [1067] = {.lex_state = 8, .external_lex_state = 10},
  [1068] = {.lex_state = 5, .external_lex_state = 13},
  [1069] = {.lex_state = 7, .external_lex_state = 13},
  [1070] = {.lex_state = 7, .external_lex_state = 13},
  [1071] = {.lex_state = 7, .external_lex_state = 13},
  [1072] = {.lex_state = 7, .external_lex_state = 13},
  [1073] = {.lex_state = 5, .external_lex_state = 12},
  [1074] = {.lex_state = 5, .external_lex_state = 12},
  [1075] = {.lex_state = 8, .external_lex_state = 12},
  [1076] = {.lex_state = 5, .external_lex_state = 12},
  [1077] = {.lex_state = 7, .external_lex_state = 13},
  [1078] = {.lex_state = 5, .external_lex_state = 12},
  [1079] = {.lex_state = 5, .external_lex_state = 12},
  [1080] = {.lex_state = 8, .external_lex_state = 12},
  [1081] = {.lex_state = 5, .external_lex_state = 12},
  [1082] = {.lex_state = 5, .external_lex_state = 12},
  [1083] = {.lex_state = 5, .external_lex_state = 12},
  [1084] = {.lex_state = 5, .external_lex_state = 12},
  [1085] = {.lex_state = 5, .external_lex_state = 12},
  [1086] = {.lex_state = 5, .external_lex_state = 12},
  [1087] = {.lex_state = 5, .external_lex_state = 12},
  [1088] = {.lex_state = 5, .external_lex_state = 12},
  [1089] = {.lex_state = 5, .external_lex_state = 12},
  [1090] = {.lex_state = 8, .external_lex_state = 12},
  [1091] = {.lex_state = 5, .external_lex_state = 12},
  [1092] = {.lex_state = 5, .external_lex_state = 12},
  [1093] = {.lex_state = 7, .external_lex_state = 13},
  [1094] = {.lex_state = 5, .external_lex_state = 12},
  [1095] = {.lex_state = 7, .external_lex_state = 13},
  [1096] = {.lex_state = 5, .external_lex_state = 12},
  [1097] = {.lex_state = 5, .external_lex_state = 12},
  [1098] = {.lex_state = 5, .external_lex_state = 12},
  [1099] = {.lex_state = 5, .external_lex_state = 12},
  [1100] = {.lex_state = 7, .external_lex_state = 13},
  [1101] = {.lex_state = 5, .external_lex_state = 12},
  [1102] = {.lex_state = 7, .external_lex_state = 13},
  [1103] = {.lex_state = 5, .external_lex_state = 12},
  [1104] = {.lex_state = 5, .external_lex_state = 12},
  [1105] = {.lex_state = 8, .external_lex_state = 11},
  [1106] = {.lex_state = 5, .external_lex_state = 12},
  [1107] = {.lex_state = 8, .external_lex_state = 11},
  [1108] = {.lex_state = 5, .external_lex_state = 12},
  [1109] = {.lex_state = 8, .external_lex_state = 11},
  [1110] = {.lex_state = 8, .external_lex_state = 11},
  [1111] = {.lex_state = 8, .external_lex_state = 11},
  [1112] = {.lex_state = 5, .external_lex_state = 12},
  [1113] = {.lex_state = 8, .external_lex_state = 11},
  [1114] = {.lex_state = 5, .external_lex_state = 12},
  [1115] = {.lex_state = 5, .external_lex_state = 12},
  [1116] = {.lex_state = 5, .external_lex_state = 12},
  [1117] = {.lex_state = 5, .external_lex_state = 12},
  [1118] = {.lex_state = 5, .external_lex_state = 12},
  [1119] = {.lex_state = 7, .external_lex_state = 13},
  [1120] = {.lex_state = 5, .external_lex_state = 12},
  [1121] = {.lex_state = 7, .external_lex_state = 13},
  [1122] = {.lex_state = 5, .external_lex_state = 12},
  [1123] = {.lex_state = 5, .external_lex_state = 11},
  [1124] = {.lex_state = 5, .external_lex_state = 11},
  [1125] = {.lex_state = 5, .external_lex_state = 11},
  [1126] = {.lex_state = 5, .external_lex_state = 11},
  [1127] = {.lex_state = 5, .external_lex_state = 12},
  [1128] = {.lex_state = 5, .external_lex_state = 10},
  [1129] = {.lex_state = 5, .external_lex_state = 2},
  [1130] = {.lex_state = 5, .external_lex_state = 11},
  [1131] = {.lex_state = 5, .external_lex_state = 2},
  [1132] = {.lex_state = 5, .external_lex_state = 6},
  [1133] = {.lex_state = 5, .external_lex_state = 6},
  [1134] = {.lex_state = 5, .external_lex_state = 7},
  [1135] = {.lex_state = 5, .external_lex_state = 6},
  [1136] = {.lex_state = 5, .external_lex_state = 7},
  [1137] = {.lex_state = 5, .external_lex_state = 7},
  [1138] = {.lex_state = 5, .external_lex_state = 6},
  [1139] = {.lex_state = 5, .external_lex_state = 7},
  [1140] = {.lex_state = 5, .external_lex_state = 6},
  [1141] = {.lex_state = 5, .external_lex_state = 7},
  [1142] = {.lex_state = 5, .external_lex_state = 6},
  [1143] = {.lex_state = 5, .external_lex_state = 6},
  [1144] = {.lex_state = 5, .external_lex_state = 6},
  [1145] = {.lex_state = 5, .external_lex_state = 7},
  [1146] = {.lex_state = 5, .external_lex_state = 6},
  [1147] = {.lex_state = 5, .external_lex_state = 6},
  [1148] = {.lex_state = 5, .external_lex_state = 7},
  [1149] = {.lex_state = 5, .external_lex_state = 6},
  [1150] = {.lex_state = 5, .external_lex_state = 6},
  [1151] = {.lex_state = 5, .external_lex_state = 7},
  [1152] = {.lex_state = 5, .external_lex_state = 7},
  [1153] = {.lex_state = 5, .external_lex_state = 6},
  [1154] = {.lex_state = 5, .external_lex_state = 6},
  [1155] = {.lex_state = 5, .external_lex_state = 6},
  [1156] = {.lex_state = 5, .external_lex_state = 6},
  [1157] = {.lex_state = 5, .external_lex_state = 6},
  [1158] = {.lex_state = 5, .external_lex_state = 6},
  [1159] = {.lex_state = 5, .external_lex_state = 6},
  [1160] = {.lex_state = 5, .external_lex_state = 7},
  [1161] = {.lex_state = 5, .external_lex_state = 6},
  [1162] = {.lex_state = 5, .external_lex_state = 6},
  [1163] = {.lex_state = 5, .external_lex_state = 6},
  [1164] = {.lex_state = 5, .external_lex_state = 6},
  [1165] = {.lex_state = 5, .external_lex_state = 7},
  [1166] = {.lex_state = 5, .external_lex_state = 6},
  [1167] = {.lex_state = 5, .external_lex_state = 7},
  [1168] = {.lex_state = 5, .external_lex_state = 2},
  [1169] = {.lex_state = 5, .external_lex_state = 2},
  [1170] = {.lex_state = 5, .external_lex_state = 2},
  [1171] = {.lex_state = 5, .external_lex_state = 2},
  [1172] = {.lex_state = 5, .external_lex_state = 2},
  [1173] = {.lex_state = 5, .external_lex_state = 8},
  [1174] = {.lex_state = 5, .external_lex_state = 8},
  [1175] = {.lex_state = 5, .external_lex_state = 8},
  [1176] = {.lex_state = 5, .external_lex_state = 8},
  [1177] = {.lex_state = 5, .external_lex_state = 8},
  [1178] = {.lex_state = 5, .external_lex_state = 8},
  [1179] = {.lex_state = 5, .external_lex_state = 8},
  [1180] = {.lex_state = 5, .external_lex_state = 8},
  [1181] = {.lex_state = 5, .external_lex_state = 8},
  [1182] = {.lex_state = 5, .external_lex_state = 8},
  [1183] = {.lex_state = 5, .external_lex_state = 8},
  [1184] = {.lex_state = 5, .external_lex_state = 8},
  [1185] = {.lex_state = 5, .external_lex_state = 8},
  [1186] = {.lex_state = 5, .external_lex_state = 8},
  [1187] = {.lex_state = 5, .external_lex_state = 8},
  [1188] = {.lex_state = 5, .external_lex_state = 8},
  [1189] = {.lex_state = 5, .external_lex_state = 8},
  [1190] = {.lex_state = 5, .external_lex_state = 8},
  [1191] = {.lex_state = 5, .external_lex_state = 8},
  [1192] = {.lex_state = 5, .external_lex_state = 8},
  [1193] = {.lex_state = 5, .external_lex_state = 2},
  [1194] = {.lex_state = 5, .external_lex_state = 2},
  [1195] = {.lex_state = 5, .external_lex_state = 2},
  [1196] = {.lex_state = 5, .external_lex_state = 2},
  [1197] = {.lex_state = 5, .external_lex_state = 2},
  [1198] = {.lex_state = 5, .external_lex_state = 2},
  [1199] = {.lex_state = 5, .external_lex_state = 2},
  [1200] = {.lex_state = 5, .external_lex_state = 2},
  [1201] = {.lex_state = 5, .external_lex_state = 2},
  [1202] = {.lex_state = 5, .external_lex_state = 10},
  [1203] = {.lex_state = 5, .external_lex_state = 10},
  [1204] = {.lex_state = 5, .external_lex_state = 10},
  [1205] = {.lex_state = 5, .external_lex_state = 10},
  [1206] = {.lex_state = 5, .external_lex_state = 10},
  [1207] = {.lex_state = 5, .external_lex_state = 10},
  [1208] = {.lex_state = 48, .external_lex_state = 9},
  [1209] = {.lex_state = 48, .external_lex_state = 9},
  [1210] = {.lex_state = 48, .external_lex_state = 13},
  [1211] = {.lex_state = 48, .external_lex_state = 13},
  [1212] = {.lex_state = 48, .external_lex_state = 11},
  [1213] = {.lex_state = 48, .external_lex_state = 11},
  [1214] = {.lex_state = 6, .external_lex_state = 9},
  [1215] = {.lex_state = 48, .external_lex_state = 10},
  [1216] = {.lex_state = 48, .external_lex_state = 10},
  [1217] = {.lex_state = 5, .external_lex_state = 11},
  [1218] = {.lex_state = 5, .external_lex_state = 11},
  [1219] = {.lex_state = 5, .external_lex_state = 11},
  [1220] = {.lex_state = 48, .external_lex_state = 10},
  [1221] = {.lex_state = 48, .external_lex_state = 10},
  [1222] = {.lex_state = 48, .external_lex_state = 12},
  [1223] = {.lex_state = 48, .external_lex_state = 12},
  [1224] = {.lex_state = 6, .external_lex_state = 9},
  [1225] = {.lex_state = 5, .external_lex_state = 11},
  [1226] = {.lex_state = 5, .external_lex_state = 11},
  [1227] = {.lex_state = 5, .external_lex_state = 11},
  [1228] = {.lex_state = 5, .external_lex_state = 11},
  [1229] = {.lex_state = 5, .external_lex_state = 13},
  [1230] = {.lex_state = 6, .external_lex_state = 9},
  [1231] = {.lex_state = 5, .external_lex_state = 13},
  [1232] = {.lex_state = 5, .external_lex_state = 13},
  [1233] = {.lex_state = 5, .external_lex_state = 12},
  [1234] = {.lex_state = 5, .external_lex_state = 12},
  [1235] = {.lex_state = 5, .external_lex_state = 12},
  [1236] = {.lex_state = 5, .external_lex_state = 12},
  [1237] = {.lex_state = 6, .external_lex_state = 9},
  [1238] = {.lex_state = 6, .external_lex_state = 9},
  [1239] = {.lex_state = 48, .external_lex_state = 12},
  [1240] = {.lex_state = 5, .external_lex_state = 13},
  [1241] = {.lex_state = 5, .external_lex_state = 13},
  [1242] = {.lex_state = 5, .external_lex_state = 13},
  [1243] = {.lex_state = 5, .external_lex_state = 13},
  [1244] = {.lex_state = 5, .external_lex_state = 12},
  [1245] = {.lex_state = 48, .external_lex_state = 12},
  [1246] = {.lex_state = 5, .external_lex_state = 12},
  [1247] = {.lex_state = 5, .external_lex_state = 13},
  [1248] = {.lex_state = 5, .external_lex_state = 13},
  [1249] = {.lex_state = 6, .external_lex_state = 9},
  [1250] = {.lex_state = 5, .external_lex_state = 11},
  [1251] = {.lex_state = 5, .external_lex_state = 11},
  [1252] = {.lex_state = 5, .external_lex_state = 13},
  [1253] = {.lex_state = 5, .external_lex_state = 13},
  [1254] = {.lex_state = 5, .external_lex_state = 11},
  [1255] = {.lex_state = 5, .external_lex_state = 13},
  [1256] = {.lex_state = 5, .external_lex_state = 11},
  [1257] = {.lex_state = 5, .external_lex_state = 11},
  [1258] = {.lex_state = 5, .external_lex_state = 13},
  [1259] = {.lex_state = 5, .external_lex_state = 13},
  [1260] = {.lex_state = 6, .external_lex_state = 13},
  [1261] = {.lex_state = 5, .external_lex_state = 13},
  [1262] = {.lex_state = 6, .external_lex_state = 9},
  [1263] = {.lex_state = 6, .external_lex_state = 13},
  [1264] = {.lex_state = 5, .external_lex_state = 13},
  [1265] = {.lex_state = 6, .external_lex_state = 13},
  [1266] = {.lex_state = 5, .external_lex_state = 13},
  [1267] = {.lex_state = 5, .external_lex_state = 13},
  [1268] = {.lex_state = 5, .external_lex_state = 13},
  [1269] = {.lex_state = 6, .external_lex_state = 13},
  [1270] = {.lex_state = 6, .external_lex_state = 13},
  [1271] = {.lex_state = 5, .external_lex_state = 13},
  [1272] = {.lex_state = 6, .external_lex_state = 13},
  [1273] = {.lex_state = 5, .external_lex_state = 13},
  [1274] = {.lex_state = 5, .external_lex_state = 13},
  [1275] = {.lex_state = 5, .external_lex_state = 13},
  [1276] = {.lex_state = 5, .external_lex_state = 13},
  [1277] = {.lex_state = 5, .external_lex_state = 13},
  [1278] = {.lex_state = 5, .external_lex_state = 13},
  [1279] = {.lex_state = 5, .external_lex_state = 13},
  [1280] = {.lex_state = 5, .external_lex_state = 13},
  [1281] = {.lex_state = 6, .external_lex_state = 13},
  [1282] = {.lex_state = 5, .external_lex_state = 13},
  [1283] = {.lex_state = 5, .external_lex_state = 13},
  [1284] = {.lex_state = 6, .external_lex_state = 13},
  [1285] = {.lex_state = 5, .external_lex_state = 11},
  [1286] = {.lex_state = 6, .external_lex_state = 13},
  [1287] = {.lex_state = 5, .external_lex_state = 13},
  [1288] = {.lex_state = 5, .external_lex_state = 13},
  [1289] = {.lex_state = 5, .external_lex_state = 11},
  [1290] = {.lex_state = 5, .external_lex_state = 11},
  [1291] = {.lex_state = 5, .external_lex_state = 13},
  [1292] = {.lex_state = 5, .external_lex_state = 13},
  [1293] = {.lex_state = 48, .external_lex_state = 10},
  [1294] = {.lex_state = 48, .external_lex_state = 10},
  [1295] = {.lex_state = 48, .external_lex_state = 10},
  [1296] = {.lex_state = 48, .external_lex_state = 10},
  [1297] = {.lex_state = 48, .external_lex_state = 10},
  [1298] = {.lex_state = 48, .external_lex_state = 10},
  [1299] = {.lex_state = 48, .external_lex_state = 10},
  [1300] = {.lex_state = 0, .external_lex_state = 14},
  [1301] = {.lex_state = 48, .external_lex_state = 9},
  [1302] = {.lex_state = 48, .external_lex_state = 9},
  [1303] = {.lex_state = 48, .external_lex_state = 9},
  [1304] = {.lex_state = 0, .external_lex_state = 14},
  [1305] = {.lex_state = 0, .external_lex_state = 14},
  [1306] = {.lex_state = 48, .external_lex_state = 9},
  [1307] = {.lex_state = 0, .external_lex_state = 14},
  [1308] = {.lex_state = 48, .external_lex_state = 9},
  [1309] = {.lex_state = 0, .external_lex_state = 14},
  [1310] = {.lex_state = 0, .external_lex_state = 14},
  [1311] = {.lex_state = 0, .external_lex_state = 14},
  [1312] = {.lex_state = 48, .external_lex_state = 12},
  [1313] = {.lex_state = 48, .external_lex_state = 9},
  [1314] = {.lex_state = 48, .external_lex_state = 9},
  [1315] = {.lex_state = 0, .external_lex_state = 14},
  [1316] = {.lex_state = 0, .external_lex_state = 14},
  [1317] = {.lex_state = 0, .external_lex_state = 14},
  [1318] = {.lex_state = 0, .external_lex_state = 14},
  [1319] = {.lex_state = 0, .external_lex_state = 14},
  [1320] = {.lex_state = 0, .external_lex_state = 14},
  [1321] = {.lex_state = 0, .external_lex_state = 14},
  [1322] = {.lex_state = 0, .external_lex_state = 14},
  [1323] = {.lex_state = 0, .external_lex_state = 14},
  [1324] = {.lex_state = 0, .external_lex_state = 14},
  [1325] = {.lex_state = 48, .external_lex_state = 12},
  [1326] = {.lex_state = 48, .external_lex_state = 9},
  [1327] = {.lex_state = 0, .external_lex_state = 14},
  [1328] = {.lex_state = 48, .external_lex_state = 9},
  [1329] = {.lex_state = 48, .external_lex_state = 9},
  [1330] = {.lex_state = 48, .external_lex_state = 12},
  [1331] = {.lex_state = 0, .external_lex_state = 14},
  [1332] = {.lex_state = 48, .external_lex_state = 12},
  [1333] = {.lex_state = 0, .external_lex_state = 14},
  [1334] = {.lex_state = 48, .external_lex_state = 12},
  [1335] = {.lex_state = 0, .external_lex_state = 14},
  [1336] = {.lex_state = 48, .external_lex_state = 12},
  [1337] = {.lex_state = 0, .external_lex_state = 14},
  [1338] = {.lex_state = 48, .external_lex_state = 12},
  [1339] = {.lex_state = 0, .external_lex_state = 14},
  [1340] = {.lex_state = 48, .external_lex_state = 11},
  [1341] = {.lex_state = 48, .external_lex_state = 11},
  [1342] = {.lex_state = 48, .external_lex_state = 9},
  [1343] = {.lex_state = 48, .external_lex_state = 11},
  [1344] = {.lex_state = 48, .external_lex_state = 11},
  [1345] = {.lex_state = 48, .external_lex_state = 13},
  [1346] = {.lex_state = 48, .external_lex_state = 13},
  [1347] = {.lex_state = 48, .external_lex_state = 13},
  [1348] = {.lex_state = 48, .external_lex_state = 13},
  [1349] = {.lex_state = 48, .external_lex_state = 11},
  [1350] = {.lex_state = 48, .external_lex_state = 13},
  [1351] = {.lex_state = 48, .external_lex_state = 11},
  [1352] = {.lex_state = 48, .external_lex_state = 11},
  [1353] = {.lex_state = 48, .external_lex_state = 13},
  [1354] = {.lex_state = 48, .external_lex_state = 11},
  [1355] = {.lex_state = 48, .external_lex_state = 13},
  [1356] = {.lex_state = 48, .external_lex_state = 10},
  [1357] = {.lex_state = 48, .external_lex_state = 11},
  [1358] = {.lex_state = 48, .external_lex_state = 13},
  [1359] = {.lex_state = 48, .external_lex_state = 11},
  [1360] = {.lex_state = 48, .external_lex_state = 13},
  [1361] = {.lex_state = 48, .external_lex_state = 10},
  [1362] = {.lex_state = 48, .external_lex_state = 10},
  [1363] = {.lex_state = 48, .external_lex_state = 10},
  [1364] = {.lex_state = 48, .external_lex_state = 12},
  [1365] = {.lex_state = 48, .external_lex_state = 10},
  [1366] = {.lex_state = 48, .external_lex_state = 10},
  [1367] = {.lex_state = 48, .external_lex_state = 10},
  [1368] = {.lex_state = 48, .external_lex_state = 10},
  [1369] = {.lex_state = 48, .external_lex_state = 10},
  [1370] = {.lex_state = 48, .external_lex_state = 12},
  [1371] = {.lex_state = 48, .external_lex_state = 10},
  [1372] = {.lex_state = 48, .external_lex_state = 12},
  [1373] = {.lex_state = 48, .external_lex_state = 12},
  [1374] = {.lex_state = 48, .external_lex_state = 12},
  [1375] = {.lex_state = 48, .external_lex_state = 12},
  [1376] = {.lex_state = 48, .external_lex_state = 10},
  [1377] = {.lex_state = 48, .external_lex_state = 10},
  [1378] = {.lex_state = 48, .external_lex_state = 10},
  [1379] = {.lex_state = 48, .external_lex_state = 12},
  [1380] = {.lex_state = 48, .external_lex_state = 10},
  [1381] = {.lex_state = 48, .external_lex_state = 10},
  [1382] = {.lex_state = 48, .external_lex_state = 10},
  [1383] = {.lex_state = 48, .external_lex_state = 10},
  [1384] = {.lex_state = 48, .external_lex_state = 10},
  [1385] = {.lex_state = 48, .external_lex_state = 10},
  [1386] = {.lex_state = 48, .external_lex_state = 13},
  [1387] = {.lex_state = 48, .external_lex_state = 10},
  [1388] = {.lex_state = 48, .external_lex_state = 13},
  [1389] = {.lex_state = 48, .external_lex_state = 12},
  [1390] = {.lex_state = 48, .external_lex_state = 12},
  [1391] = {.lex_state = 48, .external_lex_state = 12},
  [1392] = {.lex_state = 48, .external_lex_state = 12},
  [1393] = {.lex_state = 48, .external_lex_state = 9},
  [1394] = {.lex_state = 48, .external_lex_state = 11},
  [1395] = {.lex_state = 48, .external_lex_state = 12},
  [1396] = {.lex_state = 48, .external_lex_state = 2},
  [1397] = {.lex_state = 48, .external_lex_state = 10},
  [1398] = {.lex_state = 0, .external_lex_state = 14},
  [1399] = {.lex_state = 48, .external_lex_state = 12},
  [1400] = {.lex_state = 48, .external_lex_state = 10},
  [1401] = {.lex_state = 48, .external_lex_state = 12},
  [1402] = {.lex_state = 48, .external_lex_state = 13},
  [1403] = {.lex_state = 48, .external_lex_state = 9},
  [1404] = {.lex_state = 48, .external_lex_state = 12},
  [1405] = {.lex_state = 48, .external_lex_state = 10},
  [1406] = {.lex_state = 48, .external_lex_state = 2},
  [1407] = {.lex_state = 48, .external_lex_state = 12},
  [1408] = {.lex_state = 48, .external_lex_state = 12},
  [1409] = {.lex_state = 48, .external_lex_state = 12},
  [1410] = {.lex_state = 48, .external_lex_state = 10},
  [1411] = {.lex_state = 48, .external_lex_state = 9},
  [1412] = {.lex_state = 48, .external_lex_state = 12},
  [1413] = {.lex_state = 48, .external_lex_state = 12},
  [1414] = {.lex_state = 48, .external_lex_state = 9},
  [1415] = {.lex_state = 48, .external_lex_state = 12},
  [1416] = {.lex_state = 48, .external_lex_state = 9},
  [1417] = {.lex_state = 48, .external_lex_state = 12},
  [1418] = {.lex_state = 48, .external_lex_state = 13},
  [1419] = {.lex_state = 48, .external_lex_state = 13},
  [1420] = {.lex_state = 48, .external_lex_state = 9},
  [1421] = {.lex_state = 48, .external_lex_state = 12},
  [1422] = {.lex_state = 48, .external_lex_state = 10},
  [1423] = {.lex_state = 48, .external_lex_state = 12},
  [1424] = {.lex_state = 48, .external_lex_state = 2},
  [1425] = {.lex_state = 48, .external_lex_state = 9},
  [1426] = {.lex_state = 48, .external_lex_state = 12},
  [1427] = {.lex_state = 48, .external_lex_state = 12},
  [1428] = {.lex_state = 48, .external_lex_state = 9},
  [1429] = {.lex_state = 48, .external_lex_state = 12},
  [1430] = {.lex_state = 0, .external_lex_state = 14},
  [1431] = {.lex_state = 48, .external_lex_state = 12},
  [1432] = {.lex_state = 48, .external_lex_state = 12},
  [1433] = {.lex_state = 48, .external_lex_state = 12},
  [1434] = {.lex_state = 48, .external_lex_state = 12},
  [1435] = {.lex_state = 48, .external_lex_state = 12},
  [1436] = {.lex_state = 48, .external_lex_state = 6},
  [1437] = {.lex_state = 48, .external_lex_state = 12},
  [1438] = {.lex_state = 48, .external_lex_state = 13},
  [1439] = {.lex_state = 48, .external_lex_state = 11},
  [1440] = {.lex_state = 48, .external_lex_state = 11},
  [1441] = {.lex_state = 48, .external_lex_state = 6},
  [1442] = {.lex_state = 48, .external_lex_state = 9},
  [1443] = {.lex_state = 48, .external_lex_state = 11},
  [1444] = {.lex_state = 48, .external_lex_state = 10},
  [1445] = {.lex_state = 48, .external_lex_state = 10},
  [1446] = {.lex_state = 48, .external_lex_state = 12},
  [1447] = {.lex_state = 48, .external_lex_state = 11},
  [1448] = {.lex_state = 48, .external_lex_state = 11},
  [1449] = {.lex_state = 48, .external_lex_state = 6},
  [1450] = {.lex_state = 48, .external_lex_state = 13},
  [1451] = {.lex_state = 48, .external_lex_state = 11},
  [1452] = {.lex_state = 48, .external_lex_state = 11},
  [1453] = {.lex_state = 48, .external_lex_state = 10},
  [1454] = {.lex_state = 48, .external_lex_state = 11},
  [1455] = {.lex_state = 48, .external_lex_state = 9},
  [1456] = {.lex_state = 48, .external_lex_state = 12},
  [1457] = {.lex_state = 48, .external_lex_state = 10},
  [1458] = {.lex_state = 48, .external_lex_state = 11},
  [1459] = {.lex_state = 48, .external_lex_state = 10},
  [1460] = {.lex_state = 48, .external_lex_state = 13},
  [1461] = {.lex_state = 48, .external_lex_state = 11},
  [1462] = {.lex_state = 48, .external_lex_state = 12},
  [1463] = {.lex_state = 48, .external_lex_state = 11},
  [1464] = {.lex_state = 48, .external_lex_state = 12},
  [1465] = {.lex_state = 48, .external_lex_state = 10},
  [1466] = {.lex_state = 48, .external_lex_state = 11},
  [1467] = {.lex_state = 48, .external_lex_state = 11},
  [1468] = {.lex_state = 48, .external_lex_state = 13},
  [1469] = {.lex_state = 48, .external_lex_state = 11},
  [1470] = {.lex_state = 48, .external_lex_state = 10},
  [1471] = {.lex_state = 48, .external_lex_state = 11},
  [1472] = {.lex_state = 48, .external_lex_state = 11},
  [1473] = {.lex_state = 48, .external_lex_state = 10},
  [1474] = {.lex_state = 48, .external_lex_state = 10},
  [1475] = {.lex_state = 48, .external_lex_state = 11},
  [1476] = {.lex_state = 48, .external_lex_state = 10},
  [1477] = {.lex_state = 48, .external_lex_state = 11},
  [1478] = {.lex_state = 48, .external_lex_state = 9},
  [1479] = {.lex_state = 48, .external_lex_state = 10},
  [1480] = {.lex_state = 48, .external_lex_state = 13},
  [1481] = {.lex_state = 48, .external_lex_state = 7},
  [1482] = {.lex_state = 48, .external_lex_state = 13},
  [1483] = {.lex_state = 48, .external_lex_state = 8},
  [1484] = {.lex_state = 48, .external_lex_state = 13},
  [1485] = {.lex_state = 48, .external_lex_state = 13},
  [1486] = {.lex_state = 48, .external_lex_state = 12},
  [1487] = {.lex_state = 48, .external_lex_state = 10},
  [1488] = {.lex_state = 48, .external_lex_state = 12},
  [1489] = {.lex_state = 48, .external_lex_state = 8},
  [1490] = {.lex_state = 48, .external_lex_state = 7},
  [1491] = {.lex_state = 48, .external_lex_state = 13},
  [1492] = {.lex_state = 48, .external_lex_state = 10},
  [1493] = {.lex_state = 48, .external_lex_state = 12},
  [1494] = {.lex_state = 48, .external_lex_state = 12},
  [1495] = {.lex_state = 48, .external_lex_state = 12},
  [1496] = {.lex_state = 48, .external_lex_state = 10},
  [1497] = {.lex_state = 48, .external_lex_state = 7},
  [1498] = {.lex_state = 48, .external_lex_state = 8},
  [1499] = {.lex_state = 0, .external_lex_state = 14},
  [1500] = {.lex_state = 48, .external_lex_state = 10},
  [1501] = {.lex_state = 48, .external_lex_state = 2},
  [1502] = {.lex_state = 48, .external_lex_state = 9},
  [1503] = {.lex_state = 48, .external_lex_state = 9},
  [1504] = {.lex_state = 48, .external_lex_state = 9},
  [1505] = {.lex_state = 48, .external_lex_state = 9},
  [1506] = {.lex_state = 48, .external_lex_state = 13},
  [1507] = {.lex_state = 48, .external_lex_state = 10},
  [1508] = {.lex_state = 48, .external_lex_state = 13},
  [1509] = {.lex_state = 48, .external_lex_state = 11},
  [1510] = {.lex_state = 48, .external_lex_state = 12},
  [1511] = {.lex_state = 48, .external_lex_state = 12},
  [1512] = {.lex_state = 48, .external_lex_state = 11},
  [1513] = {.lex_state = 48, .external_lex_state = 13},
  [1514] = {.lex_state = 48, .external_lex_state = 13},
  [1515] = {.lex_state = 48, .external_lex_state = 10},
  [1516] = {.lex_state = 48, .external_lex_state = 13},
  [1517] = {.lex_state = 48, .external_lex_state = 12},
  [1518] = {.lex_state = 48, .external_lex_state = 12},
  [1519] = {.lex_state = 48, .external_lex_state = 11},
  [1520] = {.lex_state = 48, .external_lex_state = 13},
  [1521] = {.lex_state = 48, .external_lex_state = 11},
  [1522] = {.lex_state = 0, .external_lex_state = 14},
  [1523] = {.lex_state = 48, .external_lex_state = 2},
  [1524] = {.lex_state = 48, .external_lex_state = 11},
  [1525] = {.lex_state = 48, .external_lex_state = 11},
  [1526] = {.lex_state = 0, .external_lex_state = 14},
  [1527] = {.lex_state = 48, .external_lex_state = 12},
  [1528] = {.lex_state = 48, .external_lex_state = 10},
  [1529] = {.lex_state = 48, .external_lex_state = 11},
  [1530] = {.lex_state = 0, .external_lex_state = 14},
  [1531] = {.lex_state = 48, .external_lex_state = 12},
  [1532] = {.lex_state = 48, .external_lex_state = 11},
  [1533] = {.lex_state = 48, .external_lex_state = 11},
  [1534] = {.lex_state = 48, .external_lex_state = 11},
  [1535] = {.lex_state = 0, .external_lex_state = 14},
  [1536] = {.lex_state = 0, .external_lex_state = 14},
  [1537] = {.lex_state = 48, .external_lex_state = 11},
  [1538] = {.lex_state = 48, .external_lex_state = 10},
  [1539] = {.lex_state = 48, .external_lex_state = 13},
  [1540] = {.lex_state = 48, .external_lex_state = 11},
  [1541] = {.lex_state = 48, .external_lex_state = 9},
  [1542] = {.lex_state = 48, .external_lex_state = 11},
  [1543] = {.lex_state = 48, .external_lex_state = 13},
  [1544] = {.lex_state = 48, .external_lex_state = 11},
  [1545] = {.lex_state = 48, .external_lex_state = 11},
  [1546] = {.lex_state = 48, .external_lex_state = 12},
  [1547] = {.lex_state = 48, .external_lex_state = 13},
  [1548] = {.lex_state = 48, .external_lex_state = 10},
  [1549] = {.lex_state = 48, .external_lex_state = 13},
  [1550] = {.lex_state = 0, .external_lex_state = 14},
  [1551] = {.lex_state = 48, .external_lex_state = 10},
  [1552] = {.lex_state = 48, .external_lex_state = 10},
  [1553] = {.lex_state = 48, .external_lex_state = 10},
  [1554] = {.lex_state = 48, .external_lex_state = 9},
  [1555] = {.lex_state = 48, .external_lex_state = 10},
  [1556] = {.lex_state = 48, .external_lex_state = 12},
  [1557] = {.lex_state = 48, .external_lex_state = 12},
  [1558] = {.lex_state = 0, .external_lex_state = 14},
  [1559] = {.lex_state = 48, .external_lex_state = 12},
  [1560] = {.lex_state = 48, .external_lex_state = 12},
  [1561] = {.lex_state = 48, .external_lex_state = 9},
  [1562] = {.lex_state = 48, .external_lex_state = 11},
  [1563] = {.lex_state = 48, .external_lex_state = 10},
  [1564] = {.lex_state = 48, .external_lex_state = 12},
  [1565] = {.lex_state = 48, .external_lex_state = 11},
  [1566] = {.lex_state = 48, .external_lex_state = 12},
  [1567] = {.lex_state = 48, .external_lex_state = 12},
  [1568] = {.lex_state = 48, .external_lex_state = 11},
  [1569] = {.lex_state = 48, .external_lex_state = 10},
  [1570] = {.lex_state = 48, .external_lex_state = 11},
  [1571] = {.lex_state = 48, .external_lex_state = 11},
  [1572] = {.lex_state = 48, .external_lex_state = 10},
  [1573] = {.lex_state = 48, .external_lex_state = 11},
  [1574] = {.lex_state = 48, .external_lex_state = 10},
  [1575] = {.lex_state = 48, .external_lex_state = 12},
  [1576] = {.lex_state = 48, .external_lex_state = 13},
  [1577] = {.lex_state = 48, .external_lex_state = 13},
  [1578] = {.lex_state = 48, .external_lex_state = 13},
  [1579] = {.lex_state = 48, .external_lex_state = 10},
  [1580] = {.lex_state = 48, .external_lex_state = 13},
  [1581] = {.lex_state = 48, .external_lex_state = 9},
  [1582] = {.lex_state = 48, .external_lex_state = 12},
  [1583] = {.lex_state = 48, .external_lex_state = 13},
  [1584] = {.lex_state = 48, .external_lex_state = 13},
  [1585] = {.lex_state = 48, .external_lex_state = 10},
  [1586] = {.lex_state = 48, .external_lex_state = 9},
  [1587] = {.lex_state = 48, .external_lex_state = 12},
  [1588] = {.lex_state = 48, .external_lex_state = 9},
  [1589] = {.lex_state = 48, .external_lex_state = 13},
  [1590] = {.lex_state = 48, .external_lex_state = 11},
  [1591] = {.lex_state = 48, .external_lex_state = 10},
  [1592] = {.lex_state = 48, .external_lex_state = 13},
  [1593] = {.lex_state = 48, .external_lex_state = 13},
  [1594] = {.lex_state = 48, .external_lex_state = 13},
  [1595] = {.lex_state = 48, .external_lex_state = 13},
  [1596] = {.lex_state = 48, .external_lex_state = 13},
  [1597] = {.lex_state = 48, .external_lex_state = 13},
  [1598] = {.lex_state = 48, .external_lex_state = 13},
  [1599] = {.lex_state = 3, .external_lex_state = 10},
  [1600] = {.lex_state = 48, .external_lex_state = 13},
  [1601] = {.lex_state = 48, .external_lex_state = 13},
  [1602] = {.lex_state = 48, .external_lex_state = 10},
  [1603] = {.lex_state = 48, .external_lex_state = 10},
  [1604] = {.lex_state = 48, .external_lex_state = 6},
  [1605] = {.lex_state = 48, .external_lex_state = 13},
  [1606] = {.lex_state = 48, .external_lex_state = 13},
  [1607] = {.lex_state = 48, .external_lex_state = 8},
  [1608] = {.lex_state = 48, .external_lex_state = 10},
  [1609] = {.lex_state = 48, .external_lex_state = 13},
  [1610] = {.lex_state = 48, .external_lex_state = 9},
  [1611] = {.lex_state = 48, .external_lex_state = 11},
  [1612] = {.lex_state = 48, .external_lex_state = 13},
  [1613] = {.lex_state = 48, .external_lex_state = 13},
  [1614] = {.lex_state = 48, .external_lex_state = 7},
  [1615] = {.lex_state = 48, .external_lex_state = 13},
  [1616] = {.lex_state = 3, .external_lex_state = 10},
  [1617] = {.lex_state = 48, .external_lex_state = 13},
  [1618] = {.lex_state = 48, .external_lex_state = 11},
  [1619] = {.lex_state = 48, .external_lex_state = 13},
  [1620] = {.lex_state = 48, .external_lex_state = 13},
  [1621] = {.lex_state = 48, .external_lex_state = 10},
  [1622] = {.lex_state = 48, .external_lex_state = 13},
  [1623] = {.lex_state = 48, .external_lex_state = 10},
  [1624] = {.lex_state = 48, .external_lex_state = 13},
  [1625] = {.lex_state = 48, .external_lex_state = 12},
  [1626] = {.lex_state = 48, .external_lex_state = 13},
  [1627] = {.lex_state = 48, .external_lex_state = 11},
  [1628] = {.lex_state = 48, .external_lex_state = 13},
  [1629] = {.lex_state = 48, .external_lex_state = 13},
  [1630] = {.lex_state = 48, .external_lex_state = 13},
  [1631] = {.lex_state = 48, .external_lex_state = 13},
  [1632] = {.lex_state = 48, .external_lex_state = 13},
  [1633] = {.lex_state = 48, .external_lex_state = 10},
  [1634] = {.lex_state = 48, .external_lex_state = 13},
  [1635] = {.lex_state = 48, .external_lex_state = 13},
  [1636] = {.lex_state = 48, .external_lex_state = 13},
  [1637] = {.lex_state = 48, .external_lex_state = 10},
  [1638] = {.lex_state = 48, .external_lex_state = 12},
  [1639] = {.lex_state = 48, .external_lex_state = 13},
  [1640] = {.lex_state = 48, .external_lex_state = 12},
  [1641] = {.lex_state = 48, .external_lex_state = 11},
  [1642] = {.lex_state = 48, .external_lex_state = 12},
  [1643] = {.lex_state = 48, .external_lex_state = 12},
  [1644] = {.lex_state = 48, .external_lex_state = 13},
  [1645] = {.lex_state = 48, .external_lex_state = 7},
  [1646] = {.lex_state = 48, .external_lex_state = 11},
  [1647] = {.lex_state = 48, .external_lex_state = 12},
  [1648] = {.lex_state = 48, .external_lex_state = 10},
  [1649] = {.lex_state = 48, .external_lex_state = 13},
  [1650] = {.lex_state = 48, .external_lex_state = 10},
  [1651] = {.lex_state = 48, .external_lex_state = 12},
  [1652] = {.lex_state = 48, .external_lex_state = 12},
  [1653] = {.lex_state = 48, .external_lex_state = 13},
  [1654] = {.lex_state = 48, .external_lex_state = 8},
  [1655] = {.lex_state = 48, .external_lex_state = 13},
  [1656] = {.lex_state = 48, .external_lex_state = 13},
  [1657] = {.lex_state = 48, .external_lex_state = 12},
  [1658] = {.lex_state = 48, .external_lex_state = 13},
  [1659] = {.lex_state = 48, .external_lex_state = 13},
  [1660] = {.lex_state = 48, .external_lex_state = 13},
  [1661] = {.lex_state = 48, .external_lex_state = 13},
  [1662] = {.lex_state = 48, .external_lex_state = 13},
  [1663] = {.lex_state = 48, .external_lex_state = 11},
  [1664] = {.lex_state = 48, .external_lex_state = 12},
  [1665] = {.lex_state = 48, .external_lex_state = 10},
  [1666] = {.lex_state = 48, .external_lex_state = 12},
  [1667] = {.lex_state = 48, .external_lex_state = 12},
  [1668] = {.lex_state = 48, .external_lex_state = 10},
  [1669] = {.lex_state = 48, .external_lex_state = 10},
  [1670] = {.lex_state = 48, .external_lex_state = 10},
  [1671] = {.lex_state = 48, .external_lex_state = 12},
  [1672] = {.lex_state = 48, .external_lex_state = 10},
  [1673] = {.lex_state = 48, .external_lex_state = 10},
  [1674] = {.lex_state = 48, .external_lex_state = 13},
  [1675] = {.lex_state = 48, .external_lex_state = 10},
  [1676] = {.lex_state = 48, .external_lex_state = 12},
  [1677] = {.lex_state = 48, .external_lex_state = 11},
  [1678] = {.lex_state = 48, .external_lex_state = 12},
  [1679] = {.lex_state = 3, .external_lex_state = 10},
  [1680] = {.lex_state = 48, .external_lex_state = 13},
  [1681] = {.lex_state = 48, .external_lex_state = 13},
  [1682] = {.lex_state = 48, .external_lex_state = 13},
  [1683] = {.lex_state = 48, .external_lex_state = 13},
  [1684] = {.lex_state = 48, .external_lex_state = 13},
  [1685] = {.lex_state = 48, .external_lex_state = 10},
  [1686] = {.lex_state = 48, .external_lex_state = 10},
  [1687] = {.lex_state = 48, .external_lex_state = 12},
  [1688] = {.lex_state = 48, .external_lex_state = 6},
  [1689] = {.lex_state = 48, .external_lex_state = 13},
  [1690] = {.lex_state = 48, .external_lex_state = 10},
  [1691] = {.lex_state = 48, .external_lex_state = 12},
  [1692] = {.lex_state = 48, .external_lex_state = 12},
  [1693] = {.lex_state = 48, .external_lex_state = 13},
  [1694] = {.lex_state = 48, .external_lex_state = 12},
  [1695] = {.lex_state = 48, .external_lex_state = 11},
  [1696] = {.lex_state = 48, .external_lex_state = 11},
  [1697] = {.lex_state = 48, .external_lex_state = 11},
  [1698] = {.lex_state = 48, .external_lex_state = 11},
  [1699] = {.lex_state = 48, .external_lex_state = 11},
  [1700] = {.lex_state = 48, .external_lex_state = 10},
  [1701] = {.lex_state = 48, .external_lex_state = 11},
  [1702] = {.lex_state = 48, .external_lex_state = 15},
  [1703] = {.lex_state = 48, .external_lex_state = 11},
  [1704] = {.lex_state = 48, .external_lex_state = 9},
  [1705] = {.lex_state = 48, .external_lex_state = 15},
  [1706] = {.lex_state = 48, .external_lex_state = 13},
  [1707] = {.lex_state = 48, .external_lex_state = 11},
  [1708] = {.lex_state = 48, .external_lex_state = 11},
  [1709] = {.lex_state = 48, .external_lex_state = 11},
  [1710] = {.lex_state = 48, .external_lex_state = 11},
  [1711] = {.lex_state = 48, .external_lex_state = 11},
  [1712] = {.lex_state = 48, .external_lex_state = 11},
  [1713] = {.lex_state = 48, .external_lex_state = 11},
  [1714] = {.lex_state = 48, .external_lex_state = 12},
  [1715] = {.lex_state = 48, .external_lex_state = 11},
  [1716] = {.lex_state = 48, .external_lex_state = 11},
  [1717] = {.lex_state = 48, .external_lex_state = 15},
  [1718] = {.lex_state = 48, .external_lex_state = 12},
  [1719] = {.lex_state = 48, .external_lex_state = 15},
  [1720] = {.lex_state = 48, .external_lex_state = 11},
  [1721] = {.lex_state = 48, .external_lex_state = 11},
  [1722] = {.lex_state = 48, .external_lex_state = 11},
  [1723] = {.lex_state = 48, .external_lex_state = 11},
  [1724] = {.lex_state = 48, .external_lex_state = 11},
  [1725] = {.lex_state = 48, .external_lex_state = 11},
  [1726] = {.lex_state = 48, .external_lex_state = 13},
  [1727] = {.lex_state = 48, .external_lex_state = 11},
  [1728] = {.lex_state = 48, .external_lex_state = 10},
  [1729] = {.lex_state = 48, .external_lex_state = 13},
  [1730] = {.lex_state = 48, .external_lex_state = 11},
  [1731] = {.lex_state = 48, .external_lex_state = 12},
  [1732] = {.lex_state = 48, .external_lex_state = 10},
  [1733] = {.lex_state = 48, .external_lex_state = 11},
  [1734] = {.lex_state = 48, .external_lex_state = 9},
  [1735] = {.lex_state = 48, .external_lex_state = 13},
  [1736] = {.lex_state = 48, .external_lex_state = 13},
  [1737] = {.lex_state = 48, .external_lex_state = 10},
  [1738] = {.lex_state = 48, .external_lex_state = 11},
  [1739] = {.lex_state = 48, .external_lex_state = 10},
  [1740] = {.lex_state = 48, .external_lex_state = 12},
  [1741] = {.lex_state = 48, .external_lex_state = 9},
  [1742] = {.lex_state = 48, .external_lex_state = 11},
  [1743] = {.lex_state = 48, .external_lex_state = 12},
  [1744] = {.lex_state = 48, .external_lex_state = 10},
  [1745] = {.lex_state = 48, .external_lex_state = 11},
  [1746] = {.lex_state = 48, .external_lex_state = 10},
  [1747] = {.lex_state = 48, .external_lex_state = 10},
  [1748] = {.lex_state = 48, .external_lex_state = 10},
  [1749] = {.lex_state = 48, .external_lex_state = 11},
  [1750] = {.lex_state = 48, .external_lex_state = 10},
  [1751] = {.lex_state = 48, .external_lex_state = 12},
  [1752] = {.lex_state = 48, .external_lex_state = 10},
  [1753] = {.lex_state = 48, .external_lex_state = 9},
  [1754] = {.lex_state = 48, .external_lex_state = 12},
  [1755] = {.lex_state = 48, .external_lex_state = 15},
  [1756] = {.lex_state = 48, .external_lex_state = 13},
  [1757] = {.lex_state = 48, .external_lex_state = 9},
  [1758] = {.lex_state = 48, .external_lex_state = 9},
  [1759] = {.lex_state = 48, .external_lex_state = 10},
  [1760] = {.lex_state = 48, .external_lex_state = 9},
  [1761] = {.lex_state = 48, .external_lex_state = 10},
  [1762] = {.lex_state = 48, .external_lex_state = 10},
  [1763] = {.lex_state = 48, .external_lex_state = 10},
  [1764] = {.lex_state = 48, .external_lex_state = 10},
  [1765] = {.lex_state = 48, .external_lex_state = 9},
  [1766] = {.lex_state = 48, .external_lex_state = 10},
  [1767] = {.lex_state = 48, .external_lex_state = 10},
  [1768] = {.lex_state = 48, .external_lex_state = 10},
  [1769] = {.lex_state = 48, .external_lex_state = 10},
  [1770] = {.lex_state = 48, .external_lex_state = 10},
  [1771] = {.lex_state = 48, .external_lex_state = 10},
  [1772] = {.lex_state = 48, .external_lex_state = 13},
  [1773] = {.lex_state = 48, .external_lex_state = 9},
  [1774] = {.lex_state = 48, .external_lex_state = 11},
  [1775] = {.lex_state = 48, .external_lex_state = 11},
  [1776] = {.lex_state = 48, .external_lex_state = 11},
  [1777] = {.lex_state = 48, .external_lex_state = 10},
  [1778] = {.lex_state = 48, .external_lex_state = 11},
  [1779] = {.lex_state = 48, .external_lex_state = 10},
  [1780] = {.lex_state = 48, .external_lex_state = 9},
  [1781] = {.lex_state = 48, .external_lex_state = 10},
  [1782] = {.lex_state = 48, .external_lex_state = 10},
  [1783] = {.lex_state = 48, .external_lex_state = 12},
  [1784] = {.lex_state = 48, .external_lex_state = 12},
  [1785] = {.lex_state = 48, .external_lex_state = 12},
  [1786] = {.lex_state = 48, .external_lex_state = 12},
  [1787] = {.lex_state = 48, .external_lex_state = 12},
  [1788] = {.lex_state = 48, .external_lex_state = 12},
  [1789] = {.lex_state = 48, .external_lex_state = 12},
  [1790] = {.lex_state = 48, .external_lex_state = 12},
  [1791] = {.lex_state = 48, .external_lex_state = 12},
  [1792] = {.lex_state = 48, .external_lex_state = 12},
  [1793] = {.lex_state = 48, .external_lex_state = 13},
  [1794] = {.lex_state = 48, .external_lex_state = 13},
  [1795] = {.lex_state = 48, .external_lex_state = 12},
  [1796] = {.lex_state = 48, .external_lex_state = 12},
  [1797] = {.lex_state = 48, .external_lex_state = 12},
  [1798] = {.lex_state = 48, .external_lex_state = 12},
  [1799] = {.lex_state = 48, .external_lex_state = 12},
  [1800] = {.lex_state = 48, .external_lex_state = 12},
  [1801] = {.lex_state = 48, .external_lex_state = 12},
  [1802] = {.lex_state = 48, .external_lex_state = 12},
  [1803] = {.lex_state = 48, .external_lex_state = 12},
  [1804] = {.lex_state = 48, .external_lex_state = 12},
  [1805] = {.lex_state = 48, .external_lex_state = 12},
  [1806] = {.lex_state = 48, .external_lex_state = 13},
  [1807] = {.lex_state = 48, .external_lex_state = 10},
  [1808] = {.lex_state = 48, .external_lex_state = 12},
  [1809] = {.lex_state = 48, .external_lex_state = 10},
  [1810] = {.lex_state = 48, .external_lex_state = 13},
  [1811] = {.lex_state = 48, .external_lex_state = 9},
  [1812] = {.lex_state = 48, .external_lex_state = 11},
  [1813] = {.lex_state = 48, .external_lex_state = 11},
  [1814] = {.lex_state = 48, .external_lex_state = 11},
  [1815] = {.lex_state = 48, .external_lex_state = 10},
  [1816] = {.lex_state = 48, .external_lex_state = 11},
  [1817] = {.lex_state = 48, .external_lex_state = 10},
  [1818] = {.lex_state = 48, .external_lex_state = 11},
  [1819] = {.lex_state = 48, .external_lex_state = 11},
  [1820] = {.lex_state = 48, .external_lex_state = 10},
  [1821] = {.lex_state = 48, .external_lex_state = 12},
  [1822] = {.lex_state = 48, .external_lex_state = 10},
  [1823] = {.lex_state = 48, .external_lex_state = 12},
  [1824] = {.lex_state = 48, .external_lex_state = 13},
  [1825] = {.lex_state = 48, .external_lex_state = 11},
  [1826] = {.lex_state = 48, .external_lex_state = 11},
  [1827] = {.lex_state = 48, .external_lex_state = 12},
  [1828] = {.lex_state = 48, .external_lex_state = 12},
  [1829] = {.lex_state = 48, .external_lex_state = 13},
  [1830] = {.lex_state = 48, .external_lex_state = 10},
  [1831] = {.lex_state = 48, .external_lex_state = 12},
  [1832] = {.lex_state = 48, .external_lex_state = 11},
  [1833] = {.lex_state = 48, .external_lex_state = 11},
  [1834] = {.lex_state = 48, .external_lex_state = 11},
  [1835] = {.lex_state = 48, .external_lex_state = 12},
  [1836] = {.lex_state = 48, .external_lex_state = 10},
  [1837] = {.lex_state = 48, .external_lex_state = 12},
  [1838] = {.lex_state = 48, .external_lex_state = 10},
  [1839] = {.lex_state = 48, .external_lex_state = 12},
  [1840] = {.lex_state = 48, .external_lex_state = 12},
  [1841] = {.lex_state = 48, .external_lex_state = 11},
  [1842] = {.lex_state = 48, .external_lex_state = 12},
  [1843] = {.lex_state = 48, .external_lex_state = 10},
  [1844] = {.lex_state = 48, .external_lex_state = 10},
  [1845] = {.lex_state = 48, .external_lex_state = 10},
  [1846] = {.lex_state = 48, .external_lex_state = 10},
  [1847] = {.lex_state = 3, .external_lex_state = 10},
  [1848] = {.lex_state = 48, .external_lex_state = 11},
  [1849] = {.lex_state = 3, .external_lex_state = 10},
  [1850] = {.lex_state = 3, .external_lex_state = 10},
  [1851] = {.lex_state = 48, .external_lex_state = 9},
  [1852] = {.lex_state = 48, .external_lex_state = 10},
  [1853] = {.lex_state = 48, .external_lex_state = 11},
  [1854] = {.lex_state = 48, .external_lex_state = 12},
  [1855] = {.lex_state = 48, .external_lex_state = 10},
  [1856] = {.lex_state = 48, .external_lex_state = 11},
  [1857] = {.lex_state = 48, .external_lex_state = 10},
  [1858] = {.lex_state = 48, .external_lex_state = 10},
  [1859] = {.lex_state = 48, .external_lex_state = 16},
  [1860] = {.lex_state = 48, .external_lex_state = 11},
  [1861] = {.lex_state = 48, .external_lex_state = 11},
  [1862] = {.lex_state = 48, .external_lex_state = 11},
  [1863] = {.lex_state = 48, .external_lex_state = 12},
  [1864] = {.lex_state = 48, .external_lex_state = 16},
  [1865] = {.lex_state = 48, .external_lex_state = 13},
  [1866] = {.lex_state = 48, .external_lex_state = 13},
  [1867] = {.lex_state = 48, .external_lex_state = 11},
  [1868] = {.lex_state = 48, .external_lex_state = 10},
  [1869] = {.lex_state = 48, .external_lex_state = 11},
  [1870] = {.lex_state = 48, .external_lex_state = 13},
  [1871] = {.lex_state = 48, .external_lex_state = 12},
  [1872] = {.lex_state = 48, .external_lex_state = 12},
  [1873] = {.lex_state = 48, .external_lex_state = 12},
  [1874] = {.lex_state = 48, .external_lex_state = 13},
  [1875] = {.lex_state = 48, .external_lex_state = 10},
  [1876] = {.lex_state = 48, .external_lex_state = 12},
  [1877] = {.lex_state = 48, .external_lex_state = 10},
  [1878] = {.lex_state = 48, .external_lex_state = 11},
  [1879] = {.lex_state = 48, .external_lex_state = 11},
  [1880] = {.lex_state = 48, .external_lex_state = 12},
  [1881] = {.lex_state = 48, .external_lex_state = 10},
  [1882] = {.lex_state = 48, .external_lex_state = 11},
  [1883] = {.lex_state = 48, .external_lex_state = 10},
  [1884] = {.lex_state = 48, .external_lex_state = 13},
  [1885] = {.lex_state = 48, .external_lex_state = 11},
  [1886] = {.lex_state = 48, .external_lex_state = 11},
  [1887] = {.lex_state = 48, .external_lex_state = 11},
  [1888] = {.lex_state = 48, .external_lex_state = 11},
  [1889] = {.lex_state = 48, .external_lex_state = 13},
  [1890] = {.lex_state = 48, .external_lex_state = 11},
  [1891] = {.lex_state = 48, .external_lex_state = 12},
  [1892] = {.lex_state = 48, .external_lex_state = 11},
  [1893] = {.lex_state = 48, .external_lex_state = 13},
  [1894] = {.lex_state = 48, .external_lex_state = 10},
  [1895] = {.lex_state = 3, .external_lex_state = 10},
  [1896] = {.lex_state = 3, .external_lex_state = 10},
  [1897] = {.lex_state = 48, .external_lex_state = 13},
  [1898] = {.lex_state = 48, .external_lex_state = 10},
  [1899] = {.lex_state = 3, .external_lex_state = 10},
  [1900] = {.lex_state = 48, .external_lex_state = 11},
  [1901] = {.lex_state = 48, .external_lex_state = 11},
  [1902] = {.lex_state = 48, .external_lex_state = 11},
  [1903] = {.lex_state = 48, .external_lex_state = 12},
  [1904] = {.lex_state = 48, .external_lex_state = 11},
  [1905] = {.lex_state = 48, .external_lex_state = 11},
  [1906] = {.lex_state = 48, .external_lex_state = 11},
  [1907] = {.lex_state = 48, .external_lex_state = 11},
  [1908] = {.lex_state = 48, .external_lex_state = 12},
  [1909] = {.lex_state = 48, .external_lex_state = 12},
  [1910] = {.lex_state = 3, .external_lex_state = 10},
  [1911] = {.lex_state = 48, .external_lex_state = 13},
  [1912] = {.lex_state = 48, .external_lex_state = 12},
  [1913] = {.lex_state = 48, .external_lex_state = 13},
  [1914] = {.lex_state = 48, .external_lex_state = 11},
  [1915] = {.lex_state = 48, .external_lex_state = 11},
  [1916] = {.lex_state = 48, .external_lex_state = 10},
  [1917] = {.lex_state = 48, .external_lex_state = 13},
  [1918] = {.lex_state = 48, .external_lex_state = 12},
  [1919] = {.lex_state = 48, .external_lex_state = 13},
  [1920] = {.lex_state = 48, .external_lex_state = 10},
  [1921] = {.lex_state = 48, .external_lex_state = 11},
  [1922] = {.lex_state = 48, .external_lex_state = 11},
  [1923] = {.lex_state = 48, .external_lex_state = 9},
  [1924] = {.lex_state = 48, .external_lex_state = 13},
  [1925] = {.lex_state = 48, .external_lex_state = 12},
  [1926] = {.lex_state = 48, .external_lex_state = 10},
  [1927] = {.lex_state = 48, .external_lex_state = 11},
  [1928] = {.lex_state = 48, .external_lex_state = 11},
  [1929] = {.lex_state = 48, .external_lex_state = 12},
  [1930] = {.lex_state = 48, .external_lex_state = 12},
  [1931] = {.lex_state = 48, .external_lex_state = 11},
  [1932] = {.lex_state = 48, .external_lex_state = 10},
  [1933] = {.lex_state = 48, .external_lex_state = 16},
  [1934] = {.lex_state = 48, .external_lex_state = 11},
  [1935] = {.lex_state = 48, .external_lex_state = 16},
  [1936] = {.lex_state = 48, .external_lex_state = 13},
  [1937] = {.lex_state = 48, .external_lex_state = 10},
  [1938] = {.lex_state = 48, .external_lex_state = 11},
  [1939] = {.lex_state = 48, .external_lex_state = 13},
  [1940] = {.lex_state = 48, .external_lex_state = 10},
  [1941] = {.lex_state = 48, .external_lex_state = 10},
  [1942] = {.lex_state = 48, .external_lex_state = 13},
  [1943] = {.lex_state = 48, .external_lex_state = 11},
  [1944] = {.lex_state = 48, .external_lex_state = 11},
  [1945] = {.lex_state = 48, .external_lex_state = 12},
  [1946] = {.lex_state = 3, .external_lex_state = 10},
  [1947] = {.lex_state = 48, .external_lex_state = 10},
  [1948] = {.lex_state = 48, .external_lex_state = 11},
  [1949] = {.lex_state = 48, .external_lex_state = 12},
  [1950] = {.lex_state = 48, .external_lex_state = 11},
  [1951] = {.lex_state = 48, .external_lex_state = 12},
  [1952] = {.lex_state = 48, .external_lex_state = 12},
  [1953] = {.lex_state = 48, .external_lex_state = 13},
  [1954] = {.lex_state = 48, .external_lex_state = 11},
  [1955] = {.lex_state = 48, .external_lex_state = 12},
  [1956] = {.lex_state = 48, .external_lex_state = 9},
  [1957] = {.lex_state = 48, .external_lex_state = 11},
  [1958] = {.lex_state = 48, .external_lex_state = 12},
  [1959] = {.lex_state = 48, .external_lex_state = 12},
  [1960] = {.lex_state = 48, .external_lex_state = 12},
  [1961] = {.lex_state = 48, .external_lex_state = 12},
  [1962] = {.lex_state = 48, .external_lex_state = 12},
  [1963] = {.lex_state = 48, .external_lex_state = 11},
  [1964] = {.lex_state = 48, .external_lex_state = 9},
  [1965] = {.lex_state = 48, .external_lex_state = 12},
  [1966] = {.lex_state = 48, .external_lex_state = 12},
  [1967] = {.lex_state = 48, .external_lex_state = 12},
  [1968] = {.lex_state = 48, .external_lex_state = 12},
  [1969] = {.lex_state = 48, .external_lex_state = 12},
  [1970] = {.lex_state = 48, .external_lex_state = 12},
  [1971] = {.lex_state = 3, .external_lex_state = 10},
  [1972] = {.lex_state = 48, .external_lex_state = 10},
  [1973] = {.lex_state = 48, .external_lex_state = 16},
  [1974] = {.lex_state = 48, .external_lex_state = 11},
  [1975] = {.lex_state = 48, .external_lex_state = 12},
  [1976] = {.lex_state = 48, .external_lex_state = 10},
  [1977] = {.lex_state = 48, .external_lex_state = 9},
  [1978] = {.lex_state = 48, .external_lex_state = 11},
  [1979] = {.lex_state = 48, .external_lex_state = 11},
  [1980] = {.lex_state = 48, .external_lex_state = 13},
  [1981] = {.lex_state = 48, .external_lex_state = 13},
  [1982] = {.lex_state = 48, .external_lex_state = 13},
  [1983] = {.lex_state = 48, .external_lex_state = 13},
  [1984] = {.lex_state = 48, .external_lex_state = 13},
  [1985] = {.lex_state = 48, .external_lex_state = 10},
  [1986] = {.lex_state = 48, .external_lex_state = 13},
  [1987] = {.lex_state = 48, .external_lex_state = 10},
  [1988] = {.lex_state = 48, .external_lex_state = 11},
  [1989] = {.lex_state = 48, .external_lex_state = 13},
  [1990] = {.lex_state = 48, .external_lex_state = 9},
  [1991] = {.lex_state = 48, .external_lex_state = 13},
  [1992] = {.lex_state = 48, .external_lex_state = 16},
  [1993] = {.lex_state = 48, .external_lex_state = 11},
  [1994] = {.lex_state = 48, .external_lex_state = 16},
  [1995] = {.lex_state = 48, .external_lex_state = 13},
  [1996] = {.lex_state = 48, .external_lex_state = 13},
  [1997] = {.lex_state = 48, .external_lex_state = 11},
  [1998] = {.lex_state = 48, .external_lex_state = 11},
  [1999] = {.lex_state = 48, .external_lex_state = 11},
  [2000] = {.lex_state = 48, .external_lex_state = 12},
  [2001] = {.lex_state = 48, .external_lex_state = 12},
  [2002] = {.lex_state = 48, .external_lex_state = 12},
  [2003] = {.lex_state = 48, .external_lex_state = 16},
  [2004] = {.lex_state = 48, .external_lex_state = 10},
  [2005] = {.lex_state = 48, .external_lex_state = 11},
  [2006] = {.lex_state = 48, .external_lex_state = 13},
  [2007] = {.lex_state = 48, .external_lex_state = 11},
  [2008] = {.lex_state = 48, .external_lex_state = 11},
  [2009] = {.lex_state = 48, .external_lex_state = 13},
  [2010] = {.lex_state = 48, .external_lex_state = 13},
  [2011] = {.lex_state = 48, .external_lex_state = 9},
  [2012] = {.lex_state = 48, .external_lex_state = 13},
  [2013] = {.lex_state = 48, .external_lex_state = 10},
  [2014] = {.lex_state = 48, .external_lex_state = 15},
  [2015] = {.lex_state = 48, .external_lex_state = 9},
  [2016] = {.lex_state = 9, .external_lex_state = 13},
  [2017] = {.lex_state = 48, .external_lex_state = 9},
  [2018] = {.lex_state = 48, .external_lex_state = 11},
  [2019] = {.lex_state = 48, .external_lex_state = 13},
  [2020] = {.lex_state = 48, .external_lex_state = 15},
  [2021] = {.lex_state = 48, .external_lex_state = 13},
  [2022] = {.lex_state = 48, .external_lex_state = 15},
  [2023] = {.lex_state = 48, .external_lex_state = 10},
  [2024] = {.lex_state = 48, .external_lex_state = 10},
  [2025] = {.lex_state = 48, .external_lex_state = 13},
  [2026] = {.lex_state = 48, .external_lex_state = 10},
  [2027] = {.lex_state = 48, .external_lex_state = 9},
  [2028] = {.lex_state = 48, .external_lex_state = 11},
  [2029] = {.lex_state = 48, .external_lex_state = 13},
  [2030] = {.lex_state = 48, .external_lex_state = 11},
  [2031] = {.lex_state = 48, .external_lex_state = 15},
  [2032] = {.lex_state = 48, .external_lex_state = 15},
  [2033] = {.lex_state = 48, .external_lex_state = 13},
  [2034] = {.lex_state = 48, .external_lex_state = 13},
  [2035] = {.lex_state = 9, .external_lex_state = 13},
  [2036] = {.lex_state = 48, .external_lex_state = 13},
  [2037] = {.lex_state = 48, .external_lex_state = 9},
  [2038] = {.lex_state = 48, .external_lex_state = 15},
  [2039] = {.lex_state = 48, .external_lex_state = 13},
  [2040] = {.lex_state = 48, .external_lex_state = 12},
  [2041] = {.lex_state = 48, .external_lex_state = 15},
  [2042] = {.lex_state = 48, .external_lex_state = 13},
  [2043] = {.lex_state = 48, .external_lex_state = 12},
  [2044] = {.lex_state = 48, .external_lex_state = 13},
  [2045] = {.lex_state = 48, .external_lex_state = 12},
  [2046] = {.lex_state = 48, .external_lex_state = 13},
  [2047] = {.lex_state = 48, .external_lex_state = 15},
  [2048] = {.lex_state = 48, .external_lex_state = 13},
  [2049] = {.lex_state = 48, .external_lex_state = 10},
  [2050] = {.lex_state = 48, .external_lex_state = 15},
  [2051] = {.lex_state = 48, .external_lex_state = 13},
  [2052] = {.lex_state = 48, .external_lex_state = 15},
  [2053] = {.lex_state = 48, .external_lex_state = 12},
  [2054] = {.lex_state = 48, .external_lex_state = 9},
  [2055] = {.lex_state = 9, .external_lex_state = 13},
  [2056] = {.lex_state = 48, .external_lex_state = 13},
  [2057] = {.lex_state = 48, .external_lex_state = 13},
  [2058] = {.lex_state = 48, .external_lex_state = 13},
  [2059] = {.lex_state = 48, .external_lex_state = 11},
  [2060] = {.lex_state = 48, .external_lex_state = 15},
  [2061] = {.lex_state = 48, .external_lex_state = 9},
  [2062] = {.lex_state = 48, .external_lex_state = 9},
  [2063] = {.lex_state = 48, .external_lex_state = 13},
  [2064] = {.lex_state = 9, .external_lex_state = 13},
  [2065] = {.lex_state = 48, .external_lex_state = 13},
  [2066] = {.lex_state = 48, .external_lex_state = 9},
  [2067] = {.lex_state = 48, .external_lex_state = 9},
  [2068] = {.lex_state = 48, .external_lex_state = 15},
  [2069] = {.lex_state = 48, .external_lex_state = 11},
  [2070] = {.lex_state = 9, .external_lex_state = 13},
  [2071] = {.lex_state = 9, .external_lex_state = 13},
  [2072] = {.lex_state = 9, .external_lex_state = 13},
  [2073] = {.lex_state = 48, .external_lex_state = 9},
  [2074] = {.lex_state = 9, .external_lex_state = 13},
  [2075] = {.lex_state = 48, .external_lex_state = 15},
  [2076] = {.lex_state = 48, .external_lex_state = 13},
  [2077] = {.lex_state = 48, .external_lex_state = 11},
  [2078] = {.lex_state = 48, .external_lex_state = 12},
  [2079] = {.lex_state = 48, .external_lex_state = 13},
  [2080] = {.lex_state = 48, .external_lex_state = 11},
  [2081] = {.lex_state = 9, .external_lex_state = 13},
  [2082] = {.lex_state = 48, .external_lex_state = 15},
  [2083] = {.lex_state = 48, .external_lex_state = 11},
  [2084] = {.lex_state = 48, .external_lex_state = 15},
  [2085] = {.lex_state = 48, .external_lex_state = 13},
  [2086] = {.lex_state = 48, .external_lex_state = 15},
  [2087] = {.lex_state = 48, .external_lex_state = 11},
  [2088] = {.lex_state = 48, .external_lex_state = 13},
  [2089] = {.lex_state = 9, .external_lex_state = 13},
  [2090] = {.lex_state = 48, .external_lex_state = 13},
  [2091] = {.lex_state = 48, .external_lex_state = 13},
  [2092] = {.lex_state = 48, .external_lex_state = 10},
  [2093] = {.lex_state = 48, .external_lex_state = 15},
  [2094] = {.lex_state = 48, .external_lex_state = 13},
  [2095] = {.lex_state = 48, .external_lex_state = 12},
  [2096] = {.lex_state = 48, .external_lex_state = 13},
  [2097] = {.lex_state = 48, .external_lex_state = 11},
  [2098] = {.lex_state = 48, .external_lex_state = 12},
  [2099] = {.lex_state = 48, .external_lex_state = 12},
  [2100] = {.lex_state = 48, .external_lex_state = 15},
  [2101] = {.lex_state = 48, .external_lex_state = 11},
  [2102] = {.lex_state = 48, .external_lex_state = 11},
  [2103] = {.lex_state = 48, .external_lex_state = 12},
  [2104] = {.lex_state = 48, .external_lex_state = 13},
  [2105] = {.lex_state = 48, .external_lex_state = 12},
  [2106] = {.lex_state = 48, .external_lex_state = 13},
  [2107] = {.lex_state = 48, .external_lex_state = 10},
  [2108] = {.lex_state = 48, .external_lex_state = 10},
  [2109] = {.lex_state = 48, .external_lex_state = 10},
  [2110] = {.lex_state = 48, .external_lex_state = 13},
  [2111] = {.lex_state = 48, .external_lex_state = 11},
  [2112] = {.lex_state = 4, .external_lex_state = 13},
  [2113] = {.lex_state = 48, .external_lex_state = 12},
  [2114] = {.lex_state = 48, .external_lex_state = 13},
  [2115] = {.lex_state = 48, .external_lex_state = 13},
  [2116] = {.lex_state = 48, .external_lex_state = 13},
  [2117] = {.lex_state = 48, .external_lex_state = 13},
  [2118] = {.lex_state = 48, .external_lex_state = 13},
  [2119] = {.lex_state = 48, .external_lex_state = 13},
  [2120] = {.lex_state = 48, .external_lex_state = 13},
  [2121] = {.lex_state = 4, .external_lex_state = 13},
  [2122] = {.lex_state = 48, .external_lex_state = 13},
  [2123] = {.lex_state = 48, .external_lex_state = 13},
  [2124] = {.lex_state = 48, .external_lex_state = 11},
  [2125] = {.lex_state = 48, .external_lex_state = 11},
  [2126] = {.lex_state = 48, .external_lex_state = 10},
  [2127] = {.lex_state = 48, .external_lex_state = 10},
  [2128] = {.lex_state = 48, .external_lex_state = 13},
  [2129] = {.lex_state = 48, .external_lex_state = 13},
  [2130] = {.lex_state = 48, .external_lex_state = 13},
  [2131] = {.lex_state = 48, .external_lex_state = 13},
  [2132] = {.lex_state = 48, .external_lex_state = 11},
  [2133] = {.lex_state = 48, .external_lex_state = 12},
  [2134] = {.lex_state = 48, .external_lex_state = 13},
  [2135] = {.lex_state = 48, .external_lex_state = 13},
  [2136] = {.lex_state = 48, .external_lex_state = 11},
  [2137] = {.lex_state = 48, .external_lex_state = 10},
  [2138] = {.lex_state = 48, .external_lex_state = 10},
  [2139] = {.lex_state = 48, .external_lex_state = 13},
  [2140] = {.lex_state = 48, .external_lex_state = 13},
  [2141] = {.lex_state = 48, .external_lex_state = 13},
  [2142] = {.lex_state = 48, .external_lex_state = 13},
  [2143] = {.lex_state = 48, .external_lex_state = 10},
  [2144] = {.lex_state = 48, .external_lex_state = 13},
  [2145] = {.lex_state = 48, .external_lex_state = 13},
  [2146] = {.lex_state = 48, .external_lex_state = 13},
  [2147] = {.lex_state = 48, .external_lex_state = 13},
  [2148] = {.lex_state = 48, .external_lex_state = 11},
  [2149] = {.lex_state = 48, .external_lex_state = 13},
  [2150] = {.lex_state = 48, .external_lex_state = 12},
  [2151] = {.lex_state = 48, .external_lex_state = 12},
  [2152] = {.lex_state = 48, .external_lex_state = 13},
  [2153] = {.lex_state = 48, .external_lex_state = 13},
  [2154] = {.lex_state = 48, .external_lex_state = 12},
  [2155] = {.lex_state = 48, .external_lex_state = 10},
  [2156] = {.lex_state = 48, .external_lex_state = 12},
  [2157] = {.lex_state = 48, .external_lex_state = 10},
  [2158] = {.lex_state = 48, .external_lex_state = 12},
  [2159] = {.lex_state = 48, .external_lex_state = 13},
  [2160] = {.lex_state = 48, .external_lex_state = 13},
  [2161] = {.lex_state = 4, .external_lex_state = 13},
  [2162] = {.lex_state = 48, .external_lex_state = 11},
  [2163] = {.lex_state = 48, .external_lex_state = 13},
  [2164] = {.lex_state = 4, .external_lex_state = 13},
  [2165] = {.lex_state = 48, .external_lex_state = 13},
  [2166] = {.lex_state = 48, .external_lex_state = 10},
  [2167] = {.lex_state = 48, .external_lex_state = 13},
  [2168] = {.lex_state = 48, .external_lex_state = 11},
  [2169] = {.lex_state = 48, .external_lex_state = 10},
  [2170] = {.lex_state = 48, .external_lex_state = 10},
  [2171] = {.lex_state = 48, .external_lex_state = 13},
  [2172] = {.lex_state = 48, .external_lex_state = 13},
  [2173] = {.lex_state = 48, .external_lex_state = 13},
  [2174] = {.lex_state = 48, .external_lex_state = 13},
  [2175] = {.lex_state = 48, .external_lex_state = 13},
  [2176] = {.lex_state = 48, .external_lex_state = 13},
  [2177] = {.lex_state = 48, .external_lex_state = 13},
  [2178] = {.lex_state = 48, .external_lex_state = 13},
  [2179] = {.lex_state = 48, .external_lex_state = 11},
  [2180] = {.lex_state = 48, .external_lex_state = 10},
  [2181] = {.lex_state = 48, .external_lex_state = 13},
  [2182] = {.lex_state = 48, .external_lex_state = 13},
  [2183] = {.lex_state = 48, .external_lex_state = 13},
  [2184] = {.lex_state = 48, .external_lex_state = 10},
  [2185] = {.lex_state = 48, .external_lex_state = 11},
  [2186] = {.lex_state = 48, .external_lex_state = 13},
  [2187] = {.lex_state = 48, .external_lex_state = 10},
  [2188] = {.lex_state = 48, .external_lex_state = 13},
  [2189] = {.lex_state = 48, .external_lex_state = 11},
  [2190] = {.lex_state = 48, .external_lex_state = 11},
  [2191] = {.lex_state = 48, .external_lex_state = 11},
  [2192] = {.lex_state = 48, .external_lex_state = 12},
  [2193] = {.lex_state = 48, .external_lex_state = 10},
  [2194] = {.lex_state = 48, .external_lex_state = 13},
  [2195] = {.lex_state = 48, .external_lex_state = 11},
  [2196] = {.lex_state = 48, .external_lex_state = 12},
  [2197] = {.lex_state = 48, .external_lex_state = 12},
  [2198] = {.lex_state = 48, .external_lex_state = 10},
  [2199] = {.lex_state = 48, .external_lex_state = 10},
  [2200] = {.lex_state = 48, .external_lex_state = 13},
  [2201] = {.lex_state = 48, .external_lex_state = 13},
  [2202] = {.lex_state = 48, .external_lex_state = 10},
  [2203] = {.lex_state = 48, .external_lex_state = 10},
  [2204] = {.lex_state = 48, .external_lex_state = 13},
  [2205] = {.lex_state = 48, .external_lex_state = 10},
  [2206] = {.lex_state = 48, .external_lex_state = 13},
  [2207] = {.lex_state = 48, .external_lex_state = 10},
  [2208] = {.lex_state = 48, .external_lex_state = 13},
  [2209] = {.lex_state = 4, .external_lex_state = 13},
  [2210] = {.lex_state = 48, .external_lex_state = 13},
  [2211] = {.lex_state = 48, .external_lex_state = 13},
  [2212] = {.lex_state = 48, .external_lex_state = 11},
  [2213] = {.lex_state = 48, .external_lex_state = 12},
  [2214] = {.lex_state = 48, .external_lex_state = 10},
  [2215] = {.lex_state = 48, .external_lex_state = 13},
  [2216] = {.lex_state = 48, .external_lex_state = 10},
  [2217] = {.lex_state = 48, .external_lex_state = 13},
  [2218] = {.lex_state = 48, .external_lex_state = 12},
  [2219] = {.lex_state = 48, .external_lex_state = 11},
  [2220] = {.lex_state = 48, .external_lex_state = 13},
  [2221] = {.lex_state = 48, .external_lex_state = 11},
  [2222] = {.lex_state = 4, .external_lex_state = 13},
  [2223] = {.lex_state = 48, .external_lex_state = 10},
  [2224] = {.lex_state = 48, .external_lex_state = 11},
  [2225] = {.lex_state = 48, .external_lex_state = 12},
  [2226] = {.lex_state = 48, .external_lex_state = 12},
  [2227] = {.lex_state = 48, .external_lex_state = 12},
  [2228] = {.lex_state = 48, .external_lex_state = 10},
  [2229] = {.lex_state = 48, .external_lex_state = 10},
  [2230] = {.lex_state = 48, .external_lex_state = 10},
  [2231] = {.lex_state = 48, .external_lex_state = 13},
  [2232] = {.lex_state = 48, .external_lex_state = 10},
  [2233] = {.lex_state = 48, .external_lex_state = 13},
  [2234] = {.lex_state = 48, .external_lex_state = 13},
  [2235] = {.lex_state = 48, .external_lex_state = 13},
  [2236] = {.lex_state = 48, .external_lex_state = 13},
  [2237] = {.lex_state = 48, .external_lex_state = 11},
  [2238] = {.lex_state = 48, .external_lex_state = 10},
  [2239] = {.lex_state = 48, .external_lex_state = 12},
  [2240] = {.lex_state = 48, .external_lex_state = 13},
  [2241] = {.lex_state = 48, .external_lex_state = 13},
  [2242] = {.lex_state = 48, .external_lex_state = 12},
  [2243] = {.lex_state = 48, .external_lex_state = 10},
  [2244] = {.lex_state = 48, .external_lex_state = 13},
  [2245] = {.lex_state = 48, .external_lex_state = 13},
  [2246] = {.lex_state = 48, .external_lex_state = 10},
  [2247] = {.lex_state = 48, .external_lex_state = 11},
  [2248] = {.lex_state = 4, .external_lex_state = 13},
  [2249] = {.lex_state = 48, .external_lex_state = 13},
  [2250] = {.lex_state = 48, .external_lex_state = 13},
  [2251] = {.lex_state = 48, .external_lex_state = 10},
  [2252] = {.lex_state = 48, .external_lex_state = 13},
  [2253] = {.lex_state = 48, .external_lex_state = 13},
  [2254] = {.lex_state = 48, .external_lex_state = 10},
  [2255] = {.lex_state = 48, .external_lex_state = 13},
  [2256] = {.lex_state = 48, .external_lex_state = 13},
  [2257] = {.lex_state = 48, .external_lex_state = 10},
  [2258] = {.lex_state = 48, .external_lex_state = 13},
  [2259] = {.lex_state = 48, .external_lex_state = 13},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_eq] = ACTIONS(1),
    [anon_sym_ne] = ACTIONS(1),
    [anon_sym_contains] = ACTIONS(1),
    [anon_sym_fails] = ACTIONS(1),
    [anon_sym_assert_] = ACTIONS(1),
    [anon_sym_assert_eq] = ACTIONS(1),
    [anon_sym_assert_ne] = ACTIONS(1),
    [anon_sym_assert_contains] = ACTIONS(1),
    [anon_sym_assert_fails] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [anon_sym_except] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2231),
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_if_statement] = STATE(43),
    [sym_match_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_exec_statement] = STATE(1964),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(1506),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_match] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_for] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(67),
  },
  [2] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(567),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [3] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(512),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [4] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(532),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [5] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(538),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [6] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(551),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [7] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(494),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [8] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(560),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [9] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(566),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [10] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(499),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [11] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(572),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [12] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(576),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [13] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(501),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [14] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2020),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [15] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(582),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [16] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(584),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [17] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2014),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [18] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(486),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [19] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(587),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [20] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2047),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [21] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2068),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [22] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2100),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [23] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(564),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [24] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(578),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [25] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(591),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [26] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(477),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [27] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(553),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [28] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(519),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [29] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(480),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [30] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(508),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [31] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(516),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [32] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(482),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [33] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(548),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [34] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(44),
    [sym_match_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(446),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(85),
    [sym_string_start] = ACTIONS(67),
  },
  [35] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(585),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [36] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(447),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [37] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(492),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [38] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(45),
    [sym_match_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(542),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(83),
    [sym_string_start] = ACTIONS(67),
  },
  [39] = {
    [sym__statement] = STATE(41),
    [sym__simple_statements] = STATE(41),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(41),
    [sym_match_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_with_statement] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(41),
    [sym_decorator] = STATE(1516),
    [sym_block] = STATE(2084),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(41),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(87),
    [sym_string_start] = ACTIONS(67),
  },
  [40] = {
    [sym__statement] = STATE(40),
    [sym__simple_statements] = STATE(40),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_if_statement] = STATE(40),
    [sym_match_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_exec_statement] = STATE(1964),
    [sym_decorated_definition] = STATE(40),
    [sym_decorator] = STATE(1506),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(40),
    [aux_sym_decorated_definition_repeat1] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(89),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_print] = ACTIONS(94),
    [anon_sym_assert] = ACTIONS(97),
    [anon_sym_assert_] = ACTIONS(100),
    [anon_sym_assert_eq] = ACTIONS(100),
    [anon_sym_assert_ne] = ACTIONS(100),
    [anon_sym_assert_contains] = ACTIONS(100),
    [anon_sym_assert_fails] = ACTIONS(100),
    [anon_sym_return] = ACTIONS(103),
    [anon_sym_del] = ACTIONS(106),
    [anon_sym_pass] = ACTIONS(109),
    [anon_sym_break] = ACTIONS(112),
    [anon_sym_continue] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(118),
    [anon_sym_match] = ACTIONS(121),
    [anon_sym_async] = ACTIONS(124),
    [anon_sym_for] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(130),
    [anon_sym_with] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_def] = ACTIONS(139),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_exec] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(148),
    [anon_sym_AT] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(154),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(154),
    [anon_sym_not] = ACTIONS(160),
    [anon_sym_TILDE] = ACTIONS(154),
    [anon_sym_lambda] = ACTIONS(163),
    [sym_ellipsis] = ACTIONS(166),
    [sym_integer] = ACTIONS(169),
    [sym_float] = ACTIONS(166),
    [anon_sym_await] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(172),
    [anon_sym_type] = ACTIONS(175),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_none] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(178),
  },
  [41] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(42),
    [sym_match_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(1516),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(181),
    [sym_string_start] = ACTIONS(67),
  },
  [42] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(42),
    [sym_match_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(1516),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_print] = ACTIONS(94),
    [anon_sym_assert] = ACTIONS(97),
    [anon_sym_assert_] = ACTIONS(100),
    [anon_sym_assert_eq] = ACTIONS(100),
    [anon_sym_assert_ne] = ACTIONS(100),
    [anon_sym_assert_contains] = ACTIONS(100),
    [anon_sym_assert_fails] = ACTIONS(100),
    [anon_sym_return] = ACTIONS(103),
    [anon_sym_del] = ACTIONS(106),
    [anon_sym_pass] = ACTIONS(109),
    [anon_sym_break] = ACTIONS(112),
    [anon_sym_continue] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_match] = ACTIONS(186),
    [anon_sym_async] = ACTIONS(189),
    [anon_sym_for] = ACTIONS(192),
    [anon_sym_while] = ACTIONS(195),
    [anon_sym_with] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(136),
    [anon_sym_def] = ACTIONS(201),
    [anon_sym_STAR] = ACTIONS(142),
    [anon_sym_exec] = ACTIONS(145),
    [anon_sym_LBRACK] = ACTIONS(148),
    [anon_sym_AT] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(154),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_PLUS] = ACTIONS(154),
    [anon_sym_not] = ACTIONS(160),
    [anon_sym_TILDE] = ACTIONS(154),
    [anon_sym_lambda] = ACTIONS(163),
    [sym_ellipsis] = ACTIONS(166),
    [sym_integer] = ACTIONS(169),
    [sym_float] = ACTIONS(166),
    [anon_sym_await] = ACTIONS(172),
    [anon_sym_struct] = ACTIONS(172),
    [anon_sym_type] = ACTIONS(175),
    [sym_true] = ACTIONS(169),
    [sym_false] = ACTIONS(169),
    [sym_none] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(89),
    [sym_string_start] = ACTIONS(178),
  },
  [43] = {
    [sym__statement] = STATE(40),
    [sym__simple_statements] = STATE(40),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_if_statement] = STATE(40),
    [sym_match_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_with_statement] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_exec_statement] = STATE(1964),
    [sym_decorated_definition] = STATE(40),
    [sym_decorator] = STATE(1506),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(40),
    [aux_sym_decorated_definition_repeat1] = STATE(1506),
    [ts_builtin_sym_end] = ACTIONS(204),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_match] = ACTIONS(29),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_for] = ACTIONS(33),
    [anon_sym_while] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(41),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(67),
  },
  [44] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(42),
    [sym_match_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(1516),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(206),
    [sym_string_start] = ACTIONS(67),
  },
  [45] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_if_statement] = STATE(42),
    [sym_match_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_exec_statement] = STATE(1977),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(1516),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(1516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_match] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_def] = ACTIONS(81),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_AT] = ACTIONS(49),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(208),
    [sym_string_start] = ACTIONS(67),
  },
  [46] = {
    [sym_chevron] = STATE(1765),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_list_splat_pattern] = STATE(862),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(705),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_attribute] = STATE(789),
    [sym_subscript] = STATE(789),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(210),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_print] = ACTIONS(214),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_GT_GT] = ACTIONS(219),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_COLON] = ACTIONS(225),
    [anon_sym_match] = ACTIONS(214),
    [anon_sym_async] = ACTIONS(214),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(228),
    [anon_sym_STAR] = ACTIONS(231),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_exec] = ACTIONS(214),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_not] = ACTIONS(242),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(212),
    [anon_sym_lambda] = ACTIONS(57),
    [anon_sym_PLUS_EQ] = ACTIONS(245),
    [anon_sym_DASH_EQ] = ACTIONS(245),
    [anon_sym_STAR_EQ] = ACTIONS(245),
    [anon_sym_SLASH_EQ] = ACTIONS(245),
    [anon_sym_AT_EQ] = ACTIONS(245),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(245),
    [anon_sym_PERCENT_EQ] = ACTIONS(245),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(245),
    [anon_sym_GT_GT_EQ] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(245),
    [anon_sym_AMP_EQ] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(245),
    [anon_sym_PIPE_EQ] = ACTIONS(245),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(214),
    [anon_sym_struct] = ACTIONS(214),
    [anon_sym_type] = ACTIONS(247),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(212),
    [sym_string_start] = ACTIONS(67),
  },
  [47] = {
    [sym_chevron] = STATE(1765),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_list_splat_pattern] = STATE(862),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(705),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_attribute] = STATE(789),
    [sym_subscript] = STATE(789),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(210),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_print] = ACTIONS(214),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_GT_GT] = ACTIONS(219),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_COLON] = ACTIONS(240),
    [anon_sym_match] = ACTIONS(214),
    [anon_sym_async] = ACTIONS(214),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(228),
    [anon_sym_STAR] = ACTIONS(231),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_exec] = ACTIONS(214),
    [anon_sym_LBRACK] = ACTIONS(234),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_not] = ACTIONS(242),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(212),
    [anon_sym_lambda] = ACTIONS(57),
    [anon_sym_PLUS_EQ] = ACTIONS(245),
    [anon_sym_DASH_EQ] = ACTIONS(245),
    [anon_sym_STAR_EQ] = ACTIONS(245),
    [anon_sym_SLASH_EQ] = ACTIONS(245),
    [anon_sym_AT_EQ] = ACTIONS(245),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(245),
    [anon_sym_PERCENT_EQ] = ACTIONS(245),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(245),
    [anon_sym_GT_GT_EQ] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(245),
    [anon_sym_AMP_EQ] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(245),
    [anon_sym_PIPE_EQ] = ACTIONS(245),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(214),
    [anon_sym_struct] = ACTIONS(214),
    [anon_sym_type] = ACTIONS(247),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(212),
    [sym_string_start] = ACTIONS(67),
  },
  [48] = {
    [sym_named_expression] = STATE(1358),
    [sym__named_expression_lhs] = STATE(2164),
    [sym_list_splat_pattern] = STATE(1046),
    [sym_as_pattern] = STATE(1358),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(750),
    [sym_not_operator] = STATE(1358),
    [sym_boolean_operator] = STATE(1358),
    [sym_binary_operator] = STATE(1036),
    [sym_unary_operator] = STATE(1036),
    [sym_comparison_operator] = STATE(1358),
    [sym_lambda] = STATE(1358),
    [sym_attribute] = STATE(1036),
    [sym_subscript] = STATE(1036),
    [sym_call] = STATE(1036),
    [sym_list] = STATE(1036),
    [sym_set] = STATE(1036),
    [sym_tuple] = STATE(1036),
    [sym_dictionary] = STATE(1036),
    [sym_list_comprehension] = STATE(1036),
    [sym_dictionary_comprehension] = STATE(1036),
    [sym_set_comprehension] = STATE(1036),
    [sym_parenthesized_expression] = STATE(1036),
    [sym_conditional_expression] = STATE(1358),
    [sym_string] = STATE(1036),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_print] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_COLON] = ACTIONS(240),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(255),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_exec] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_LT] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(212),
    [anon_sym_lambda] = ACTIONS(267),
    [anon_sym_PLUS_EQ] = ACTIONS(245),
    [anon_sym_DASH_EQ] = ACTIONS(245),
    [anon_sym_STAR_EQ] = ACTIONS(245),
    [anon_sym_SLASH_EQ] = ACTIONS(245),
    [anon_sym_AT_EQ] = ACTIONS(245),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(245),
    [anon_sym_PERCENT_EQ] = ACTIONS(245),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(245),
    [anon_sym_GT_GT_EQ] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(245),
    [anon_sym_AMP_EQ] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(245),
    [anon_sym_PIPE_EQ] = ACTIONS(245),
    [sym_ellipsis] = ACTIONS(269),
    [sym_integer] = ACTIONS(271),
    [sym_float] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(251),
    [anon_sym_struct] = ACTIONS(251),
    [anon_sym_type] = ACTIONS(273),
    [sym_true] = ACTIONS(271),
    [sym_false] = ACTIONS(271),
    [sym_none] = ACTIONS(271),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(212),
    [sym_string_start] = ACTIONS(275),
  },
  [49] = {
    [sym_named_expression] = STATE(1358),
    [sym__named_expression_lhs] = STATE(2164),
    [sym_list_splat_pattern] = STATE(1046),
    [sym_as_pattern] = STATE(1358),
    [sym_expression] = STATE(1482),
    [sym_primary_expression] = STATE(750),
    [sym_not_operator] = STATE(1358),
    [sym_boolean_operator] = STATE(1358),
    [sym_binary_operator] = STATE(1036),
    [sym_unary_operator] = STATE(1036),
    [sym_comparison_operator] = STATE(1358),
    [sym_lambda] = STATE(1358),
    [sym_attribute] = STATE(1036),
    [sym_subscript] = STATE(1036),
    [sym_call] = STATE(1036),
    [sym_list] = STATE(1036),
    [sym_set] = STATE(1036),
    [sym_tuple] = STATE(1036),
    [sym_dictionary] = STATE(1036),
    [sym_list_comprehension] = STATE(1036),
    [sym_dictionary_comprehension] = STATE(1036),
    [sym_set_comprehension] = STATE(1036),
    [sym_parenthesized_expression] = STATE(1036),
    [sym_conditional_expression] = STATE(1358),
    [sym_string] = STATE(1036),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_SEMI] = ACTIONS(212),
    [anon_sym_print] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(216),
    [anon_sym_GT_GT] = ACTIONS(221),
    [anon_sym_DOT] = ACTIONS(221),
    [anon_sym_COLON_EQ] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(221),
    [anon_sym_COLON] = ACTIONS(240),
    [anon_sym_match] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(251),
    [anon_sym_in] = ACTIONS(221),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(255),
    [anon_sym_STAR_STAR] = ACTIONS(221),
    [anon_sym_exec] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_as] = ACTIONS(221),
    [anon_sym_PIPE] = ACTIONS(221),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_not] = ACTIONS(263),
    [anon_sym_and] = ACTIONS(221),
    [anon_sym_or] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_PERCENT] = ACTIONS(221),
    [anon_sym_SLASH_SLASH] = ACTIONS(221),
    [anon_sym_AMP] = ACTIONS(221),
    [anon_sym_CARET] = ACTIONS(221),
    [anon_sym_LT_LT] = ACTIONS(221),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_LT] = ACTIONS(221),
    [anon_sym_LT_EQ] = ACTIONS(212),
    [anon_sym_EQ_EQ] = ACTIONS(212),
    [anon_sym_BANG_EQ] = ACTIONS(212),
    [anon_sym_GT_EQ] = ACTIONS(212),
    [anon_sym_GT] = ACTIONS(221),
    [anon_sym_LT_GT] = ACTIONS(212),
    [anon_sym_lambda] = ACTIONS(267),
    [anon_sym_PLUS_EQ] = ACTIONS(245),
    [anon_sym_DASH_EQ] = ACTIONS(245),
    [anon_sym_STAR_EQ] = ACTIONS(245),
    [anon_sym_SLASH_EQ] = ACTIONS(245),
    [anon_sym_AT_EQ] = ACTIONS(245),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(245),
    [anon_sym_PERCENT_EQ] = ACTIONS(245),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(245),
    [anon_sym_GT_GT_EQ] = ACTIONS(245),
    [anon_sym_LT_LT_EQ] = ACTIONS(245),
    [anon_sym_AMP_EQ] = ACTIONS(245),
    [anon_sym_CARET_EQ] = ACTIONS(245),
    [anon_sym_PIPE_EQ] = ACTIONS(245),
    [sym_ellipsis] = ACTIONS(269),
    [sym_integer] = ACTIONS(271),
    [sym_float] = ACTIONS(269),
    [anon_sym_await] = ACTIONS(251),
    [anon_sym_struct] = ACTIONS(251),
    [anon_sym_type] = ACTIONS(273),
    [sym_true] = ACTIONS(271),
    [sym_false] = ACTIONS(271),
    [sym_none] = ACTIONS(271),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(212),
    [sym_string_start] = ACTIONS(275),
  },
  [50] = {
    [sym__simple_statements] = STATE(557),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(295),
    [sym__indent] = ACTIONS(297),
    [sym_string_start] = ACTIONS(67),
  },
  [51] = {
    [sym__simple_statements] = STATE(571),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(299),
    [sym__indent] = ACTIONS(301),
    [sym_string_start] = ACTIONS(67),
  },
  [52] = {
    [sym__simple_statements] = STATE(577),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(303),
    [sym__indent] = ACTIONS(305),
    [sym_string_start] = ACTIONS(67),
  },
  [53] = {
    [sym__simple_statements] = STATE(545),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(307),
    [sym__indent] = ACTIONS(309),
    [sym_string_start] = ACTIONS(67),
  },
  [54] = {
    [sym__simple_statements] = STATE(568),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(311),
    [sym__indent] = ACTIONS(313),
    [sym_string_start] = ACTIONS(67),
  },
  [55] = {
    [sym__simple_statements] = STATE(520),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(315),
    [sym__indent] = ACTIONS(317),
    [sym_string_start] = ACTIONS(67),
  },
  [56] = {
    [sym__simple_statements] = STATE(559),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym__indent] = ACTIONS(321),
    [sym_string_start] = ACTIONS(67),
  },
  [57] = {
    [sym__simple_statements] = STATE(583),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(464),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(466),
    [sym_subscript] = STATE(466),
    [sym_call] = STATE(789),
    [sym_type] = STATE(1631),
    [sym_splat_type] = STATE(1658),
    [sym_generic_type] = STATE(1658),
    [sym_union_type] = STATE(1658),
    [sym_constrained_type] = STATE(1658),
    [sym_member_type] = STATE(1658),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_print] = ACTIONS(279),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(281),
    [anon_sym_LPAREN] = ACTIONS(283),
    [anon_sym_STAR] = ACTIONS(285),
    [anon_sym_STAR_STAR] = ACTIONS(287),
    [anon_sym_exec] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(281),
    [anon_sym_struct] = ACTIONS(281),
    [anon_sym_type] = ACTIONS(293),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__indent] = ACTIONS(325),
    [sym_string_start] = ACTIONS(67),
  },
  [58] = {
    [sym__simple_statements] = STATE(527),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__indent] = ACTIONS(329),
    [sym_string_start] = ACTIONS(67),
  },
  [59] = {
    [sym__simple_statements] = STATE(454),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__indent] = ACTIONS(333),
    [sym_string_start] = ACTIONS(67),
  },
  [60] = {
    [sym__simple_statements] = STATE(588),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__indent] = ACTIONS(337),
    [sym_string_start] = ACTIONS(67),
  },
  [61] = {
    [sym__simple_statements] = STATE(513),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__indent] = ACTIONS(341),
    [sym_string_start] = ACTIONS(67),
  },
  [62] = {
    [sym__simple_statements] = STATE(2082),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__indent] = ACTIONS(345),
    [sym_string_start] = ACTIONS(67),
  },
  [63] = {
    [sym__simple_statements] = STATE(2086),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__indent] = ACTIONS(349),
    [sym_string_start] = ACTIONS(67),
  },
  [64] = {
    [sym__simple_statements] = STATE(2041),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym_string_start] = ACTIONS(67),
  },
  [65] = {
    [sym__simple_statements] = STATE(546),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(67),
  },
  [66] = {
    [sym__simple_statements] = STATE(456),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(67),
  },
  [67] = {
    [sym__simple_statements] = STATE(502),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(67),
  },
  [68] = {
    [sym__simple_statements] = STATE(491),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(67),
  },
  [69] = {
    [sym__simple_statements] = STATE(498),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(67),
  },
  [70] = {
    [sym__simple_statements] = STATE(528),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(67),
  },
  [71] = {
    [sym__simple_statements] = STATE(2022),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(67),
  },
  [72] = {
    [sym__simple_statements] = STATE(533),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym_string_start] = ACTIONS(67),
  },
  [73] = {
    [sym__simple_statements] = STATE(543),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__indent] = ACTIONS(389),
    [sym_string_start] = ACTIONS(67),
  },
  [74] = {
    [sym__simple_statements] = STATE(493),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__indent] = ACTIONS(393),
    [sym_string_start] = ACTIONS(67),
  },
  [75] = {
    [sym__simple_statements] = STATE(565),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__indent] = ACTIONS(397),
    [sym_string_start] = ACTIONS(67),
  },
  [76] = {
    [sym__simple_statements] = STATE(500),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__indent] = ACTIONS(401),
    [sym_string_start] = ACTIONS(67),
  },
  [77] = {
    [sym__simple_statements] = STATE(579),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__indent] = ACTIONS(405),
    [sym_string_start] = ACTIONS(67),
  },
  [78] = {
    [sym__simple_statements] = STATE(586),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__indent] = ACTIONS(409),
    [sym_string_start] = ACTIONS(67),
  },
  [79] = {
    [sym__simple_statements] = STATE(503),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__indent] = ACTIONS(413),
    [sym_string_start] = ACTIONS(67),
  },
  [80] = {
    [sym__simple_statements] = STATE(592),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__indent] = ACTIONS(417),
    [sym_string_start] = ACTIONS(67),
  },
  [81] = {
    [sym__simple_statements] = STATE(478),
    [sym_print_statement] = STATE(1977),
    [sym_assert_statement] = STATE(1977),
    [sym_expression_statement] = STATE(1977),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1977),
    [sym_delete_statement] = STATE(1977),
    [sym_pass_statement] = STATE(1977),
    [sym_break_statement] = STATE(1977),
    [sym_continue_statement] = STATE(1977),
    [sym_exec_statement] = STATE(1977),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__indent] = ACTIONS(421),
    [sym_string_start] = ACTIONS(67),
  },
  [82] = {
    [sym__simple_statements] = STATE(554),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__indent] = ACTIONS(425),
    [sym_string_start] = ACTIONS(67),
  },
  [83] = {
    [sym__simple_statements] = STATE(507),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(427),
    [sym__indent] = ACTIONS(429),
    [sym_string_start] = ACTIONS(67),
  },
  [84] = {
    [sym__simple_statements] = STATE(496),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(431),
    [sym__indent] = ACTIONS(433),
    [sym_string_start] = ACTIONS(67),
  },
  [85] = {
    [sym__simple_statements] = STATE(541),
    [sym_print_statement] = STATE(1964),
    [sym_assert_statement] = STATE(1964),
    [sym_expression_statement] = STATE(1964),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(1964),
    [sym_delete_statement] = STATE(1964),
    [sym_pass_statement] = STATE(1964),
    [sym_break_statement] = STATE(1964),
    [sym_continue_statement] = STATE(1964),
    [sym_exec_statement] = STATE(1964),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(435),
    [sym__indent] = ACTIONS(437),
    [sym_string_start] = ACTIONS(67),
  },
  [86] = {
    [sym__simple_statements] = STATE(2031),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(439),
    [sym__indent] = ACTIONS(441),
    [sym_string_start] = ACTIONS(67),
  },
  [87] = {
    [sym__simple_statements] = STATE(2093),
    [sym_print_statement] = STATE(2011),
    [sym_assert_statement] = STATE(2011),
    [sym_expression_statement] = STATE(2011),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2011),
    [sym_delete_statement] = STATE(2011),
    [sym_pass_statement] = STATE(2011),
    [sym_break_statement] = STATE(2011),
    [sym_continue_statement] = STATE(2011),
    [sym_exec_statement] = STATE(2011),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(443),
    [sym__indent] = ACTIONS(445),
    [sym_string_start] = ACTIONS(67),
  },
  [88] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(447),
    [sym_string_start] = ACTIONS(67),
  },
  [89] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym_string_start] = ACTIONS(67),
  },
  [90] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(451),
    [sym_string_start] = ACTIONS(67),
  },
  [91] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym_string_start] = ACTIONS(67),
  },
  [92] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(455),
    [sym_string_start] = ACTIONS(67),
  },
  [93] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym_string_start] = ACTIONS(67),
  },
  [94] = {
    [sym_print_statement] = STATE(2037),
    [sym_assert_statement] = STATE(2037),
    [sym_expression_statement] = STATE(2037),
    [sym_named_expression] = STATE(1328),
    [sym__named_expression_lhs] = STATE(2112),
    [sym_return_statement] = STATE(2037),
    [sym_delete_statement] = STATE(2037),
    [sym_pass_statement] = STATE(2037),
    [sym_break_statement] = STATE(2037),
    [sym_continue_statement] = STATE(2037),
    [sym_exec_statement] = STATE(2037),
    [sym_pattern] = STATE(1281),
    [sym_tuple_pattern] = STATE(1260),
    [sym_list_pattern] = STATE(1260),
    [sym_list_splat_pattern] = STATE(463),
    [sym_as_pattern] = STATE(1328),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(740),
    [sym_not_operator] = STATE(1328),
    [sym_boolean_operator] = STATE(1328),
    [sym_binary_operator] = STATE(789),
    [sym_unary_operator] = STATE(789),
    [sym_comparison_operator] = STATE(1328),
    [sym_lambda] = STATE(1328),
    [sym_assignment] = STATE(2067),
    [sym_augmented_assignment] = STATE(2067),
    [sym_pattern_list] = STATE(1286),
    [sym_attribute] = STATE(459),
    [sym_subscript] = STATE(459),
    [sym_call] = STATE(789),
    [sym_list] = STATE(789),
    [sym_set] = STATE(789),
    [sym_tuple] = STATE(789),
    [sym_dictionary] = STATE(789),
    [sym_list_comprehension] = STATE(789),
    [sym_dictionary_comprehension] = STATE(789),
    [sym_set_comprehension] = STATE(789),
    [sym_parenthesized_expression] = STATE(789),
    [sym_conditional_expression] = STATE(1328),
    [sym_string] = STATE(789),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_print] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_assert_] = ACTIONS(15),
    [anon_sym_assert_eq] = ACTIONS(15),
    [anon_sym_assert_ne] = ACTIONS(15),
    [anon_sym_assert_contains] = ACTIONS(15),
    [anon_sym_assert_fails] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_del] = ACTIONS(19),
    [anon_sym_pass] = ACTIONS(21),
    [anon_sym_break] = ACTIONS(23),
    [anon_sym_continue] = ACTIONS(25),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_STAR] = ACTIONS(43),
    [anon_sym_exec] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(51),
    [anon_sym_lambda] = ACTIONS(57),
    [sym_ellipsis] = ACTIONS(59),
    [sym_integer] = ACTIONS(61),
    [sym_float] = ACTIONS(59),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(63),
    [anon_sym_type] = ACTIONS(65),
    [sym_true] = ACTIONS(61),
    [sym_false] = ACTIONS(61),
    [sym_none] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(67),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_TILDE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(465), 1,
      anon_sym_LPAREN,
    ACTIONS(467), 1,
      anon_sym_STAR,
    ACTIONS(469), 1,
      anon_sym_LBRACK,
    ACTIONS(471), 1,
      anon_sym_type,
    STATE(808), 1,
      sym_list_splat_pattern,
    STATE(1230), 1,
      sym_pattern,
    STATE(1276), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(809), 2,
      sym_attribute,
      sym_subscript,
    STATE(1249), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(463), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
    ACTIONS(461), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [101] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_TILDE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(465), 1,
      anon_sym_LPAREN,
    ACTIONS(467), 1,
      anon_sym_STAR,
    ACTIONS(469), 1,
      anon_sym_LBRACK,
    ACTIONS(471), 1,
      anon_sym_type,
    STATE(808), 1,
      sym_list_splat_pattern,
    STATE(1230), 1,
      sym_pattern,
    STATE(1276), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(809), 2,
      sym_attribute,
      sym_subscript,
    STATE(1249), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(463), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
    ACTIONS(473), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [202] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(481), 1,
      anon_sym_RPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2168), 1,
      sym__patterns,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [316] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(513), 1,
      anon_sym_RBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1312), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2150), 1,
      sym__patterns,
    STATE(2158), 1,
      sym__collection_elements,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [430] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(535), 1,
      anon_sym_COMMA,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(549), 1,
      anon_sym_RBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1295), 1,
      sym_expression,
    STATE(1492), 1,
      sym_pair,
    STATE(1844), 1,
      sym_dictionary_splat,
    STATE(2138), 1,
      sym__collection_elements,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [544] = 25,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(39), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_type,
    ACTIONS(67), 1,
      sym_string_start,
    STATE(463), 1,
      sym_list_splat_pattern,
    STATE(740), 1,
      sym_primary_expression,
    STATE(1262), 1,
      sym_pattern_list,
    STATE(1269), 1,
      sym_pattern,
    STATE(1411), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    STATE(459), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2017), 4,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
    ACTIONS(63), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [654] = 28,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(563), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1452), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(1886), 1,
      sym_list_splat,
    STATE(1890), 1,
      sym_parenthesized_list_splat,
    STATE(2136), 1,
      sym__collection_elements,
    STATE(2189), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [770] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(565), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2150), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [884] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(567), 1,
      anon_sym_COMMA,
    ACTIONS(569), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1296), 1,
      sym_expression,
    STATE(1445), 1,
      sym_pair,
    STATE(1987), 1,
      sym_dictionary_splat,
    STATE(2203), 1,
      sym__collection_elements,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [998] = 28,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(571), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1458), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(1997), 1,
      sym_list_splat,
    STATE(1998), 1,
      sym_parenthesized_list_splat,
    STATE(2179), 1,
      sym__collection_elements,
    STATE(2190), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1114] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(585), 1,
      anon_sym_RBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1222] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(603), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1330] = 25,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(39), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_type,
    ACTIONS(67), 1,
      sym_string_start,
    STATE(463), 1,
      sym_list_splat_pattern,
    STATE(740), 1,
      sym_primary_expression,
    STATE(1262), 1,
      sym_pattern_list,
    STATE(1269), 1,
      sym_pattern,
    STATE(1411), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    STATE(459), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2061), 4,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
    ACTIONS(63), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1440] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(605), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1548] = 25,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(39), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_type,
    ACTIONS(67), 1,
      sym_string_start,
    STATE(463), 1,
      sym_list_splat_pattern,
    STATE(740), 1,
      sym_primary_expression,
    STATE(1262), 1,
      sym_pattern_list,
    STATE(1269), 1,
      sym_pattern,
    STATE(1411), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    STATE(459), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2073), 4,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
    ACTIONS(63), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1658] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1469), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2132), 1,
      sym__collection_elements,
    STATE(2168), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1772] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(609), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1330), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2196), 1,
      sym__patterns,
    STATE(2213), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [1886] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(611), 1,
      anon_sym_COMMA,
    ACTIONS(613), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1298), 1,
      sym_expression,
    STATE(1453), 1,
      sym_pair,
    STATE(1809), 1,
      sym_dictionary_splat,
    STATE(2107), 1,
      sym__collection_elements,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2000] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(615), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1451), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2125), 1,
      sym__collection_elements,
    STATE(2168), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2114] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(617), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2222] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(619), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2330] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(621), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2189), 1,
      sym__patterns,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2444] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(623), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1332), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2156), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2192), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2558] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(625), 1,
      anon_sym_COMMA,
    ACTIONS(627), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1299), 1,
      sym_expression,
    STATE(1459), 1,
      sym_pair,
    STATE(1855), 1,
      sym_dictionary_splat,
    STATE(2126), 1,
      sym__collection_elements,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2672] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(629), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2780] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(631), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [2888] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(633), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2168), 1,
      sym__patterns,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3002] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(635), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1336), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2133), 1,
      sym__collection_elements,
    STATE(2150), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3116] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(637), 1,
      anon_sym_COMMA,
    ACTIONS(639), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1293), 1,
      sym_expression,
    STATE(1465), 1,
      sym_pair,
    STATE(1894), 1,
      sym_dictionary_splat,
    STATE(2209), 1,
      sym__named_expression_lhs,
    STATE(2232), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3230] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(641), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2190), 1,
      sym__patterns,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3344] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(643), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2196), 1,
      sym__patterns,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3458] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(645), 1,
      anon_sym_COMMA,
    ACTIONS(647), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1294), 1,
      sym_expression,
    STATE(1470), 1,
      sym_pair,
    STATE(1916), 1,
      sym_dictionary_splat,
    STATE(2143), 1,
      sym__collection_elements,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3572] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2124), 1,
      sym__patterns,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3686] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(651), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2150), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3800] = 27,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_STAR,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_COMMA,
    ACTIONS(655), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1297), 1,
      sym_expression,
    STATE(1476), 1,
      sym_pair,
    STATE(1940), 1,
      sym_dictionary_splat,
    STATE(2209), 1,
      sym__named_expression_lhs,
    STATE(2257), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1830), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [3914] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(657), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2221), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4028] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(659), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2156), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4142] = 27,
    ACTIONS(475), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_LPAREN,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(485), 1,
      anon_sym_LBRACK,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(499), 1,
      anon_sym_type,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(661), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1130), 1,
      sym_list_splat_pattern,
    STATE(1451), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2125), 1,
      sym__collection_elements,
    STATE(2168), 1,
      sym__patterns,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1126), 2,
      sym_attribute,
      sym_subscript,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(477), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4256] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(663), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2103), 1,
      sym__patterns,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4370] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(665), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    STATE(2225), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4484] = 27,
    ACTIONS(503), 1,
      sym_identifier,
    ACTIONS(507), 1,
      anon_sym_LPAREN,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(511), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(527), 1,
      anon_sym_type,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(667), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym_list_splat_pattern,
    STATE(1312), 1,
      sym_expression,
    STATE(1839), 1,
      sym_pattern,
    STATE(2150), 1,
      sym__patterns,
    STATE(2158), 1,
      sym__collection_elements,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1023), 2,
      sym_attribute,
      sym_subscript,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(505), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4598] = 24,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(669), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4706] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(679), 1,
      anon_sym_RPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1461), 1,
      sym_expression,
    STATE(1861), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1860), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4815] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1531), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [4920] = 23,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(689), 1,
      sym_identifier,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(697), 1,
      anon_sym_STAR_STAR,
    ACTIONS(699), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1341), 1,
      sym_expression,
    STATE(1533), 1,
      sym_type,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5025] = 23,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(689), 1,
      sym_identifier,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(697), 1,
      anon_sym_STAR_STAR,
    ACTIONS(699), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1341), 1,
      sym_expression,
    STATE(1534), 1,
      sym_type,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5130] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1632), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5235] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_TILDE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(709), 1,
      anon_sym_LPAREN,
    ACTIONS(711), 1,
      anon_sym_STAR,
    ACTIONS(713), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      anon_sym_type,
    STATE(1093), 1,
      sym_list_splat_pattern,
    STATE(1270), 1,
      sym_pattern,
    STATE(1280), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1102), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(707), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
    ACTIONS(473), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5334] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(2009), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5439] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(717), 1,
      anon_sym_COMMA,
    ACTIONS(719), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1447), 1,
      sym_expression,
    STATE(1904), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1853), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5548] = 23,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(689), 1,
      sym_identifier,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(697), 1,
      anon_sym_STAR_STAR,
    ACTIONS(699), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1341), 1,
      sym_expression,
    STATE(1570), 1,
      sym_type,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5653] = 23,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(689), 1,
      sym_identifier,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(695), 1,
      anon_sym_STAR,
    ACTIONS(697), 1,
      anon_sym_STAR_STAR,
    ACTIONS(699), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1341), 1,
      sym_expression,
    STATE(1663), 1,
      sym_type,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1544), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5758] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(265), 1,
      anon_sym_TILDE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(709), 1,
      anon_sym_LPAREN,
    ACTIONS(711), 1,
      anon_sym_STAR,
    ACTIONS(713), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      anon_sym_type,
    STATE(1093), 1,
      sym_list_splat_pattern,
    STATE(1270), 1,
      sym_pattern,
    STATE(1280), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(259), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1102), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(707), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
    ACTIONS(461), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5857] = 23,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(721), 1,
      sym_identifier,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(725), 1,
      anon_sym_STAR,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1342), 1,
      sym_expression,
    STATE(1504), 1,
      sym_type,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1505), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [5962] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1829), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6067] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(731), 1,
      anon_sym_COMMA,
    ACTIONS(733), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1467), 1,
      sym_expression,
    STATE(1905), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1882), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6176] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1911), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6281] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(735), 1,
      anon_sym_COMMA,
    ACTIONS(737), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1454), 1,
      sym_expression,
    STATE(1819), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1818), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6390] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1638), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6495] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1678), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6600] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1986), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6705] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1865), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6810] = 23,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(721), 1,
      sym_identifier,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(725), 1,
      anon_sym_STAR,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1342), 1,
      sym_expression,
    STATE(1581), 1,
      sym_type,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1505), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [6915] = 23,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(721), 1,
      sym_identifier,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(725), 1,
      anon_sym_STAR,
    ACTIONS(727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1342), 1,
      sym_expression,
    STATE(1588), 1,
      sym_type,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1505), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7020] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(739), 1,
      anon_sym_COMMA,
    ACTIONS(741), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1466), 1,
      sym_expression,
    STATE(1901), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1900), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7129] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(743), 1,
      anon_sym_COMMA,
    ACTIONS(745), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1471), 1,
      sym_expression,
    STATE(1922), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1921), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7238] = 25,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(747), 1,
      anon_sym_COMMA,
    ACTIONS(749), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1477), 1,
      sym_expression,
    STATE(1944), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1943), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7347] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1631), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7452] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1566), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7557] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1510), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7662] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1527), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7767] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1981), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7872] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1983), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [7977] = 23,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(287), 1,
      anon_sym_STAR_STAR,
    ACTIONS(701), 1,
      sym_identifier,
    ACTIONS(703), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1388), 1,
      sym_expression,
    STATE(1984), 1,
      sym_type,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1658), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8082] = 23,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_STAR,
    ACTIONS(581), 1,
      anon_sym_STAR_STAR,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1373), 1,
      sym_expression,
    STATE(1640), 1,
      sym_type,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1652), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8187] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(751), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8293] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(753), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8399] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(755), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8505] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(757), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8611] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(759), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8717] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(761), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8823] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [8929] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(765), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9035] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(767), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9141] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(769), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9247] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(771), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9353] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(773), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9459] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(775), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9565] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(777), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9671] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9777] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(781), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9883] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [9989] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10095] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(787), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10201] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10307] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10413] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10519] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10625] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10731] = 24,
    ACTIONS(799), 1,
      sym_identifier,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_type,
    ACTIONS(823), 1,
      sym_string_start,
    STATE(703), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_list_splat_pattern,
    STATE(1356), 1,
      sym_expression,
    STATE(2048), 1,
      sym_pattern,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(782), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1602), 3,
      sym_expression_list,
      sym_pattern_list,
      sym__f_expression,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(801), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10837] = 24,
    ACTIONS(799), 1,
      sym_identifier,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(821), 1,
      anon_sym_type,
    ACTIONS(823), 1,
      sym_string_start,
    STATE(703), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_list_splat_pattern,
    STATE(1356), 1,
      sym_expression,
    STATE(2048), 1,
      sym_pattern,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(782), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(1603), 3,
      sym_expression_list,
      sym_pattern_list,
      sym__f_expression,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(801), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [10943] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11049] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(827), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11155] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(829), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11261] = 24,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11367] = 23,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(839), 1,
      anon_sym_RBRACE,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1591), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(833), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11470] = 23,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_RBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(847), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11573] = 23,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_RBRACK,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(833), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11676] = 23,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1591), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(861), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11779] = 23,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(867), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(865), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11882] = 23,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(863), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(861), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [11985] = 23,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(671), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_STAR,
    ACTIONS(683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(687), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1545), 1,
      sym_expression,
    STATE(2030), 1,
      sym_parenthesized_list_splat,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2028), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(673), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12088] = 23,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    ACTIONS(855), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1591), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(847), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12191] = 23,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    ACTIONS(867), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1591), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(865), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 5,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12294] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1472), 1,
      sym_expression,
    STATE(1856), 1,
      sym_with_item,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12399] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1443), 1,
      sym_expression,
    STATE(2195), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12501] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1312), 1,
      sym_expression,
    STATE(2158), 1,
      sym__collection_elements,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12603] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(877), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12705] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(879), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1452), 1,
      sym_expression,
    STATE(1886), 1,
      sym_list_splat,
    STATE(1890), 1,
      sym_parenthesized_list_splat,
    STATE(2136), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12809] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1451), 1,
      sym_expression,
    STATE(2125), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [12911] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1458), 1,
      sym_expression,
    STATE(2179), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13013] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(885), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1332), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2192), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13115] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1469), 1,
      sym_expression,
    STATE(1813), 1,
      sym_list_splat,
    STATE(1814), 1,
      sym_parenthesized_list_splat,
    STATE(2132), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13219] = 21,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1362), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(893), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13317] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13419] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(903), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13521] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(879), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1452), 1,
      sym_expression,
    STATE(2136), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13623] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(905), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1334), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2227), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13725] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(883), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1458), 1,
      sym_expression,
    STATE(1997), 1,
      sym_list_splat,
    STATE(1998), 1,
      sym_parenthesized_list_splat,
    STATE(2179), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13829] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(907), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [13931] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1469), 1,
      sym_expression,
    STATE(2132), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14033] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(909), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1338), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2239), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14135] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(911), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14237] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(913), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14339] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(915), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14441] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14543] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(919), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1325), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2197), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14645] = 21,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1362), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(921), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14743] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1463), 1,
      sym_expression,
    STATE(2224), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14845] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1336), 1,
      sym_expression,
    STATE(2133), 1,
      sym__collection_elements,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [14947] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(927), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15049] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(929), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15151] = 23,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1475), 1,
      sym_expression,
    STATE(2237), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1988), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15253] = 23,
    ACTIONS(509), 1,
      anon_sym_STAR,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    ACTIONS(873), 1,
      anon_sym_LPAREN,
    ACTIONS(933), 1,
      anon_sym_RBRACK,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1330), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    STATE(2213), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1835), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15355] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1475), 1,
      sym_expression,
    STATE(1997), 1,
      sym_list_splat,
    STATE(1998), 1,
      sym_parenthesized_list_splat,
    STATE(2237), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15459] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(935), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15561] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(937), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15663] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(939), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15765] = 23,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    ACTIONS(941), 1,
      anon_sym_RBRACE,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15867] = 24,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1463), 1,
      sym_expression,
    STATE(1813), 1,
      sym_list_splat,
    STATE(1814), 1,
      sym_parenthesized_list_splat,
    STATE(2224), 1,
      sym__collection_elements,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [15971] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(949), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16072] = 22,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1420), 1,
      sym_expression,
    STATE(2015), 1,
      sym_expression_list,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(951), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16171] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(955), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16272] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(957), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16373] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(959), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16474] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(961), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16575] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(963), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16676] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(965), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16777] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(255), 1,
      anon_sym_STAR,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(541), 1,
      anon_sym_STAR_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(2049), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16876] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(967), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [16977] = 22,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(971), 1,
      anon_sym_STAR,
    ACTIONS(973), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(2099), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17076] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(975), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17177] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(977), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17278] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(979), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17379] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(981), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17480] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17581] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(985), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17682] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(989), 1,
      anon_sym_COLON,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1437), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17781] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(991), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17882] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(993), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [17983] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(995), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18084] = 22,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(971), 1,
      anon_sym_STAR,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(2099), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18183] = 22,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    ACTIONS(997), 1,
      anon_sym_RBRACE,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1551), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(2026), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18282] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1003), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18383] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1005), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18484] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18585] = 22,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    ACTIONS(973), 1,
      anon_sym_RBRACE,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1551), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(2026), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18684] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18785] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18886] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1013), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [18987] = 22,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1537), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(2018), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19086] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19187] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1017), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19288] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_COLON,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1456), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19387] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1023), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19488] = 23,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1025), 1,
      anon_sym_RBRACK,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19589] = 22,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1537), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(2018), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19688] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1432), 1,
      sym_expression,
    STATE(1959), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19786] = 10,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1027), 1,
      anon_sym_for,
    ACTIONS(1029), 1,
      anon_sym_with,
    ACTIONS(1031), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(240), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [19860] = 21,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1517), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [19956] = 21,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1563), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20052] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2115), 1,
      sym_with_clause,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20150] = 21,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1664), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20246] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1039), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20342] = 21,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1556), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20438] = 22,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1041), 1,
      anon_sym_RPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_expression,
    STATE(2087), 1,
      sym_with_item,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20536] = 21,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1552), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20632] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1455), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1045), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20728] = 22,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1047), 1,
      anon_sym_RPAREN,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_expression,
    STATE(2087), 1,
      sym_with_item,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20826] = 21,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1405), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1675), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [20922] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1427), 1,
      sym_expression,
    STATE(1912), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21020] = 21,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1557), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21116] = 21,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1410), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1669), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21212] = 21,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(841), 1,
      anon_sym_lambda,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1397), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    STATE(1591), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21308] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1455), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(893), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21404] = 11,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(225), 1,
      anon_sym_COLON,
    ACTIONS(240), 1,
      anon_sym_EQ,
    ACTIONS(1049), 1,
      sym_identifier,
    STATE(1923), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(212), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 21,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
  [21480] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1051), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2065), 1,
      sym_with_item,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21578] = 21,
    ACTIONS(483), 1,
      anon_sym_STAR,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(677), 1,
      anon_sym_LPAREN,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1537), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(2018), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21674] = 10,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1049), 1,
      sym_identifier,
    STATE(1923), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(240), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(212), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 21,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
  [21748] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1455), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1053), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [21844] = 10,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1055), 1,
      anon_sym_for,
    ACTIONS(1057), 1,
      anon_sym_with,
    ACTIONS(1059), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(240), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [21918] = 21,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1413), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1511), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22014] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1061), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2065), 1,
      sym_with_item,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22112] = 21,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1395), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1643), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22208] = 21,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(857), 1,
      anon_sym_lambda,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1426), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    STATE(1657), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22304] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1404), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22402] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1063), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22498] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1435), 1,
      sym_expression,
    STATE(1821), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22596] = 21,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1551), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(2026), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22692] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1417), 1,
      sym_expression,
    STATE(1863), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22790] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2129), 1,
      sym_with_clause,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22888] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1423), 1,
      sym_expression,
    STATE(1903), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [22986] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1429), 1,
      sym_expression,
    STATE(1925), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23084] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1431), 1,
      sym_expression,
    STATE(1945), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23182] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1434), 1,
      sym_expression,
    STATE(1968), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23280] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23376] = 21,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1560), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23472] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2164), 1,
      sym__named_expression_lhs,
    STATE(2167), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23570] = 22,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1035), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2010), 1,
      sym_with_item,
    STATE(2164), 1,
      sym__named_expression_lhs,
    STATE(2173), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23668] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1069), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23764] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1455), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(921), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23860] = 21,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(971), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1564), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(2099), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [23956] = 22,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(945), 1,
      anon_sym_COLON,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1464), 1,
      sym_expression,
    STATE(2040), 1,
      sym_slice,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24054] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1071), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1514), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24149] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_DOT,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24244] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1075), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1514), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24339] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1480), 1,
      sym_expression,
    STATE(2131), 1,
      sym_expression_list,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24434] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(921), 1,
      anon_sym_COLON,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1539), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24529] = 21,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1425), 1,
      sym_expression,
    STATE(2054), 1,
      sym_expression_list,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24624] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1438), 1,
      sym_expression,
    STATE(2116), 1,
      sym_expression_list,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24719] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1484), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    STATE(2177), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24814] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1485), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    STATE(2183), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [24909] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1514), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25004] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1520), 1,
      sym_expression,
    STATE(2065), 1,
      sym_with_item,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25099] = 21,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1590), 1,
      sym_expression,
    STATE(2087), 1,
      sym_with_item,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25194] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1514), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25289] = 21,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(893), 1,
      anon_sym_COLON,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1539), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25384] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1656), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25476] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1346), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25568] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1347), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25660] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1348), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25752] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1362), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25844] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1353), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [25936] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1355), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26028] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1306), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26120] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1507), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26212] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1329), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26304] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1494), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26396] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1326), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26488] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1357), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26580] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1359), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26672] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1343), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26764] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1344), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26856] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1340), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [26948] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1539), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27040] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1351), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27132] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1352), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27224] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1399), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27316] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1401), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27408] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1407), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27500] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1408), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27592] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1409), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27684] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1415), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27776] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1308), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27868] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1421), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [27960] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1380), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28052] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1365), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28144] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1383), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28236] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1371), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28328] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1361), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28420] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1378), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28512] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1381), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28604] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1382), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28696] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1363), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28788] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1385), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28880] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1367), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [28972] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1384), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29064] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1369), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29156] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1387), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29248] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1364), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29340] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1389), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29432] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1372), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29524] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1379), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29616] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1390), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29708] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1370), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29800] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1360), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29892] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1509), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [29984] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1532), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30076] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1350), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30168] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1689), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30260] = 21,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1085), 1,
      anon_sym_type,
    STATE(1025), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1518), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(950), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1083), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30354] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1301), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30446] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1521), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30538] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1302), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30630] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1303), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30722] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1478), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30814] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1684), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30906] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1569), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [30998] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1571), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31090] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1496), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31182] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1514), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31274] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1592), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31366] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1568), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31458] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1513), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31550] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1414), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31642] = 20,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(699), 1,
      anon_sym_type,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1354), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(691), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31734] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1455), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31826] = 21,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_type,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1032), 1,
      sym_primary_expression,
    STATE(1528), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(906), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1089), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [31920] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32012] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1442), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32104] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1597), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32196] = 20,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(519), 1,
      anon_sym_not,
    ACTIONS(521), 1,
      anon_sym_lambda,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(859), 1,
      anon_sym_type,
    STATE(739), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    STATE(1412), 1,
      sym_expression,
    STATE(2161), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(845), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1392), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32288] = 21,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1093), 1,
      sym_identifier,
    ACTIONS(1097), 1,
      anon_sym_type,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1518), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1127), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1095), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32382] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1610), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32474] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1393), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32566] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1376), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32658] = 21,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1528), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    STATE(1128), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1101), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32752] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [32844] = 10,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1114), 1,
      anon_sym_COLON,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    STATE(1615), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1105), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1110), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
  [32916] = 20,
    ACTIONS(531), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(551), 1,
      anon_sym_not,
    ACTIONS(553), 1,
      anon_sym_lambda,
    ACTIONS(559), 1,
      anon_sym_type,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    STATE(704), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    STATE(1400), 1,
      sym_expression,
    STATE(2209), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(533), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1366), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33008] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33100] = 20,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      anon_sym_not,
    ACTIONS(57), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(210), 1,
      sym_identifier,
    ACTIONS(247), 1,
      anon_sym_type,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    STATE(705), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    STATE(1314), 1,
      sym_expression,
    STATE(2112), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(214), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1328), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33192] = 20,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_not,
    ACTIONS(815), 1,
      anon_sym_lambda,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(899), 1,
      anon_sym_type,
    STATE(703), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    STATE(1377), 1,
      sym_expression,
    STATE(2121), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(891), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1368), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33284] = 21,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(491), 1,
      anon_sym_not,
    ACTIONS(493), 1,
      anon_sym_lambda,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1123), 1,
      sym_identifier,
    ACTIONS(1127), 1,
      anon_sym_type,
    STATE(751), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    STATE(1565), 1,
      sym_expression,
    STATE(2248), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    STATE(1123), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1125), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1349), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(925), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33378] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1374), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33470] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33562] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1644), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33654] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1606), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33746] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33838] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1605), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [33930] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [34022] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1653), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [34114] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1662), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [34206] = 20,
    ACTIONS(249), 1,
      sym_identifier,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(263), 1,
      anon_sym_not,
    ACTIONS(267), 1,
      anon_sym_lambda,
    ACTIONS(273), 1,
      anon_sym_type,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    STATE(750), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1345), 1,
      sym_expression,
    STATE(2164), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(251), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1358), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [34298] = 20,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(599), 1,
      anon_sym_type,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(943), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_STAR,
    STATE(905), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    STATE(1375), 1,
      sym_expression,
    STATE(2222), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(575), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1391), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [34390] = 7,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(240), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34455] = 8,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(225), 1,
      anon_sym_COLON,
    ACTIONS(240), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34522] = 8,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(225), 1,
      anon_sym_COLON,
    ACTIONS(240), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34589] = 7,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1119), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1121), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1110), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34654] = 7,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(240), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(245), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(221), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34719] = 6,
    ACTIONS(1131), 1,
      anon_sym_COMMA,
    ACTIONS(1138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1136), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1134), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [34781] = 8,
    ACTIONS(1144), 1,
      anon_sym_elif,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(451), 1,
      aux_sym_if_statement_repeat1,
    STATE(483), 1,
      sym_elif_clause,
    STATE(525), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1140), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1142), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [34847] = 8,
    ACTIONS(1148), 1,
      anon_sym_elif,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(453), 1,
      aux_sym_if_statement_repeat1,
    STATE(487), 1,
      sym_elif_clause,
    STATE(599), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1140), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1142), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [34913] = 8,
    ACTIONS(1148), 1,
      anon_sym_elif,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(472), 1,
      aux_sym_if_statement_repeat1,
    STATE(487), 1,
      sym_elif_clause,
    STATE(549), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1154), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1152), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [34979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35091] = 8,
    ACTIONS(1144), 1,
      anon_sym_elif,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(473), 1,
      aux_sym_if_statement_repeat1,
    STATE(483), 1,
      sym_elif_clause,
    STATE(547), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1160), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1162), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [35157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35213] = 8,
    ACTIONS(1148), 1,
      anon_sym_elif,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(472), 1,
      aux_sym_if_statement_repeat1,
    STATE(487), 1,
      sym_elif_clause,
    STATE(589), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1160), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1162), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [35279] = 8,
    ACTIONS(1144), 1,
      anon_sym_elif,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(455), 1,
      aux_sym_if_statement_repeat1,
    STATE(483), 1,
      sym_elif_clause,
    STATE(563), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1168), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1170), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [35345] = 8,
    ACTIONS(1144), 1,
      anon_sym_elif,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(473), 1,
      aux_sym_if_statement_repeat1,
    STATE(483), 1,
      sym_elif_clause,
    STATE(522), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1154), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1152), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [35411] = 8,
    ACTIONS(1148), 1,
      anon_sym_elif,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(448), 1,
      aux_sym_if_statement_repeat1,
    STATE(487), 1,
      sym_elif_clause,
    STATE(517), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1168), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1170), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [35477] = 6,
    ACTIONS(1174), 1,
      anon_sym_COMMA,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1179), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1177), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [35539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35595] = 6,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1110), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [35657] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1192), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35773] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1206), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35833] = 6,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1216), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [35895] = 6,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1213), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1121), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1216), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [35957] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1192), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1189), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36017] = 6,
    ACTIONS(1119), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1121), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1110), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [36079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 16,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36191] = 6,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1174), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1179), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1177), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [36253] = 6,
    ACTIONS(1138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1131), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1136), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1134), 15,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [36315] = 7,
    ACTIONS(1224), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1206), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1222), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 12,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36379] = 6,
    ACTIONS(1228), 1,
      anon_sym_elif,
    STATE(472), 1,
      aux_sym_if_statement_repeat1,
    STATE(487), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1231), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1226), 31,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36440] = 6,
    ACTIONS(1233), 1,
      anon_sym_elif,
    STATE(473), 1,
      aux_sym_if_statement_repeat1,
    STATE(483), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1231), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1226), 31,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36501] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1236), 1,
      sym_identifier,
    ACTIONS(1240), 1,
      anon_sym_LPAREN,
    ACTIONS(1242), 1,
      anon_sym_STAR,
    ACTIONS(1244), 1,
      anon_sym_LBRACK,
    ACTIONS(1246), 1,
      anon_sym_type,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1259), 1,
      sym_primary_expression,
    STATE(1686), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1204), 2,
      sym_attribute,
      sym_subscript,
    STATE(1623), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(473), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1238), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [36587] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1236), 1,
      sym_identifier,
    ACTIONS(1240), 1,
      anon_sym_LPAREN,
    ACTIONS(1242), 1,
      anon_sym_STAR,
    ACTIONS(1244), 1,
      anon_sym_LBRACK,
    ACTIONS(1246), 1,
      anon_sym_type,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1259), 1,
      sym_primary_expression,
    STATE(1686), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1204), 2,
      sym_attribute,
      sym_subscript,
    STATE(1623), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(461), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1238), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [36673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1250), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1248), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36726] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(510), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1254), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1252), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1258), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1256), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1250), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1248), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36889] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(540), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1262), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1260), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1266), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1264), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [36999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1270), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1268), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1272), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1274), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1266), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1264), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1278), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1276), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37211] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(537), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1282), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1272), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1274), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1278), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1276), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1286), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1284), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1288), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1290), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37480] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(555), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1292), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1294), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37537] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(575), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1282), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37594] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(569), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1296), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1298), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37651] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(574), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1254), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1252), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1288), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1290), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1258), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1256), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1286), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1284), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37867] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(509), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1300), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1302), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37924] = 5,
    ACTIONS(1146), 1,
      anon_sym_else,
    STATE(581), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1262), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1260), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [37981] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(595), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1292), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1294), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1270), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1268), 32,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38091] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(535), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1300), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1302), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38148] = 5,
    ACTIONS(1150), 1,
      anon_sym_else,
    STATE(536), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1296), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1298), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38205] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      sym_identifier,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_RPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_type,
    STATE(1250), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2189), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1251), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1306), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [38291] = 20,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      sym_identifier,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_type,
    ACTIONS(1316), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(1878), 1,
      sym_pattern,
    STATE(2168), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1251), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1306), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [38377] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      sym_identifier,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_type,
    ACTIONS(1318), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(2080), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1251), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1306), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [38460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1320), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1322), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1326), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1324), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1328), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1330), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1334), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1332), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1336), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1338), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1340), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1342), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1344), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1346), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1348), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1350), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [38868] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(1352), 1,
      sym_identifier,
    ACTIONS(1356), 1,
      anon_sym_LPAREN,
    ACTIONS(1358), 1,
      anon_sym_STAR,
    ACTIONS(1360), 1,
      anon_sym_LBRACK,
    ACTIONS(1362), 1,
      anon_sym_type,
    STATE(1233), 1,
      sym_list_splat_pattern,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(2078), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1234), 2,
      sym_attribute,
      sym_subscript,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1354), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [38951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1364), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1370), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1368), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39053] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1376), 1,
      anon_sym_in,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1270), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [39136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1384), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1390), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1388), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39238] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1874), 1,
      sym_pattern,
    STATE(2128), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [39321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1392), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1394), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1398), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1396), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1402), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1400), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1404), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1406), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1410), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1408), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1414), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1412), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1320), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1322), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1416), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1418), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1420), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1422), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39780] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    ACTIONS(1424), 1,
      anon_sym_in,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1270), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [39863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1426), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1428), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1430), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1432), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [39965] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1810), 1,
      sym_pattern,
    STATE(2233), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [40048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1328), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1330), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1436), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1434), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1438), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1440), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1442), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1444), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40252] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1939), 1,
      sym_pattern,
    STATE(2245), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [40335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1448), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1446), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1450), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1452), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1340), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1342), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1344), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1346), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1348), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1350), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1456), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1454), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1458), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1460), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1462), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1464), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1468), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1466), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1392), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1394), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1472), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1470), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [40947] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1913), 1,
      sym_pattern,
    STATE(2135), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [41030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1480), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1478), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1482), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1484), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1486), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41183] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      sym_identifier,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_type,
    ACTIONS(1490), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(2080), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1251), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1306), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [41266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1456), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1454), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1336), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1338), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1494), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1492), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1480), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1478), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1416), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1418), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1420), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1422), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1370), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1368), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1426), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1428), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1430), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1432), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1386), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1384), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1496), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1500), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1436), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1434), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1472), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1470), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [41980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1502), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1500), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1326), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1324), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1398), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1396), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1334), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1332), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1438), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1440), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1366), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1364), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1390), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1388), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42337] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1442), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1444), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1450), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1452), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1402), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1400), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1448), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1446), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1468), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1466), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1494), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1492), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1498), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1496), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1504), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1458), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1460), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1506), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1504), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1414), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1412), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1462), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1464), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [42949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1410), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1408), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [43000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1474), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1476), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [43051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1482), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1484), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [43102] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1980), 1,
      sym_pattern,
    STATE(2181), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43185] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1982), 1,
      sym_pattern,
    STATE(2188), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1486), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1488), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [43319] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1352), 1,
      sym_identifier,
    ACTIONS(1356), 1,
      anon_sym_LPAREN,
    ACTIONS(1358), 1,
      anon_sym_STAR,
    ACTIONS(1360), 1,
      anon_sym_LBRACK,
    ACTIONS(1362), 1,
      anon_sym_type,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
    STATE(1233), 1,
      sym_list_splat_pattern,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(2078), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1234), 2,
      sym_attribute,
      sym_subscript,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1354), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43402] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(2012), 1,
      sym_pattern,
    STATE(2252), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43485] = 19,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1919), 1,
      sym_pattern,
    STATE(2255), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1404), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1406), 30,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_assert_,
      anon_sym_assert_eq,
      anon_sym_assert_ne,
      anon_sym_assert_contains,
      anon_sym_assert_fails,
      anon_sym_return,
      anon_sym_del,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_with,
      anon_sym_def,
      anon_sym_exec,
      anon_sym_not,
      anon_sym_lambda,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      anon_sym_struct,
      anon_sym_type,
      sym_true,
      sym_false,
      sym_none,
  [43619] = 18,
    ACTIONS(43), 1,
      anon_sym_STAR,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(465), 1,
      anon_sym_LPAREN,
    ACTIONS(469), 1,
      anon_sym_LBRACK,
    ACTIONS(471), 1,
      anon_sym_type,
    STATE(808), 1,
      sym_list_splat_pattern,
    STATE(1230), 1,
      sym_pattern,
    STATE(1276), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(809), 2,
      sym_attribute,
      sym_subscript,
    STATE(1249), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(463), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43699] = 18,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1236), 1,
      sym_identifier,
    ACTIONS(1240), 1,
      anon_sym_LPAREN,
    ACTIONS(1242), 1,
      anon_sym_STAR,
    ACTIONS(1244), 1,
      anon_sym_LBRACK,
    ACTIONS(1246), 1,
      anon_sym_type,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1259), 1,
      sym_primary_expression,
    STATE(1686), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1204), 2,
      sym_attribute,
      sym_subscript,
    STATE(1623), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1238), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43779] = 18,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(709), 1,
      anon_sym_LPAREN,
    ACTIONS(713), 1,
      anon_sym_LBRACK,
    ACTIONS(715), 1,
      anon_sym_type,
    ACTIONS(1508), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_list_splat_pattern,
    STATE(1270), 1,
      sym_pattern,
    STATE(1280), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1102), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(707), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43859] = 18,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_type,
    STATE(1252), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1270), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1253), 2,
      sym_attribute,
      sym_subscript,
    STATE(1260), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1374), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [43939] = 18,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1304), 1,
      sym_identifier,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1312), 1,
      anon_sym_LBRACK,
    ACTIONS(1314), 1,
      anon_sym_type,
    STATE(1250), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(2080), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1251), 2,
      sym_attribute,
      sym_subscript,
    STATE(2101), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1306), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44019] = 18,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1352), 1,
      sym_identifier,
    ACTIONS(1356), 1,
      anon_sym_LPAREN,
    ACTIONS(1358), 1,
      anon_sym_STAR,
    ACTIONS(1360), 1,
      anon_sym_LBRACK,
    ACTIONS(1362), 1,
      anon_sym_type,
    STATE(1233), 1,
      sym_list_splat_pattern,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(2078), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1234), 2,
      sym_attribute,
      sym_subscript,
    STATE(2043), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1354), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44099] = 17,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      sym_identifier,
    ACTIONS(1516), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1514), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1232), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1512), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44176] = 17,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1518), 1,
      sym_identifier,
    ACTIONS(1522), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1514), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1225), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1520), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44253] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(733), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44322] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(856), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44391] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(857), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44460] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(858), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44529] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(889), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44598] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(898), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44667] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(761), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44736] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(851), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44805] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(850), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44874] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(726), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [44943] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(727), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45012] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(728), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45081] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(729), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45150] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(756), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45219] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(732), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45288] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(709), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45357] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(714), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45426] = 14,
    ACTIONS(543), 1,
      anon_sym_LBRACK,
    ACTIONS(547), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_STAR,
    ACTIONS(1526), 1,
      anon_sym_type,
    STATE(713), 1,
      sym_primary_expression,
    STATE(827), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(555), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(545), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(557), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1524), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(771), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45495] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1241), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1534), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45568] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(741), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45637] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(723), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45706] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(730), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45775] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(745), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45844] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(707), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45913] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(708), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [45982] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(710), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46051] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(711), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46120] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(753), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46189] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(854), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46258] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(865), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46327] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(961), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46396] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(964), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46465] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(968), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46534] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(969), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46603] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46672] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46741] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46810] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46879] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(981), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [46948] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(867), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47017] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(883), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47086] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1550), 1,
      sym_identifier,
    ACTIONS(1554), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1276), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(462), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1552), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47159] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1556), 1,
      sym_identifier,
    ACTIONS(1560), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1278), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(912), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1558), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47232] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(917), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47301] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(886), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47370] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1562), 1,
      sym_identifier,
    ACTIONS(1566), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1218), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1564), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47443] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1568), 1,
      sym_identifier,
    ACTIONS(1572), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1283), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1097), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1570), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47516] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(737), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47585] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(738), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47654] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(742), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47723] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(743), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47792] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(744), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47861] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(746), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47930] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(748), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [47999] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(749), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48068] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1554), 1,
      anon_sym_type,
    ACTIONS(1578), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1276), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(462), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1552), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48141] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1580), 1,
      sym_identifier,
    ACTIONS(1584), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(937), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1582), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48214] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(870), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48283] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(829), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48352] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(871), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48421] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(872), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48490] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(874), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48559] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(876), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48628] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(879), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48697] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(881), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48766] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(882), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48835] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1584), 1,
      anon_sym_type,
    ACTIONS(1590), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1268), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(937), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1582), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48908] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1592), 1,
      sym_identifier,
    ACTIONS(1596), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1282), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(805), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1594), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [48981] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(907), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49050] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1598), 1,
      sym_identifier,
    ACTIONS(1602), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1002), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1600), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49123] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(712), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49192] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1602), 1,
      anon_sym_type,
    ACTIONS(1604), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1279), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1002), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1600), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49265] = 14,
    ACTIONS(489), 1,
      anon_sym_LBRACE,
    ACTIONS(501), 1,
      sym_string_start,
    ACTIONS(685), 1,
      anon_sym_LBRACK,
    ACTIONS(693), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_STAR,
    ACTIONS(1588), 1,
      anon_sym_type,
    STATE(890), 1,
      sym_primary_expression,
    STATE(1029), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(495), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(487), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(497), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1586), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(925), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49334] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(769), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49403] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1572), 1,
      anon_sym_type,
    ACTIONS(1606), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1283), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1097), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1570), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49476] = 14,
    ACTIONS(805), 1,
      anon_sym_STAR,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(895), 1,
      anon_sym_LPAREN,
    ACTIONS(897), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_type,
    STATE(706), 1,
      sym_primary_expression,
    STATE(787), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(817), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(819), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1538), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(896), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49545] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1560), 1,
      anon_sym_type,
    ACTIONS(1608), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1278), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(912), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1558), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49618] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1610), 1,
      sym_identifier,
    ACTIONS(1614), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1258), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1042), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1612), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49691] = 14,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      sym_string_start,
    ACTIONS(947), 1,
      anon_sym_STAR,
    ACTIONS(1548), 1,
      anon_sym_type,
    STATE(926), 1,
      sym_primary_expression,
    STATE(1099), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(587), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(597), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1546), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1092), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49760] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1616), 1,
      sym_identifier,
    ACTIONS(1620), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1259), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(814), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1618), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49833] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1622), 1,
      sym_identifier,
    ACTIONS(1626), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1280), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1119), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1624), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49906] = 14,
    ACTIONS(53), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      sym_string_start,
    ACTIONS(723), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_LBRACK,
    ACTIONS(953), 1,
      anon_sym_STAR,
    ACTIONS(1576), 1,
      anon_sym_type,
    STATE(747), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(59), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(51), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(61), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1574), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(789), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [49975] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(818), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50044] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(822), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50113] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1592), 1,
      sym_identifier,
    ACTIONS(1596), 1,
      anon_sym_type,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1259), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(805), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1594), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50186] = 16,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1572), 1,
      anon_sym_type,
    ACTIONS(1606), 1,
      sym_identifier,
    STATE(1046), 1,
      sym_list_splat_pattern,
    STATE(1258), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    STATE(1097), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1570), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 12,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50259] = 14,
    ACTIONS(517), 1,
      anon_sym_LBRACE,
    ACTIONS(529), 1,
      sym_string_start,
    ACTIONS(849), 1,
      anon_sym_LPAREN,
    ACTIONS(851), 1,
      anon_sym_STAR,
    ACTIONS(853), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_type,
    STATE(848), 1,
      sym_primary_expression,
    STATE(947), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(523), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(515), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(525), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1528), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1015), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50328] = 14,
    ACTIONS(253), 1,
      anon_sym_LPAREN,
    ACTIONS(257), 1,
      anon_sym_LBRACK,
    ACTIONS(261), 1,
      anon_sym_LBRACE,
    ACTIONS(275), 1,
      sym_string_start,
    ACTIONS(1037), 1,
      anon_sym_STAR,
    ACTIONS(1544), 1,
      anon_sym_type,
    STATE(844), 1,
      sym_primary_expression,
    STATE(1046), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(269), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(265), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(271), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1542), 6,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
      anon_sym_struct,
    STATE(1036), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_string,
  [50397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 6,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 30,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50712] = 19,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1648), 1,
      anon_sym_PIPE,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    ACTIONS(1652), 1,
      anon_sym_not,
    ACTIONS(1654), 1,
      anon_sym_AMP,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    STATE(762), 1,
      sym_argument_list,
    STATE(1220), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1634), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [50789] = 19,
    ACTIONS(1650), 1,
      anon_sym_as,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1678), 1,
      anon_sym_PIPE,
    ACTIONS(1680), 1,
      anon_sym_not,
    ACTIONS(1682), 1,
      anon_sym_AMP,
    ACTIONS(1684), 1,
      anon_sym_CARET,
    STATE(826), 1,
      sym_argument_list,
    STATE(1216), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1664), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [50866] = 19,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_not,
    ACTIONS(1710), 1,
      anon_sym_AMP,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    STATE(832), 1,
      sym_argument_list,
    STATE(1208), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1714), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1692), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
  [50943] = 8,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [50997] = 10,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51055] = 14,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1654), 1,
      anon_sym_AMP,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51121] = 13,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1684), 1,
      anon_sym_CARET,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51185] = 13,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51249] = 12,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51311] = 8,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 25,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51365] = 15,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1678), 1,
      anon_sym_PIPE,
    ACTIONS(1682), 1,
      anon_sym_AMP,
    ACTIONS(1684), 1,
      anon_sym_CARET,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1726), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1724), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51433] = 12,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51495] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51541] = 6,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1195), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1187), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1189), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51591] = 6,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1209), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1201), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1203), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51641] = 6,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1195), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1187), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1189), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51691] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51737] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51783] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51829] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51875] = 15,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1648), 1,
      anon_sym_PIPE,
    ACTIONS(1654), 1,
      anon_sym_AMP,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1730), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1728), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [51943] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [51989] = 6,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1732), 1,
      anon_sym_LBRACK,
    STATE(1524), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52039] = 11,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52099] = 15,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1678), 1,
      anon_sym_PIPE,
    ACTIONS(1682), 1,
      anon_sym_AMP,
    ACTIONS(1684), 1,
      anon_sym_CARET,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1730), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1728), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52167] = 8,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52221] = 8,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52275] = 8,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [52329] = 6,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1734), 1,
      anon_sym_LBRACK,
    STATE(1503), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52379] = 14,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1682), 1,
      anon_sym_AMP,
    ACTIONS(1684), 1,
      anon_sym_CARET,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1660), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52445] = 8,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52499] = 5,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 27,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [52547] = 5,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [52595] = 5,
    ACTIONS(216), 1,
      anon_sym_COMMA,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [52643] = 11,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52703] = 15,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_PIPE,
    ACTIONS(1710), 1,
      anon_sym_AMP,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1730), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1728), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [52771] = 19,
    ACTIONS(1650), 1,
      anon_sym_as,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1754), 1,
      anon_sym_PIPE,
    ACTIONS(1756), 1,
      anon_sym_not,
    ACTIONS(1758), 1,
      anon_sym_AMP,
    ACTIONS(1760), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym_argument_list,
    STATE(1239), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1762), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1740), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [52847] = 18,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1706), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_not,
    ACTIONS(1710), 1,
      anon_sym_AMP,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    ACTIONS(1764), 1,
      anon_sym_DOT,
    ACTIONS(1766), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    STATE(1208), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1714), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1692), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
  [52921] = 11,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [52981] = 8,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53035] = 8,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53089] = 10,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53147] = 8,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [53201] = 14,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1710), 1,
      anon_sym_AMP,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53267] = 15,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_PIPE,
    ACTIONS(1710), 1,
      anon_sym_AMP,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1726), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1724), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53335] = 13,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1712), 1,
      anon_sym_CARET,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53399] = 12,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    STATE(832), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1704), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1702), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53461] = 19,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1788), 1,
      anon_sym_not,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    STATE(1210), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1794), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1772), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
  [53537] = 19,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1814), 1,
      anon_sym_PIPE,
    ACTIONS(1816), 1,
      anon_sym_not,
    ACTIONS(1818), 1,
      anon_sym_AMP,
    ACTIONS(1820), 1,
      anon_sym_CARET,
    STATE(966), 1,
      sym_argument_list,
    STATE(1213), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1822), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1800), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
  [53613] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53659] = 15,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1648), 1,
      anon_sym_PIPE,
    ACTIONS(1654), 1,
      anon_sym_AMP,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    STATE(762), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1726), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1724), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [53727] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53773] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53819] = 10,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(826), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53877] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [53965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [54008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [54051] = 15,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1754), 1,
      anon_sym_PIPE,
    ACTIONS(1758), 1,
      anon_sym_AMP,
    ACTIONS(1760), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1724), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [54118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54419] = 15,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1724), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [54486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [54572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54830] = 4,
    ACTIONS(1213), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [54961] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55004] = 4,
    ACTIONS(1107), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55178] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55266] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55354] = 4,
    ACTIONS(1174), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 28,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55399] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55446] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55493] = 4,
    ACTIONS(1131), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 28,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [55624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [55968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [56011] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [56058] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56105] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56152] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1211), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1216), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1121), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56197] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1105), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1110), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1121), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56242] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1172), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1177), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1179), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56287] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1129), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1134), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1136), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56418] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56465] = 6,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1908), 1,
      anon_sym_LBRACK,
    STATE(1667), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56600] = 11,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 19,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56788] = 15,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1730), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1728), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56855] = 5,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56902] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(216), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56949] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(216), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [56996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57125] = 8,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57780] = 8,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57833] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1187), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1189), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57923] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1187), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1189), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [57970] = 11,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 19,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58072] = 15,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1754), 1,
      anon_sym_PIPE,
    ACTIONS(1758), 1,
      anon_sym_AMP,
    ACTIONS(1760), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1730), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1728), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58139] = 8,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58278] = 8,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58374] = 8,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58427] = 10,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58484] = 14,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1758), 1,
      anon_sym_AMP,
    ACTIONS(1760), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58807] = 10,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58864] = 6,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    STATE(1615), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58913] = 14,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [58978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59064] = 11,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 19,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59123] = 15,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1814), 1,
      anon_sym_PIPE,
    ACTIONS(1818), 1,
      anon_sym_AMP,
    ACTIONS(1820), 1,
      anon_sym_CARET,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1730), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1728), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59190] = 8,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59286] = 8,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59382] = 10,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59439] = 5,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1201), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1203), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59529] = 14,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 1,
      anon_sym_AMP,
    ACTIONS(1820), 1,
      anon_sym_CARET,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59637] = 13,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1820), 1,
      anon_sym_CARET,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59700] = 12,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59761] = 13,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59910] = 12,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [59971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60057] = 13,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1760), 1,
      anon_sym_CARET,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60120] = 15,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1806), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1814), 1,
      anon_sym_PIPE,
    ACTIONS(1818), 1,
      anon_sym_AMP,
    ACTIONS(1820), 1,
      anon_sym_CARET,
    STATE(966), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1804), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1810), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1724), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [60445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60488] = 12,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1744), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1722), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60549] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [60637] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60682] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60727] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(212), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(221), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(245), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [60772] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(212), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(221), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(245), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [60817] = 18,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1928), 1,
      anon_sym_PIPE,
    ACTIONS(1930), 1,
      anon_sym_not,
    ACTIONS(1932), 1,
      anon_sym_AMP,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    STATE(1222), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1936), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1628), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
  [60890] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1201), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1203), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60935] = 8,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60988] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61033] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61078] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 6,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61123] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61170] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [61260] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [61393] = 8,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [61489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 29,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61784] = 8,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1716), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [61962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62214] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [62260] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1201), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [62306] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [62352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62646] = 7,
    ACTIONS(1224), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(1201), 11,
      anon_sym_if,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 12,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [62696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62822] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1201), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1203), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [62992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63286] = 11,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 19,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63428] = 15,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1928), 1,
      anon_sym_PIPE,
    ACTIONS(1932), 1,
      anon_sym_AMP,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1730), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1728), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63620] = 8,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63672] = 8,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1720), 24,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63724] = 10,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63780] = 14,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1932), 1,
      anon_sym_AMP,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63844] = 13,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63906] = 12,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [63966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64260] = 15,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    ACTIONS(1928), 1,
      anon_sym_PIPE,
    ACTIONS(1932), 1,
      anon_sym_AMP,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1726), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1724), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64620] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [64666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64708] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [64754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [64964] = 7,
    ACTIONS(1224), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1201), 11,
      anon_sym_if,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 12,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [65014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65182] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1201), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [65228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65858] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1213), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65944] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [65990] = 5,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66036] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1938), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66082] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66168] = 18,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1916), 1,
      anon_sym_LPAREN,
    ACTIONS(1920), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1928), 1,
      anon_sym_PIPE,
    ACTIONS(1930), 1,
      anon_sym_not,
    ACTIONS(1932), 1,
      anon_sym_AMP,
    ACTIONS(1934), 1,
      anon_sym_CARET,
    STATE(1084), 1,
      sym_argument_list,
    STATE(1222), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1910), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1926), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1936), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1924), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1628), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1914), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66408] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1174), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66452] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [66498] = 18,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1648), 1,
      anon_sym_PIPE,
    ACTIONS(1652), 1,
      anon_sym_not,
    ACTIONS(1654), 1,
      anon_sym_AMP,
    ACTIONS(1656), 1,
      anon_sym_CARET,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    STATE(762), 1,
      sym_argument_list,
    STATE(1220), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1638), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1644), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1628), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1634), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66612] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1131), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1134), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 26,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66782] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66868] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [66914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [66956] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1201), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [67002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67086] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67172] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1844), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1850), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1848), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1197), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [67757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1164), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [67798] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(212), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(221), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(245), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [67841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1218), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [67882] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1183), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [67966] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68009] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68052] = 7,
    ACTIONS(1224), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 4,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1201), 11,
      anon_sym_if,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 12,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [68101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1183), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [68142] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(212), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(221), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(245), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [68185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1156), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [68226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1156), 19,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [68267] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [68312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68353] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1199), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1197), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68437] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1129), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1134), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1136), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [68480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1166), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1164), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68562] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1220), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1218), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1860), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1866), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1864), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1185), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1830), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1828), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68974] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69017] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1201), 11,
      anon_sym_if,
      anon_sym_in,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 12,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [69064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69105] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1211), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1216), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1121), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1868), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69189] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1192), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1189), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69232] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1195), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1192), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [69277] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1201), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1206), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [69322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1904), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69404] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1192), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1189), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1187), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1872), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69488] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1105), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1110), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1121), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69613] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1832), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69697] = 4,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1880), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69781] = 5,
    ACTIONS(1112), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1110), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69826] = 4,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1192), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69869] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(216), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69955] = 5,
    ACTIONS(223), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(216), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(221), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(212), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1884), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70205] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1206), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1203), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1201), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1900), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70289] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1172), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1177), 13,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1179), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1158), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1156), 28,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70413] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1131), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1134), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1129), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70455] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1177), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1172), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70497] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1107), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1110), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1105), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1203), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1206), 27,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70619] = 20,
    ACTIONS(1942), 1,
      sym_identifier,
    ACTIONS(1944), 1,
      anon_sym_if,
    ACTIONS(1946), 1,
      anon_sym_COLON,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1735), 1,
      sym_case_pattern,
    STATE(2165), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1706), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1958), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [70693] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1213), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1216), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 25,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70735] = 20,
    ACTIONS(1942), 1,
      sym_identifier,
    ACTIONS(1944), 1,
      anon_sym_if,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(1968), 1,
      anon_sym_COLON,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1735), 1,
      sym_case_pattern,
    STATE(2172), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1706), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1958), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [70809] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1974), 1,
      anon_sym_RPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [70877] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(1994), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [70945] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2006), 1,
      anon_sym_RBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(1731), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71013] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2020), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71081] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2022), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(1714), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71149] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2024), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71217] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2026), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1733), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71285] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2028), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(1740), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71353] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2030), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71421] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2032), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71489] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2034), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71557] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2036), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71625] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2038), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1713), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71693] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2040), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71761] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2042), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71829] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2044), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71897] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2046), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [71965] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2048), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72033] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2050), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72101] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2052), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72169] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2054), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72237] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2056), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72305] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2058), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72373] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2060), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1738), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72441] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1695), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72509] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2064), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72577] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2066), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72645] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2068), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1742), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72713] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2070), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(1743), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72781] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2072), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1727), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72849] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2074), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72917] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2076), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1745), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [72985] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2078), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73053] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2080), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73121] = 18,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2082), 1,
      anon_sym_RPAREN,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(1730), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73189] = 18,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2084), 1,
      anon_sym_RBRACK,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73257] = 17,
    ACTIONS(2086), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_DASH,
    ACTIONS(2100), 1,
      anon_sym_LBRACE,
    ACTIONS(2102), 1,
      sym_integer,
    ACTIONS(2104), 1,
      sym_float,
    ACTIONS(2106), 1,
      sym_string_start,
    STATE(1498), 1,
      sym_string,
    STATE(1668), 1,
      sym_dotted_name,
    STATE(1817), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1822), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2098), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1673), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73322] = 17,
    ACTIONS(1970), 1,
      sym_identifier,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    STATE(2005), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1915), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1984), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1618), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73387] = 17,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    STATE(2000), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1967), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2010), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1694), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73452] = 17,
    ACTIONS(1942), 1,
      sym_identifier,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1735), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1706), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1958), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73517] = 17,
    ACTIONS(1942), 1,
      sym_identifier,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1577), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1706), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(1958), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1578), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73582] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2112), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73648] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2114), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73714] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73780] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73846] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73912] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2122), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1621), 1,
      sym_splat_pattern,
    STATE(1868), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [73978] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2124), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74044] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74110] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1690), 1,
      sym_splat_pattern,
    STATE(1937), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74176] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74242] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2132), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74308] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2134), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1637), 1,
      sym_splat_pattern,
    STATE(1838), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74374] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74440] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2138), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74506] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2140), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74572] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74638] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2144), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74704] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2146), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1633), 1,
      sym_splat_pattern,
    STATE(1877), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74770] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2148), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74836] = 18,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74902] = 17,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2108), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    STATE(1728), 1,
      sym_splat_pattern,
    STATE(2092), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1866), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [74965] = 15,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2152), 1,
      sym_identifier,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2154), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1627), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75023] = 15,
    ACTIONS(1972), 1,
      anon_sym_LPAREN,
    ACTIONS(1976), 1,
      anon_sym_STAR,
    ACTIONS(1978), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1980), 1,
      anon_sym_LBRACK,
    ACTIONS(1982), 1,
      anon_sym_DASH,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      sym_integer,
    ACTIONS(1990), 1,
      sym_float,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(2152), 1,
      sym_identifier,
    STATE(1436), 1,
      sym_string,
    STATE(1611), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2156), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1641), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75081] = 15,
    ACTIONS(2088), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_DASH,
    ACTIONS(2100), 1,
      anon_sym_LBRACE,
    ACTIONS(2102), 1,
      sym_integer,
    ACTIONS(2104), 1,
      sym_float,
    ACTIONS(2106), 1,
      sym_string_start,
    ACTIONS(2158), 1,
      sym_identifier,
    STATE(1498), 1,
      sym_string,
    STATE(1668), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2160), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1665), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75139] = 15,
    ACTIONS(2088), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR,
    ACTIONS(2092), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2096), 1,
      anon_sym_DASH,
    ACTIONS(2100), 1,
      anon_sym_LBRACE,
    ACTIONS(2102), 1,
      sym_integer,
    ACTIONS(2104), 1,
      sym_float,
    ACTIONS(2106), 1,
      sym_string_start,
    ACTIONS(2158), 1,
      sym_identifier,
    STATE(1498), 1,
      sym_string,
    STATE(1668), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2162), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1670), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75197] = 15,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2108), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1547), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75255] = 15,
    ACTIONS(1948), 1,
      anon_sym_LPAREN,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(1952), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1954), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_DASH,
    ACTIONS(1960), 1,
      anon_sym_LBRACE,
    ACTIONS(1962), 1,
      sym_integer,
    ACTIONS(1964), 1,
      sym_float,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(2108), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_string,
    STATE(1576), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2166), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1583), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75313] = 15,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2168), 1,
      sym_identifier,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2170), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1687), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75371] = 15,
    ACTIONS(1998), 1,
      anon_sym_LPAREN,
    ACTIONS(2000), 1,
      anon_sym_STAR,
    ACTIONS(2002), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(2008), 1,
      anon_sym_DASH,
    ACTIONS(2012), 1,
      anon_sym_LBRACE,
    ACTIONS(2014), 1,
      sym_integer,
    ACTIONS(2016), 1,
      sym_float,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(2168), 1,
      sym_identifier,
    STATE(1481), 1,
      sym_string,
    STATE(1642), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2172), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1691), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [75429] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75461] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1216), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1121), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1211), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75493] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1121), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75525] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1179), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1172), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75557] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(1129), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75589] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75621] = 7,
    ACTIONS(1708), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_EQ,
    STATE(1209), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1714), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75659] = 7,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2185), 1,
      anon_sym_not,
    STATE(1209), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2188), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2180), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75697] = 7,
    ACTIONS(1788), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_EQ,
    STATE(1211), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1772), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75734] = 7,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2194), 1,
      anon_sym_not,
    STATE(1211), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2197), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2191), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75771] = 7,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2203), 1,
      anon_sym_not,
    STATE(1212), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2206), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75808] = 7,
    ACTIONS(1816), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_EQ,
    STATE(1212), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [75845] = 4,
    ACTIONS(2211), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [75875] = 7,
    ACTIONS(2183), 1,
      anon_sym_as,
    ACTIONS(2217), 1,
      anon_sym_not,
    STATE(1215), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2220), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2214), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [75911] = 7,
    ACTIONS(1680), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_as,
    STATE(1215), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1664), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [75947] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75977] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76007] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76037] = 7,
    ACTIONS(1652), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_EQ,
    STATE(1221), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1634), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [76073] = 7,
    ACTIONS(2183), 1,
      anon_sym_EQ,
    ACTIONS(2230), 1,
      anon_sym_not,
    STATE(1221), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2233), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2227), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [76109] = 6,
    ACTIONS(1930), 1,
      anon_sym_not,
    STATE(1223), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1936), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1914), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [76143] = 6,
    ACTIONS(2239), 1,
      anon_sym_not,
    STATE(1223), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2236), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [76177] = 4,
    ACTIONS(2245), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(461), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76207] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76237] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1187), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76267] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1187), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76297] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76326] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1129), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76355] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76380] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1172), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76409] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76438] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1216), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1211), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76467] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76496] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1172), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76525] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1129), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76554] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2249), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76604] = 7,
    ACTIONS(1756), 1,
      anon_sym_not,
    ACTIONS(2176), 1,
      anon_sym_as,
    STATE(1245), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1762), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1740), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2174), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [76639] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76668] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76697] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2223), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76726] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76755] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76784] = 7,
    ACTIONS(2183), 1,
      anon_sym_as,
    ACTIONS(2254), 1,
      anon_sym_not,
    STATE(1245), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2257), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2251), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2178), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [76819] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76848] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1187), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76877] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1187), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76931] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1216), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1211), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76960] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76989] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1216), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1211), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77018] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1110), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1105), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77047] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1177), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1172), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77076] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77105] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1136), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1129), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77134] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(221), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(212), 14,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [77163] = 13,
    ACTIONS(1738), 1,
      anon_sym_DOT,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [77209] = 13,
    ACTIONS(1662), 1,
      anon_sym_DOT,
    ACTIONS(1672), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [77255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77279] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_COLON,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2110), 1,
      sym_lambda_parameters,
    STATE(2171), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77325] = 5,
    ACTIONS(2274), 1,
      anon_sym_COLON,
    ACTIONS(2276), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2278), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77355] = 4,
    ACTIONS(2280), 1,
      anon_sym_COMMA,
    STATE(1263), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77383] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2283), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2171), 1,
      sym__parameters,
    STATE(2217), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2249), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77453] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2285), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2139), 1,
      sym_lambda_parameters,
    STATE(2171), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77499] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2287), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2171), 1,
      sym__parameters,
    STATE(2206), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77545] = 13,
    ACTIONS(1770), 1,
      anon_sym_DOT,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_LBRACK,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [77591] = 6,
    ACTIONS(2274), 1,
      anon_sym_COLON,
    ACTIONS(2276), 1,
      anon_sym_EQ,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2278), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77647] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2291), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2171), 1,
      sym__parameters,
    STATE(2234), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77693] = 4,
    ACTIONS(2293), 1,
      anon_sym_COMMA,
    STATE(1263), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(461), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77721] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2295), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2145), 1,
      sym_lambda_parameters,
    STATE(2171), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77767] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2297), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2114), 1,
      sym_lambda_parameters,
    STATE(2171), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77813] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2299), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2171), 1,
      sym__parameters,
    STATE(2258), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77859] = 13,
    ACTIONS(1764), 1,
      anon_sym_DOT,
    ACTIONS(1766), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [77905] = 13,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2301), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(1989), 1,
      sym_parameter,
    STATE(2171), 1,
      sym__parameters,
    STATE(2194), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77951] = 13,
    ACTIONS(1690), 1,
      anon_sym_DOT,
    ACTIONS(1700), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [77997] = 13,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78043] = 13,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(2303), 1,
      anon_sym_DOT,
    ACTIONS(2305), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78089] = 6,
    ACTIONS(2274), 1,
      anon_sym_COLON,
    ACTIONS(2276), 1,
      anon_sym_EQ,
    ACTIONS(2307), 1,
      anon_sym_COMMA,
    STATE(1272), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2278), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78121] = 13,
    ACTIONS(1632), 1,
      anon_sym_DOT,
    ACTIONS(1642), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78167] = 13,
    ACTIONS(1774), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_PIPE,
    ACTIONS(1790), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1912), 1,
      anon_sym_DOT,
    ACTIONS(1922), 1,
      anon_sym_LBRACK,
    STATE(1043), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1784), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1782), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [78213] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78237] = 12,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_RPAREN,
    ACTIONS(2315), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1887), 1,
      sym_parameter,
    STATE(1888), 1,
      sym_tuple_pattern,
    STATE(2212), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1892), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2083), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78280] = 4,
    ACTIONS(2274), 1,
      anon_sym_COLON,
    ACTIONS(2276), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2278), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [78306] = 11,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2321), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(2076), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78346] = 11,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    ACTIONS(2323), 1,
      anon_sym_COLON,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(2076), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78386] = 11,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    STATE(1888), 1,
      sym_tuple_pattern,
    STATE(2097), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1892), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2083), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78426] = 11,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    STATE(1888), 1,
      sym_tuple_pattern,
    STATE(2097), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1892), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2083), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78466] = 10,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2264), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_STAR,
    ACTIONS(2268), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2270), 1,
      anon_sym_SLASH,
    STATE(1824), 1,
      sym_tuple_pattern,
    STATE(2076), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2088), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2079), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78503] = 10,
    ACTIONS(2309), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_STAR,
    ACTIONS(2317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1888), 1,
      sym_tuple_pattern,
    STATE(2097), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1892), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2083), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [78540] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2251), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78581] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2155), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78622] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2214), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78663] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2246), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78704] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2108), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78745] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2187), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78786] = 13,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2169), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [78827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2343), 1,
      anon_sym_LBRACE,
    ACTIONS(2349), 1,
      anon_sym_BSLASH,
    ACTIONS(2352), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2346), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [78857] = 4,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
  [78879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [78897] = 3,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
  [78917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2368), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1305), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [78947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2370), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [78977] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [78995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2374), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1309), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79025] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [79051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2382), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2384), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1311), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79111] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2386), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79141] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2218), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79179] = 9,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2404), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2406), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [79211] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [79237] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2410), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1339), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2412), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2414), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1318), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2416), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2418), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1320), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2420), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2422), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1322), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79447] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2424), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2426), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1324), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2428), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79537] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2226), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79575] = 5,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2432), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [79599] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2435), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1331), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [79647] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [79673] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2113), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2439), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79741] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2154), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2441), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1337), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79809] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2242), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2443), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1316), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79877] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2151), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2445), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [79945] = 12,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    STATE(1493), 1,
      sym_for_in_clause,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2105), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [79983] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2362), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_BSLASH,
    ACTIONS(2447), 1,
      sym_string_end,
    STATE(1430), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2364), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1300), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [80013] = 3,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
  [80032] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80057] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80082] = 4,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 8,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80120] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80145] = 4,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 8,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80183] = 3,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
  [80202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80236] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80261] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80286] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80311] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80328] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80353] = 8,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    STATE(1515), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2469), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80382] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 10,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80424] = 5,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2477), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80447] = 5,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2480), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_EQ,
  [80470] = 4,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2483), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [80490] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2485), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80514] = 5,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(2487), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80536] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [80560] = 5,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(2498), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80582] = 3,
    ACTIONS(1650), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [80600] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [80616] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [80632] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80656] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [80680] = 3,
    ACTIONS(2483), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [80698] = 4,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [80718] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [80742] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [80758] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [80782] = 3,
    ACTIONS(2501), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [80800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [80816] = 6,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [80856] = 6,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80880] = 6,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80904] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80928] = 5,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(2503), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80950] = 3,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_or,
      sym_type_conversion,
  [80968] = 4,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [80988] = 5,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    ACTIONS(2509), 1,
      anon_sym_EQ,
    STATE(1419), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [81010] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [81034] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [81058] = 5,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2511), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [81080] = 3,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 8,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_or,
  [81098] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 9,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [81114] = 3,
    ACTIONS(1650), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81131] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1741), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2514), 2,
      sym__newline,
      anon_sym_SEMI,
  [81158] = 5,
    ACTIONS(2518), 1,
      anon_sym_DOT,
    ACTIONS(2520), 1,
      anon_sym_EQ,
    STATE(1440), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [81179] = 5,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81200] = 4,
    ACTIONS(2526), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1396), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2524), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [81219] = 5,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2534), 1,
      anon_sym_BSLASH,
    ACTIONS(2529), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1398), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2531), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [81263] = 6,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2437), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81286] = 6,
    ACTIONS(2327), 1,
      anon_sym_if,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81309] = 5,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(2539), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2430), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81330] = 4,
    ACTIONS(2544), 1,
      anon_sym_DOT,
    STATE(1402), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [81349] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2547), 2,
      sym__newline,
      anon_sym_SEMI,
  [81376] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    STATE(1837), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [81405] = 5,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81426] = 4,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1424), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2557), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [81445] = 5,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(2503), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2354), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81466] = 3,
    ACTIONS(2483), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81483] = 4,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2483), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2360), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [81502] = 5,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81523] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      sym__newline,
      anon_sym_SEMI,
  [81550] = 3,
    ACTIONS(2501), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2372), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81567] = 5,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81588] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1704), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2561), 2,
      sym__newline,
      anon_sym_SEMI,
  [81615] = 6,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2408), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81638] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1758), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2563), 2,
      sym__newline,
      anon_sym_SEMI,
  [81665] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    ACTIONS(2567), 1,
      anon_sym_RBRACK,
    STATE(1871), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [81694] = 4,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    STATE(1419), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [81713] = 4,
    ACTIONS(2507), 1,
      anon_sym_DOT,
    STATE(1402), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2569), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [81732] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 2,
      sym__newline,
      anon_sym_SEMI,
  [81759] = 6,
    ACTIONS(2390), 1,
      anon_sym_if,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2376), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81782] = 5,
    ACTIONS(2573), 1,
      anon_sym_DOT,
    ACTIONS(2575), 1,
      anon_sym_EQ,
    STATE(1474), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [81803] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    STATE(1908), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [81832] = 4,
    ACTIONS(1966), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1396), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2581), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [81851] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2583), 2,
      sym__newline,
      anon_sym_SEMI,
  [81878] = 5,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2522), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81899] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2587), 1,
      anon_sym_RBRACK,
    STATE(1962), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [81928] = 8,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(2404), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 2,
      sym__newline,
      anon_sym_SEMI,
  [81955] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2589), 1,
      anon_sym_COMMA,
    ACTIONS(2591), 1,
      anon_sym_RBRACK,
    STATE(1929), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [81984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2597), 1,
      anon_sym_BSLASH,
    ACTIONS(2593), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1398), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2595), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [82007] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    ACTIONS(2601), 1,
      anon_sym_RBRACK,
    STATE(1951), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82036] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2603), 1,
      anon_sym_COMMA,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    STATE(1960), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82065] = 5,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_EQ,
    STATE(1488), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [82086] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    ACTIONS(2613), 1,
      anon_sym_RBRACK,
    STATE(1969), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82115] = 9,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    ACTIONS(2617), 1,
      anon_sym_RBRACK,
    STATE(1827), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82144] = 4,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1441), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82162] = 7,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2619), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82186] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    ACTIONS(2623), 1,
      anon_sym_COLON,
    STATE(1870), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82212] = 4,
    ACTIONS(2518), 1,
      anon_sym_DOT,
    STATE(1440), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82230] = 4,
    ACTIONS(2518), 1,
      anon_sym_DOT,
    STATE(1448), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2569), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82248] = 4,
    ACTIONS(1992), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1449), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2581), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82266] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2625), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [82288] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82314] = 6,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2634), 1,
      anon_sym_async,
    ACTIONS(2637), 1,
      anon_sym_for,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1444), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82336] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2642), 1,
      anon_sym_COMMA,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(2004), 1,
      aux_sym_dictionary_repeat1,
    STATE(2199), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82362] = 6,
    ACTIONS(2640), 1,
      anon_sym_RBRACK,
    ACTIONS(2646), 1,
      anon_sym_if,
    ACTIONS(2649), 1,
      anon_sym_async,
    ACTIONS(2652), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1446), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82384] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2655), 1,
      anon_sym_COMMA,
    ACTIONS(2657), 1,
      anon_sym_RPAREN,
    STATE(1812), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82410] = 4,
    ACTIONS(2659), 1,
      anon_sym_DOT,
    STATE(1448), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82428] = 4,
    ACTIONS(2662), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1449), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2524), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [82446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2665), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2557), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [82462] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2667), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82488] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2669), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82514] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2671), 1,
      anon_sym_COMMA,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1815), 1,
      aux_sym_dictionary_repeat1,
    STATE(2166), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82540] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    STATE(1825), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82566] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2485), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [82588] = 7,
    ACTIONS(989), 1,
      anon_sym_COLON,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82612] = 6,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2679), 1,
      anon_sym_if,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1479), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82634] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2683), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82660] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2685), 1,
      anon_sym_COMMA,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1858), 1,
      aux_sym_dictionary_repeat1,
    STATE(2170), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2691), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2689), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [82702] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2693), 1,
      anon_sym_COMMA,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    STATE(1867), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82728] = 6,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2697), 1,
      anon_sym_if,
    ACTIONS(2699), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1446), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82750] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2701), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82776] = 7,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(2553), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82800] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2705), 1,
      anon_sym_COMMA,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1898), 1,
      aux_sym_dictionary_repeat1,
    STATE(2254), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82826] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82852] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2713), 1,
      anon_sym_COMMA,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    STATE(1931), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82878] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2719), 1,
      anon_sym_COLON,
    STATE(1936), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82904] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2721), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82930] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2723), 1,
      anon_sym_COMMA,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1920), 1,
      aux_sym_dictionary_repeat1,
    STATE(2157), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82956] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2729), 1,
      anon_sym_RPAREN,
    STATE(1927), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [82982] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    ACTIONS(2731), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83008] = 4,
    ACTIONS(2573), 1,
      anon_sym_DOT,
    STATE(1474), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83026] = 4,
    ACTIONS(2573), 1,
      anon_sym_DOT,
    STATE(1487), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2569), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83044] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(2734), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83070] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1941), 1,
      aux_sym_dictionary_repeat1,
    STATE(2109), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83096] = 8,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83122] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2744), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [83144] = 6,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2679), 1,
      anon_sym_if,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1444), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [83166] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    ACTIONS(2746), 1,
      anon_sym_COLON,
    STATE(1870), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83192] = 4,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1490), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83210] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2748), 1,
      anon_sym_COMMA,
    ACTIONS(2750), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83236] = 4,
    ACTIONS(2106), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1489), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2581), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83254] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    ACTIONS(2752), 1,
      anon_sym_COLON,
    STATE(1870), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83280] = 8,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    ACTIONS(2754), 1,
      anon_sym_COLON,
    STATE(1870), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83306] = 4,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    STATE(1488), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83324] = 4,
    ACTIONS(2756), 1,
      anon_sym_DOT,
    STATE(1487), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83342] = 4,
    ACTIONS(2607), 1,
      anon_sym_DOT,
    STATE(1495), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2569), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83360] = 4,
    ACTIONS(2759), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1489), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2524), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83378] = 4,
    ACTIONS(2018), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1497), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2581), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83396] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 7,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [83410] = 8,
    ACTIONS(2331), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_for,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(1457), 1,
      sym_for_in_clause,
    STATE(1932), 1,
      aux_sym_dictionary_repeat1,
    STATE(2230), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83436] = 6,
    ACTIONS(2392), 1,
      anon_sym_async,
    ACTIONS(2394), 1,
      anon_sym_for,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    ACTIONS(2697), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1462), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [83458] = 5,
    ACTIONS(2396), 1,
      anon_sym_as,
    ACTIONS(2398), 1,
      anon_sym_and,
    ACTIONS(2400), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2766), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83478] = 4,
    ACTIONS(2768), 1,
      anon_sym_DOT,
    STATE(1495), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83496] = 5,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2339), 1,
      anon_sym_and,
    ACTIONS(2341), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2766), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83516] = 4,
    ACTIONS(2771), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1497), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2524), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [83534] = 4,
    ACTIONS(2106), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1483), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [83552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2776), 1,
      anon_sym_BSLASH,
    ACTIONS(2774), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [83569] = 4,
    ACTIONS(2778), 1,
      anon_sym_COMMA,
    STATE(1572), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(461), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [83586] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 6,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [83599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1222), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [83612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [83625] = 6,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(2786), 1,
      anon_sym_COLON,
    ACTIONS(2788), 1,
      anon_sym_PIPE,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2782), 2,
      sym__newline,
      anon_sym_SEMI,
  [83646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [83659] = 6,
    ACTIONS(49), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_async,
    ACTIONS(2794), 1,
      anon_sym_def,
    STATE(514), 1,
      sym_function_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1634), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [83680] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [83714] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2800), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [83735] = 7,
    ACTIONS(2802), 1,
      anon_sym_COMMA,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2808), 1,
      anon_sym_RBRACK,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    STATE(1831), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [83758] = 4,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    STATE(1559), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2814), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2816), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [83790] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83811] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2820), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83832] = 4,
    ACTIONS(2822), 1,
      anon_sym_COMMA,
    STATE(1548), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(893), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [83849] = 6,
    ACTIONS(49), 1,
      anon_sym_AT,
    ACTIONS(2824), 1,
      anon_sym_async,
    ACTIONS(2826), 1,
      anon_sym_def,
    STATE(544), 1,
      sym_function_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1634), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [83870] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1067), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83891] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2828), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1222), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [83925] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2830), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83946] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [83967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2834), 1,
      anon_sym_BSLASH,
    ACTIONS(2832), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [83984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 6,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [83997] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84010] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2836), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2840), 1,
      anon_sym_BSLASH,
    ACTIONS(2838), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84040] = 7,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(2842), 1,
      anon_sym_COMMA,
    ACTIONS(2844), 1,
      anon_sym_RBRACK,
    STATE(1873), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [84063] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2828), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [84084] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2846), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2850), 1,
      anon_sym_BSLASH,
    ACTIONS(2848), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84114] = 7,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(2852), 1,
      anon_sym_COMMA,
    ACTIONS(2854), 1,
      anon_sym_RBRACK,
    STATE(1854), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [84137] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2856), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84158] = 5,
    ACTIONS(2860), 1,
      anon_sym_DOT,
    ACTIONS(2862), 1,
      anon_sym_COLON,
    ACTIONS(2864), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [84177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2866), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2870), 1,
      anon_sym_BSLASH,
    ACTIONS(2868), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2874), 1,
      anon_sym_BSLASH,
    ACTIONS(2872), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84224] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [84260] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2485), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [84281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2689), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [84296] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2882), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84322] = 4,
    ACTIONS(2886), 1,
      anon_sym_PIPE,
    STATE(1584), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [84339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84352] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2888), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84373] = 4,
    ACTIONS(2890), 1,
      anon_sym_COMMA,
    STATE(1546), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2893), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84390] = 4,
    ACTIONS(2886), 1,
      anon_sym_PIPE,
    STATE(1543), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2895), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [84407] = 4,
    ACTIONS(2897), 1,
      anon_sym_COMMA,
    STATE(1548), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2485), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [84424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2882), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2902), 1,
      anon_sym_BSLASH,
    ACTIONS(2900), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84454] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [84475] = 4,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    STATE(1579), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2906), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84492] = 4,
    ACTIONS(2908), 1,
      anon_sym_COMMA,
    STATE(1585), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2910), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2689), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [84537] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84558] = 4,
    ACTIONS(2914), 1,
      anon_sym_COMMA,
    STATE(1582), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2906), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2918), 1,
      anon_sym_BSLASH,
    ACTIONS(2916), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [84592] = 4,
    ACTIONS(2920), 1,
      anon_sym_COMMA,
    STATE(1546), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2910), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84609] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84630] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2846), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84643] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [84656] = 4,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2814), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84673] = 6,
    ACTIONS(2490), 1,
      anon_sym_if,
    ACTIONS(2492), 1,
      anon_sym_as,
    ACTIONS(2494), 1,
      anon_sym_and,
    ACTIONS(2496), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [84694] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2828), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84715] = 7,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(2926), 1,
      anon_sym_COMMA,
    ACTIONS(2928), 1,
      anon_sym_RBRACK,
    STATE(1876), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [84738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2930), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [84753] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84774] = 6,
    ACTIONS(2467), 1,
      anon_sym_if,
    ACTIONS(2471), 1,
      anon_sym_as,
    ACTIONS(2473), 1,
      anon_sym_and,
    ACTIONS(2475), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [84795] = 6,
    ACTIONS(2860), 1,
      anon_sym_DOT,
    ACTIONS(2862), 1,
      anon_sym_COLON,
    ACTIONS(2864), 1,
      anon_sym_PIPE,
    ACTIONS(2934), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84816] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [84837] = 4,
    ACTIONS(2938), 1,
      anon_sym_COMMA,
    STATE(1572), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 4,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [84854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2882), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [84880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2689), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [84895] = 3,
    ACTIONS(2943), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [84910] = 7,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    ACTIONS(2947), 1,
      anon_sym_if,
    ACTIONS(2949), 1,
      anon_sym_COLON,
    ACTIONS(2951), 1,
      anon_sym_as,
    STATE(1655), 1,
      aux_sym_case_clause_repeat1,
    STATE(2178), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [84933] = 4,
    ACTIONS(2886), 1,
      anon_sym_PIPE,
    STATE(1543), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [84950] = 4,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(1585), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2957), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84967] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2836), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ,
  [84980] = 5,
    ACTIONS(2784), 1,
      anon_sym_DOT,
    ACTIONS(2786), 1,
      anon_sym_COLON,
    ACTIONS(2788), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2858), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [84999] = 4,
    ACTIONS(2959), 1,
      anon_sym_COMMA,
    STATE(1546), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2957), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85016] = 3,
    STATE(1543), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85031] = 4,
    ACTIONS(2963), 1,
      anon_sym_PIPE,
    STATE(1584), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [85048] = 4,
    ACTIONS(2966), 1,
      anon_sym_COMMA,
    STATE(1585), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2893), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2836), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2542), 6,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [85091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2866), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85104] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2936), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85125] = 6,
    ACTIONS(2449), 1,
      anon_sym_and,
    ACTIONS(2451), 1,
      anon_sym_if,
    ACTIONS(2453), 1,
      anon_sym_as,
    ACTIONS(2455), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2830), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85146] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2893), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [85158] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2969), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85178] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2973), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2975), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85226] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2979), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2981), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85258] = 6,
    ACTIONS(2983), 1,
      anon_sym_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    ACTIONS(2988), 1,
      aux_sym_format_specifier_token1,
    STATE(1599), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1971), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [85278] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85290] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85302] = 6,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_EQ,
    ACTIONS(3001), 1,
      sym_type_conversion,
    STATE(2180), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85322] = 6,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3005), 1,
      anon_sym_EQ,
    ACTIONS(3007), 1,
      sym_type_conversion,
    STATE(2127), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [85354] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3009), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85374] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3011), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [85406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [85418] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85430] = 6,
    ACTIONS(2356), 1,
      anon_sym_and,
    ACTIONS(2358), 1,
      anon_sym_or,
    ACTIONS(2378), 1,
      anon_sym_if,
    ACTIONS(2380), 1,
      anon_sym_as,
    ACTIONS(3015), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85450] = 3,
    ACTIONS(3017), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [85464] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3019), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85484] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1828), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [85508] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85520] = 6,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      aux_sym_format_specifier_token1,
    STATE(1679), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1971), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [85540] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85552] = 4,
    ACTIONS(3029), 1,
      anon_sym_PIPE,
    STATE(1677), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [85568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85580] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3033), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85592] = 5,
    ACTIONS(3035), 1,
      anon_sym_COMMA,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [85610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3039), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [85634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2836), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [85658] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3043), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85678] = 4,
    ACTIONS(3029), 1,
      anon_sym_PIPE,
    STATE(1677), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2895), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [85694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85706] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(2766), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85726] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2846), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85738] = 5,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3049), 1,
      anon_sym_COLON,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2858), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [85756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2866), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [85768] = 5,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    STATE(1883), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [85786] = 4,
    ACTIONS(3059), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 2,
      anon_sym_async,
      anon_sym_def,
    STATE(1634), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [85802] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3062), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85814] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3064), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85826] = 5,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    STATE(1845), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [85844] = 5,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2858), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85862] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3070), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [85874] = 5,
    ACTIONS(2804), 1,
      anon_sym_DOT,
    ACTIONS(2806), 1,
      anon_sym_COLON,
    ACTIONS(2810), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [85892] = 3,
    STATE(1677), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [85906] = 3,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [85920] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3076), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [85932] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3078), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [85952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [85964] = 4,
    ACTIONS(3080), 1,
      anon_sym_PIPE,
    STATE(1646), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [85980] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [85992] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2249), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [86004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3083), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86016] = 4,
    ACTIONS(3085), 1,
      anon_sym_PIPE,
    STATE(1672), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [86032] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2846), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86056] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3087), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86076] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [86088] = 6,
    ACTIONS(1968), 1,
      anon_sym_COLON,
    ACTIONS(2947), 1,
      anon_sym_if,
    ACTIONS(3089), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym_case_clause_repeat1,
    STATE(2172), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86108] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3091), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86128] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3093), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86140] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
  [86152] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86176] = 6,
    ACTIONS(2932), 1,
      anon_sym_COMMA,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3049), 1,
      anon_sym_COLON,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3099), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86196] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3101), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86216] = 5,
    ACTIONS(2860), 1,
      anon_sym_DOT,
    ACTIONS(2862), 1,
      anon_sym_COLON,
    ACTIONS(2864), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [86234] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2893), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [86246] = 4,
    ACTIONS(3085), 1,
      anon_sym_PIPE,
    STATE(1650), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2895), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [86262] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1222), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86286] = 3,
    ACTIONS(3103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [86300] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3093), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86312] = 3,
    STATE(1650), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [86326] = 4,
    ACTIONS(3105), 1,
      anon_sym_PIPE,
    STATE(1692), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [86342] = 4,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    STATE(1672), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [86358] = 4,
    ACTIONS(3085), 1,
      anon_sym_PIPE,
    STATE(1650), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [86374] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3110), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86386] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3076), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [86398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2882), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86410] = 4,
    ACTIONS(3029), 1,
      anon_sym_PIPE,
    STATE(1646), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2884), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [86426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2866), 5,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [86438] = 6,
    ACTIONS(3021), 1,
      anon_sym_LBRACE,
    ACTIONS(3112), 1,
      anon_sym_RBRACE,
    ACTIONS(3114), 1,
      aux_sym_format_specifier_token1,
    STATE(1599), 1,
      aux_sym_format_specifier_repeat1,
    STATE(1971), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [86458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3116), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3118), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86482] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3120), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86502] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3122), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_PIPE,
  [86514] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3124), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86534] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [86546] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_EQ,
      sym_type_conversion,
  [86558] = 4,
    ACTIONS(3105), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2895), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [86574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 5,
      sym_string_start,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86586] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3126), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86606] = 5,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    ACTIONS(3130), 1,
      anon_sym_RBRACE,
    STATE(1976), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [86624] = 3,
    STATE(1671), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [86638] = 4,
    ACTIONS(3132), 1,
      anon_sym_PIPE,
    STATE(1692), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2961), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [86654] = 6,
    ACTIONS(2457), 1,
      anon_sym_if,
    ACTIONS(2459), 1,
      anon_sym_as,
    ACTIONS(2461), 1,
      anon_sym_and,
    ACTIONS(2463), 1,
      anon_sym_or,
    ACTIONS(3135), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86674] = 4,
    ACTIONS(3105), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [86690] = 5,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(3141), 1,
      anon_sym_as,
    STATE(1999), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3064), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86718] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3083), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3118), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86740] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86751] = 5,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(3145), 1,
      sym_type_conversion,
    STATE(2193), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86768] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86779] = 5,
    ACTIONS(3147), 1,
      anon_sym_case,
    ACTIONS(3149), 1,
      sym__dedent,
    STATE(1705), 1,
      aux_sym__match_block_repeat1,
    STATE(2060), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3039), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86807] = 4,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3151), 2,
      sym__newline,
      anon_sym_SEMI,
  [86822] = 5,
    ACTIONS(3147), 1,
      anon_sym_case,
    ACTIONS(3153), 1,
      sym__dedent,
    STATE(1717), 1,
      aux_sym__match_block_repeat1,
    STATE(2060), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [86850] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86861] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86894] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3062), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86905] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86916] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3155), 1,
      anon_sym_COMMA,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(1963), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86933] = 5,
    ACTIONS(3159), 1,
      anon_sym_COMMA,
    ACTIONS(3161), 1,
      anon_sym_RBRACK,
    ACTIONS(3163), 1,
      anon_sym_as,
    STATE(1966), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3070), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [86972] = 5,
    ACTIONS(3165), 1,
      anon_sym_case,
    ACTIONS(3168), 1,
      sym__dedent,
    STATE(1717), 1,
      aux_sym__match_block_repeat1,
    STATE(2060), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [86989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3122), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87000] = 5,
    ACTIONS(3147), 1,
      anon_sym_case,
    ACTIONS(3170), 1,
      sym__dedent,
    STATE(1717), 1,
      aux_sym__match_block_repeat1,
    STATE(2060), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2975), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87028] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3110), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3116), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3122), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3033), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_as,
  [87094] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3174), 1,
      anon_sym_COMMA,
    ACTIONS(3176), 1,
      anon_sym_RPAREN,
    STATE(1862), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2557), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87124] = 4,
    ACTIONS(3180), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 2,
      anon_sym_if,
      anon_sym_COLON,
  [87139] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3185), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    STATE(1841), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87156] = 5,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3189), 1,
      anon_sym_COMMA,
    ACTIONS(3191), 1,
      anon_sym_RBRACK,
    STATE(1842), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2973), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87184] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3193), 1,
      anon_sym_COMMA,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(1848), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87201] = 4,
    ACTIONS(3197), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2485), 2,
      sym__newline,
      anon_sym_SEMI,
  [87216] = 3,
    ACTIONS(2951), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [87229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3200), 4,
      anon_sym_eq,
      anon_sym_ne,
      anon_sym_contains,
      anon_sym_fails,
  [87240] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2981), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87251] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3202), 1,
      anon_sym_COMMA,
    ACTIONS(3204), 1,
      anon_sym_RPAREN,
    STATE(1957), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87279] = 5,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3206), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_RBRACK,
    STATE(1975), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87296] = 4,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3210), 2,
      sym__newline,
      anon_sym_SEMI,
  [87311] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3212), 1,
      anon_sym_COMMA,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
    STATE(1879), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87328] = 5,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3216), 1,
      anon_sym_COMMA,
    ACTIONS(3218), 1,
      anon_sym_RBRACK,
    STATE(1880), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3064), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87356] = 5,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    ACTIONS(3222), 1,
      anon_sym_RPAREN,
    STATE(1885), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87373] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3083), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87384] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3118), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87406] = 4,
    ACTIONS(3226), 1,
      anon_sym_COLON,
    ACTIONS(3228), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [87421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87432] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3116), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87443] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3039), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87454] = 4,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3230), 2,
      sym__newline,
      anon_sym_SEMI,
  [87469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3033), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87480] = 5,
    ACTIONS(3147), 1,
      anon_sym_case,
    ACTIONS(3234), 1,
      sym__dedent,
    STATE(1719), 1,
      aux_sym__match_block_repeat1,
    STATE(2060), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87497] = 5,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2081), 1,
      sym_parameters,
    STATE(2085), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87514] = 4,
    ACTIONS(3240), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3238), 2,
      sym__newline,
      anon_sym_SEMI,
  [87529] = 4,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3242), 2,
      sym__newline,
      anon_sym_SEMI,
  [87544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87555] = 4,
    ACTIONS(3244), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(893), 2,
      sym__newline,
      anon_sym_SEMI,
  [87570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87592] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3062), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87614] = 4,
    ACTIONS(3248), 1,
      anon_sym_COMMA,
    STATE(1753), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3246), 2,
      sym__newline,
      anon_sym_SEMI,
  [87629] = 5,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3250), 1,
      anon_sym_RBRACE,
    ACTIONS(3252), 1,
      sym_type_conversion,
    STATE(2202), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3070), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2975), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87701] = 5,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2029), 1,
      sym_type_parameter,
    STATE(2055), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87718] = 4,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    STATE(1734), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1045), 2,
      sym__newline,
      anon_sym_SEMI,
  [87733] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2973), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87744] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2981), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3110), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE,
  [87788] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3116), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87799] = 4,
    ACTIONS(3258), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3256), 2,
      sym__newline,
      anon_sym_SEMI,
  [87814] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3122), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87825] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3033), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [87836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2973), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2981), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3027), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3064), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3083), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3118), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3031), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3039), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87946] = 5,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2070), 1,
      sym_parameters,
    STATE(2094), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87963] = 5,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2071), 1,
      sym_parameters,
    STATE(2096), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [87980] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3095), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [87991] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3097), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88002] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88024] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3062), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88046] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2993), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3070), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88068] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2975), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88090] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3110), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_PIPE,
  [88101] = 5,
    ACTIONS(2932), 1,
      anon_sym_COMMA,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3049), 1,
      anon_sym_COLON,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [88128] = 4,
    ACTIONS(2876), 1,
      anon_sym_RBRACK,
    ACTIONS(3261), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88142] = 4,
    ACTIONS(2671), 1,
      anon_sym_COMMA,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    STATE(1815), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88156] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3266), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88170] = 4,
    ACTIONS(455), 1,
      sym__newline,
    ACTIONS(3268), 1,
      anon_sym_SEMI,
    STATE(1956), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88184] = 4,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    ACTIONS(3270), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88198] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3272), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88212] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3274), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88226] = 4,
    ACTIONS(907), 1,
      anon_sym_RBRACE,
    ACTIONS(3276), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88240] = 4,
    ACTIONS(997), 1,
      anon_sym_RPAREN,
    ACTIONS(3278), 1,
      anon_sym_COMMA,
    STATE(1978), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88254] = 3,
    ACTIONS(3282), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3280), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [88266] = 4,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    STATE(1825), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88280] = 4,
    ACTIONS(3284), 1,
      anon_sym_COMMA,
    ACTIONS(3286), 1,
      anon_sym_RPAREN,
    STATE(1826), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88294] = 4,
    ACTIONS(3288), 1,
      anon_sym_COMMA,
    ACTIONS(3290), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88308] = 4,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    ACTIONS(2617), 1,
      anon_sym_RBRACK,
    STATE(1828), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88322] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [88332] = 4,
    ACTIONS(3072), 1,
      anon_sym_RBRACK,
    ACTIONS(3292), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88346] = 3,
    ACTIONS(3295), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [88358] = 4,
    ACTIONS(827), 1,
      anon_sym_RPAREN,
    ACTIONS(3297), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88372] = 4,
    ACTIONS(829), 1,
      anon_sym_RPAREN,
    ACTIONS(3299), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88386] = 4,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88400] = 4,
    ACTIONS(3305), 1,
      anon_sym_COMMA,
    ACTIONS(3307), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88414] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3309), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88428] = 4,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_RBRACE,
    STATE(1875), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88442] = 4,
    ACTIONS(617), 1,
      anon_sym_RBRACK,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88456] = 4,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
    STATE(1832), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88470] = 4,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    ACTIONS(3318), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88484] = 4,
    ACTIONS(1318), 1,
      anon_sym_RPAREN,
    ACTIONS(3320), 1,
      anon_sym_COMMA,
    STATE(1914), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88498] = 4,
    ACTIONS(2337), 1,
      anon_sym_RBRACK,
    ACTIONS(2388), 1,
      anon_sym_COMMA,
    STATE(1949), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88512] = 4,
    ACTIONS(3322), 1,
      anon_sym_COMMA,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88526] = 4,
    ACTIONS(3327), 1,
      anon_sym_COMMA,
    ACTIONS(3329), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88540] = 4,
    ACTIONS(3331), 1,
      anon_sym_COMMA,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    STATE(1843), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88554] = 4,
    ACTIONS(3335), 1,
      anon_sym_COMMA,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    STATE(1958), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88568] = 4,
    ACTIONS(3339), 1,
      anon_sym_COMMA,
    ACTIONS(3341), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88582] = 4,
    ACTIONS(2036), 1,
      anon_sym_RPAREN,
    ACTIONS(3343), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88596] = 4,
    ACTIONS(2040), 1,
      anon_sym_RBRACK,
    ACTIONS(3345), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88610] = 4,
    ACTIONS(3347), 1,
      anon_sym_COMMA,
    ACTIONS(3349), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88624] = 4,
    ACTIONS(2762), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(1932), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88638] = 4,
    ACTIONS(3351), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88652] = 4,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3355), 1,
      anon_sym_RBRACE,
    STATE(2229), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88666] = 3,
    ACTIONS(2848), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2850), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [88678] = 4,
    ACTIONS(2048), 1,
      anon_sym_RPAREN,
    ACTIONS(3357), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88692] = 3,
    ACTIONS(2872), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2874), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [88704] = 3,
    ACTIONS(2900), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [88716] = 4,
    ACTIONS(449), 1,
      sym__newline,
    ACTIONS(3359), 1,
      anon_sym_SEMI,
    STATE(1956), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88730] = 4,
    ACTIONS(3361), 1,
      anon_sym_COMMA,
    ACTIONS(3364), 1,
      anon_sym_RBRACE,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88744] = 4,
    ACTIONS(2655), 1,
      anon_sym_COMMA,
    ACTIONS(2657), 1,
      anon_sym_RPAREN,
    STATE(1812), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88758] = 4,
    ACTIONS(585), 1,
      anon_sym_RBRACK,
    ACTIONS(3366), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88772] = 4,
    ACTIONS(2685), 1,
      anon_sym_COMMA,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1858), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88786] = 4,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3370), 1,
      anon_sym_RPAREN,
    STATE(1902), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88800] = 4,
    ACTIONS(3372), 1,
      anon_sym_COMMA,
    ACTIONS(3374), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88814] = 4,
    ACTIONS(935), 1,
      anon_sym_RBRACE,
    ACTIONS(3376), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88828] = 4,
    ACTIONS(3378), 1,
      sym__newline,
    ACTIONS(3380), 1,
      sym__indent,
    STATE(573), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88842] = 4,
    ACTIONS(2693), 1,
      anon_sym_COMMA,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    STATE(1867), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88856] = 4,
    ACTIONS(3382), 1,
      anon_sym_COMMA,
    ACTIONS(3384), 1,
      anon_sym_RPAREN,
    STATE(1869), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88870] = 4,
    ACTIONS(2034), 1,
      anon_sym_RPAREN,
    ACTIONS(3386), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88884] = 4,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    ACTIONS(2567), 1,
      anon_sym_RBRACK,
    STATE(1872), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88898] = 4,
    ACTIONS(3388), 1,
      sym__newline,
    ACTIONS(3390), 1,
      sym__indent,
    STATE(562), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88912] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3392), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88926] = 4,
    ACTIONS(2886), 1,
      anon_sym_PIPE,
    ACTIONS(3394), 1,
      anon_sym_COLON,
    STATE(1543), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88940] = 4,
    ACTIONS(755), 1,
      anon_sym_RPAREN,
    ACTIONS(3396), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88954] = 4,
    ACTIONS(3398), 1,
      anon_sym_COMMA,
    ACTIONS(3400), 1,
      anon_sym_RBRACE,
    STATE(1857), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88968] = 4,
    ACTIONS(757), 1,
      anon_sym_RPAREN,
    ACTIONS(3402), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88982] = 4,
    ACTIONS(893), 1,
      anon_sym_COLON,
    ACTIONS(3404), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [88996] = 4,
    ACTIONS(3406), 1,
      anon_sym_COMMA,
    ACTIONS(3408), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89010] = 4,
    ACTIONS(3410), 1,
      anon_sym_COMMA,
    ACTIONS(3412), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89024] = 4,
    ACTIONS(629), 1,
      anon_sym_RBRACK,
    ACTIONS(3414), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89038] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3416), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89052] = 4,
    ACTIONS(997), 1,
      anon_sym_RBRACE,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89066] = 4,
    ACTIONS(603), 1,
      anon_sym_RBRACK,
    ACTIONS(3420), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89080] = 4,
    ACTIONS(3422), 1,
      anon_sym_COMMA,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    STATE(1881), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89094] = 4,
    ACTIONS(3337), 1,
      anon_sym_RPAREN,
    ACTIONS(3426), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89108] = 4,
    ACTIONS(2078), 1,
      anon_sym_RPAREN,
    ACTIONS(3428), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89122] = 4,
    ACTIONS(2080), 1,
      anon_sym_RBRACK,
    ACTIONS(3430), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89136] = 4,
    ACTIONS(3432), 1,
      anon_sym_COMMA,
    ACTIONS(3434), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89150] = 4,
    ACTIONS(2713), 1,
      anon_sym_COMMA,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    STATE(1931), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89164] = 4,
    ACTIONS(3436), 1,
      anon_sym_COMMA,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89178] = 4,
    ACTIONS(1061), 1,
      anon_sym_COLON,
    ACTIONS(3440), 1,
      anon_sym_COMMA,
    STATE(1996), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89192] = 4,
    ACTIONS(2074), 1,
      anon_sym_RPAREN,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89206] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89220] = 4,
    ACTIONS(3446), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RPAREN,
    STATE(1979), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89234] = 3,
    ACTIONS(3228), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3450), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_AT,
  [89256] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89270] = 4,
    ACTIONS(2209), 1,
      anon_sym_RBRACK,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    STATE(1891), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89284] = 3,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89296] = 4,
    ACTIONS(3316), 1,
      anon_sym_COLON,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89310] = 4,
    ACTIONS(2705), 1,
      anon_sym_COMMA,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    STATE(1898), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89324] = 3,
    ACTIONS(2838), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2840), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [89336] = 3,
    ACTIONS(2868), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2870), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [89348] = 4,
    ACTIONS(2485), 1,
      anon_sym_COLON,
    ACTIONS(3462), 1,
      anon_sym_COMMA,
    STATE(1897), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89362] = 4,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89376] = 3,
    ACTIONS(2774), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2776), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [89388] = 4,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89402] = 4,
    ACTIONS(3467), 1,
      anon_sym_COMMA,
    ACTIONS(3469), 1,
      anon_sym_RPAREN,
    STATE(1907), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89416] = 4,
    ACTIONS(1041), 1,
      anon_sym_RPAREN,
    ACTIONS(3471), 1,
      anon_sym_COMMA,
    STATE(1993), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89430] = 4,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    STATE(1909), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89444] = 4,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    ACTIONS(3475), 1,
      anon_sym_RPAREN,
    STATE(1833), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89458] = 4,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(3479), 1,
      anon_sym_RPAREN,
    STATE(1938), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89472] = 4,
    ACTIONS(767), 1,
      anon_sym_RPAREN,
    ACTIONS(3481), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89486] = 4,
    ACTIONS(769), 1,
      anon_sym_RPAREN,
    ACTIONS(3483), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89500] = 4,
    ACTIONS(3485), 1,
      anon_sym_COMMA,
    ACTIONS(3487), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89514] = 4,
    ACTIONS(3489), 1,
      anon_sym_COMMA,
    ACTIONS(3491), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89528] = 3,
    ACTIONS(2916), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2918), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [89540] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89554] = 4,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2587), 1,
      anon_sym_RBRACK,
    STATE(1965), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89568] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3495), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89582] = 4,
    ACTIONS(2209), 1,
      anon_sym_RPAREN,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(1914), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89596] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [89606] = 4,
    ACTIONS(2723), 1,
      anon_sym_COMMA,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(1920), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89620] = 4,
    ACTIONS(3500), 1,
      anon_sym_COMMA,
    ACTIONS(3503), 1,
      anon_sym_COLON,
    STATE(1917), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89634] = 4,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    STATE(1840), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89648] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89662] = 4,
    ACTIONS(913), 1,
      anon_sym_RBRACE,
    ACTIONS(3507), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89676] = 4,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    ACTIONS(2729), 1,
      anon_sym_RPAREN,
    STATE(1927), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89690] = 4,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    ACTIONS(3511), 1,
      anon_sym_RPAREN,
    STATE(1928), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89704] = 3,
    ACTIONS(3515), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3513), 2,
      sym__newline,
      anon_sym_SEMI,
  [89716] = 3,
    ACTIONS(3295), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [89728] = 4,
    ACTIONS(2589), 1,
      anon_sym_COMMA,
    ACTIONS(2591), 1,
      anon_sym_RBRACK,
    STATE(1930), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89742] = 4,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3517), 1,
      anon_sym_RBRACE,
    STATE(2223), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89756] = 4,
    ACTIONS(777), 1,
      anon_sym_RPAREN,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89770] = 4,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(3521), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89784] = 4,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    ACTIONS(3525), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89798] = 4,
    ACTIONS(3527), 1,
      anon_sym_COMMA,
    ACTIONS(3529), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89812] = 4,
    ACTIONS(775), 1,
      anon_sym_RPAREN,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89826] = 4,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    ACTIONS(3533), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89840] = 4,
    ACTIONS(3378), 1,
      sym__newline,
    ACTIONS(3380), 1,
      sym__indent,
    STATE(511), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89854] = 4,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89868] = 4,
    ACTIONS(3388), 1,
      sym__newline,
    ACTIONS(3390), 1,
      sym__indent,
    STATE(523), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89882] = 4,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    STATE(1917), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89896] = 4,
    ACTIONS(3542), 1,
      anon_sym_COMMA,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    STATE(1972), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89910] = 4,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    ACTIONS(3546), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89924] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3548), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89938] = 4,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1941), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89952] = 4,
    ACTIONS(927), 1,
      anon_sym_RBRACE,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89966] = 4,
    ACTIONS(2209), 1,
      anon_sym_in,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(1942), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89980] = 4,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [89994] = 4,
    ACTIONS(3555), 1,
      anon_sym_COMMA,
    ACTIONS(3557), 1,
      anon_sym_RPAREN,
    STATE(1950), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90008] = 4,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    ACTIONS(2601), 1,
      anon_sym_RBRACK,
    STATE(1952), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90022] = 3,
    ACTIONS(2832), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2834), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [90034] = 4,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_RBRACE,
    STATE(2216), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90048] = 4,
    ACTIONS(787), 1,
      anon_sym_RPAREN,
    ACTIONS(3561), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90062] = 4,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    ACTIONS(3563), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90076] = 4,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(1934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90090] = 4,
    ACTIONS(3567), 1,
      anon_sym_COMMA,
    ACTIONS(3569), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90104] = 4,
    ACTIONS(3571), 1,
      anon_sym_COMMA,
    ACTIONS(3573), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1179), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [90128] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [90138] = 4,
    ACTIONS(3575), 1,
      anon_sym_COMMA,
    ACTIONS(3578), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90152] = 4,
    ACTIONS(3580), 1,
      anon_sym_SEMI,
    ACTIONS(3583), 1,
      sym__newline,
    STATE(1956), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90166] = 4,
    ACTIONS(2042), 1,
      anon_sym_RPAREN,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90180] = 4,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(3587), 1,
      anon_sym_COMMA,
    STATE(1891), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90194] = 4,
    ACTIONS(2603), 1,
      anon_sym_COMMA,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    STATE(1961), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90208] = 4,
    ACTIONS(3589), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90222] = 4,
    ACTIONS(3593), 1,
      anon_sym_COMMA,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90236] = 4,
    ACTIONS(3597), 1,
      anon_sym_COMMA,
    ACTIONS(3599), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90250] = 4,
    ACTIONS(2020), 1,
      anon_sym_RPAREN,
    ACTIONS(3601), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90264] = 4,
    ACTIONS(3603), 1,
      anon_sym_SEMI,
    ACTIONS(3605), 1,
      sym__newline,
    STATE(1851), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90278] = 4,
    ACTIONS(3607), 1,
      anon_sym_COMMA,
    ACTIONS(3609), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90292] = 4,
    ACTIONS(2024), 1,
      anon_sym_RBRACK,
    ACTIONS(3611), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90306] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2953), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [90316] = 4,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    ACTIONS(2613), 1,
      anon_sym_RBRACK,
    STATE(1970), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90330] = 4,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3615), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90344] = 4,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    ACTIONS(3619), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90358] = 3,
    ACTIONS(3623), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3621), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [90370] = 4,
    ACTIONS(3625), 1,
      anon_sym_COMMA,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90384] = 4,
    ACTIONS(3388), 1,
      sym__newline,
    ACTIONS(3390), 1,
      sym__indent,
    STATE(526), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1179), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [90408] = 4,
    ACTIONS(2084), 1,
      anon_sym_RBRACK,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90422] = 4,
    ACTIONS(3631), 1,
      anon_sym_COMMA,
    ACTIONS(3633), 1,
      anon_sym_RBRACE,
    STATE(1836), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90436] = 4,
    ACTIONS(3635), 1,
      anon_sym_SEMI,
    ACTIONS(3637), 1,
      sym__newline,
    STATE(1990), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90450] = 4,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    STATE(1978), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90464] = 4,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    ACTIONS(3642), 1,
      anon_sym_COMMA,
    STATE(1832), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90478] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3644), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90492] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90506] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3648), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90520] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3650), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90534] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3652), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90548] = 4,
    ACTIONS(2995), 1,
      anon_sym_COLON,
    ACTIONS(3654), 1,
      anon_sym_RBRACE,
    STATE(2184), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90562] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3656), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90576] = 4,
    ACTIONS(2642), 1,
      anon_sym_COMMA,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(2004), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90590] = 4,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90604] = 4,
    ACTIONS(3448), 1,
      anon_sym_COLON,
    ACTIONS(3658), 1,
      anon_sym_COMMA,
    STATE(2006), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90618] = 4,
    ACTIONS(447), 1,
      sym__newline,
    ACTIONS(3660), 1,
      anon_sym_SEMI,
    STATE(1956), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90632] = 4,
    ACTIONS(461), 1,
      anon_sym_in,
    ACTIONS(3662), 1,
      anon_sym_COMMA,
    STATE(1942), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90646] = 4,
    ACTIONS(3378), 1,
      sym__newline,
    ACTIONS(3380), 1,
      sym__indent,
    STATE(530), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90660] = 4,
    ACTIONS(3664), 1,
      anon_sym_COMMA,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    STATE(1993), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90674] = 4,
    ACTIONS(3388), 1,
      sym__newline,
    ACTIONS(3390), 1,
      sym__indent,
    STATE(558), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90688] = 4,
    ACTIONS(3669), 1,
      anon_sym_COMMA,
    ACTIONS(3671), 1,
      anon_sym_COLON,
    STATE(1917), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90702] = 4,
    ACTIONS(3667), 1,
      anon_sym_COLON,
    ACTIONS(3673), 1,
      anon_sym_COMMA,
    STATE(1996), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90716] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3676), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90730] = 4,
    ACTIONS(2627), 1,
      anon_sym_COMMA,
    ACTIONS(3678), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90744] = 4,
    ACTIONS(2056), 1,
      anon_sym_RPAREN,
    ACTIONS(3680), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90758] = 3,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [90770] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [90780] = 4,
    ACTIONS(3183), 1,
      anon_sym_RBRACK,
    ACTIONS(3682), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90794] = 4,
    ACTIONS(3378), 1,
      sym__newline,
    ACTIONS(3380), 1,
      sym__indent,
    STATE(590), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90808] = 4,
    ACTIONS(941), 1,
      anon_sym_RBRACE,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90822] = 3,
    ACTIONS(3141), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3183), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90834] = 4,
    ACTIONS(2323), 1,
      anon_sym_COLON,
    ACTIONS(3687), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3172), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
  [90858] = 4,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(3689), 1,
      anon_sym_COMMA,
    STATE(2008), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90872] = 4,
    ACTIONS(3047), 1,
      anon_sym_DOT,
    ACTIONS(3051), 1,
      anon_sym_PIPE,
    ACTIONS(3692), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90886] = 4,
    ACTIONS(3694), 1,
      anon_sym_COMMA,
    ACTIONS(3696), 1,
      anon_sym_COLON,
    STATE(1884), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90900] = 4,
    ACTIONS(3698), 1,
      anon_sym_SEMI,
    ACTIONS(3700), 1,
      sym__newline,
    STATE(1811), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90914] = 4,
    ACTIONS(3264), 1,
      anon_sym_COMMA,
    ACTIONS(3702), 1,
      anon_sym_in,
    STATE(1991), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90928] = 4,
    ACTIONS(2876), 1,
      anon_sym_RBRACE,
    ACTIONS(3704), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [90942] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3707), 2,
      sym__dedent,
      anon_sym_case,
  [90951] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2571), 2,
      sym__newline,
      anon_sym_SEMI,
  [90960] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3709), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [90969] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3711), 2,
      sym__newline,
      anon_sym_SEMI,
  [90978] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3713), 2,
      anon_sym__,
      sym_identifier,
  [90996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3715), 2,
      sym__dedent,
      anon_sym_case,
  [91005] = 3,
    ACTIONS(3717), 1,
      sym_integer,
    ACTIONS(3719), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3721), 2,
      sym__dedent,
      anon_sym_case,
  [91025] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3725), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91043] = 3,
    ACTIONS(3727), 1,
      sym_integer,
    ACTIONS(3729), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91054] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91063] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3731), 2,
      sym__newline,
      anon_sym_SEMI,
  [91072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2888), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91081] = 3,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2035), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91092] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3733), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3735), 2,
      sym__dedent,
      anon_sym_case,
  [91110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1278), 2,
      sym__dedent,
      anon_sym_case,
  [91119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3737), 2,
      anon_sym__,
      sym_identifier,
  [91128] = 3,
    ACTIONS(3739), 1,
      sym_integer,
    ACTIONS(3741), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91139] = 3,
    ACTIONS(3743), 1,
      anon_sym_COLON,
    ACTIONS(3745), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91150] = 3,
    ACTIONS(3747), 1,
      sym_integer,
    ACTIONS(3749), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91161] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3583), 2,
      sym__newline,
      anon_sym_SEMI,
  [91170] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1266), 2,
      sym__dedent,
      anon_sym_case,
  [91179] = 3,
    ACTIONS(3751), 1,
      sym_integer,
    ACTIONS(3753), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3755), 2,
      sym__dedent,
      anon_sym_case,
  [91208] = 3,
    ACTIONS(3757), 1,
      sym_integer,
    ACTIONS(3759), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91228] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3761), 2,
      anon_sym__,
      sym_identifier,
  [91237] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91246] = 3,
    ACTIONS(3763), 1,
      sym_integer,
    ACTIONS(3765), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3767), 2,
      sym__dedent,
      anon_sym_case,
  [91266] = 3,
    ACTIONS(3769), 1,
      anon_sym_COMMA,
    STATE(1500), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3364), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1288), 2,
      sym__dedent,
      anon_sym_case,
  [91295] = 3,
    ACTIONS(3771), 1,
      sym_integer,
    ACTIONS(3773), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91306] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1250), 2,
      sym__dedent,
      anon_sym_case,
  [91315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2249), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91324] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2583), 2,
      sym__newline,
      anon_sym_SEMI,
  [91333] = 3,
    ACTIONS(3775), 1,
      anon_sym_COLON,
    ACTIONS(3777), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91344] = 3,
    ACTIONS(3779), 1,
      sym_integer,
    ACTIONS(3781), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91355] = 3,
    ACTIONS(3783), 1,
      sym_integer,
    ACTIONS(3785), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91366] = 3,
    ACTIONS(3787), 1,
      sym_integer,
    ACTIONS(3789), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91386] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3791), 2,
      sym__dedent,
      anon_sym_case,
  [91395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3793), 2,
      sym__newline,
      anon_sym_SEMI,
  [91404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3795), 2,
      sym__newline,
      anon_sym_SEMI,
  [91413] = 3,
    ACTIONS(3797), 1,
      sym_integer,
    ACTIONS(3799), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91424] = 3,
    ACTIONS(3801), 1,
      anon_sym_COLON,
    ACTIONS(3803), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3667), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [91444] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 2,
      sym__newline,
      anon_sym_SEMI,
  [91453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2402), 2,
      sym__newline,
      anon_sym_SEMI,
  [91462] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3807), 2,
      sym__dedent,
      anon_sym_case,
  [91471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91480] = 3,
    ACTIONS(3809), 1,
      anon_sym_COLON,
    ACTIONS(3811), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91491] = 3,
    ACTIONS(3813), 1,
      anon_sym_COLON,
    ACTIONS(3815), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91502] = 3,
    ACTIONS(3817), 1,
      anon_sym_COLON,
    ACTIONS(3819), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3821), 2,
      sym__newline,
      anon_sym_SEMI,
  [91522] = 3,
    ACTIONS(3823), 1,
      anon_sym_COLON,
    ACTIONS(3825), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1286), 2,
      sym__dedent,
      anon_sym_case,
  [91542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [91551] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3827), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [91578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91587] = 3,
    ACTIONS(3829), 1,
      anon_sym_COLON,
    ACTIONS(3831), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91598] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3833), 2,
      sym__dedent,
      anon_sym_case,
  [91607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91616] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 2,
      sym__dedent,
      anon_sym_case,
  [91625] = 3,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2064), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91636] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3837), 2,
      sym__dedent,
      anon_sym_case,
  [91645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3667), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91654] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [91663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3839), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [91672] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3827), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [91681] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 2,
      anon_sym__,
      sym_identifier,
  [91690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3843), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [91699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      sym__dedent,
      anon_sym_case,
  [91708] = 3,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2072), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91728] = 3,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    STATE(2074), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3316), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3725), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2876), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [91766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3847), 2,
      sym__dedent,
      anon_sym_case,
  [91775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1121), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91784] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2249), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [91793] = 2,
    ACTIONS(3849), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91801] = 2,
    ACTIONS(3851), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91809] = 2,
    ACTIONS(3853), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91817] = 2,
    ACTIONS(3855), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91825] = 2,
    ACTIONS(3857), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91833] = 2,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91841] = 2,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91849] = 2,
    ACTIONS(3863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91857] = 2,
    ACTIONS(2742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91865] = 2,
    ACTIONS(3865), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91873] = 2,
    ACTIONS(3867), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91881] = 2,
    ACTIONS(3869), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91889] = 2,
    ACTIONS(3871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91897] = 2,
    ACTIONS(2623), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91905] = 2,
    ACTIONS(3873), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91913] = 2,
    ACTIONS(3875), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91921] = 2,
    ACTIONS(3877), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91929] = 2,
    ACTIONS(3879), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91937] = 2,
    ACTIONS(3881), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91945] = 2,
    ACTIONS(3883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91953] = 2,
    ACTIONS(3885), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91961] = 2,
    ACTIONS(3887), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91969] = 2,
    ACTIONS(3889), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91977] = 2,
    ACTIONS(3891), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91985] = 2,
    ACTIONS(3893), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [91993] = 2,
    ACTIONS(3416), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92001] = 2,
    ACTIONS(3895), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92009] = 2,
    ACTIONS(1051), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92017] = 2,
    ACTIONS(2746), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92025] = 2,
    ACTIONS(3897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92033] = 2,
    ACTIONS(3899), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92041] = 2,
    ACTIONS(3901), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92049] = 2,
    ACTIONS(3495), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92057] = 2,
    ACTIONS(3903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92065] = 2,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92073] = 2,
    ACTIONS(3905), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92081] = 2,
    ACTIONS(3907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92089] = 2,
    ACTIONS(3909), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92097] = 2,
    ACTIONS(3911), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92105] = 2,
    ACTIONS(3913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92113] = 2,
    ACTIONS(3915), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92121] = 2,
    ACTIONS(3917), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92129] = 2,
    ACTIONS(3919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92137] = 2,
    ACTIONS(3921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92145] = 2,
    ACTIONS(3923), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92153] = 2,
    ACTIONS(2657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92161] = 2,
    ACTIONS(3925), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92169] = 2,
    ACTIONS(3927), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92177] = 2,
    ACTIONS(3929), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92185] = 2,
    ACTIONS(3931), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92193] = 2,
    ACTIONS(3933), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92201] = 2,
    ACTIONS(3935), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92209] = 2,
    ACTIONS(3937), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92217] = 2,
    ACTIONS(3939), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92225] = 2,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92233] = 2,
    ACTIONS(3943), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92241] = 2,
    ACTIONS(3945), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92249] = 2,
    ACTIONS(3947), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92257] = 2,
    ACTIONS(3949), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92265] = 2,
    ACTIONS(2729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92273] = 2,
    ACTIONS(3951), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92281] = 2,
    ACTIONS(3953), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92289] = 2,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92297] = 2,
    ACTIONS(3957), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92305] = 2,
    ACTIONS(3959), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92313] = 2,
    ACTIONS(3961), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92321] = 2,
    ACTIONS(3963), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92329] = 2,
    ACTIONS(3965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92337] = 2,
    ACTIONS(3967), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92345] = 2,
    ACTIONS(3969), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92353] = 2,
    ACTIONS(3971), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92361] = 2,
    ACTIONS(3973), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92369] = 2,
    ACTIONS(3975), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92377] = 2,
    ACTIONS(3977), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92385] = 2,
    ACTIONS(2752), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92393] = 2,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92401] = 2,
    ACTIONS(3981), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92409] = 2,
    ACTIONS(3983), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92417] = 2,
    ACTIONS(3644), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92425] = 2,
    ACTIONS(3985), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92433] = 2,
    ACTIONS(2754), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92441] = 2,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92449] = 2,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92457] = 2,
    ACTIONS(3989), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92465] = 2,
    ACTIONS(3991), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92473] = 2,
    ACTIONS(3648), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92481] = 2,
    ACTIONS(3993), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92489] = 2,
    ACTIONS(3995), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92497] = 2,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92505] = 2,
    ACTIONS(3997), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92513] = 2,
    ACTIONS(3999), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92521] = 2,
    ACTIONS(4001), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92529] = 2,
    ACTIONS(4003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92537] = 2,
    ACTIONS(4005), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92545] = 2,
    ACTIONS(4007), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92553] = 2,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92561] = 2,
    ACTIONS(4009), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92569] = 2,
    ACTIONS(4011), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92577] = 2,
    ACTIONS(4013), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92585] = 2,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92593] = 2,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92601] = 2,
    ACTIONS(4019), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92609] = 2,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92617] = 2,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92625] = 2,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92633] = 2,
    ACTIONS(4023), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92641] = 2,
    ACTIONS(4025), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92649] = 2,
    ACTIONS(4027), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92657] = 2,
    ACTIONS(4029), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92665] = 2,
    ACTIONS(4031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92673] = 2,
    ACTIONS(4033), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92681] = 2,
    ACTIONS(4035), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92689] = 2,
    ACTIONS(4037), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92697] = 2,
    ACTIONS(4039), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92705] = 2,
    ACTIONS(4041), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92713] = 2,
    ACTIONS(4043), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92721] = 2,
    ACTIONS(2677), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92729] = 2,
    ACTIONS(4045), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92737] = 2,
    ACTIONS(4047), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92745] = 2,
    ACTIONS(4049), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92753] = 2,
    ACTIONS(4051), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92761] = 2,
    ACTIONS(4053), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92769] = 2,
    ACTIONS(4055), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92777] = 2,
    ACTIONS(4057), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92785] = 2,
    ACTIONS(4059), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92793] = 2,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92801] = 2,
    ACTIONS(4061), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92809] = 2,
    ACTIONS(4063), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92817] = 2,
    ACTIONS(4065), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92825] = 2,
    ACTIONS(4067), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92833] = 2,
    ACTIONS(3266), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92841] = 2,
    ACTIONS(4069), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92849] = 2,
    ACTIONS(4071), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92857] = 2,
    ACTIONS(4073), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92865] = 2,
    ACTIONS(4075), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92873] = 2,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92881] = 2,
    ACTIONS(4077), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92889] = 2,
    ACTIONS(4079), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92897] = 2,
    ACTIONS(4081), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92905] = 2,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92913] = 2,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92921] = 2,
    ACTIONS(4085), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92929] = 2,
    ACTIONS(3548), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92937] = 2,
    ACTIONS(4087), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92945] = 2,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92953] = 2,
    ACTIONS(4089), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92961] = 2,
    ACTIONS(4091), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92969] = 2,
    ACTIONS(4093), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92977] = 2,
    ACTIONS(4095), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92985] = 2,
    ACTIONS(3702), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [92993] = 2,
    ACTIONS(1031), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93001] = 2,
    ACTIONS(4097), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93009] = 2,
    ACTIONS(3505), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93017] = 2,
    ACTIONS(4099), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93025] = 2,
    ACTIONS(4101), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93033] = 2,
    ACTIONS(4103), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [93041] = 2,
    ACTIONS(1059), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(95)] = 0,
  [SMALL_STATE(96)] = 101,
  [SMALL_STATE(97)] = 202,
  [SMALL_STATE(98)] = 316,
  [SMALL_STATE(99)] = 430,
  [SMALL_STATE(100)] = 544,
  [SMALL_STATE(101)] = 654,
  [SMALL_STATE(102)] = 770,
  [SMALL_STATE(103)] = 884,
  [SMALL_STATE(104)] = 998,
  [SMALL_STATE(105)] = 1114,
  [SMALL_STATE(106)] = 1222,
  [SMALL_STATE(107)] = 1330,
  [SMALL_STATE(108)] = 1440,
  [SMALL_STATE(109)] = 1548,
  [SMALL_STATE(110)] = 1658,
  [SMALL_STATE(111)] = 1772,
  [SMALL_STATE(112)] = 1886,
  [SMALL_STATE(113)] = 2000,
  [SMALL_STATE(114)] = 2114,
  [SMALL_STATE(115)] = 2222,
  [SMALL_STATE(116)] = 2330,
  [SMALL_STATE(117)] = 2444,
  [SMALL_STATE(118)] = 2558,
  [SMALL_STATE(119)] = 2672,
  [SMALL_STATE(120)] = 2780,
  [SMALL_STATE(121)] = 2888,
  [SMALL_STATE(122)] = 3002,
  [SMALL_STATE(123)] = 3116,
  [SMALL_STATE(124)] = 3230,
  [SMALL_STATE(125)] = 3344,
  [SMALL_STATE(126)] = 3458,
  [SMALL_STATE(127)] = 3572,
  [SMALL_STATE(128)] = 3686,
  [SMALL_STATE(129)] = 3800,
  [SMALL_STATE(130)] = 3914,
  [SMALL_STATE(131)] = 4028,
  [SMALL_STATE(132)] = 4142,
  [SMALL_STATE(133)] = 4256,
  [SMALL_STATE(134)] = 4370,
  [SMALL_STATE(135)] = 4484,
  [SMALL_STATE(136)] = 4598,
  [SMALL_STATE(137)] = 4706,
  [SMALL_STATE(138)] = 4815,
  [SMALL_STATE(139)] = 4920,
  [SMALL_STATE(140)] = 5025,
  [SMALL_STATE(141)] = 5130,
  [SMALL_STATE(142)] = 5235,
  [SMALL_STATE(143)] = 5334,
  [SMALL_STATE(144)] = 5439,
  [SMALL_STATE(145)] = 5548,
  [SMALL_STATE(146)] = 5653,
  [SMALL_STATE(147)] = 5758,
  [SMALL_STATE(148)] = 5857,
  [SMALL_STATE(149)] = 5962,
  [SMALL_STATE(150)] = 6067,
  [SMALL_STATE(151)] = 6176,
  [SMALL_STATE(152)] = 6281,
  [SMALL_STATE(153)] = 6390,
  [SMALL_STATE(154)] = 6495,
  [SMALL_STATE(155)] = 6600,
  [SMALL_STATE(156)] = 6705,
  [SMALL_STATE(157)] = 6810,
  [SMALL_STATE(158)] = 6915,
  [SMALL_STATE(159)] = 7020,
  [SMALL_STATE(160)] = 7129,
  [SMALL_STATE(161)] = 7238,
  [SMALL_STATE(162)] = 7347,
  [SMALL_STATE(163)] = 7452,
  [SMALL_STATE(164)] = 7557,
  [SMALL_STATE(165)] = 7662,
  [SMALL_STATE(166)] = 7767,
  [SMALL_STATE(167)] = 7872,
  [SMALL_STATE(168)] = 7977,
  [SMALL_STATE(169)] = 8082,
  [SMALL_STATE(170)] = 8187,
  [SMALL_STATE(171)] = 8293,
  [SMALL_STATE(172)] = 8399,
  [SMALL_STATE(173)] = 8505,
  [SMALL_STATE(174)] = 8611,
  [SMALL_STATE(175)] = 8717,
  [SMALL_STATE(176)] = 8823,
  [SMALL_STATE(177)] = 8929,
  [SMALL_STATE(178)] = 9035,
  [SMALL_STATE(179)] = 9141,
  [SMALL_STATE(180)] = 9247,
  [SMALL_STATE(181)] = 9353,
  [SMALL_STATE(182)] = 9459,
  [SMALL_STATE(183)] = 9565,
  [SMALL_STATE(184)] = 9671,
  [SMALL_STATE(185)] = 9777,
  [SMALL_STATE(186)] = 9883,
  [SMALL_STATE(187)] = 9989,
  [SMALL_STATE(188)] = 10095,
  [SMALL_STATE(189)] = 10201,
  [SMALL_STATE(190)] = 10307,
  [SMALL_STATE(191)] = 10413,
  [SMALL_STATE(192)] = 10519,
  [SMALL_STATE(193)] = 10625,
  [SMALL_STATE(194)] = 10731,
  [SMALL_STATE(195)] = 10837,
  [SMALL_STATE(196)] = 10943,
  [SMALL_STATE(197)] = 11049,
  [SMALL_STATE(198)] = 11155,
  [SMALL_STATE(199)] = 11261,
  [SMALL_STATE(200)] = 11367,
  [SMALL_STATE(201)] = 11470,
  [SMALL_STATE(202)] = 11573,
  [SMALL_STATE(203)] = 11676,
  [SMALL_STATE(204)] = 11779,
  [SMALL_STATE(205)] = 11882,
  [SMALL_STATE(206)] = 11985,
  [SMALL_STATE(207)] = 12088,
  [SMALL_STATE(208)] = 12191,
  [SMALL_STATE(209)] = 12294,
  [SMALL_STATE(210)] = 12399,
  [SMALL_STATE(211)] = 12501,
  [SMALL_STATE(212)] = 12603,
  [SMALL_STATE(213)] = 12705,
  [SMALL_STATE(214)] = 12809,
  [SMALL_STATE(215)] = 12911,
  [SMALL_STATE(216)] = 13013,
  [SMALL_STATE(217)] = 13115,
  [SMALL_STATE(218)] = 13219,
  [SMALL_STATE(219)] = 13317,
  [SMALL_STATE(220)] = 13419,
  [SMALL_STATE(221)] = 13521,
  [SMALL_STATE(222)] = 13623,
  [SMALL_STATE(223)] = 13725,
  [SMALL_STATE(224)] = 13829,
  [SMALL_STATE(225)] = 13931,
  [SMALL_STATE(226)] = 14033,
  [SMALL_STATE(227)] = 14135,
  [SMALL_STATE(228)] = 14237,
  [SMALL_STATE(229)] = 14339,
  [SMALL_STATE(230)] = 14441,
  [SMALL_STATE(231)] = 14543,
  [SMALL_STATE(232)] = 14645,
  [SMALL_STATE(233)] = 14743,
  [SMALL_STATE(234)] = 14845,
  [SMALL_STATE(235)] = 14947,
  [SMALL_STATE(236)] = 15049,
  [SMALL_STATE(237)] = 15151,
  [SMALL_STATE(238)] = 15253,
  [SMALL_STATE(239)] = 15355,
  [SMALL_STATE(240)] = 15459,
  [SMALL_STATE(241)] = 15561,
  [SMALL_STATE(242)] = 15663,
  [SMALL_STATE(243)] = 15765,
  [SMALL_STATE(244)] = 15867,
  [SMALL_STATE(245)] = 15971,
  [SMALL_STATE(246)] = 16072,
  [SMALL_STATE(247)] = 16171,
  [SMALL_STATE(248)] = 16272,
  [SMALL_STATE(249)] = 16373,
  [SMALL_STATE(250)] = 16474,
  [SMALL_STATE(251)] = 16575,
  [SMALL_STATE(252)] = 16676,
  [SMALL_STATE(253)] = 16777,
  [SMALL_STATE(254)] = 16876,
  [SMALL_STATE(255)] = 16977,
  [SMALL_STATE(256)] = 17076,
  [SMALL_STATE(257)] = 17177,
  [SMALL_STATE(258)] = 17278,
  [SMALL_STATE(259)] = 17379,
  [SMALL_STATE(260)] = 17480,
  [SMALL_STATE(261)] = 17581,
  [SMALL_STATE(262)] = 17682,
  [SMALL_STATE(263)] = 17781,
  [SMALL_STATE(264)] = 17882,
  [SMALL_STATE(265)] = 17983,
  [SMALL_STATE(266)] = 18084,
  [SMALL_STATE(267)] = 18183,
  [SMALL_STATE(268)] = 18282,
  [SMALL_STATE(269)] = 18383,
  [SMALL_STATE(270)] = 18484,
  [SMALL_STATE(271)] = 18585,
  [SMALL_STATE(272)] = 18684,
  [SMALL_STATE(273)] = 18785,
  [SMALL_STATE(274)] = 18886,
  [SMALL_STATE(275)] = 18987,
  [SMALL_STATE(276)] = 19086,
  [SMALL_STATE(277)] = 19187,
  [SMALL_STATE(278)] = 19288,
  [SMALL_STATE(279)] = 19387,
  [SMALL_STATE(280)] = 19488,
  [SMALL_STATE(281)] = 19589,
  [SMALL_STATE(282)] = 19688,
  [SMALL_STATE(283)] = 19786,
  [SMALL_STATE(284)] = 19860,
  [SMALL_STATE(285)] = 19956,
  [SMALL_STATE(286)] = 20052,
  [SMALL_STATE(287)] = 20150,
  [SMALL_STATE(288)] = 20246,
  [SMALL_STATE(289)] = 20342,
  [SMALL_STATE(290)] = 20438,
  [SMALL_STATE(291)] = 20536,
  [SMALL_STATE(292)] = 20632,
  [SMALL_STATE(293)] = 20728,
  [SMALL_STATE(294)] = 20826,
  [SMALL_STATE(295)] = 20922,
  [SMALL_STATE(296)] = 21020,
  [SMALL_STATE(297)] = 21116,
  [SMALL_STATE(298)] = 21212,
  [SMALL_STATE(299)] = 21308,
  [SMALL_STATE(300)] = 21404,
  [SMALL_STATE(301)] = 21480,
  [SMALL_STATE(302)] = 21578,
  [SMALL_STATE(303)] = 21674,
  [SMALL_STATE(304)] = 21748,
  [SMALL_STATE(305)] = 21844,
  [SMALL_STATE(306)] = 21918,
  [SMALL_STATE(307)] = 22014,
  [SMALL_STATE(308)] = 22112,
  [SMALL_STATE(309)] = 22208,
  [SMALL_STATE(310)] = 22304,
  [SMALL_STATE(311)] = 22402,
  [SMALL_STATE(312)] = 22498,
  [SMALL_STATE(313)] = 22596,
  [SMALL_STATE(314)] = 22692,
  [SMALL_STATE(315)] = 22790,
  [SMALL_STATE(316)] = 22888,
  [SMALL_STATE(317)] = 22986,
  [SMALL_STATE(318)] = 23084,
  [SMALL_STATE(319)] = 23182,
  [SMALL_STATE(320)] = 23280,
  [SMALL_STATE(321)] = 23376,
  [SMALL_STATE(322)] = 23472,
  [SMALL_STATE(323)] = 23570,
  [SMALL_STATE(324)] = 23668,
  [SMALL_STATE(325)] = 23764,
  [SMALL_STATE(326)] = 23860,
  [SMALL_STATE(327)] = 23956,
  [SMALL_STATE(328)] = 24054,
  [SMALL_STATE(329)] = 24149,
  [SMALL_STATE(330)] = 24244,
  [SMALL_STATE(331)] = 24339,
  [SMALL_STATE(332)] = 24434,
  [SMALL_STATE(333)] = 24529,
  [SMALL_STATE(334)] = 24624,
  [SMALL_STATE(335)] = 24719,
  [SMALL_STATE(336)] = 24814,
  [SMALL_STATE(337)] = 24909,
  [SMALL_STATE(338)] = 25004,
  [SMALL_STATE(339)] = 25099,
  [SMALL_STATE(340)] = 25194,
  [SMALL_STATE(341)] = 25289,
  [SMALL_STATE(342)] = 25384,
  [SMALL_STATE(343)] = 25476,
  [SMALL_STATE(344)] = 25568,
  [SMALL_STATE(345)] = 25660,
  [SMALL_STATE(346)] = 25752,
  [SMALL_STATE(347)] = 25844,
  [SMALL_STATE(348)] = 25936,
  [SMALL_STATE(349)] = 26028,
  [SMALL_STATE(350)] = 26120,
  [SMALL_STATE(351)] = 26212,
  [SMALL_STATE(352)] = 26304,
  [SMALL_STATE(353)] = 26396,
  [SMALL_STATE(354)] = 26488,
  [SMALL_STATE(355)] = 26580,
  [SMALL_STATE(356)] = 26672,
  [SMALL_STATE(357)] = 26764,
  [SMALL_STATE(358)] = 26856,
  [SMALL_STATE(359)] = 26948,
  [SMALL_STATE(360)] = 27040,
  [SMALL_STATE(361)] = 27132,
  [SMALL_STATE(362)] = 27224,
  [SMALL_STATE(363)] = 27316,
  [SMALL_STATE(364)] = 27408,
  [SMALL_STATE(365)] = 27500,
  [SMALL_STATE(366)] = 27592,
  [SMALL_STATE(367)] = 27684,
  [SMALL_STATE(368)] = 27776,
  [SMALL_STATE(369)] = 27868,
  [SMALL_STATE(370)] = 27960,
  [SMALL_STATE(371)] = 28052,
  [SMALL_STATE(372)] = 28144,
  [SMALL_STATE(373)] = 28236,
  [SMALL_STATE(374)] = 28328,
  [SMALL_STATE(375)] = 28420,
  [SMALL_STATE(376)] = 28512,
  [SMALL_STATE(377)] = 28604,
  [SMALL_STATE(378)] = 28696,
  [SMALL_STATE(379)] = 28788,
  [SMALL_STATE(380)] = 28880,
  [SMALL_STATE(381)] = 28972,
  [SMALL_STATE(382)] = 29064,
  [SMALL_STATE(383)] = 29156,
  [SMALL_STATE(384)] = 29248,
  [SMALL_STATE(385)] = 29340,
  [SMALL_STATE(386)] = 29432,
  [SMALL_STATE(387)] = 29524,
  [SMALL_STATE(388)] = 29616,
  [SMALL_STATE(389)] = 29708,
  [SMALL_STATE(390)] = 29800,
  [SMALL_STATE(391)] = 29892,
  [SMALL_STATE(392)] = 29984,
  [SMALL_STATE(393)] = 30076,
  [SMALL_STATE(394)] = 30168,
  [SMALL_STATE(395)] = 30260,
  [SMALL_STATE(396)] = 30354,
  [SMALL_STATE(397)] = 30446,
  [SMALL_STATE(398)] = 30538,
  [SMALL_STATE(399)] = 30630,
  [SMALL_STATE(400)] = 30722,
  [SMALL_STATE(401)] = 30814,
  [SMALL_STATE(402)] = 30906,
  [SMALL_STATE(403)] = 30998,
  [SMALL_STATE(404)] = 31090,
  [SMALL_STATE(405)] = 31182,
  [SMALL_STATE(406)] = 31274,
  [SMALL_STATE(407)] = 31366,
  [SMALL_STATE(408)] = 31458,
  [SMALL_STATE(409)] = 31550,
  [SMALL_STATE(410)] = 31642,
  [SMALL_STATE(411)] = 31734,
  [SMALL_STATE(412)] = 31826,
  [SMALL_STATE(413)] = 31920,
  [SMALL_STATE(414)] = 32012,
  [SMALL_STATE(415)] = 32104,
  [SMALL_STATE(416)] = 32196,
  [SMALL_STATE(417)] = 32288,
  [SMALL_STATE(418)] = 32382,
  [SMALL_STATE(419)] = 32474,
  [SMALL_STATE(420)] = 32566,
  [SMALL_STATE(421)] = 32658,
  [SMALL_STATE(422)] = 32752,
  [SMALL_STATE(423)] = 32844,
  [SMALL_STATE(424)] = 32916,
  [SMALL_STATE(425)] = 33008,
  [SMALL_STATE(426)] = 33100,
  [SMALL_STATE(427)] = 33192,
  [SMALL_STATE(428)] = 33284,
  [SMALL_STATE(429)] = 33378,
  [SMALL_STATE(430)] = 33470,
  [SMALL_STATE(431)] = 33562,
  [SMALL_STATE(432)] = 33654,
  [SMALL_STATE(433)] = 33746,
  [SMALL_STATE(434)] = 33838,
  [SMALL_STATE(435)] = 33930,
  [SMALL_STATE(436)] = 34022,
  [SMALL_STATE(437)] = 34114,
  [SMALL_STATE(438)] = 34206,
  [SMALL_STATE(439)] = 34298,
  [SMALL_STATE(440)] = 34390,
  [SMALL_STATE(441)] = 34455,
  [SMALL_STATE(442)] = 34522,
  [SMALL_STATE(443)] = 34589,
  [SMALL_STATE(444)] = 34654,
  [SMALL_STATE(445)] = 34719,
  [SMALL_STATE(446)] = 34781,
  [SMALL_STATE(447)] = 34847,
  [SMALL_STATE(448)] = 34913,
  [SMALL_STATE(449)] = 34979,
  [SMALL_STATE(450)] = 35035,
  [SMALL_STATE(451)] = 35091,
  [SMALL_STATE(452)] = 35157,
  [SMALL_STATE(453)] = 35213,
  [SMALL_STATE(454)] = 35279,
  [SMALL_STATE(455)] = 35345,
  [SMALL_STATE(456)] = 35411,
  [SMALL_STATE(457)] = 35477,
  [SMALL_STATE(458)] = 35539,
  [SMALL_STATE(459)] = 35595,
  [SMALL_STATE(460)] = 35657,
  [SMALL_STATE(461)] = 35717,
  [SMALL_STATE(462)] = 35773,
  [SMALL_STATE(463)] = 35833,
  [SMALL_STATE(464)] = 35895,
  [SMALL_STATE(465)] = 35957,
  [SMALL_STATE(466)] = 36017,
  [SMALL_STATE(467)] = 36079,
  [SMALL_STATE(468)] = 36135,
  [SMALL_STATE(469)] = 36191,
  [SMALL_STATE(470)] = 36253,
  [SMALL_STATE(471)] = 36315,
  [SMALL_STATE(472)] = 36379,
  [SMALL_STATE(473)] = 36440,
  [SMALL_STATE(474)] = 36501,
  [SMALL_STATE(475)] = 36587,
  [SMALL_STATE(476)] = 36673,
  [SMALL_STATE(477)] = 36726,
  [SMALL_STATE(478)] = 36783,
  [SMALL_STATE(479)] = 36836,
  [SMALL_STATE(480)] = 36889,
  [SMALL_STATE(481)] = 36946,
  [SMALL_STATE(482)] = 36999,
  [SMALL_STATE(483)] = 37052,
  [SMALL_STATE(484)] = 37105,
  [SMALL_STATE(485)] = 37158,
  [SMALL_STATE(486)] = 37211,
  [SMALL_STATE(487)] = 37268,
  [SMALL_STATE(488)] = 37321,
  [SMALL_STATE(489)] = 37374,
  [SMALL_STATE(490)] = 37427,
  [SMALL_STATE(491)] = 37480,
  [SMALL_STATE(492)] = 37537,
  [SMALL_STATE(493)] = 37594,
  [SMALL_STATE(494)] = 37651,
  [SMALL_STATE(495)] = 37708,
  [SMALL_STATE(496)] = 37761,
  [SMALL_STATE(497)] = 37814,
  [SMALL_STATE(498)] = 37867,
  [SMALL_STATE(499)] = 37924,
  [SMALL_STATE(500)] = 37981,
  [SMALL_STATE(501)] = 38038,
  [SMALL_STATE(502)] = 38091,
  [SMALL_STATE(503)] = 38148,
  [SMALL_STATE(504)] = 38205,
  [SMALL_STATE(505)] = 38291,
  [SMALL_STATE(506)] = 38377,
  [SMALL_STATE(507)] = 38460,
  [SMALL_STATE(508)] = 38511,
  [SMALL_STATE(509)] = 38562,
  [SMALL_STATE(510)] = 38613,
  [SMALL_STATE(511)] = 38664,
  [SMALL_STATE(512)] = 38715,
  [SMALL_STATE(513)] = 38766,
  [SMALL_STATE(514)] = 38817,
  [SMALL_STATE(515)] = 38868,
  [SMALL_STATE(516)] = 38951,
  [SMALL_STATE(517)] = 39002,
  [SMALL_STATE(518)] = 39053,
  [SMALL_STATE(519)] = 39136,
  [SMALL_STATE(520)] = 39187,
  [SMALL_STATE(521)] = 39238,
  [SMALL_STATE(522)] = 39321,
  [SMALL_STATE(523)] = 39372,
  [SMALL_STATE(524)] = 39423,
  [SMALL_STATE(525)] = 39474,
  [SMALL_STATE(526)] = 39525,
  [SMALL_STATE(527)] = 39576,
  [SMALL_STATE(528)] = 39627,
  [SMALL_STATE(529)] = 39678,
  [SMALL_STATE(530)] = 39729,
  [SMALL_STATE(531)] = 39780,
  [SMALL_STATE(532)] = 39863,
  [SMALL_STATE(533)] = 39914,
  [SMALL_STATE(534)] = 39965,
  [SMALL_STATE(535)] = 40048,
  [SMALL_STATE(536)] = 40099,
  [SMALL_STATE(537)] = 40150,
  [SMALL_STATE(538)] = 40201,
  [SMALL_STATE(539)] = 40252,
  [SMALL_STATE(540)] = 40335,
  [SMALL_STATE(541)] = 40386,
  [SMALL_STATE(542)] = 40437,
  [SMALL_STATE(543)] = 40488,
  [SMALL_STATE(544)] = 40539,
  [SMALL_STATE(545)] = 40590,
  [SMALL_STATE(546)] = 40641,
  [SMALL_STATE(547)] = 40692,
  [SMALL_STATE(548)] = 40743,
  [SMALL_STATE(549)] = 40794,
  [SMALL_STATE(550)] = 40845,
  [SMALL_STATE(551)] = 40896,
  [SMALL_STATE(552)] = 40947,
  [SMALL_STATE(553)] = 41030,
  [SMALL_STATE(554)] = 41081,
  [SMALL_STATE(555)] = 41132,
  [SMALL_STATE(556)] = 41183,
  [SMALL_STATE(557)] = 41266,
  [SMALL_STATE(558)] = 41317,
  [SMALL_STATE(559)] = 41368,
  [SMALL_STATE(560)] = 41419,
  [SMALL_STATE(561)] = 41470,
  [SMALL_STATE(562)] = 41521,
  [SMALL_STATE(563)] = 41572,
  [SMALL_STATE(564)] = 41623,
  [SMALL_STATE(565)] = 41674,
  [SMALL_STATE(566)] = 41725,
  [SMALL_STATE(567)] = 41776,
  [SMALL_STATE(568)] = 41827,
  [SMALL_STATE(569)] = 41878,
  [SMALL_STATE(570)] = 41929,
  [SMALL_STATE(571)] = 41980,
  [SMALL_STATE(572)] = 42031,
  [SMALL_STATE(573)] = 42082,
  [SMALL_STATE(574)] = 42133,
  [SMALL_STATE(575)] = 42184,
  [SMALL_STATE(576)] = 42235,
  [SMALL_STATE(577)] = 42286,
  [SMALL_STATE(578)] = 42337,
  [SMALL_STATE(579)] = 42388,
  [SMALL_STATE(580)] = 42439,
  [SMALL_STATE(581)] = 42490,
  [SMALL_STATE(582)] = 42541,
  [SMALL_STATE(583)] = 42592,
  [SMALL_STATE(584)] = 42643,
  [SMALL_STATE(585)] = 42694,
  [SMALL_STATE(586)] = 42745,
  [SMALL_STATE(587)] = 42796,
  [SMALL_STATE(588)] = 42847,
  [SMALL_STATE(589)] = 42898,
  [SMALL_STATE(590)] = 42949,
  [SMALL_STATE(591)] = 43000,
  [SMALL_STATE(592)] = 43051,
  [SMALL_STATE(593)] = 43102,
  [SMALL_STATE(594)] = 43185,
  [SMALL_STATE(595)] = 43268,
  [SMALL_STATE(596)] = 43319,
  [SMALL_STATE(597)] = 43402,
  [SMALL_STATE(598)] = 43485,
  [SMALL_STATE(599)] = 43568,
  [SMALL_STATE(600)] = 43619,
  [SMALL_STATE(601)] = 43699,
  [SMALL_STATE(602)] = 43779,
  [SMALL_STATE(603)] = 43859,
  [SMALL_STATE(604)] = 43939,
  [SMALL_STATE(605)] = 44019,
  [SMALL_STATE(606)] = 44099,
  [SMALL_STATE(607)] = 44176,
  [SMALL_STATE(608)] = 44253,
  [SMALL_STATE(609)] = 44322,
  [SMALL_STATE(610)] = 44391,
  [SMALL_STATE(611)] = 44460,
  [SMALL_STATE(612)] = 44529,
  [SMALL_STATE(613)] = 44598,
  [SMALL_STATE(614)] = 44667,
  [SMALL_STATE(615)] = 44736,
  [SMALL_STATE(616)] = 44805,
  [SMALL_STATE(617)] = 44874,
  [SMALL_STATE(618)] = 44943,
  [SMALL_STATE(619)] = 45012,
  [SMALL_STATE(620)] = 45081,
  [SMALL_STATE(621)] = 45150,
  [SMALL_STATE(622)] = 45219,
  [SMALL_STATE(623)] = 45288,
  [SMALL_STATE(624)] = 45357,
  [SMALL_STATE(625)] = 45426,
  [SMALL_STATE(626)] = 45495,
  [SMALL_STATE(627)] = 45568,
  [SMALL_STATE(628)] = 45637,
  [SMALL_STATE(629)] = 45706,
  [SMALL_STATE(630)] = 45775,
  [SMALL_STATE(631)] = 45844,
  [SMALL_STATE(632)] = 45913,
  [SMALL_STATE(633)] = 45982,
  [SMALL_STATE(634)] = 46051,
  [SMALL_STATE(635)] = 46120,
  [SMALL_STATE(636)] = 46189,
  [SMALL_STATE(637)] = 46258,
  [SMALL_STATE(638)] = 46327,
  [SMALL_STATE(639)] = 46396,
  [SMALL_STATE(640)] = 46465,
  [SMALL_STATE(641)] = 46534,
  [SMALL_STATE(642)] = 46603,
  [SMALL_STATE(643)] = 46672,
  [SMALL_STATE(644)] = 46741,
  [SMALL_STATE(645)] = 46810,
  [SMALL_STATE(646)] = 46879,
  [SMALL_STATE(647)] = 46948,
  [SMALL_STATE(648)] = 47017,
  [SMALL_STATE(649)] = 47086,
  [SMALL_STATE(650)] = 47159,
  [SMALL_STATE(651)] = 47232,
  [SMALL_STATE(652)] = 47301,
  [SMALL_STATE(653)] = 47370,
  [SMALL_STATE(654)] = 47443,
  [SMALL_STATE(655)] = 47516,
  [SMALL_STATE(656)] = 47585,
  [SMALL_STATE(657)] = 47654,
  [SMALL_STATE(658)] = 47723,
  [SMALL_STATE(659)] = 47792,
  [SMALL_STATE(660)] = 47861,
  [SMALL_STATE(661)] = 47930,
  [SMALL_STATE(662)] = 47999,
  [SMALL_STATE(663)] = 48068,
  [SMALL_STATE(664)] = 48141,
  [SMALL_STATE(665)] = 48214,
  [SMALL_STATE(666)] = 48283,
  [SMALL_STATE(667)] = 48352,
  [SMALL_STATE(668)] = 48421,
  [SMALL_STATE(669)] = 48490,
  [SMALL_STATE(670)] = 48559,
  [SMALL_STATE(671)] = 48628,
  [SMALL_STATE(672)] = 48697,
  [SMALL_STATE(673)] = 48766,
  [SMALL_STATE(674)] = 48835,
  [SMALL_STATE(675)] = 48908,
  [SMALL_STATE(676)] = 48981,
  [SMALL_STATE(677)] = 49050,
  [SMALL_STATE(678)] = 49123,
  [SMALL_STATE(679)] = 49192,
  [SMALL_STATE(680)] = 49265,
  [SMALL_STATE(681)] = 49334,
  [SMALL_STATE(682)] = 49403,
  [SMALL_STATE(683)] = 49476,
  [SMALL_STATE(684)] = 49545,
  [SMALL_STATE(685)] = 49618,
  [SMALL_STATE(686)] = 49691,
  [SMALL_STATE(687)] = 49760,
  [SMALL_STATE(688)] = 49833,
  [SMALL_STATE(689)] = 49906,
  [SMALL_STATE(690)] = 49975,
  [SMALL_STATE(691)] = 50044,
  [SMALL_STATE(692)] = 50113,
  [SMALL_STATE(693)] = 50186,
  [SMALL_STATE(694)] = 50259,
  [SMALL_STATE(695)] = 50328,
  [SMALL_STATE(696)] = 50397,
  [SMALL_STATE(697)] = 50442,
  [SMALL_STATE(698)] = 50487,
  [SMALL_STATE(699)] = 50532,
  [SMALL_STATE(700)] = 50577,
  [SMALL_STATE(701)] = 50622,
  [SMALL_STATE(702)] = 50667,
  [SMALL_STATE(703)] = 50712,
  [SMALL_STATE(704)] = 50789,
  [SMALL_STATE(705)] = 50866,
  [SMALL_STATE(706)] = 50943,
  [SMALL_STATE(707)] = 50997,
  [SMALL_STATE(708)] = 51055,
  [SMALL_STATE(709)] = 51121,
  [SMALL_STATE(710)] = 51185,
  [SMALL_STATE(711)] = 51249,
  [SMALL_STATE(712)] = 51311,
  [SMALL_STATE(713)] = 51365,
  [SMALL_STATE(714)] = 51433,
  [SMALL_STATE(715)] = 51495,
  [SMALL_STATE(716)] = 51541,
  [SMALL_STATE(717)] = 51591,
  [SMALL_STATE(718)] = 51641,
  [SMALL_STATE(719)] = 51691,
  [SMALL_STATE(720)] = 51737,
  [SMALL_STATE(721)] = 51783,
  [SMALL_STATE(722)] = 51829,
  [SMALL_STATE(723)] = 51875,
  [SMALL_STATE(724)] = 51943,
  [SMALL_STATE(725)] = 51989,
  [SMALL_STATE(726)] = 52039,
  [SMALL_STATE(727)] = 52099,
  [SMALL_STATE(728)] = 52167,
  [SMALL_STATE(729)] = 52221,
  [SMALL_STATE(730)] = 52275,
  [SMALL_STATE(731)] = 52329,
  [SMALL_STATE(732)] = 52379,
  [SMALL_STATE(733)] = 52445,
  [SMALL_STATE(734)] = 52499,
  [SMALL_STATE(735)] = 52547,
  [SMALL_STATE(736)] = 52595,
  [SMALL_STATE(737)] = 52643,
  [SMALL_STATE(738)] = 52703,
  [SMALL_STATE(739)] = 52771,
  [SMALL_STATE(740)] = 52847,
  [SMALL_STATE(741)] = 52921,
  [SMALL_STATE(742)] = 52981,
  [SMALL_STATE(743)] = 53035,
  [SMALL_STATE(744)] = 53089,
  [SMALL_STATE(745)] = 53147,
  [SMALL_STATE(746)] = 53201,
  [SMALL_STATE(747)] = 53267,
  [SMALL_STATE(748)] = 53335,
  [SMALL_STATE(749)] = 53399,
  [SMALL_STATE(750)] = 53461,
  [SMALL_STATE(751)] = 53537,
  [SMALL_STATE(752)] = 53613,
  [SMALL_STATE(753)] = 53659,
  [SMALL_STATE(754)] = 53727,
  [SMALL_STATE(755)] = 53773,
  [SMALL_STATE(756)] = 53819,
  [SMALL_STATE(757)] = 53877,
  [SMALL_STATE(758)] = 53922,
  [SMALL_STATE(759)] = 53965,
  [SMALL_STATE(760)] = 54008,
  [SMALL_STATE(761)] = 54051,
  [SMALL_STATE(762)] = 54118,
  [SMALL_STATE(763)] = 54161,
  [SMALL_STATE(764)] = 54204,
  [SMALL_STATE(765)] = 54247,
  [SMALL_STATE(766)] = 54290,
  [SMALL_STATE(767)] = 54333,
  [SMALL_STATE(768)] = 54376,
  [SMALL_STATE(769)] = 54419,
  [SMALL_STATE(770)] = 54486,
  [SMALL_STATE(771)] = 54529,
  [SMALL_STATE(772)] = 54572,
  [SMALL_STATE(773)] = 54615,
  [SMALL_STATE(774)] = 54658,
  [SMALL_STATE(775)] = 54701,
  [SMALL_STATE(776)] = 54744,
  [SMALL_STATE(777)] = 54787,
  [SMALL_STATE(778)] = 54830,
  [SMALL_STATE(779)] = 54875,
  [SMALL_STATE(780)] = 54918,
  [SMALL_STATE(781)] = 54961,
  [SMALL_STATE(782)] = 55004,
  [SMALL_STATE(783)] = 55049,
  [SMALL_STATE(784)] = 55092,
  [SMALL_STATE(785)] = 55135,
  [SMALL_STATE(786)] = 55178,
  [SMALL_STATE(787)] = 55223,
  [SMALL_STATE(788)] = 55266,
  [SMALL_STATE(789)] = 55311,
  [SMALL_STATE(790)] = 55354,
  [SMALL_STATE(791)] = 55399,
  [SMALL_STATE(792)] = 55446,
  [SMALL_STATE(793)] = 55493,
  [SMALL_STATE(794)] = 55538,
  [SMALL_STATE(795)] = 55581,
  [SMALL_STATE(796)] = 55624,
  [SMALL_STATE(797)] = 55667,
  [SMALL_STATE(798)] = 55710,
  [SMALL_STATE(799)] = 55753,
  [SMALL_STATE(800)] = 55796,
  [SMALL_STATE(801)] = 55839,
  [SMALL_STATE(802)] = 55882,
  [SMALL_STATE(803)] = 55925,
  [SMALL_STATE(804)] = 55968,
  [SMALL_STATE(805)] = 56011,
  [SMALL_STATE(806)] = 56058,
  [SMALL_STATE(807)] = 56105,
  [SMALL_STATE(808)] = 56152,
  [SMALL_STATE(809)] = 56197,
  [SMALL_STATE(810)] = 56242,
  [SMALL_STATE(811)] = 56287,
  [SMALL_STATE(812)] = 56332,
  [SMALL_STATE(813)] = 56375,
  [SMALL_STATE(814)] = 56418,
  [SMALL_STATE(815)] = 56465,
  [SMALL_STATE(816)] = 56514,
  [SMALL_STATE(817)] = 56557,
  [SMALL_STATE(818)] = 56600,
  [SMALL_STATE(819)] = 56659,
  [SMALL_STATE(820)] = 56702,
  [SMALL_STATE(821)] = 56745,
  [SMALL_STATE(822)] = 56788,
  [SMALL_STATE(823)] = 56855,
  [SMALL_STATE(824)] = 56902,
  [SMALL_STATE(825)] = 56949,
  [SMALL_STATE(826)] = 56996,
  [SMALL_STATE(827)] = 57039,
  [SMALL_STATE(828)] = 57082,
  [SMALL_STATE(829)] = 57125,
  [SMALL_STATE(830)] = 57178,
  [SMALL_STATE(831)] = 57221,
  [SMALL_STATE(832)] = 57264,
  [SMALL_STATE(833)] = 57307,
  [SMALL_STATE(834)] = 57350,
  [SMALL_STATE(835)] = 57393,
  [SMALL_STATE(836)] = 57436,
  [SMALL_STATE(837)] = 57479,
  [SMALL_STATE(838)] = 57522,
  [SMALL_STATE(839)] = 57565,
  [SMALL_STATE(840)] = 57608,
  [SMALL_STATE(841)] = 57651,
  [SMALL_STATE(842)] = 57694,
  [SMALL_STATE(843)] = 57737,
  [SMALL_STATE(844)] = 57780,
  [SMALL_STATE(845)] = 57833,
  [SMALL_STATE(846)] = 57880,
  [SMALL_STATE(847)] = 57923,
  [SMALL_STATE(848)] = 57970,
  [SMALL_STATE(849)] = 58029,
  [SMALL_STATE(850)] = 58072,
  [SMALL_STATE(851)] = 58139,
  [SMALL_STATE(852)] = 58192,
  [SMALL_STATE(853)] = 58235,
  [SMALL_STATE(854)] = 58278,
  [SMALL_STATE(855)] = 58331,
  [SMALL_STATE(856)] = 58374,
  [SMALL_STATE(857)] = 58427,
  [SMALL_STATE(858)] = 58484,
  [SMALL_STATE(859)] = 58549,
  [SMALL_STATE(860)] = 58592,
  [SMALL_STATE(861)] = 58635,
  [SMALL_STATE(862)] = 58678,
  [SMALL_STATE(863)] = 58721,
  [SMALL_STATE(864)] = 58764,
  [SMALL_STATE(865)] = 58807,
  [SMALL_STATE(866)] = 58864,
  [SMALL_STATE(867)] = 58913,
  [SMALL_STATE(868)] = 58978,
  [SMALL_STATE(869)] = 59021,
  [SMALL_STATE(870)] = 59064,
  [SMALL_STATE(871)] = 59123,
  [SMALL_STATE(872)] = 59190,
  [SMALL_STATE(873)] = 59243,
  [SMALL_STATE(874)] = 59286,
  [SMALL_STATE(875)] = 59339,
  [SMALL_STATE(876)] = 59382,
  [SMALL_STATE(877)] = 59439,
  [SMALL_STATE(878)] = 59486,
  [SMALL_STATE(879)] = 59529,
  [SMALL_STATE(880)] = 59594,
  [SMALL_STATE(881)] = 59637,
  [SMALL_STATE(882)] = 59700,
  [SMALL_STATE(883)] = 59761,
  [SMALL_STATE(884)] = 59824,
  [SMALL_STATE(885)] = 59867,
  [SMALL_STATE(886)] = 59910,
  [SMALL_STATE(887)] = 59971,
  [SMALL_STATE(888)] = 60014,
  [SMALL_STATE(889)] = 60057,
  [SMALL_STATE(890)] = 60120,
  [SMALL_STATE(891)] = 60187,
  [SMALL_STATE(892)] = 60230,
  [SMALL_STATE(893)] = 60273,
  [SMALL_STATE(894)] = 60316,
  [SMALL_STATE(895)] = 60359,
  [SMALL_STATE(896)] = 60402,
  [SMALL_STATE(897)] = 60445,
  [SMALL_STATE(898)] = 60488,
  [SMALL_STATE(899)] = 60549,
  [SMALL_STATE(900)] = 60594,
  [SMALL_STATE(901)] = 60637,
  [SMALL_STATE(902)] = 60682,
  [SMALL_STATE(903)] = 60727,
  [SMALL_STATE(904)] = 60772,
  [SMALL_STATE(905)] = 60817,
  [SMALL_STATE(906)] = 60890,
  [SMALL_STATE(907)] = 60935,
  [SMALL_STATE(908)] = 60988,
  [SMALL_STATE(909)] = 61033,
  [SMALL_STATE(910)] = 61078,
  [SMALL_STATE(911)] = 61123,
  [SMALL_STATE(912)] = 61170,
  [SMALL_STATE(913)] = 61217,
  [SMALL_STATE(914)] = 61260,
  [SMALL_STATE(915)] = 61307,
  [SMALL_STATE(916)] = 61350,
  [SMALL_STATE(917)] = 61393,
  [SMALL_STATE(918)] = 61446,
  [SMALL_STATE(919)] = 61489,
  [SMALL_STATE(920)] = 61532,
  [SMALL_STATE(921)] = 61574,
  [SMALL_STATE(922)] = 61616,
  [SMALL_STATE(923)] = 61658,
  [SMALL_STATE(924)] = 61700,
  [SMALL_STATE(925)] = 61742,
  [SMALL_STATE(926)] = 61784,
  [SMALL_STATE(927)] = 61836,
  [SMALL_STATE(928)] = 61878,
  [SMALL_STATE(929)] = 61920,
  [SMALL_STATE(930)] = 61962,
  [SMALL_STATE(931)] = 62004,
  [SMALL_STATE(932)] = 62046,
  [SMALL_STATE(933)] = 62088,
  [SMALL_STATE(934)] = 62130,
  [SMALL_STATE(935)] = 62172,
  [SMALL_STATE(936)] = 62214,
  [SMALL_STATE(937)] = 62260,
  [SMALL_STATE(938)] = 62306,
  [SMALL_STATE(939)] = 62352,
  [SMALL_STATE(940)] = 62394,
  [SMALL_STATE(941)] = 62436,
  [SMALL_STATE(942)] = 62478,
  [SMALL_STATE(943)] = 62520,
  [SMALL_STATE(944)] = 62562,
  [SMALL_STATE(945)] = 62604,
  [SMALL_STATE(946)] = 62646,
  [SMALL_STATE(947)] = 62696,
  [SMALL_STATE(948)] = 62738,
  [SMALL_STATE(949)] = 62780,
  [SMALL_STATE(950)] = 62822,
  [SMALL_STATE(951)] = 62866,
  [SMALL_STATE(952)] = 62908,
  [SMALL_STATE(953)] = 62950,
  [SMALL_STATE(954)] = 62992,
  [SMALL_STATE(955)] = 63034,
  [SMALL_STATE(956)] = 63076,
  [SMALL_STATE(957)] = 63118,
  [SMALL_STATE(958)] = 63160,
  [SMALL_STATE(959)] = 63202,
  [SMALL_STATE(960)] = 63244,
  [SMALL_STATE(961)] = 63286,
  [SMALL_STATE(962)] = 63344,
  [SMALL_STATE(963)] = 63386,
  [SMALL_STATE(964)] = 63428,
  [SMALL_STATE(965)] = 63494,
  [SMALL_STATE(966)] = 63536,
  [SMALL_STATE(967)] = 63578,
  [SMALL_STATE(968)] = 63620,
  [SMALL_STATE(969)] = 63672,
  [SMALL_STATE(970)] = 63724,
  [SMALL_STATE(971)] = 63780,
  [SMALL_STATE(972)] = 63844,
  [SMALL_STATE(973)] = 63906,
  [SMALL_STATE(974)] = 63966,
  [SMALL_STATE(975)] = 64008,
  [SMALL_STATE(976)] = 64050,
  [SMALL_STATE(977)] = 64092,
  [SMALL_STATE(978)] = 64134,
  [SMALL_STATE(979)] = 64176,
  [SMALL_STATE(980)] = 64218,
  [SMALL_STATE(981)] = 64260,
  [SMALL_STATE(982)] = 64326,
  [SMALL_STATE(983)] = 64368,
  [SMALL_STATE(984)] = 64410,
  [SMALL_STATE(985)] = 64452,
  [SMALL_STATE(986)] = 64494,
  [SMALL_STATE(987)] = 64536,
  [SMALL_STATE(988)] = 64578,
  [SMALL_STATE(989)] = 64620,
  [SMALL_STATE(990)] = 64666,
  [SMALL_STATE(991)] = 64708,
  [SMALL_STATE(992)] = 64754,
  [SMALL_STATE(993)] = 64796,
  [SMALL_STATE(994)] = 64838,
  [SMALL_STATE(995)] = 64880,
  [SMALL_STATE(996)] = 64922,
  [SMALL_STATE(997)] = 64964,
  [SMALL_STATE(998)] = 65014,
  [SMALL_STATE(999)] = 65056,
  [SMALL_STATE(1000)] = 65098,
  [SMALL_STATE(1001)] = 65140,
  [SMALL_STATE(1002)] = 65182,
  [SMALL_STATE(1003)] = 65228,
  [SMALL_STATE(1004)] = 65270,
  [SMALL_STATE(1005)] = 65312,
  [SMALL_STATE(1006)] = 65354,
  [SMALL_STATE(1007)] = 65396,
  [SMALL_STATE(1008)] = 65438,
  [SMALL_STATE(1009)] = 65480,
  [SMALL_STATE(1010)] = 65522,
  [SMALL_STATE(1011)] = 65564,
  [SMALL_STATE(1012)] = 65606,
  [SMALL_STATE(1013)] = 65648,
  [SMALL_STATE(1014)] = 65690,
  [SMALL_STATE(1015)] = 65732,
  [SMALL_STATE(1016)] = 65774,
  [SMALL_STATE(1017)] = 65816,
  [SMALL_STATE(1018)] = 65858,
  [SMALL_STATE(1019)] = 65902,
  [SMALL_STATE(1020)] = 65944,
  [SMALL_STATE(1021)] = 65990,
  [SMALL_STATE(1022)] = 66036,
  [SMALL_STATE(1023)] = 66082,
  [SMALL_STATE(1024)] = 66126,
  [SMALL_STATE(1025)] = 66168,
  [SMALL_STATE(1026)] = 66240,
  [SMALL_STATE(1027)] = 66282,
  [SMALL_STATE(1028)] = 66324,
  [SMALL_STATE(1029)] = 66366,
  [SMALL_STATE(1030)] = 66408,
  [SMALL_STATE(1031)] = 66452,
  [SMALL_STATE(1032)] = 66498,
  [SMALL_STATE(1033)] = 66570,
  [SMALL_STATE(1034)] = 66612,
  [SMALL_STATE(1035)] = 66656,
  [SMALL_STATE(1036)] = 66698,
  [SMALL_STATE(1037)] = 66740,
  [SMALL_STATE(1038)] = 66782,
  [SMALL_STATE(1039)] = 66826,
  [SMALL_STATE(1040)] = 66868,
  [SMALL_STATE(1041)] = 66914,
  [SMALL_STATE(1042)] = 66956,
  [SMALL_STATE(1043)] = 67002,
  [SMALL_STATE(1044)] = 67044,
  [SMALL_STATE(1045)] = 67086,
  [SMALL_STATE(1046)] = 67130,
  [SMALL_STATE(1047)] = 67172,
  [SMALL_STATE(1048)] = 67216,
  [SMALL_STATE(1049)] = 67258,
  [SMALL_STATE(1050)] = 67300,
  [SMALL_STATE(1051)] = 67342,
  [SMALL_STATE(1052)] = 67384,
  [SMALL_STATE(1053)] = 67426,
  [SMALL_STATE(1054)] = 67468,
  [SMALL_STATE(1055)] = 67510,
  [SMALL_STATE(1056)] = 67552,
  [SMALL_STATE(1057)] = 67593,
  [SMALL_STATE(1058)] = 67634,
  [SMALL_STATE(1059)] = 67675,
  [SMALL_STATE(1060)] = 67716,
  [SMALL_STATE(1061)] = 67757,
  [SMALL_STATE(1062)] = 67798,
  [SMALL_STATE(1063)] = 67841,
  [SMALL_STATE(1064)] = 67882,
  [SMALL_STATE(1065)] = 67925,
  [SMALL_STATE(1066)] = 67966,
  [SMALL_STATE(1067)] = 68009,
  [SMALL_STATE(1068)] = 68052,
  [SMALL_STATE(1069)] = 68101,
  [SMALL_STATE(1070)] = 68142,
  [SMALL_STATE(1071)] = 68185,
  [SMALL_STATE(1072)] = 68226,
  [SMALL_STATE(1073)] = 68267,
  [SMALL_STATE(1074)] = 68312,
  [SMALL_STATE(1075)] = 68353,
  [SMALL_STATE(1076)] = 68396,
  [SMALL_STATE(1077)] = 68437,
  [SMALL_STATE(1078)] = 68480,
  [SMALL_STATE(1079)] = 68521,
  [SMALL_STATE(1080)] = 68562,
  [SMALL_STATE(1081)] = 68605,
  [SMALL_STATE(1082)] = 68646,
  [SMALL_STATE(1083)] = 68687,
  [SMALL_STATE(1084)] = 68728,
  [SMALL_STATE(1085)] = 68769,
  [SMALL_STATE(1086)] = 68810,
  [SMALL_STATE(1087)] = 68851,
  [SMALL_STATE(1088)] = 68892,
  [SMALL_STATE(1089)] = 68933,
  [SMALL_STATE(1090)] = 68974,
  [SMALL_STATE(1091)] = 69017,
  [SMALL_STATE(1092)] = 69064,
  [SMALL_STATE(1093)] = 69105,
  [SMALL_STATE(1094)] = 69148,
  [SMALL_STATE(1095)] = 69189,
  [SMALL_STATE(1096)] = 69232,
  [SMALL_STATE(1097)] = 69277,
  [SMALL_STATE(1098)] = 69322,
  [SMALL_STATE(1099)] = 69363,
  [SMALL_STATE(1100)] = 69404,
  [SMALL_STATE(1101)] = 69447,
  [SMALL_STATE(1102)] = 69488,
  [SMALL_STATE(1103)] = 69531,
  [SMALL_STATE(1104)] = 69572,
  [SMALL_STATE(1105)] = 69613,
  [SMALL_STATE(1106)] = 69656,
  [SMALL_STATE(1107)] = 69697,
  [SMALL_STATE(1108)] = 69740,
  [SMALL_STATE(1109)] = 69781,
  [SMALL_STATE(1110)] = 69826,
  [SMALL_STATE(1111)] = 69869,
  [SMALL_STATE(1112)] = 69914,
  [SMALL_STATE(1113)] = 69955,
  [SMALL_STATE(1114)] = 70000,
  [SMALL_STATE(1115)] = 70041,
  [SMALL_STATE(1116)] = 70082,
  [SMALL_STATE(1117)] = 70123,
  [SMALL_STATE(1118)] = 70164,
  [SMALL_STATE(1119)] = 70205,
  [SMALL_STATE(1120)] = 70248,
  [SMALL_STATE(1121)] = 70289,
  [SMALL_STATE(1122)] = 70332,
  [SMALL_STATE(1123)] = 70373,
  [SMALL_STATE(1124)] = 70413,
  [SMALL_STATE(1125)] = 70455,
  [SMALL_STATE(1126)] = 70497,
  [SMALL_STATE(1127)] = 70539,
  [SMALL_STATE(1128)] = 70579,
  [SMALL_STATE(1129)] = 70619,
  [SMALL_STATE(1130)] = 70693,
  [SMALL_STATE(1131)] = 70735,
  [SMALL_STATE(1132)] = 70809,
  [SMALL_STATE(1133)] = 70877,
  [SMALL_STATE(1134)] = 70945,
  [SMALL_STATE(1135)] = 71013,
  [SMALL_STATE(1136)] = 71081,
  [SMALL_STATE(1137)] = 71149,
  [SMALL_STATE(1138)] = 71217,
  [SMALL_STATE(1139)] = 71285,
  [SMALL_STATE(1140)] = 71353,
  [SMALL_STATE(1141)] = 71421,
  [SMALL_STATE(1142)] = 71489,
  [SMALL_STATE(1143)] = 71557,
  [SMALL_STATE(1144)] = 71625,
  [SMALL_STATE(1145)] = 71693,
  [SMALL_STATE(1146)] = 71761,
  [SMALL_STATE(1147)] = 71829,
  [SMALL_STATE(1148)] = 71897,
  [SMALL_STATE(1149)] = 71965,
  [SMALL_STATE(1150)] = 72033,
  [SMALL_STATE(1151)] = 72101,
  [SMALL_STATE(1152)] = 72169,
  [SMALL_STATE(1153)] = 72237,
  [SMALL_STATE(1154)] = 72305,
  [SMALL_STATE(1155)] = 72373,
  [SMALL_STATE(1156)] = 72441,
  [SMALL_STATE(1157)] = 72509,
  [SMALL_STATE(1158)] = 72577,
  [SMALL_STATE(1159)] = 72645,
  [SMALL_STATE(1160)] = 72713,
  [SMALL_STATE(1161)] = 72781,
  [SMALL_STATE(1162)] = 72849,
  [SMALL_STATE(1163)] = 72917,
  [SMALL_STATE(1164)] = 72985,
  [SMALL_STATE(1165)] = 73053,
  [SMALL_STATE(1166)] = 73121,
  [SMALL_STATE(1167)] = 73189,
  [SMALL_STATE(1168)] = 73257,
  [SMALL_STATE(1169)] = 73322,
  [SMALL_STATE(1170)] = 73387,
  [SMALL_STATE(1171)] = 73452,
  [SMALL_STATE(1172)] = 73517,
  [SMALL_STATE(1173)] = 73582,
  [SMALL_STATE(1174)] = 73648,
  [SMALL_STATE(1175)] = 73714,
  [SMALL_STATE(1176)] = 73780,
  [SMALL_STATE(1177)] = 73846,
  [SMALL_STATE(1178)] = 73912,
  [SMALL_STATE(1179)] = 73978,
  [SMALL_STATE(1180)] = 74044,
  [SMALL_STATE(1181)] = 74110,
  [SMALL_STATE(1182)] = 74176,
  [SMALL_STATE(1183)] = 74242,
  [SMALL_STATE(1184)] = 74308,
  [SMALL_STATE(1185)] = 74374,
  [SMALL_STATE(1186)] = 74440,
  [SMALL_STATE(1187)] = 74506,
  [SMALL_STATE(1188)] = 74572,
  [SMALL_STATE(1189)] = 74638,
  [SMALL_STATE(1190)] = 74704,
  [SMALL_STATE(1191)] = 74770,
  [SMALL_STATE(1192)] = 74836,
  [SMALL_STATE(1193)] = 74902,
  [SMALL_STATE(1194)] = 74965,
  [SMALL_STATE(1195)] = 75023,
  [SMALL_STATE(1196)] = 75081,
  [SMALL_STATE(1197)] = 75139,
  [SMALL_STATE(1198)] = 75197,
  [SMALL_STATE(1199)] = 75255,
  [SMALL_STATE(1200)] = 75313,
  [SMALL_STATE(1201)] = 75371,
  [SMALL_STATE(1202)] = 75429,
  [SMALL_STATE(1203)] = 75461,
  [SMALL_STATE(1204)] = 75493,
  [SMALL_STATE(1205)] = 75525,
  [SMALL_STATE(1206)] = 75557,
  [SMALL_STATE(1207)] = 75589,
  [SMALL_STATE(1208)] = 75621,
  [SMALL_STATE(1209)] = 75659,
  [SMALL_STATE(1210)] = 75697,
  [SMALL_STATE(1211)] = 75734,
  [SMALL_STATE(1212)] = 75771,
  [SMALL_STATE(1213)] = 75808,
  [SMALL_STATE(1214)] = 75845,
  [SMALL_STATE(1215)] = 75875,
  [SMALL_STATE(1216)] = 75911,
  [SMALL_STATE(1217)] = 75947,
  [SMALL_STATE(1218)] = 75977,
  [SMALL_STATE(1219)] = 76007,
  [SMALL_STATE(1220)] = 76037,
  [SMALL_STATE(1221)] = 76073,
  [SMALL_STATE(1222)] = 76109,
  [SMALL_STATE(1223)] = 76143,
  [SMALL_STATE(1224)] = 76177,
  [SMALL_STATE(1225)] = 76207,
  [SMALL_STATE(1226)] = 76237,
  [SMALL_STATE(1227)] = 76267,
  [SMALL_STATE(1228)] = 76297,
  [SMALL_STATE(1229)] = 76326,
  [SMALL_STATE(1230)] = 76355,
  [SMALL_STATE(1231)] = 76380,
  [SMALL_STATE(1232)] = 76409,
  [SMALL_STATE(1233)] = 76438,
  [SMALL_STATE(1234)] = 76467,
  [SMALL_STATE(1235)] = 76496,
  [SMALL_STATE(1236)] = 76525,
  [SMALL_STATE(1237)] = 76554,
  [SMALL_STATE(1238)] = 76579,
  [SMALL_STATE(1239)] = 76604,
  [SMALL_STATE(1240)] = 76639,
  [SMALL_STATE(1241)] = 76668,
  [SMALL_STATE(1242)] = 76697,
  [SMALL_STATE(1243)] = 76726,
  [SMALL_STATE(1244)] = 76755,
  [SMALL_STATE(1245)] = 76784,
  [SMALL_STATE(1246)] = 76819,
  [SMALL_STATE(1247)] = 76848,
  [SMALL_STATE(1248)] = 76877,
  [SMALL_STATE(1249)] = 76906,
  [SMALL_STATE(1250)] = 76931,
  [SMALL_STATE(1251)] = 76960,
  [SMALL_STATE(1252)] = 76989,
  [SMALL_STATE(1253)] = 77018,
  [SMALL_STATE(1254)] = 77047,
  [SMALL_STATE(1255)] = 77076,
  [SMALL_STATE(1256)] = 77105,
  [SMALL_STATE(1257)] = 77134,
  [SMALL_STATE(1258)] = 77163,
  [SMALL_STATE(1259)] = 77209,
  [SMALL_STATE(1260)] = 77255,
  [SMALL_STATE(1261)] = 77279,
  [SMALL_STATE(1262)] = 77325,
  [SMALL_STATE(1263)] = 77355,
  [SMALL_STATE(1264)] = 77383,
  [SMALL_STATE(1265)] = 77429,
  [SMALL_STATE(1266)] = 77453,
  [SMALL_STATE(1267)] = 77499,
  [SMALL_STATE(1268)] = 77545,
  [SMALL_STATE(1269)] = 77591,
  [SMALL_STATE(1270)] = 77623,
  [SMALL_STATE(1271)] = 77647,
  [SMALL_STATE(1272)] = 77693,
  [SMALL_STATE(1273)] = 77721,
  [SMALL_STATE(1274)] = 77767,
  [SMALL_STATE(1275)] = 77813,
  [SMALL_STATE(1276)] = 77859,
  [SMALL_STATE(1277)] = 77905,
  [SMALL_STATE(1278)] = 77951,
  [SMALL_STATE(1279)] = 77997,
  [SMALL_STATE(1280)] = 78043,
  [SMALL_STATE(1281)] = 78089,
  [SMALL_STATE(1282)] = 78121,
  [SMALL_STATE(1283)] = 78167,
  [SMALL_STATE(1284)] = 78213,
  [SMALL_STATE(1285)] = 78237,
  [SMALL_STATE(1286)] = 78280,
  [SMALL_STATE(1287)] = 78306,
  [SMALL_STATE(1288)] = 78346,
  [SMALL_STATE(1289)] = 78386,
  [SMALL_STATE(1290)] = 78426,
  [SMALL_STATE(1291)] = 78466,
  [SMALL_STATE(1292)] = 78503,
  [SMALL_STATE(1293)] = 78540,
  [SMALL_STATE(1294)] = 78581,
  [SMALL_STATE(1295)] = 78622,
  [SMALL_STATE(1296)] = 78663,
  [SMALL_STATE(1297)] = 78704,
  [SMALL_STATE(1298)] = 78745,
  [SMALL_STATE(1299)] = 78786,
  [SMALL_STATE(1300)] = 78827,
  [SMALL_STATE(1301)] = 78857,
  [SMALL_STATE(1302)] = 78879,
  [SMALL_STATE(1303)] = 78897,
  [SMALL_STATE(1304)] = 78917,
  [SMALL_STATE(1305)] = 78947,
  [SMALL_STATE(1306)] = 78977,
  [SMALL_STATE(1307)] = 78995,
  [SMALL_STATE(1308)] = 79025,
  [SMALL_STATE(1309)] = 79051,
  [SMALL_STATE(1310)] = 79081,
  [SMALL_STATE(1311)] = 79111,
  [SMALL_STATE(1312)] = 79141,
  [SMALL_STATE(1313)] = 79179,
  [SMALL_STATE(1314)] = 79211,
  [SMALL_STATE(1315)] = 79237,
  [SMALL_STATE(1316)] = 79267,
  [SMALL_STATE(1317)] = 79297,
  [SMALL_STATE(1318)] = 79327,
  [SMALL_STATE(1319)] = 79357,
  [SMALL_STATE(1320)] = 79387,
  [SMALL_STATE(1321)] = 79417,
  [SMALL_STATE(1322)] = 79447,
  [SMALL_STATE(1323)] = 79477,
  [SMALL_STATE(1324)] = 79507,
  [SMALL_STATE(1325)] = 79537,
  [SMALL_STATE(1326)] = 79575,
  [SMALL_STATE(1327)] = 79599,
  [SMALL_STATE(1328)] = 79629,
  [SMALL_STATE(1329)] = 79647,
  [SMALL_STATE(1330)] = 79673,
  [SMALL_STATE(1331)] = 79711,
  [SMALL_STATE(1332)] = 79741,
  [SMALL_STATE(1333)] = 79779,
  [SMALL_STATE(1334)] = 79809,
  [SMALL_STATE(1335)] = 79847,
  [SMALL_STATE(1336)] = 79877,
  [SMALL_STATE(1337)] = 79915,
  [SMALL_STATE(1338)] = 79945,
  [SMALL_STATE(1339)] = 79983,
  [SMALL_STATE(1340)] = 80013,
  [SMALL_STATE(1341)] = 80032,
  [SMALL_STATE(1342)] = 80057,
  [SMALL_STATE(1343)] = 80082,
  [SMALL_STATE(1344)] = 80103,
  [SMALL_STATE(1345)] = 80120,
  [SMALL_STATE(1346)] = 80145,
  [SMALL_STATE(1347)] = 80166,
  [SMALL_STATE(1348)] = 80183,
  [SMALL_STATE(1349)] = 80202,
  [SMALL_STATE(1350)] = 80219,
  [SMALL_STATE(1351)] = 80236,
  [SMALL_STATE(1352)] = 80261,
  [SMALL_STATE(1353)] = 80286,
  [SMALL_STATE(1354)] = 80311,
  [SMALL_STATE(1355)] = 80328,
  [SMALL_STATE(1356)] = 80353,
  [SMALL_STATE(1357)] = 80382,
  [SMALL_STATE(1358)] = 80407,
  [SMALL_STATE(1359)] = 80424,
  [SMALL_STATE(1360)] = 80447,
  [SMALL_STATE(1361)] = 80470,
  [SMALL_STATE(1362)] = 80490,
  [SMALL_STATE(1363)] = 80514,
  [SMALL_STATE(1364)] = 80536,
  [SMALL_STATE(1365)] = 80560,
  [SMALL_STATE(1366)] = 80582,
  [SMALL_STATE(1367)] = 80600,
  [SMALL_STATE(1368)] = 80616,
  [SMALL_STATE(1369)] = 80632,
  [SMALL_STATE(1370)] = 80656,
  [SMALL_STATE(1371)] = 80680,
  [SMALL_STATE(1372)] = 80698,
  [SMALL_STATE(1373)] = 80718,
  [SMALL_STATE(1374)] = 80742,
  [SMALL_STATE(1375)] = 80758,
  [SMALL_STATE(1376)] = 80782,
  [SMALL_STATE(1377)] = 80800,
  [SMALL_STATE(1378)] = 80816,
  [SMALL_STATE(1379)] = 80840,
  [SMALL_STATE(1380)] = 80856,
  [SMALL_STATE(1381)] = 80880,
  [SMALL_STATE(1382)] = 80904,
  [SMALL_STATE(1383)] = 80928,
  [SMALL_STATE(1384)] = 80950,
  [SMALL_STATE(1385)] = 80968,
  [SMALL_STATE(1386)] = 80988,
  [SMALL_STATE(1387)] = 81010,
  [SMALL_STATE(1388)] = 81034,
  [SMALL_STATE(1389)] = 81058,
  [SMALL_STATE(1390)] = 81080,
  [SMALL_STATE(1391)] = 81098,
  [SMALL_STATE(1392)] = 81114,
  [SMALL_STATE(1393)] = 81131,
  [SMALL_STATE(1394)] = 81158,
  [SMALL_STATE(1395)] = 81179,
  [SMALL_STATE(1396)] = 81200,
  [SMALL_STATE(1397)] = 81219,
  [SMALL_STATE(1398)] = 81240,
  [SMALL_STATE(1399)] = 81263,
  [SMALL_STATE(1400)] = 81286,
  [SMALL_STATE(1401)] = 81309,
  [SMALL_STATE(1402)] = 81330,
  [SMALL_STATE(1403)] = 81349,
  [SMALL_STATE(1404)] = 81376,
  [SMALL_STATE(1405)] = 81405,
  [SMALL_STATE(1406)] = 81426,
  [SMALL_STATE(1407)] = 81445,
  [SMALL_STATE(1408)] = 81466,
  [SMALL_STATE(1409)] = 81483,
  [SMALL_STATE(1410)] = 81502,
  [SMALL_STATE(1411)] = 81523,
  [SMALL_STATE(1412)] = 81550,
  [SMALL_STATE(1413)] = 81567,
  [SMALL_STATE(1414)] = 81588,
  [SMALL_STATE(1415)] = 81615,
  [SMALL_STATE(1416)] = 81638,
  [SMALL_STATE(1417)] = 81665,
  [SMALL_STATE(1418)] = 81694,
  [SMALL_STATE(1419)] = 81713,
  [SMALL_STATE(1420)] = 81732,
  [SMALL_STATE(1421)] = 81759,
  [SMALL_STATE(1422)] = 81782,
  [SMALL_STATE(1423)] = 81803,
  [SMALL_STATE(1424)] = 81832,
  [SMALL_STATE(1425)] = 81851,
  [SMALL_STATE(1426)] = 81878,
  [SMALL_STATE(1427)] = 81899,
  [SMALL_STATE(1428)] = 81928,
  [SMALL_STATE(1429)] = 81955,
  [SMALL_STATE(1430)] = 81984,
  [SMALL_STATE(1431)] = 82007,
  [SMALL_STATE(1432)] = 82036,
  [SMALL_STATE(1433)] = 82065,
  [SMALL_STATE(1434)] = 82086,
  [SMALL_STATE(1435)] = 82115,
  [SMALL_STATE(1436)] = 82144,
  [SMALL_STATE(1437)] = 82162,
  [SMALL_STATE(1438)] = 82186,
  [SMALL_STATE(1439)] = 82212,
  [SMALL_STATE(1440)] = 82230,
  [SMALL_STATE(1441)] = 82248,
  [SMALL_STATE(1442)] = 82266,
  [SMALL_STATE(1443)] = 82288,
  [SMALL_STATE(1444)] = 82314,
  [SMALL_STATE(1445)] = 82336,
  [SMALL_STATE(1446)] = 82362,
  [SMALL_STATE(1447)] = 82384,
  [SMALL_STATE(1448)] = 82410,
  [SMALL_STATE(1449)] = 82428,
  [SMALL_STATE(1450)] = 82446,
  [SMALL_STATE(1451)] = 82462,
  [SMALL_STATE(1452)] = 82488,
  [SMALL_STATE(1453)] = 82514,
  [SMALL_STATE(1454)] = 82540,
  [SMALL_STATE(1455)] = 82566,
  [SMALL_STATE(1456)] = 82588,
  [SMALL_STATE(1457)] = 82612,
  [SMALL_STATE(1458)] = 82634,
  [SMALL_STATE(1459)] = 82660,
  [SMALL_STATE(1460)] = 82686,
  [SMALL_STATE(1461)] = 82702,
  [SMALL_STATE(1462)] = 82728,
  [SMALL_STATE(1463)] = 82750,
  [SMALL_STATE(1464)] = 82776,
  [SMALL_STATE(1465)] = 82800,
  [SMALL_STATE(1466)] = 82826,
  [SMALL_STATE(1467)] = 82852,
  [SMALL_STATE(1468)] = 82878,
  [SMALL_STATE(1469)] = 82904,
  [SMALL_STATE(1470)] = 82930,
  [SMALL_STATE(1471)] = 82956,
  [SMALL_STATE(1472)] = 82982,
  [SMALL_STATE(1473)] = 83008,
  [SMALL_STATE(1474)] = 83026,
  [SMALL_STATE(1475)] = 83044,
  [SMALL_STATE(1476)] = 83070,
  [SMALL_STATE(1477)] = 83096,
  [SMALL_STATE(1478)] = 83122,
  [SMALL_STATE(1479)] = 83144,
  [SMALL_STATE(1480)] = 83166,
  [SMALL_STATE(1481)] = 83192,
  [SMALL_STATE(1482)] = 83210,
  [SMALL_STATE(1483)] = 83236,
  [SMALL_STATE(1484)] = 83254,
  [SMALL_STATE(1485)] = 83280,
  [SMALL_STATE(1486)] = 83306,
  [SMALL_STATE(1487)] = 83324,
  [SMALL_STATE(1488)] = 83342,
  [SMALL_STATE(1489)] = 83360,
  [SMALL_STATE(1490)] = 83378,
  [SMALL_STATE(1491)] = 83396,
  [SMALL_STATE(1492)] = 83410,
  [SMALL_STATE(1493)] = 83436,
  [SMALL_STATE(1494)] = 83458,
  [SMALL_STATE(1495)] = 83478,
  [SMALL_STATE(1496)] = 83496,
  [SMALL_STATE(1497)] = 83516,
  [SMALL_STATE(1498)] = 83534,
  [SMALL_STATE(1499)] = 83552,
  [SMALL_STATE(1500)] = 83569,
  [SMALL_STATE(1501)] = 83586,
  [SMALL_STATE(1502)] = 83599,
  [SMALL_STATE(1503)] = 83612,
  [SMALL_STATE(1504)] = 83625,
  [SMALL_STATE(1505)] = 83646,
  [SMALL_STATE(1506)] = 83659,
  [SMALL_STATE(1507)] = 83680,
  [SMALL_STATE(1508)] = 83701,
  [SMALL_STATE(1509)] = 83714,
  [SMALL_STATE(1510)] = 83735,
  [SMALL_STATE(1511)] = 83758,
  [SMALL_STATE(1512)] = 83775,
  [SMALL_STATE(1513)] = 83790,
  [SMALL_STATE(1514)] = 83811,
  [SMALL_STATE(1515)] = 83832,
  [SMALL_STATE(1516)] = 83849,
  [SMALL_STATE(1517)] = 83870,
  [SMALL_STATE(1518)] = 83891,
  [SMALL_STATE(1519)] = 83912,
  [SMALL_STATE(1520)] = 83925,
  [SMALL_STATE(1521)] = 83946,
  [SMALL_STATE(1522)] = 83967,
  [SMALL_STATE(1523)] = 83984,
  [SMALL_STATE(1524)] = 83997,
  [SMALL_STATE(1525)] = 84010,
  [SMALL_STATE(1526)] = 84023,
  [SMALL_STATE(1527)] = 84040,
  [SMALL_STATE(1528)] = 84063,
  [SMALL_STATE(1529)] = 84084,
  [SMALL_STATE(1530)] = 84097,
  [SMALL_STATE(1531)] = 84114,
  [SMALL_STATE(1532)] = 84137,
  [SMALL_STATE(1533)] = 84158,
  [SMALL_STATE(1534)] = 84177,
  [SMALL_STATE(1535)] = 84190,
  [SMALL_STATE(1536)] = 84207,
  [SMALL_STATE(1537)] = 84224,
  [SMALL_STATE(1538)] = 84245,
  [SMALL_STATE(1539)] = 84260,
  [SMALL_STATE(1540)] = 84281,
  [SMALL_STATE(1541)] = 84296,
  [SMALL_STATE(1542)] = 84309,
  [SMALL_STATE(1543)] = 84322,
  [SMALL_STATE(1544)] = 84339,
  [SMALL_STATE(1545)] = 84352,
  [SMALL_STATE(1546)] = 84373,
  [SMALL_STATE(1547)] = 84390,
  [SMALL_STATE(1548)] = 84407,
  [SMALL_STATE(1549)] = 84424,
  [SMALL_STATE(1550)] = 84437,
  [SMALL_STATE(1551)] = 84454,
  [SMALL_STATE(1552)] = 84475,
  [SMALL_STATE(1553)] = 84492,
  [SMALL_STATE(1554)] = 84509,
  [SMALL_STATE(1555)] = 84522,
  [SMALL_STATE(1556)] = 84537,
  [SMALL_STATE(1557)] = 84558,
  [SMALL_STATE(1558)] = 84575,
  [SMALL_STATE(1559)] = 84592,
  [SMALL_STATE(1560)] = 84609,
  [SMALL_STATE(1561)] = 84630,
  [SMALL_STATE(1562)] = 84643,
  [SMALL_STATE(1563)] = 84656,
  [SMALL_STATE(1564)] = 84673,
  [SMALL_STATE(1565)] = 84694,
  [SMALL_STATE(1566)] = 84715,
  [SMALL_STATE(1567)] = 84738,
  [SMALL_STATE(1568)] = 84753,
  [SMALL_STATE(1569)] = 84774,
  [SMALL_STATE(1570)] = 84795,
  [SMALL_STATE(1571)] = 84816,
  [SMALL_STATE(1572)] = 84837,
  [SMALL_STATE(1573)] = 84854,
  [SMALL_STATE(1574)] = 84867,
  [SMALL_STATE(1575)] = 84880,
  [SMALL_STATE(1576)] = 84895,
  [SMALL_STATE(1577)] = 84910,
  [SMALL_STATE(1578)] = 84933,
  [SMALL_STATE(1579)] = 84950,
  [SMALL_STATE(1580)] = 84967,
  [SMALL_STATE(1581)] = 84980,
  [SMALL_STATE(1582)] = 84999,
  [SMALL_STATE(1583)] = 85016,
  [SMALL_STATE(1584)] = 85031,
  [SMALL_STATE(1585)] = 85048,
  [SMALL_STATE(1586)] = 85065,
  [SMALL_STATE(1587)] = 85078,
  [SMALL_STATE(1588)] = 85091,
  [SMALL_STATE(1589)] = 85104,
  [SMALL_STATE(1590)] = 85125,
  [SMALL_STATE(1591)] = 85146,
  [SMALL_STATE(1592)] = 85158,
  [SMALL_STATE(1593)] = 85178,
  [SMALL_STATE(1594)] = 85190,
  [SMALL_STATE(1595)] = 85202,
  [SMALL_STATE(1596)] = 85214,
  [SMALL_STATE(1597)] = 85226,
  [SMALL_STATE(1598)] = 85246,
  [SMALL_STATE(1599)] = 85258,
  [SMALL_STATE(1600)] = 85278,
  [SMALL_STATE(1601)] = 85290,
  [SMALL_STATE(1602)] = 85302,
  [SMALL_STATE(1603)] = 85322,
  [SMALL_STATE(1604)] = 85342,
  [SMALL_STATE(1605)] = 85354,
  [SMALL_STATE(1606)] = 85374,
  [SMALL_STATE(1607)] = 85394,
  [SMALL_STATE(1608)] = 85406,
  [SMALL_STATE(1609)] = 85418,
  [SMALL_STATE(1610)] = 85430,
  [SMALL_STATE(1611)] = 85450,
  [SMALL_STATE(1612)] = 85464,
  [SMALL_STATE(1613)] = 85484,
  [SMALL_STATE(1614)] = 85496,
  [SMALL_STATE(1615)] = 85508,
  [SMALL_STATE(1616)] = 85520,
  [SMALL_STATE(1617)] = 85540,
  [SMALL_STATE(1618)] = 85552,
  [SMALL_STATE(1619)] = 85568,
  [SMALL_STATE(1620)] = 85580,
  [SMALL_STATE(1621)] = 85592,
  [SMALL_STATE(1622)] = 85610,
  [SMALL_STATE(1623)] = 85622,
  [SMALL_STATE(1624)] = 85634,
  [SMALL_STATE(1625)] = 85646,
  [SMALL_STATE(1626)] = 85658,
  [SMALL_STATE(1627)] = 85678,
  [SMALL_STATE(1628)] = 85694,
  [SMALL_STATE(1629)] = 85706,
  [SMALL_STATE(1630)] = 85726,
  [SMALL_STATE(1631)] = 85738,
  [SMALL_STATE(1632)] = 85756,
  [SMALL_STATE(1633)] = 85768,
  [SMALL_STATE(1634)] = 85786,
  [SMALL_STATE(1635)] = 85802,
  [SMALL_STATE(1636)] = 85814,
  [SMALL_STATE(1637)] = 85826,
  [SMALL_STATE(1638)] = 85844,
  [SMALL_STATE(1639)] = 85862,
  [SMALL_STATE(1640)] = 85874,
  [SMALL_STATE(1641)] = 85892,
  [SMALL_STATE(1642)] = 85906,
  [SMALL_STATE(1643)] = 85920,
  [SMALL_STATE(1644)] = 85932,
  [SMALL_STATE(1645)] = 85952,
  [SMALL_STATE(1646)] = 85964,
  [SMALL_STATE(1647)] = 85980,
  [SMALL_STATE(1648)] = 85992,
  [SMALL_STATE(1649)] = 86004,
  [SMALL_STATE(1650)] = 86016,
  [SMALL_STATE(1651)] = 86032,
  [SMALL_STATE(1652)] = 86044,
  [SMALL_STATE(1653)] = 86056,
  [SMALL_STATE(1654)] = 86076,
  [SMALL_STATE(1655)] = 86088,
  [SMALL_STATE(1656)] = 86108,
  [SMALL_STATE(1657)] = 86128,
  [SMALL_STATE(1658)] = 86140,
  [SMALL_STATE(1659)] = 86152,
  [SMALL_STATE(1660)] = 86164,
  [SMALL_STATE(1661)] = 86176,
  [SMALL_STATE(1662)] = 86196,
  [SMALL_STATE(1663)] = 86216,
  [SMALL_STATE(1664)] = 86234,
  [SMALL_STATE(1665)] = 86246,
  [SMALL_STATE(1666)] = 86262,
  [SMALL_STATE(1667)] = 86274,
  [SMALL_STATE(1668)] = 86286,
  [SMALL_STATE(1669)] = 86300,
  [SMALL_STATE(1670)] = 86312,
  [SMALL_STATE(1671)] = 86326,
  [SMALL_STATE(1672)] = 86342,
  [SMALL_STATE(1673)] = 86358,
  [SMALL_STATE(1674)] = 86374,
  [SMALL_STATE(1675)] = 86386,
  [SMALL_STATE(1676)] = 86398,
  [SMALL_STATE(1677)] = 86410,
  [SMALL_STATE(1678)] = 86426,
  [SMALL_STATE(1679)] = 86438,
  [SMALL_STATE(1680)] = 86458,
  [SMALL_STATE(1681)] = 86470,
  [SMALL_STATE(1682)] = 86482,
  [SMALL_STATE(1683)] = 86502,
  [SMALL_STATE(1684)] = 86514,
  [SMALL_STATE(1685)] = 86534,
  [SMALL_STATE(1686)] = 86546,
  [SMALL_STATE(1687)] = 86558,
  [SMALL_STATE(1688)] = 86574,
  [SMALL_STATE(1689)] = 86586,
  [SMALL_STATE(1690)] = 86606,
  [SMALL_STATE(1691)] = 86624,
  [SMALL_STATE(1692)] = 86638,
  [SMALL_STATE(1693)] = 86654,
  [SMALL_STATE(1694)] = 86674,
  [SMALL_STATE(1695)] = 86690,
  [SMALL_STATE(1696)] = 86707,
  [SMALL_STATE(1697)] = 86718,
  [SMALL_STATE(1698)] = 86729,
  [SMALL_STATE(1699)] = 86740,
  [SMALL_STATE(1700)] = 86751,
  [SMALL_STATE(1701)] = 86768,
  [SMALL_STATE(1702)] = 86779,
  [SMALL_STATE(1703)] = 86796,
  [SMALL_STATE(1704)] = 86807,
  [SMALL_STATE(1705)] = 86822,
  [SMALL_STATE(1706)] = 86839,
  [SMALL_STATE(1707)] = 86850,
  [SMALL_STATE(1708)] = 86861,
  [SMALL_STATE(1709)] = 86872,
  [SMALL_STATE(1710)] = 86883,
  [SMALL_STATE(1711)] = 86894,
  [SMALL_STATE(1712)] = 86905,
  [SMALL_STATE(1713)] = 86916,
  [SMALL_STATE(1714)] = 86933,
  [SMALL_STATE(1715)] = 86950,
  [SMALL_STATE(1716)] = 86961,
  [SMALL_STATE(1717)] = 86972,
  [SMALL_STATE(1718)] = 86989,
  [SMALL_STATE(1719)] = 87000,
  [SMALL_STATE(1720)] = 87017,
  [SMALL_STATE(1721)] = 87028,
  [SMALL_STATE(1722)] = 87039,
  [SMALL_STATE(1723)] = 87050,
  [SMALL_STATE(1724)] = 87061,
  [SMALL_STATE(1725)] = 87072,
  [SMALL_STATE(1726)] = 87083,
  [SMALL_STATE(1727)] = 87094,
  [SMALL_STATE(1728)] = 87111,
  [SMALL_STATE(1729)] = 87124,
  [SMALL_STATE(1730)] = 87139,
  [SMALL_STATE(1731)] = 87156,
  [SMALL_STATE(1732)] = 87173,
  [SMALL_STATE(1733)] = 87184,
  [SMALL_STATE(1734)] = 87201,
  [SMALL_STATE(1735)] = 87216,
  [SMALL_STATE(1736)] = 87229,
  [SMALL_STATE(1737)] = 87240,
  [SMALL_STATE(1738)] = 87251,
  [SMALL_STATE(1739)] = 87268,
  [SMALL_STATE(1740)] = 87279,
  [SMALL_STATE(1741)] = 87296,
  [SMALL_STATE(1742)] = 87311,
  [SMALL_STATE(1743)] = 87328,
  [SMALL_STATE(1744)] = 87345,
  [SMALL_STATE(1745)] = 87356,
  [SMALL_STATE(1746)] = 87373,
  [SMALL_STATE(1747)] = 87384,
  [SMALL_STATE(1748)] = 87395,
  [SMALL_STATE(1749)] = 87406,
  [SMALL_STATE(1750)] = 87421,
  [SMALL_STATE(1751)] = 87432,
  [SMALL_STATE(1752)] = 87443,
  [SMALL_STATE(1753)] = 87454,
  [SMALL_STATE(1754)] = 87469,
  [SMALL_STATE(1755)] = 87480,
  [SMALL_STATE(1756)] = 87497,
  [SMALL_STATE(1757)] = 87514,
  [SMALL_STATE(1758)] = 87529,
  [SMALL_STATE(1759)] = 87544,
  [SMALL_STATE(1760)] = 87555,
  [SMALL_STATE(1761)] = 87570,
  [SMALL_STATE(1762)] = 87581,
  [SMALL_STATE(1763)] = 87592,
  [SMALL_STATE(1764)] = 87603,
  [SMALL_STATE(1765)] = 87614,
  [SMALL_STATE(1766)] = 87629,
  [SMALL_STATE(1767)] = 87646,
  [SMALL_STATE(1768)] = 87657,
  [SMALL_STATE(1769)] = 87668,
  [SMALL_STATE(1770)] = 87679,
  [SMALL_STATE(1771)] = 87690,
  [SMALL_STATE(1772)] = 87701,
  [SMALL_STATE(1773)] = 87718,
  [SMALL_STATE(1774)] = 87733,
  [SMALL_STATE(1775)] = 87744,
  [SMALL_STATE(1776)] = 87755,
  [SMALL_STATE(1777)] = 87766,
  [SMALL_STATE(1778)] = 87777,
  [SMALL_STATE(1779)] = 87788,
  [SMALL_STATE(1780)] = 87799,
  [SMALL_STATE(1781)] = 87814,
  [SMALL_STATE(1782)] = 87825,
  [SMALL_STATE(1783)] = 87836,
  [SMALL_STATE(1784)] = 87847,
  [SMALL_STATE(1785)] = 87858,
  [SMALL_STATE(1786)] = 87869,
  [SMALL_STATE(1787)] = 87880,
  [SMALL_STATE(1788)] = 87891,
  [SMALL_STATE(1789)] = 87902,
  [SMALL_STATE(1790)] = 87913,
  [SMALL_STATE(1791)] = 87924,
  [SMALL_STATE(1792)] = 87935,
  [SMALL_STATE(1793)] = 87946,
  [SMALL_STATE(1794)] = 87963,
  [SMALL_STATE(1795)] = 87980,
  [SMALL_STATE(1796)] = 87991,
  [SMALL_STATE(1797)] = 88002,
  [SMALL_STATE(1798)] = 88013,
  [SMALL_STATE(1799)] = 88024,
  [SMALL_STATE(1800)] = 88035,
  [SMALL_STATE(1801)] = 88046,
  [SMALL_STATE(1802)] = 88057,
  [SMALL_STATE(1803)] = 88068,
  [SMALL_STATE(1804)] = 88079,
  [SMALL_STATE(1805)] = 88090,
  [SMALL_STATE(1806)] = 88101,
  [SMALL_STATE(1807)] = 88118,
  [SMALL_STATE(1808)] = 88128,
  [SMALL_STATE(1809)] = 88142,
  [SMALL_STATE(1810)] = 88156,
  [SMALL_STATE(1811)] = 88170,
  [SMALL_STATE(1812)] = 88184,
  [SMALL_STATE(1813)] = 88198,
  [SMALL_STATE(1814)] = 88212,
  [SMALL_STATE(1815)] = 88226,
  [SMALL_STATE(1816)] = 88240,
  [SMALL_STATE(1817)] = 88254,
  [SMALL_STATE(1818)] = 88266,
  [SMALL_STATE(1819)] = 88280,
  [SMALL_STATE(1820)] = 88294,
  [SMALL_STATE(1821)] = 88308,
  [SMALL_STATE(1822)] = 88322,
  [SMALL_STATE(1823)] = 88332,
  [SMALL_STATE(1824)] = 88346,
  [SMALL_STATE(1825)] = 88358,
  [SMALL_STATE(1826)] = 88372,
  [SMALL_STATE(1827)] = 88386,
  [SMALL_STATE(1828)] = 88400,
  [SMALL_STATE(1829)] = 88414,
  [SMALL_STATE(1830)] = 88428,
  [SMALL_STATE(1831)] = 88442,
  [SMALL_STATE(1832)] = 88456,
  [SMALL_STATE(1833)] = 88470,
  [SMALL_STATE(1834)] = 88484,
  [SMALL_STATE(1835)] = 88498,
  [SMALL_STATE(1836)] = 88512,
  [SMALL_STATE(1837)] = 88526,
  [SMALL_STATE(1838)] = 88540,
  [SMALL_STATE(1839)] = 88554,
  [SMALL_STATE(1840)] = 88568,
  [SMALL_STATE(1841)] = 88582,
  [SMALL_STATE(1842)] = 88596,
  [SMALL_STATE(1843)] = 88610,
  [SMALL_STATE(1844)] = 88624,
  [SMALL_STATE(1845)] = 88638,
  [SMALL_STATE(1846)] = 88652,
  [SMALL_STATE(1847)] = 88666,
  [SMALL_STATE(1848)] = 88678,
  [SMALL_STATE(1849)] = 88692,
  [SMALL_STATE(1850)] = 88704,
  [SMALL_STATE(1851)] = 88716,
  [SMALL_STATE(1852)] = 88730,
  [SMALL_STATE(1853)] = 88744,
  [SMALL_STATE(1854)] = 88758,
  [SMALL_STATE(1855)] = 88772,
  [SMALL_STATE(1856)] = 88786,
  [SMALL_STATE(1857)] = 88800,
  [SMALL_STATE(1858)] = 88814,
  [SMALL_STATE(1859)] = 88828,
  [SMALL_STATE(1860)] = 88842,
  [SMALL_STATE(1861)] = 88856,
  [SMALL_STATE(1862)] = 88870,
  [SMALL_STATE(1863)] = 88884,
  [SMALL_STATE(1864)] = 88898,
  [SMALL_STATE(1865)] = 88912,
  [SMALL_STATE(1866)] = 88926,
  [SMALL_STATE(1867)] = 88940,
  [SMALL_STATE(1868)] = 88954,
  [SMALL_STATE(1869)] = 88968,
  [SMALL_STATE(1870)] = 88982,
  [SMALL_STATE(1871)] = 88996,
  [SMALL_STATE(1872)] = 89010,
  [SMALL_STATE(1873)] = 89024,
  [SMALL_STATE(1874)] = 89038,
  [SMALL_STATE(1875)] = 89052,
  [SMALL_STATE(1876)] = 89066,
  [SMALL_STATE(1877)] = 89080,
  [SMALL_STATE(1878)] = 89094,
  [SMALL_STATE(1879)] = 89108,
  [SMALL_STATE(1880)] = 89122,
  [SMALL_STATE(1881)] = 89136,
  [SMALL_STATE(1882)] = 89150,
  [SMALL_STATE(1883)] = 89164,
  [SMALL_STATE(1884)] = 89178,
  [SMALL_STATE(1885)] = 89192,
  [SMALL_STATE(1886)] = 89206,
  [SMALL_STATE(1887)] = 89220,
  [SMALL_STATE(1888)] = 89234,
  [SMALL_STATE(1889)] = 89246,
  [SMALL_STATE(1890)] = 89256,
  [SMALL_STATE(1891)] = 89270,
  [SMALL_STATE(1892)] = 89284,
  [SMALL_STATE(1893)] = 89296,
  [SMALL_STATE(1894)] = 89310,
  [SMALL_STATE(1895)] = 89324,
  [SMALL_STATE(1896)] = 89336,
  [SMALL_STATE(1897)] = 89348,
  [SMALL_STATE(1898)] = 89362,
  [SMALL_STATE(1899)] = 89376,
  [SMALL_STATE(1900)] = 89388,
  [SMALL_STATE(1901)] = 89402,
  [SMALL_STATE(1902)] = 89416,
  [SMALL_STATE(1903)] = 89430,
  [SMALL_STATE(1904)] = 89444,
  [SMALL_STATE(1905)] = 89458,
  [SMALL_STATE(1906)] = 89472,
  [SMALL_STATE(1907)] = 89486,
  [SMALL_STATE(1908)] = 89500,
  [SMALL_STATE(1909)] = 89514,
  [SMALL_STATE(1910)] = 89528,
  [SMALL_STATE(1911)] = 89540,
  [SMALL_STATE(1912)] = 89554,
  [SMALL_STATE(1913)] = 89568,
  [SMALL_STATE(1914)] = 89582,
  [SMALL_STATE(1915)] = 89596,
  [SMALL_STATE(1916)] = 89606,
  [SMALL_STATE(1917)] = 89620,
  [SMALL_STATE(1918)] = 89634,
  [SMALL_STATE(1919)] = 89648,
  [SMALL_STATE(1920)] = 89662,
  [SMALL_STATE(1921)] = 89676,
  [SMALL_STATE(1922)] = 89690,
  [SMALL_STATE(1923)] = 89704,
  [SMALL_STATE(1924)] = 89716,
  [SMALL_STATE(1925)] = 89728,
  [SMALL_STATE(1926)] = 89742,
  [SMALL_STATE(1927)] = 89756,
  [SMALL_STATE(1928)] = 89770,
  [SMALL_STATE(1929)] = 89784,
  [SMALL_STATE(1930)] = 89798,
  [SMALL_STATE(1931)] = 89812,
  [SMALL_STATE(1932)] = 89826,
  [SMALL_STATE(1933)] = 89840,
  [SMALL_STATE(1934)] = 89854,
  [SMALL_STATE(1935)] = 89868,
  [SMALL_STATE(1936)] = 89882,
  [SMALL_STATE(1937)] = 89896,
  [SMALL_STATE(1938)] = 89910,
  [SMALL_STATE(1939)] = 89924,
  [SMALL_STATE(1940)] = 89938,
  [SMALL_STATE(1941)] = 89952,
  [SMALL_STATE(1942)] = 89966,
  [SMALL_STATE(1943)] = 89980,
  [SMALL_STATE(1944)] = 89994,
  [SMALL_STATE(1945)] = 90008,
  [SMALL_STATE(1946)] = 90022,
  [SMALL_STATE(1947)] = 90034,
  [SMALL_STATE(1948)] = 90048,
  [SMALL_STATE(1949)] = 90062,
  [SMALL_STATE(1950)] = 90076,
  [SMALL_STATE(1951)] = 90090,
  [SMALL_STATE(1952)] = 90104,
  [SMALL_STATE(1953)] = 90118,
  [SMALL_STATE(1954)] = 90128,
  [SMALL_STATE(1955)] = 90138,
  [SMALL_STATE(1956)] = 90152,
  [SMALL_STATE(1957)] = 90166,
  [SMALL_STATE(1958)] = 90180,
  [SMALL_STATE(1959)] = 90194,
  [SMALL_STATE(1960)] = 90208,
  [SMALL_STATE(1961)] = 90222,
  [SMALL_STATE(1962)] = 90236,
  [SMALL_STATE(1963)] = 90250,
  [SMALL_STATE(1964)] = 90264,
  [SMALL_STATE(1965)] = 90278,
  [SMALL_STATE(1966)] = 90292,
  [SMALL_STATE(1967)] = 90306,
  [SMALL_STATE(1968)] = 90316,
  [SMALL_STATE(1969)] = 90330,
  [SMALL_STATE(1970)] = 90344,
  [SMALL_STATE(1971)] = 90358,
  [SMALL_STATE(1972)] = 90370,
  [SMALL_STATE(1973)] = 90384,
  [SMALL_STATE(1974)] = 90398,
  [SMALL_STATE(1975)] = 90408,
  [SMALL_STATE(1976)] = 90422,
  [SMALL_STATE(1977)] = 90436,
  [SMALL_STATE(1978)] = 90450,
  [SMALL_STATE(1979)] = 90464,
  [SMALL_STATE(1980)] = 90478,
  [SMALL_STATE(1981)] = 90492,
  [SMALL_STATE(1982)] = 90506,
  [SMALL_STATE(1983)] = 90520,
  [SMALL_STATE(1984)] = 90534,
  [SMALL_STATE(1985)] = 90548,
  [SMALL_STATE(1986)] = 90562,
  [SMALL_STATE(1987)] = 90576,
  [SMALL_STATE(1988)] = 90590,
  [SMALL_STATE(1989)] = 90604,
  [SMALL_STATE(1990)] = 90618,
  [SMALL_STATE(1991)] = 90632,
  [SMALL_STATE(1992)] = 90646,
  [SMALL_STATE(1993)] = 90660,
  [SMALL_STATE(1994)] = 90674,
  [SMALL_STATE(1995)] = 90688,
  [SMALL_STATE(1996)] = 90702,
  [SMALL_STATE(1997)] = 90716,
  [SMALL_STATE(1998)] = 90730,
  [SMALL_STATE(1999)] = 90744,
  [SMALL_STATE(2000)] = 90758,
  [SMALL_STATE(2001)] = 90770,
  [SMALL_STATE(2002)] = 90780,
  [SMALL_STATE(2003)] = 90794,
  [SMALL_STATE(2004)] = 90808,
  [SMALL_STATE(2005)] = 90822,
  [SMALL_STATE(2006)] = 90834,
  [SMALL_STATE(2007)] = 90848,
  [SMALL_STATE(2008)] = 90858,
  [SMALL_STATE(2009)] = 90872,
  [SMALL_STATE(2010)] = 90886,
  [SMALL_STATE(2011)] = 90900,
  [SMALL_STATE(2012)] = 90914,
  [SMALL_STATE(2013)] = 90928,
  [SMALL_STATE(2014)] = 90942,
  [SMALL_STATE(2015)] = 90951,
  [SMALL_STATE(2016)] = 90960,
  [SMALL_STATE(2017)] = 90969,
  [SMALL_STATE(2018)] = 90978,
  [SMALL_STATE(2019)] = 90987,
  [SMALL_STATE(2020)] = 90996,
  [SMALL_STATE(2021)] = 91005,
  [SMALL_STATE(2022)] = 91016,
  [SMALL_STATE(2023)] = 91025,
  [SMALL_STATE(2024)] = 91034,
  [SMALL_STATE(2025)] = 91043,
  [SMALL_STATE(2026)] = 91054,
  [SMALL_STATE(2027)] = 91063,
  [SMALL_STATE(2028)] = 91072,
  [SMALL_STATE(2029)] = 91081,
  [SMALL_STATE(2030)] = 91092,
  [SMALL_STATE(2031)] = 91101,
  [SMALL_STATE(2032)] = 91110,
  [SMALL_STATE(2033)] = 91119,
  [SMALL_STATE(2034)] = 91128,
  [SMALL_STATE(2035)] = 91139,
  [SMALL_STATE(2036)] = 91150,
  [SMALL_STATE(2037)] = 91161,
  [SMALL_STATE(2038)] = 91170,
  [SMALL_STATE(2039)] = 91179,
  [SMALL_STATE(2040)] = 91190,
  [SMALL_STATE(2041)] = 91199,
  [SMALL_STATE(2042)] = 91208,
  [SMALL_STATE(2043)] = 91219,
  [SMALL_STATE(2044)] = 91228,
  [SMALL_STATE(2045)] = 91237,
  [SMALL_STATE(2046)] = 91246,
  [SMALL_STATE(2047)] = 91257,
  [SMALL_STATE(2048)] = 91266,
  [SMALL_STATE(2049)] = 91277,
  [SMALL_STATE(2050)] = 91286,
  [SMALL_STATE(2051)] = 91295,
  [SMALL_STATE(2052)] = 91306,
  [SMALL_STATE(2053)] = 91315,
  [SMALL_STATE(2054)] = 91324,
  [SMALL_STATE(2055)] = 91333,
  [SMALL_STATE(2056)] = 91344,
  [SMALL_STATE(2057)] = 91355,
  [SMALL_STATE(2058)] = 91366,
  [SMALL_STATE(2059)] = 91377,
  [SMALL_STATE(2060)] = 91386,
  [SMALL_STATE(2061)] = 91395,
  [SMALL_STATE(2062)] = 91404,
  [SMALL_STATE(2063)] = 91413,
  [SMALL_STATE(2064)] = 91424,
  [SMALL_STATE(2065)] = 91435,
  [SMALL_STATE(2066)] = 91444,
  [SMALL_STATE(2067)] = 91453,
  [SMALL_STATE(2068)] = 91462,
  [SMALL_STATE(2069)] = 91471,
  [SMALL_STATE(2070)] = 91480,
  [SMALL_STATE(2071)] = 91491,
  [SMALL_STATE(2072)] = 91502,
  [SMALL_STATE(2073)] = 91513,
  [SMALL_STATE(2074)] = 91522,
  [SMALL_STATE(2075)] = 91533,
  [SMALL_STATE(2076)] = 91542,
  [SMALL_STATE(2077)] = 91551,
  [SMALL_STATE(2078)] = 91560,
  [SMALL_STATE(2079)] = 91569,
  [SMALL_STATE(2080)] = 91578,
  [SMALL_STATE(2081)] = 91587,
  [SMALL_STATE(2082)] = 91598,
  [SMALL_STATE(2083)] = 91607,
  [SMALL_STATE(2084)] = 91616,
  [SMALL_STATE(2085)] = 91625,
  [SMALL_STATE(2086)] = 91636,
  [SMALL_STATE(2087)] = 91645,
  [SMALL_STATE(2088)] = 91654,
  [SMALL_STATE(2089)] = 91663,
  [SMALL_STATE(2090)] = 91672,
  [SMALL_STATE(2091)] = 91681,
  [SMALL_STATE(2092)] = 91690,
  [SMALL_STATE(2093)] = 91699,
  [SMALL_STATE(2094)] = 91708,
  [SMALL_STATE(2095)] = 91719,
  [SMALL_STATE(2096)] = 91728,
  [SMALL_STATE(2097)] = 91739,
  [SMALL_STATE(2098)] = 91748,
  [SMALL_STATE(2099)] = 91757,
  [SMALL_STATE(2100)] = 91766,
  [SMALL_STATE(2101)] = 91775,
  [SMALL_STATE(2102)] = 91784,
  [SMALL_STATE(2103)] = 91793,
  [SMALL_STATE(2104)] = 91801,
  [SMALL_STATE(2105)] = 91809,
  [SMALL_STATE(2106)] = 91817,
  [SMALL_STATE(2107)] = 91825,
  [SMALL_STATE(2108)] = 91833,
  [SMALL_STATE(2109)] = 91841,
  [SMALL_STATE(2110)] = 91849,
  [SMALL_STATE(2111)] = 91857,
  [SMALL_STATE(2112)] = 91865,
  [SMALL_STATE(2113)] = 91873,
  [SMALL_STATE(2114)] = 91881,
  [SMALL_STATE(2115)] = 91889,
  [SMALL_STATE(2116)] = 91897,
  [SMALL_STATE(2117)] = 91905,
  [SMALL_STATE(2118)] = 91913,
  [SMALL_STATE(2119)] = 91921,
  [SMALL_STATE(2120)] = 91929,
  [SMALL_STATE(2121)] = 91937,
  [SMALL_STATE(2122)] = 91945,
  [SMALL_STATE(2123)] = 91953,
  [SMALL_STATE(2124)] = 91961,
  [SMALL_STATE(2125)] = 91969,
  [SMALL_STATE(2126)] = 91977,
  [SMALL_STATE(2127)] = 91985,
  [SMALL_STATE(2128)] = 91993,
  [SMALL_STATE(2129)] = 92001,
  [SMALL_STATE(2130)] = 92009,
  [SMALL_STATE(2131)] = 92017,
  [SMALL_STATE(2132)] = 92025,
  [SMALL_STATE(2133)] = 92033,
  [SMALL_STATE(2134)] = 92041,
  [SMALL_STATE(2135)] = 92049,
  [SMALL_STATE(2136)] = 92057,
  [SMALL_STATE(2137)] = 92065,
  [SMALL_STATE(2138)] = 92073,
  [SMALL_STATE(2139)] = 92081,
  [SMALL_STATE(2140)] = 92089,
  [SMALL_STATE(2141)] = 92097,
  [SMALL_STATE(2142)] = 92105,
  [SMALL_STATE(2143)] = 92113,
  [SMALL_STATE(2144)] = 92121,
  [SMALL_STATE(2145)] = 92129,
  [SMALL_STATE(2146)] = 92137,
  [SMALL_STATE(2147)] = 92145,
  [SMALL_STATE(2148)] = 92153,
  [SMALL_STATE(2149)] = 92161,
  [SMALL_STATE(2150)] = 92169,
  [SMALL_STATE(2151)] = 92177,
  [SMALL_STATE(2152)] = 92185,
  [SMALL_STATE(2153)] = 92193,
  [SMALL_STATE(2154)] = 92201,
  [SMALL_STATE(2155)] = 92209,
  [SMALL_STATE(2156)] = 92217,
  [SMALL_STATE(2157)] = 92225,
  [SMALL_STATE(2158)] = 92233,
  [SMALL_STATE(2159)] = 92241,
  [SMALL_STATE(2160)] = 92249,
  [SMALL_STATE(2161)] = 92257,
  [SMALL_STATE(2162)] = 92265,
  [SMALL_STATE(2163)] = 92273,
  [SMALL_STATE(2164)] = 92281,
  [SMALL_STATE(2165)] = 92289,
  [SMALL_STATE(2166)] = 92297,
  [SMALL_STATE(2167)] = 92305,
  [SMALL_STATE(2168)] = 92313,
  [SMALL_STATE(2169)] = 92321,
  [SMALL_STATE(2170)] = 92329,
  [SMALL_STATE(2171)] = 92337,
  [SMALL_STATE(2172)] = 92345,
  [SMALL_STATE(2173)] = 92353,
  [SMALL_STATE(2174)] = 92361,
  [SMALL_STATE(2175)] = 92369,
  [SMALL_STATE(2176)] = 92377,
  [SMALL_STATE(2177)] = 92385,
  [SMALL_STATE(2178)] = 92393,
  [SMALL_STATE(2179)] = 92401,
  [SMALL_STATE(2180)] = 92409,
  [SMALL_STATE(2181)] = 92417,
  [SMALL_STATE(2182)] = 92425,
  [SMALL_STATE(2183)] = 92433,
  [SMALL_STATE(2184)] = 92441,
  [SMALL_STATE(2185)] = 92449,
  [SMALL_STATE(2186)] = 92457,
  [SMALL_STATE(2187)] = 92465,
  [SMALL_STATE(2188)] = 92473,
  [SMALL_STATE(2189)] = 92481,
  [SMALL_STATE(2190)] = 92489,
  [SMALL_STATE(2191)] = 92497,
  [SMALL_STATE(2192)] = 92505,
  [SMALL_STATE(2193)] = 92513,
  [SMALL_STATE(2194)] = 92521,
  [SMALL_STATE(2195)] = 92529,
  [SMALL_STATE(2196)] = 92537,
  [SMALL_STATE(2197)] = 92545,
  [SMALL_STATE(2198)] = 92553,
  [SMALL_STATE(2199)] = 92561,
  [SMALL_STATE(2200)] = 92569,
  [SMALL_STATE(2201)] = 92577,
  [SMALL_STATE(2202)] = 92585,
  [SMALL_STATE(2203)] = 92593,
  [SMALL_STATE(2204)] = 92601,
  [SMALL_STATE(2205)] = 92609,
  [SMALL_STATE(2206)] = 92617,
  [SMALL_STATE(2207)] = 92625,
  [SMALL_STATE(2208)] = 92633,
  [SMALL_STATE(2209)] = 92641,
  [SMALL_STATE(2210)] = 92649,
  [SMALL_STATE(2211)] = 92657,
  [SMALL_STATE(2212)] = 92665,
  [SMALL_STATE(2213)] = 92673,
  [SMALL_STATE(2214)] = 92681,
  [SMALL_STATE(2215)] = 92689,
  [SMALL_STATE(2216)] = 92697,
  [SMALL_STATE(2217)] = 92705,
  [SMALL_STATE(2218)] = 92713,
  [SMALL_STATE(2219)] = 92721,
  [SMALL_STATE(2220)] = 92729,
  [SMALL_STATE(2221)] = 92737,
  [SMALL_STATE(2222)] = 92745,
  [SMALL_STATE(2223)] = 92753,
  [SMALL_STATE(2224)] = 92761,
  [SMALL_STATE(2225)] = 92769,
  [SMALL_STATE(2226)] = 92777,
  [SMALL_STATE(2227)] = 92785,
  [SMALL_STATE(2228)] = 92793,
  [SMALL_STATE(2229)] = 92801,
  [SMALL_STATE(2230)] = 92809,
  [SMALL_STATE(2231)] = 92817,
  [SMALL_STATE(2232)] = 92825,
  [SMALL_STATE(2233)] = 92833,
  [SMALL_STATE(2234)] = 92841,
  [SMALL_STATE(2235)] = 92849,
  [SMALL_STATE(2236)] = 92857,
  [SMALL_STATE(2237)] = 92865,
  [SMALL_STATE(2238)] = 92873,
  [SMALL_STATE(2239)] = 92881,
  [SMALL_STATE(2240)] = 92889,
  [SMALL_STATE(2241)] = 92897,
  [SMALL_STATE(2242)] = 92905,
  [SMALL_STATE(2243)] = 92913,
  [SMALL_STATE(2244)] = 92921,
  [SMALL_STATE(2245)] = 92929,
  [SMALL_STATE(2246)] = 92937,
  [SMALL_STATE(2247)] = 92945,
  [SMALL_STATE(2248)] = 92953,
  [SMALL_STATE(2249)] = 92961,
  [SMALL_STATE(2250)] = 92969,
  [SMALL_STATE(2251)] = 92977,
  [SMALL_STATE(2252)] = 92985,
  [SMALL_STATE(2253)] = 92993,
  [SMALL_STATE(2254)] = 93001,
  [SMALL_STATE(2255)] = 93009,
  [SMALL_STATE(2256)] = 93017,
  [SMALL_STATE(2257)] = 93025,
  [SMALL_STATE(2258)] = 93033,
  [SMALL_STATE(2259)] = 93041,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(246),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(333),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2066),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(663),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(98),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(349),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(789),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(436),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2249),
  [204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(214),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(650),
  [234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(211),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(678),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(349),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 84),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 84),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 83),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 83),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 71),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 71),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 95),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 95),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 3),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 11),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 12),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 43),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 43),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 42),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 42),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 54),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 54),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 62),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 62),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 35),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 35),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 24),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 24),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 54),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 54),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [1192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 19),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 19),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 35),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 35),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 60),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 60), SHIFT_REPEAT(437),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 60),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 60), SHIFT_REPEAT(401),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 80),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 80),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 24),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 24),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 89),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 89),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 43),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 43),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 40),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 40),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 48),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 48),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 67),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 67),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 76),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 76),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 28),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 28),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 46),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 46),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 91),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 91),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 47),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 47),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 92),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 92),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 26),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 26),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 49),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 49),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 50),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 50),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 10),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 10),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 93),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 93),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 41),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 41),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 85),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 85),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 94),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 94),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 59),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 59),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 44),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 44),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 61),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 61),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 45),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 45),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 29),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 29),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 63),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 63),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 64),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 64),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 65),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 65),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 66),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 66),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 88),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 88),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 68),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 68),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 69),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 69),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 102),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 102),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 70),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 70),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 81),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 81),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 74),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 74),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 75),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 75),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 103),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 103),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 77),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 77),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 82),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 82),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 78),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 78),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 79),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 79),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 104),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 104),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 105),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 105),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 90),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 90),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 110),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 110),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 7),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 7),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 17),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 17),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 36),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 36),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 20),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 20),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 8),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 8),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 31),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 31),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 31),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 31),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 31),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 31),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 30),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 30),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 30),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 30),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 30),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 30),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 9),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 9),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21),
  [2180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(656),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2220),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(656),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(691),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2215),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(691),
  [2200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(667),
  [2203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2210),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(667),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [2214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(618),
  [2217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2240),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(618),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(628),
  [2230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2149),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(628),
  [2236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(639),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2104),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(639),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(616),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(2152),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 21), SHIFT_REPEAT(616),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [2346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [2349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 18),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 17),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 3),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 34),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(396),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 13),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(356),
  [2480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(343),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 17),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [2487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(379),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(372),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 3),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 18),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(386),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 6),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1398),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 32),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 14), SHIFT(364),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2119),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 3),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 4, 0, 0),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [2634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2256),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2236),
  [2652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2106),
  [2662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 53),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 4), SHIFT(275),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 3),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2140),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 58),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 58),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 15),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 52),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 71),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 72),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 25),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 4),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 73),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 73),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 56),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 56),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 22),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 22),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 14),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 57),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 57),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 38),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 38),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [2897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(346),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 39),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 39),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 83),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 84),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 22),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 22),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 33),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 14),
  [2938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 95),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [2966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [2983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [2988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1599),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 98),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 86),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 96),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 13),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 34),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 96),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 98),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 86),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1201),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 60), SHIFT_REPEAT(1172),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 60),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [3180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [3197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 6),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 11),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 12),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 23),
  [3258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 23), SHIFT_REPEAT(400),
  [3261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 32),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 97), SHIFT_REPEAT(1193),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 97),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [3462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [3500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 27), SHIFT_REPEAT(405),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 27),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 6),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 55), SHIFT_REPEAT(327),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 55),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 37),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 37),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(338),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 106),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 51),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 100),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 101),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 30),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 30),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 87),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 99),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 111),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 40),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 16),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 112),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 17),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 107),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 108),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 109),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 86),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 113),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 114),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4065] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[17][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
  },
  [14] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_starlark_external_scanner_create(void);
void tree_sitter_starlark_external_scanner_destroy(void *);
bool tree_sitter_starlark_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_starlark_external_scanner_serialize(void *, char *);
void tree_sitter_starlark_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_starlark(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_starlark_external_scanner_create,
      tree_sitter_starlark_external_scanner_destroy,
      tree_sitter_starlark_external_scanner_scan,
      tree_sitter_starlark_external_scanner_serialize,
      tree_sitter_starlark_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
